/******************************************************************************/
/*                                                                            */
/*  Copyright (C)        Endress+Hauser (2004). All Rights Reserved           */
/*                                                                            */
/*  Product:             SIMATIC PDM                                          */
/*                                                                            */
/*  Device:              PRESSURE Device                                      */
/*  Description:         Device Description                                   */
/*  Filename:                                                                 */
/*  Dictionary:                                                               */
/*                                                                            */
/*  Manufacturer:        Endress & Hauser GmbH & Co.                          */
/*   *                   Hauptstrasse 1                                       */
/*   *                   D-79689 Maulburg                                     */
/*   *                   Tel:07622/28-0                                       */
/*                                                                            */
/*  Author:              Daniel Ritter                                        */
/*   *                   ritter prozesse & technologie                        */
/*   *                   CH-4144 Arlesheim                                    */
/*                                                                            */
/*  Revision:            2.10                                                  */
/*  Date:                10.7.06                                               */
/*                                                                            */
/*  QVCS                 $Revision:1.2$                                       */
/*  QVCS                 $Date:24.09.02$                                      */
/*                                                                            */
/******************************************************************************/

/*----------------------DEVICE & REVISION CODES-------------------------*/



// enable ident_check
#define ENABLE_IDENTCHECK


MANUFACTURER 0x62,
DEVICE_TYPE 0xE0,
DEVICE_REVISION 21,
DD_REVISION 1


#define DEVICETYPE_ENUM { 0xE0,  "VEGADIF"  }
#define DEVICETYPE_NR 224
#define VEGADIF
#define DEFAULT_parDeviceType 0xE0
#define Pressure1UserLimit_DEF 550
#define Temperature1UserHighLimit_DEF 95
#define Pressure1CalMeasured_DEF 500

#define DEVICENAME "VEGADIF"
#define DEVICENAME_STRING "VEGADIF 55"


// enable ident_check
#define ENABLE_IDENTCHECK
// #define DEBUG_OPTION1

#define DEFAULT_VALUE_phys_device_id ""

//enable ident_check
//#define ENABLE_IDENTCHECK
//#define DEBUG_OPTION1



//#define  YT1_LABEL      "|en|measured value|de|Messwert|fr|Valeur de mesure|es|Messwert|it|Valore di misura|nl|gemeten waarde"
#define  YT1_LABEL      transmitter_variables[primary_variable_code].DIGITAL_VALUE.LABEL
#define  YT1_VALUE      transmitter_variables[primary_variable_code].DIGITAL_VALUE
#define  YT1_LRV        transmitter_variables[primary_variable_code].LOWER_RANGE_VALUE
#define YT1_URV         transmitter_variables[primary_variable_code].UPPER_RANGE_VALUE

#define  YT2_LABEL      transmitter_variables[secondary_variable_code].DIGITAL_VALUE.LABEL
#define  YT2_VALUE      transmitter_variables[secondary_variable_code].DIGITAL_VALUE
#define  YT2_LRV        transmitter_variables[secondary_variable_code].LOWER_RANGE_VALUE
#define YT2_URV         transmitter_variables[secondary_variable_code].UPPER_RANGE_VALUE

#define  YT3_LABEL      transmitter_variables[tertiary_variable_code].DIGITAL_VALUE.LABEL
#define  YT3_VALUE      transmitter_variables[tertiary_variable_code].DIGITAL_VALUE
#define  YT3_LRV        transmitter_variables[tertiary_variable_code].LOWER_RANGE_VALUE
#define YT3_URV         transmitter_variables[tertiary_variable_code].UPPER_RANGE_VALUE

#define  YT4_LABEL      transmitter_variables[fourth_variable_code].DIGITAL_VALUE.LABEL
#define  YT4_VALUE      transmitter_variables[fourth_variable_code].DIGITAL_VALUE
#define  YT4_LRV        transmitter_variables[fourth_variable_code].LOWER_RANGE_VALUE
#define YT4_URV         transmitter_variables[fourth_variable_code].UPPER_RANGE_VALUE


#define DEF_ERROR_CODES   \
                {       0,              "OK"    ,"OK"           },  \
        {   102,    [enum_ma_err_code_102], [enum_ma_err_code_102_help] },   \
        {   106,    [enum_ma_err_code_106], [enum_ma_err_code_106_help] },   \
        {   116,    [enum_ma_err_code_116], [enum_ma_err_code_116_help] },   \
        {   602,    [enum_ma_err_code_602], [enum_ma_err_code_602_help] },   \
        {   604,    [enum_ma_err_code_604], [enum_ma_err_code_604_help] },   \
        {   613,    [enum_ma_err_code_613], [enum_ma_err_code_613_help] },   \
        {   700,    [enum_ma_err_code_700], [enum_ma_err_code_700_help] },   \
        {   702,    [enum_ma_err_code_702], [enum_ma_err_code_702_help] },   \
        {   710,    [enum_ma_err_code_710], [enum_ma_err_code_710_help] },   \
        {   734,    [enum_ma_err_code_734], [enum_ma_err_code_734_help] },   \
        {   735,    [enum_ma_err_code_735], [enum_ma_err_code_735_help] },   \
        {   745,    [enum_ma_err_code_745], [enum_ma_err_code_745_help] },   \
        {   101,    [enum_ma_err_code_101], [enum_ma_err_code_101_help] },   \
        {   110,    [enum_ma_err_code_110], [enum_ma_err_code_110_help] },   \
        {   113,    [enum_ma_err_code_113], [enum_ma_err_code_113_help] },   \
        {   121,    [enum_ma_err_code_121], [enum_ma_err_code_121_help] },   \
        {   122,    [enum_ma_err_code_122], [enum_ma_err_code_122_help] },   \
        {   130,    [enum_ma_err_code_130], [enum_ma_err_code_130_help] },   \
        {   131,    [enum_ma_err_code_131], [enum_ma_err_code_131_help] },   \
        {   132,    [enum_ma_err_code_132], [enum_ma_err_code_132_help] },   \
        {   133,    [enum_ma_err_code_133], [enum_ma_err_code_133_help] },   \
        {   707,    [enum_ma_err_code_707], [enum_ma_err_code_707_help] },   \
        {   708,    [enum_ma_err_code_708], [enum_ma_err_code_708_help] },   \
        {   709,    [enum_ma_err_code_709], [enum_ma_err_code_709_help] },   \
        {   711,    [enum_ma_err_code_711], [enum_ma_err_code_711_help] },   \
        {   712,    [enum_ma_err_code_712], [enum_ma_err_code_712_help] },   \
        {   713,    [enum_ma_err_code_713], [enum_ma_err_code_713_help] },   \
        {   714,    [enum_ma_err_code_714], [enum_ma_err_code_714_help] },   \
        {   715,    [enum_ma_err_code_715], [enum_ma_err_code_715_help] },   \
        {   716,    [enum_ma_err_code_716], [enum_ma_err_code_716_help] },   \
        {   717,    [enum_ma_err_code_717], [enum_ma_err_code_717_help] },   \
        {   718,    [enum_ma_err_code_718], [enum_ma_err_code_718_help] },   \
        {   719,    [enum_ma_err_code_719], [enum_ma_err_code_719_help] },   \
        {   720,    [enum_ma_err_code_720], [enum_ma_err_code_720_help] },   \
        {   721,    [enum_ma_err_code_721], [enum_ma_err_code_721_help] },   \
        {   722,    [enum_ma_err_code_722], [enum_ma_err_code_722_help] },   \
        {   723,    [enum_ma_err_code_723], [enum_ma_err_code_723_help] },   \
        {   724,    [enum_ma_err_code_724], [enum_ma_err_code_724_help] },   \
        {   725,    [enum_ma_err_code_725], [enum_ma_err_code_725_help] },   \
        {   726,    [enum_ma_err_code_726], [enum_ma_err_code_726_help] },   \
        {   740,    [enum_ma_err_code_740], [enum_ma_err_code_740_help] },   \
        {   742,    [enum_ma_err_code_742], [enum_ma_err_code_742_help] },   \
        {   743,    [enum_ma_err_code_743], [enum_ma_err_code_743_help] },   \
        {   744,    [enum_ma_err_code_744], [enum_ma_err_code_744_help] },   \
        {   746,    [enum_ma_err_code_746], [enum_ma_err_code_746_help] },   \
        {   747,    [enum_ma_err_code_747], [enum_ma_err_code_747_help] },   \
        {   748,    [enum_ma_err_code_748], [enum_ma_err_code_748_help] },   \
        {   115,    [enum_ma_err_code_115], [enum_ma_err_code_115_help] },   \
        {   120,    [enum_ma_err_code_120], [enum_ma_err_code_120_help] },   \
        {   620,    [enum_ma_err_code_620], [enum_ma_err_code_620_help] },   \
        {   727,    [enum_ma_err_code_727], [enum_ma_err_code_727_help] },   \
        {   730,    [enum_ma_err_code_730], [enum_ma_err_code_730_help] },   \
        {   731,    [enum_ma_err_code_731], [enum_ma_err_code_731_help] },   \
        {   732,    [enum_ma_err_code_732], [enum_ma_err_code_732_help] },   \
        {   733,    [enum_ma_err_code_733], [enum_ma_err_code_733_help] }, \
        {   728,    [enum_ma_err_code_728], [enum_ma_err_code_728_help] }, \
        {   729,    [enum_ma_err_code_729], [enum_ma_err_code_729_help] }, \
        {   736,    [enum_ma_err_code_736], [enum_ma_err_code_736_help] }, \
        {   737,    [enum_ma_err_code_737], [enum_ma_err_code_737_help] }, \
        {   738,    [enum_ma_err_code_738], [enum_ma_err_code_738_help] }, \
        {   739,    [enum_ma_err_code_739], [enum_ma_err_code_739_help] }, \
        {   741,    [enum_ma_err_code_741], [enum_ma_err_code_741_help] }, \
        {   701,    [enum_ma_err_code_701], [enum_ma_err_code_701_help] }, \
        {   706,    [enum_ma_err_code_706], [enum_ma_err_code_706_help] } \



/*** Includes ********************************************************************/

#include "HART_Sensor_Press_VEGA_VEGADIF_V55Labels.inc"
#include "HART_Sensor_Press_VEGA_VEGADIF_V55.inc"
#include "HART_Sensor_Press_VEGA_VEGADIF_V55VALS.INC"

#include "\Hart\Hcf\bi_codes.h"
#include "\Hart\Hcf\macros.ddl"
#include "\Hart\SIHA.inc"
//#include "\SIPASTIDENT01.inc"
#include "\SI_FileM.inc"
#include "\SI_HlpM.inc"
#include "\SI_OptM.inc"
#include "\SI_DevM.inc"
#include "\SI_ViewM.inc"
#include "\SI_YT.inc"

/*===================================================================================================*/
/* Common Tables                                                                                     */
/*===================================================================================================*/


/*****************************************************************************/
/*****************************************************************************/

VARIABLE instr_and_softw_no
{
   LABEL [LABEL67];
   HANDLING READ;
   TYPE UNSIGNED_INTEGER(2)
   {
      DEFAULT_VALUE 7920;
      DISPLAY_FORMAT "4d";
   }
}

/************************************************************************************************************/
/*                         COMMON TABLES	 																*/
/************************************************************************************************************/
IMPORT STANDARD _TABLES, DEVICE_REVISION 10, DD_REVISION 1
{
	EVERYTHING ;
}

 
/*===================================================================================================*/
/* Universal Commands                                                                                */
/*===================================================================================================*/

IMPORT STANDARD _UNIVERSAL, DEVICE_REVISION 5, DD_REVISION 1
{
 EVERYTHING;
 REDEFINITIONS
 {
        VARIABLE final_assembly_number
        {
           REDEFINE LABEL "Assembly Number";
           REDEFINE TYPE UNSIGNED_INTEGER (3)
           {
              DISPLAY_FORMAT "6u";
              EDIT_FORMAT "6u";
              DEFAULT_VALUE 0;
            }
            REDEFINE HANDLING OPERATOR_WRITE
        }

        VARIABLE device_type
        {
           REDEFINE LABEL DeviceOrderCodeTEXT
           REDEFINE TYPE ENUMERATED
           {
                DEVICETYPE_ENUM
           }
           REDEFINE DEFAULT_VALUE DEFAULT_parDeviceType;
         }

        VARIABLE tag
        {
            REDEFINE LABEL TagTEXT
            REDEFINE HANDLING OPERATOR_WRITE
            REDEFINE DEFAULT_VALUE "________";
        }
        VARIABLE descriptor
        {
                REDEFINE LABEL DescriptorTEXT
                REDEFINE HANDLING OPERATOR_WRITE
                REDEFINE DEFAULT_VALUE "________________";

        }
 
        VARIABLE message
        {
           REDEFINE LABEL MessageTEXT
           REDEFINE HANDLING OPERATOR_WRITE
           REDEFINE DEFAULT_VALUE "________________________________";
        }
        VARIABLE transmitter_revision
       {
           REDEFINE HANDLING OPERATOR_WRITE
           REDEFINE DEFAULT_VALUE 21;
        }
        VARIABLE date
        {
          REDEFINE LABEL DateTEXT
          REDEFINE HANDLING OPERATOR_WRITE
           REDEFINE DEFAULT_VALUE "01/01/00";
       }
       VARIABLE manufacturer_id
       {
         REDEFINE LABEL DeviceManufacturerIdTEXT
         REDEFINE TYPE ENUMERATED
         {
                 {17, [Endress_and_Hauser]}
         }
       }
       VARIABLE device_id
       {
          REDEFINE LABEL DeviceTypeTEXT
          REDEFINE DEFAULT_VALUE "4430367";
       }
       VARIABLE software_revision
       {
          REDEFINE LABEL SoftwareRevisionTEXT
          REDEFINE DEFAULT_VALUE 55;
       }


       VARIABLE universal_revision
       {
          REDEFINE DEFAULT_VALUE 5;
        
       }
       VARIABLE hardware_revision
       {
          REDEFINE LABEL HardwareRevisionTEXT
          REDEFINE DEFAULT_VALUE 10;
        
       }

   }  
}


VARIABLE  manufacturer_id {
	LABEL 	[manufacturer_id] ;
	HELP 	[manufacturer_id_code_help] ;
	CLASS 	HART ;
        HANDLING  READ ;
        TYPE    ENUMERATED{DEFAULT_VALUE 98;
        {98, "VEGA"}
        }
}


/*****************************************************************************/
/*****************************************************************************/


VARIABLE TitleV_SensorTrim
{
   LABEL "|en|Sensor Trim|de|Sensor Trimm" ;
   CLASS LOCAL;
   HANDLING READ;
   TYPE ENUMERATED  {
       DEFAULT_VALUE 0;
       {  0,   "|en|see menu Device:Sensor Trim|de|siehe Men Gert: Sensor Trim"}
   }
}

VARIABLE TitleV_ResetAlarmHistory
{
   LABEL ResetAlarmHistoryTEXT
   CLASS LOCAL;
   HANDLING READ;
   TYPE ENUMERATED  {
       DEFAULT_VALUE 0;
       {  0,   "|en|see menu Device:Reset Device|de|siehe Men Gert: Reset Gert"}
   }
}

VARIABLE TitleVmethod_Pressure1AcceptZeroInstallOffset {
   LABEL "|en|Pos.Zero Adjust|de|Lagekorrektur|fr|Correct.Position|it|Imp.Zero Posiz."; 
   CLASS LOCAL;
   HANDLING READ;
   TYPE ENUMERATED  {
       DEFAULT_VALUE 0;
       {  0,   "|en|see menu Device:Position Adjust.|de|siehe Men Gert: Lageabgleich"}
   }
}
 
VARIABLE TitleV_pardPeakHold
{
   LABEL pardPeakHoldTEXT
   CLASS LOCAL;
   HANDLING READ;
   TYPE ENUMERATED  {
       DEFAULT_VALUE 0;
       {  0,   "|en|see menu View:PEAK HOLD INDIC.|de|siehe Menu Ansicht:SCHLEPPZEIGER"}
   }
}
 




VARIABLE TitleV_LevelLowerRangeValue{
   LABEL LevelLowerRangeValueTEXT
   CLASS LOCAL;
   HANDLING READ;
   VALIDITY IF(Val201) {TRUE;}ELSE{FALSE;}
   TYPE ENUMERATED  {
       DEFAULT_VALUE 0;
       {  0, "|en|see menu Device:Measure Limits|de|siehe Men Gert: Messgrenzen" }
   }
}

VARIABLE TitleV_LevelUpperRangeValue{
   LABEL LevelUpperRangeValueTEXT
   CLASS LOCAL;
   VALIDITY IF(Val201) {TRUE;}ELSE{FALSE;}
   HANDLING READ;
   TYPE ENUMERATED  {
       DEFAULT_VALUE 0;
       {  0, "|en|see menu Device:Measure Limits|de|siehe Men Gert: Messgrenzen" }
   }
}
VARIABLE TitleV_PressureLowerRangeValue{
   LABEL PressureLowerRangeValueTEXT
   CLASS LOCAL;
   VALIDITY IF(Val254) {TRUE;}ELSE{FALSE;}
   HANDLING READ;
   TYPE ENUMERATED  {
       DEFAULT_VALUE 0;
       {  0, "|en|see menu Device:Measure Limits|de|siehe Men Gert: Messgrenzen" }
   }
}

VARIABLE TitleV_PressureUpperRangeValue{
   LABEL PressureUpperRangeValueTEXT
   CLASS LOCAL;
   HANDLING READ;
   VALIDITY IF(Val254) {TRUE;}ELSE{FALSE;}
   TYPE ENUMERATED  {
       DEFAULT_VALUE 0;
       {  0, "|en|see menu Device:Measure Limits|de|siehe Men Gert: Messgrenzen" }
   }
}

VARIABLE TitleVmethod_AcceptPressureLowerRangeValue  {
   LABEL "|en|Get Lrv|de|Messanfg Nehmen|fr|Valide.Dbut ch|it|Conferm.Iniz.Mis"; 
   CLASS LOCAL;
   HANDLING READ;
   VALIDITY IF(Val254) {TRUE;}ELSE{FALSE;}
   TYPE ENUMERATED  {
       DEFAULT_VALUE 0;
       {  0, "|en|see menu Device:Measure Limits|de|siehe Men Gert: Messgrenzen" }
   }
}



VARIABLE TitleVmethod_AcceptPressureUpperRangeValue {
   LABEL "|en|Get Urv|de|Messende Nehmen|fr|Valider Fin ch.|it|Impost. Fine Mis"; 
   CLASS LOCAL;
   HANDLING READ;
   VALIDITY IF(Val254) {TRUE;}ELSE{FALSE;}
   TYPE ENUMERATED  {
       DEFAULT_VALUE 0;
       {  0, "|en|see menu Device:Measure Limits|de|siehe Men Gert: Messgrenzen"}
   }
}



VARIABLE TitleVmethod_Sil_Procedure   {
   LABEL "|en|Confirm|de|Besttigen|fr|Validation|it|Confermare";
   CLASS LOCAL;
   HANDLING READ;
   TYPE ENUMERATED  {
       DEFAULT_VALUE 0;
       {  0,  "|en|see menu Device:Safety Confirm.|de|siehe Men Gert: Sich.Besttigung"}
   }
}
 

VARIABLE TitleVmethod_Pressure1LowerCalWritten   {
   LABEL "|en|Low Sensor Trim|de|Low Sensor Trim|fr|talonn.Cell.0%|it|Aggiu. 0% Cella"; 
   CLASS LOCAL;
   HANDLING READ;
   VALIDITY IF(Val116){TRUE;} ELSE {FALSE;}
   TYPE ENUMERATED  {
       DEFAULT_VALUE 0;
       {  0, "|en|see menu Device:Sensor Trim|de|siehe Men Gert: Sensor Trimm"}
   }
}
 

VARIABLE TitleVmethod_Pressure1UpperCalWritten   {
   LABEL "|en|High Sensor Trim|de|High Sensor Trim|fr|talon.Cell.100%|it|Aggiu.100% Cella"; 
   CLASS LOCAL;
   HANDLING READ;
   TYPE ENUMERATED  {
       DEFAULT_VALUE 0;
       {  0, "|en|see menu Device:Sensor Trim|de|siehe Men Gert: Sensor Trimm"}
   }
}
 



VARIABLE  TitleV_Limits {
        LABEL   "|en|User Limits|de|Benutzergrenzen|fr|User Limits|it|Limiti Utente" ;
	CLASS 	LOCAL ;
	HANDLING  READ ;
        TYPE    ENUMERATED              {
                DEFAULT_VALUE 0;
                {       0,      [EnumTitleUserLimits] }
        }
}
VARIABLE  TitleV_ExtendedCalibration {
	LABEL 	[LabTitleExtendedCalibration] ;
	CLASS 	LOCAL ;
	HANDLING  READ ;
	TYPE 	ENUMERATED	        {
                DEFAULT_VALUE 0;
                {       0,      [EnumTitleExtendedCalibration] }
        }
}
VARIABLE  TitleV_unbiased_pressure {
        LABEL   [LABEL81] ;
	CLASS 	LOCAL ;
	HANDLING  READ ;
	TYPE 	ENUMERATED	        {
                DEFAULT_VALUE 0;
                {       0,      [std_display_enum] }
        }
}


VARIABLE  TitleV_SensorParameter {
        LABEL   [LabTitleSensorParameter] ;
	CLASS 	LOCAL ;
	HANDLING  READ ;
	TYPE 	ENUMERATED	        {
                DEFAULT_VALUE 0;
                {       0,      [EnumTitleSensorParameter] }
        }
}

VARIABLE  TitleV_min_max {
        LABEL   "|en|Peak Hold Indicator|de|Schleppzeiger|fr|Peak Hold|it|Indicatore Picco";
	CLASS 	LOCAL ;
	HANDLING  READ ;
	TYPE 	ENUMERATED	        {
                DEFAULT_VALUE 0;
                {       0,      [std_min_max_enum] }
        }
}


VARIABLE  TitleV_Userinformation {
        LABEL   [LabTitleUserinformation] ;
	CLASS 	LOCAL ;
	HANDLING  READ ;
	TYPE 	ENUMERATED	        {
                DEFAULT_VALUE 0;
                {       0,      [EnumTitleUserinformation] }
        }
}


VARIABLE  TitleDisplay {
	LABEL 	[LabTitleDisplay] ;
	CLASS 	LOCAL ;
	HANDLING  READ ;
	TYPE 	ENUMERATED	        {
                DEFAULT_VALUE 0;
                {       0,      [EnumTitleDisplay] }
        }
}


/*****************************************************************************/
/*****************************************************************************/

VARIABLE  TitleDiagnostics {
	LABEL 	[LabTitleDiagnostics] ;
	CLASS 	LOCAL ;
	HANDLING  READ ;
	TYPE 	ENUMERATED	        {
                DEFAULT_VALUE 0;
                {       0,      [EnumTitleDiagnostics] }
        }
}


/*****************************************************************************/
/*****************************************************************************/

VARIABLE  TitleSystemParameter {
	LABEL 	[LabTitleSystemParameter] ;
	CLASS 	LOCAL ;
	HANDLING  READ ;
	TYPE 	ENUMERATED	        {
                DEFAULT_VALUE 0;
                {       0,      [EnumTitleSystemParameter] }
        }
}


/*****************************************************************************/
/*****************************************************************************/

VARIABLE  DummySetUnitToBus {
	LABEL 	"|en|set unit to bus|de|Setze Einh. Out" ;
	CLASS 	LOCAL ;
	HANDLING  READ ;
	TYPE 	ENUMERATED	        {
                DEFAULT_VALUE 0;
                {       0,      [EnumSetUnitToBus] }
        }
}


/*****************************************************************************/
/*****************************************************************************/

VARIABLE  TitleDiagnosticsReset {
	LABEL 	[LabTitleDiagnosticsReset] ;
	CLASS 	LOCAL ;
	HANDLING  READ ;
	TYPE 	ENUMERATED	        {
                DEFAULT_VALUE 0;
                {       0,      [EnumTitleDiagnosticsReset] }
        }
}


/*****************************************************************************/
/*****************************************************************************/

VARIABLE  TitleHartParameter {
	LABEL 	[LabTitleHartParameters] ;
	CLASS 	LOCAL ;
	HANDLING  READ ;
	TYPE 	ENUMERATED	        {
                DEFAULT_VALUE 0;
                {       0,      [EnumTitleHartParameters] }
        }
}


/*****************************************************************************/
/*****************************************************************************/

VARIABLE  TitleOperationCode {
	LABEL 	[LabTitleOperationCode] ;
	CLASS 	LOCAL ;
	HANDLING  READ ;
	TYPE 	ENUMERATED	        {
                DEFAULT_VALUE 0;
                {       0,      [EnumTitleOperationCode] }
        }
}



MENU   Table_Main_Maintenance {
        LABEL   DEVICENAME ;
        ITEMS {
                EH_S_Matrix
                DisplayLanguage,                          /* 79  SPRACHE */
                OperatingMode,                            /* 389  BETRIEBSART */
                mnuEhIdent
        }
}

/*****************************************************************************/
/*****************************************************************************/

MENU   Menu_Main_Specialist {
	LABEL 	[main_menu] ;
	ITEMS {
		Menu_File,
		Menu_S_Device,
		Menu_S_View,
		Menu_S_Options,
		Menu_Help
	}
}

/*****************************************************************************/
/*****************************************************************************/

MENU   Menu_Main_Maintenance {
      LABEL   [main_menu] ;
     ITEMS {
              Menu_File,
              Menu_S_Device,
              Menu_S_View,
              Menu_S_Options,
              Menu_Help
          }
        }

MENU   Menu_S_Device {
	LABEL 	[menu_Device] ;
	ITEMS {
                OnlineDialog_Device_NodeAddress,
		SEPARATOR,
		std_LoadinDevice,
		std_LoadinPC,
		SEPARATOR,
		OnlineDialog_hart_comm,
//                std_CommWay,
		SEPARATOR,
                OnlineDialog_method_Pressure1AcceptZeroInstallOffset
                OnlineDialog_method_Sil_Procedure
                OnlineDialog_limits,
                OnlineDialog_Simulation,
                IF  (SWLock == SERVICE_SUPER_PIN)
                  {OnlineDialog_SensorTrim}
                IF (Val213)
                      {OnlineDialog_linear}
                SEPARATOR,
                IF(HistoromAvailable == eHA_YES)
                {OnlineDialog_DatHandling}
                OnlineDialog_SystemReset,
                OnlineDialog_AccessCode
        }
}


/*****************************************************************************/
/*****************************************************************************/

MENU   mnuEhIdent{
        LABEL   [EH_Ident_Level];
	ITEMS {
		mnuUnivIdent
	}
}

/*****************************************************************************/
/*****************************************************************************/

MENU   mnuUnivIdent{
	LABEL 	[menu_ident];
	ITEMS {
		Tab_ident_opunit_universal,
		Tab_ident_device
	}
}

/*****************************************************************************/
/*****************************************************************************/

MENU   Tab_ident_opunit_universal{
	LABEL 	[menu_ident_opunit];
	ITEMS {
		tag,
		descriptor,
		message
	}
}

/*****************************************************************************/
/*****************************************************************************/

MENU   Tab_ident_device{
	LABEL 	[menu_ident_device];
	ITEMS {
		manufacturer_id,
		device_type,
		device_id,
		universal_revision,
		transmitter_revision,
		software_revision,
		hardware_revision,
		device_flags,
		physical_signaling_code,
		final_assembly_number,
		write_protect,
		date
	}
}


METHOD write_value
	{
  LABEL "Update|de|Speichern"; \
  CLASS COMPUTATION;
  DEFINITION
		{		
		
		}
}

MENU OnlineDialog_method_Sil_Procedure
{
   ACCESS ONLINE;
   LABEL "|en|Safety Confirm|de|Sich.Besttigung|fr|Validation|it|Confermare";

   ITEMS        
   { 
        Sil_ProcedureSTEP1
        IF ((SilModeAllowed==1) && (SilLockStatus==eSLS_UNLOCKED))
        {
                Sil_ProcedureSTEP2            
                Sil_ProcedureSTEP3            
        }
   }
}
MENU Sil_ProcedureSTEP1
{
   ACCESS ONLINE;
   LABEL "|en|Step1|de|Schritt1";

   ITEMS        
   { 
        SilModeAllowed(READ_ONLY)
        SilLockStatus
        SilLock
        SilPasswordStart
   }
}
MENU Sil_ProcedureSTEP2
{
   ACCESS ONLINE;
   LABEL "|en|Parameter Confirm|de|Werte besttigen";

   ITEMS        
   { 

            SilDigitsTestString(READ_ONLY)
            SilCurrentOutputResumed(READ_ONLY)
            AcknowledgeAlarmMode(READ_ONLY)                 
            Pressure1InstallOffset(READ_ONLY)
            OperatingMode(READ_ONLY)         

            IF (OperatingMode== eOM_PRESSURE)
            {
                PressureLowerRangeValue(READ_ONLY)
                PressureUpperRangeValue(READ_ONLY)
                ActivePressure1Damping(READ_ONLY)             
                SEPARATOR
                SilDigitsTestAck
                SilCurrentOutput
                SilAcknowledgeAlarmMode
                SilPressure1InstallOffset
                SilOperatingMode
                SilLowerRangeValue
                SilUpperRangeValue
                SilPressure1Damping

             }
             IF (OperatingMode== eOM_LEVEL && ConfigurationType == eCT_EASYPRESSURELEVEL)
             {
                LowLevelPressureEasy(READ_ONLY)
                LowLevelEasy(READ_ONLY)
                HighLevelPressureEasy(READ_ONLY)
                HighLevelEasy(READ_ONLY)
                MinOutCurrentEasy(READ_ONLY)
                MaxOutCurrentEasy(READ_ONLY)
                ActivePressure1Damping(READ_ONLY)             
 
                SEPARATOR
                SilDigitsTestAck
                SilCurrentOutput
                SilAcknowledgeAlarmMode
                SilPressure1InstallOffset
                SilOperatingMode

                SilLowLevelPressureEasy
                SilLowLevelEasy
                SilHighLevelPressureEasy
                SilHighLevelEasy
                SilLowerRangeValueEasy
                SilUpperRangeValueEasy
                SilPressure1Damping
               }
             IF (OperatingMode==eOM_FLOW)
             {
                FlowLowerRangeValue(READ_ONLY)
                FlowUpperRangeValue(READ_ONLY)
                FlowMax(READ_ONLY) 
                FlowMaxPressure(READ_ONLY)
                CreepFlowSuppressionEnable(READ_ONLY)
                CreepFlowSuppressionOffThreshold(READ_ONLY)
                FlowMode(READ_ONLY)
                Pressure1Unit(READ_ONLY)
                ActivePressure1Damping(READ_ONLY)             

                SEPARATOR
   
                SilDigitsTestAck
                SilCurrentOutput
                SilAcknowledgeAlarmMode
                SilPressure1InstallOffset
                SilOperatingMode 
                SilFlowMax                      
                SilFlowMaxPressure
                SilCreepFlowSuppressionEnable
                SilCreepFlowSuppressOffThreshold
                SilLowerRangeValue
                SilUpperRangeValue
                SilFlowmode       
                SilPressure1Damping
             }
   }
}
MENU Sil_ProcedureSTEP3
{
   ACCESS ONLINE;
   LABEL "|en|End Confirming|de|Ende Besttigung|fr|Validation|it|Confermare";

   ITEMS        
   { 
        SilModeAllowed(READ_ONLY)
        SilLockStatus(READ_ONLY)
        SilPasswordEnd       
   }
}
 
/*****************************************************************************/
/*****************************************************************************/

MENU   OnlineDialog_AccessCode{
	LABEL 	"|en|Access Code|de|Code Eingabe";
	ACCESS OFFLINE;
	ITEMS {
		Page_AccessCode,
//                Page_PrivateCode
	}
}

/*****************************************************************************/
/*****************************************************************************/

SWLockLocal LIKE VARIABLE SWLock
{
  REDEFINE CLASS LOCAL;
  REDEFINE DEFAULT_VALUE 0;  
  REDEFINE POST_EDIT_ACTIONS
  {
       UpdateAccessCode
  }
}

MENU   Page_AccessCode{
	LABEL 	"|en|ACCESS CODE|de|CODE EINGABE|fr|ENTREE CODE|it|CODICE ACCESSO";
	ITEMS {
                write_protect_code (READ_ONLY),
                HMISTATELOCKING(READ_ONLY),
                SWLockLocal
                UpdateAccessCode
	}
}

/*****************************************************************************/
/*****************************************************************************/

MENU   Page_PrivateCode{
	LABEL 	"|en|DEF.PRIVATE CODE|de|KUNDENCODE|fr|CODE UTILISATEUR|it|CODICE PRIVATO";
	ITEMS {
		Private_Code_Field,
		HMISTATELOCKING(READ_ONLY),
		UpdatePrivateCode
	}
}

/*****************************************************************************/
/*****************************************************************************/
MENU OnlineDialog_method_Pressure1AcceptZeroInstallOffset 
{
   LABEL "|en|Position Adjust.|de|Lageabgleich";
   ITEMS
    {
           method_Pressure1AcceptZeroInstallOffset
           Pressure1AfterDamping(READ_ONLY)
     }
}

MENU   OnlineDialog_SystemReset{
        LABEL   [LABEL68];
	ITEMS {
                ResetInputValue,
                ResetAlarmHistory,
                Totalizer1Reset                   /* 107  RESET TOTALIZER1  */
	}
}

MENU   OnlineDialog_DatHandling{
        LABEL DatHandlingTEXT
	ITEMS {
                method_DatHandling
        }

}



/*****************************************************************************/
/*****************************************************************************/

PressureLowerRangeValueLocal LIKE VARIABLE PressureLowerRangeValue
{
  REDEFINE CLASS LOCAL;
  DELETE POST_WRITE_ACTIONS;
  DELETE PRE_EDIT_ACTIONS;
  DELETE PRE_WRITE_ACTIONS;
  DELETE PRE_READ_ACTIONS;
}
PressureUpperRangeValueLocal LIKE VARIABLE PressureUpperRangeValue
{
  REDEFINE CLASS LOCAL;
  DELETE POST_WRITE_ACTIONS;
  DELETE PRE_EDIT_ACTIONS;
  DELETE PRE_WRITE_ACTIONS;
  DELETE PRE_READ_ACTIONS;
}

LevelLowerRangeValueLocal LIKE VARIABLE LevelLowerRangeValue
{
  REDEFINE CLASS LOCAL;
  DELETE POST_WRITE_ACTIONS;
  DELETE PRE_EDIT_ACTIONS;
  DELETE PRE_WRITE_ACTIONS;
  DELETE PRE_READ_ACTIONS;
}

LevelUpperRangeValueLocal LIKE VARIABLE LevelUpperRangeValue
{
  REDEFINE CLASS LOCAL;
  DELETE POST_WRITE_ACTIONS;
  DELETE PRE_EDIT_ACTIONS;
  DELETE PRE_WRITE_ACTIONS;
  DELETE PRE_READ_ACTIONS;
}


FlowLowerRangeValueLocal LIKE VARIABLE FlowLowerRangeValue
{
  REDEFINE VALIDITY TRUE;
}

FlowUpperRangeValueLocal LIKE VARIABLE FlowUpperRangeValue
{
  REDEFINE VALIDITY TRUE;
}

CreepFlowSuppressionOffThresholdLocal LIKE VARIABLE CreepFlowSuppressionOffThreshold
{
  REDEFINE VALIDITY TRUE;
}


SilDigitsTestAckLocal LIKE VARIABLE SilDigitsTestAck 
{
   REDEFINE CLASS LOCAL;

}

SilCurrentOutputLocal LIKE VARIABLE SilCurrentOutput 
{
   REDEFINE CLASS LOCAL;
}
SilAcknowledgeAlarmModeLocal LIKE VARIABLE SilAcknowledgeAlarmMode 
{
   REDEFINE CLASS LOCAL;
}

SilPressure1InstallOffsetLocal LIKE VARIABLE SilPressure1InstallOffset 
{
   REDEFINE CLASS LOCAL;
}

SilOperatingModeLocal LIKE VARIABLE SilOperatingMode 
{
   REDEFINE CLASS LOCAL;
}

SilLowerRangeValueLocal LIKE VARIABLE SilLowerRangeValue 
{
   REDEFINE CLASS LOCAL;
}
SilLowerRangeValueLocal LIKE VARIABLE SilLowerRangeValue 
{
   REDEFINE CLASS LOCAL;
}
SilHighLevelEasyLocal LIKE SilHighLevelEasy
{ 
   REDEFINE CLASS LOCAL;
}

SilHighLevelPressureEasyLocal LIKE SilHighLevelPressureEasy
{
      REDEFINE CLASS LOCAL;
}
SilLowerRangeValueEasyLocal LIKE SilLowerRangeValueEasy
{
      REDEFINE CLASS LOCAL;
}
SilLowLevelEasyLocal LIKE SilLowLevelEasy
{
      REDEFINE CLASS LOCAL;
}
SilLowLevelPressureEasyLocal LIKE SilLowLevelPressureEasy
{
      REDEFINE CLASS LOCAL;
}
SilUpperRangeValueEasyLocal LIKE SilUpperRangeValueEasy
{
      REDEFINE CLASS LOCAL;
}

SilUpperRangeValueLocal LIKE VARIABLE SilDigitsTestAck
//SilUpperRangeValueLocal LIKE VARIABLE SilUpperRangeValue 
{
   REDEFINE CLASS LOCAL;
}


SilFlowMaxLocal  LIKE VARIABLE SilFlowMax 
{
   REDEFINE CLASS LOCAL;
}

SilFlowMaxPressureLocal LIKE VARIABLE SilFlowMaxPressure 
{
   REDEFINE CLASS LOCAL;
}

SilCreepFlowSuppressionEnableLocal LIKE VARIABLE SilCreepFlowSuppressionEnable 
{
   REDEFINE CLASS LOCAL;
}

SilCreepFlowSuppressOffThresholdLocal LIKE VARIABLE SilCreepFlowSuppressOffThreshold 
{
   REDEFINE CLASS LOCAL;
}

SilFlowmodeLocal LIKE VARIABLE SilDigitsTestAck
//SilFlowmodeLocal LIKE VARIABLE SilFlowmode
{
   REDEFINE CLASS LOCAL;
}

SilPressure1DampingLocal LIKE VARIABLE SilDigitsTestAck
//SilPressure1DampingLocal LIKE VARIABLE SilPressure1Damping 
{
   REDEFINE CLASS LOCAL;
}


SilPasswordStartLocal LIKE VARIABLE SilPasswordStart
{
  REDEFINE CLASS LOCAL;
}


VARIABLE SilPrepared
{
  CLASS LOCAL;
  VALIDITY TRUE;
  HANDLING READ&WRITE;
  TYPE INTEGER(2);
}







MENU OnlineDialog_SensorTrim  
{
   LABEL "|en|Sensor Trim|de|Sensor Trimm" ;
   ITEMS    
   {
        method_Pressure1LowerCalWritten   ,
        method_Pressure1UpperCalWritten
   }
}
 

MENU OnlineDialog_limits
{
    LABEL           [Enum_UserLimits];
    ITEMS
    {
         IF(Val254)
         { 
             Pressure1AfterDamping(READ_ONLY),
             PressureLowerRangeValue,           /* 204   MESSANFNG SETZEN */
             PressureUpperRangeValue,           /* 205   MESSENDE SETZEN  */
         }
         IF(Val201)
         { 

                LevelLowerRangeValue,                                         /* 719 MESSANFNG SETZEN */
                LevelUpperRangeValue,                                         /* 720 MESSENDE SETZEN  */
         }
         method_AcceptPressureLowerRangeValue,/* 202 MESSANFNG NEHMEN */
         method_AcceptPressureUpperRangeValue,/* 203 MESSENDE NEHMEN */          
    }
}


MENU OnlineDialog_linear
{
	LABEL		[menu_linearisation_mode];
    ITEMS
    {
        TankContentMin//    method_LinearizationTablePostEdit,        /* 770  TABELLENEDITOR */

        TankContentMax
        LinearizationTableSelection
        LinearisationTableMode
        LinearizationTablePreEdit
        LinearisationTableIndex
        LinearisationTableXValue
        ReadOnlyLinearisationTableXValue
        LinearisationTableYValue
        LinearisationTableXBuffer
        LinearisationTableYBuffer
        LevelTankDescription
    }
}

MENU Group_linearization_status
{
	LABEL		[diag_status];
	ITEMS
	{
          ActualHighestAlarm,                /* 046   DIAGNOSE CODE          */
          LastAlarmInfo                      /* 145   LETZTE DIAG.CODE       */
        }
}


/*****************************************************************************/
/*****************************************************************************/



METHOD UpdateAccessCode
{
        LABEL "|en|Transfer|de|bertragen";
	DEFINITION
	{
              int ret;
              char status[STATUS_SIZE];
               if (SWLockLocal == SERVICE_SUPER_PIN)
                {
                        HMISTATELOCKING = 2;
                }
               else if (SWLockLocal == USER_UNLOCK_CODE_PIN )
                {
                        HMISTATELOCKING = 1;
                }
              else
                {
                        HMISTATELOCKING= 0;
                }

                iassign(SWLock,SWLockLocal);
                local_abort = 0; //kein Abbruch
                iassign(variable_array_index_1,156 ); 
                ret = send_command(173);
                iassign(SWLock,SWLockLocal);
                SWLockLocal = 0;
        }
}

/*****************************************************************************/
/*****************************************************************************/

METHOD UpdatePrivateCode
{
        LABEL "|en|Transfer|de|bertragen";
	DEFINITION
	{
                if (HMISTATELOCKING != 0)
                {
                        HMIPRIVATECODE = Private_Code_Field;
                }
                Private_Code_Field = 0;
	}
}


/*****************************************************************************/
/*****************************************************************************/

VARIABLE  HMIACCESSCODE{
	LABEL 	"|en|ACCESS CODE|de|CODE EINGABE|fr|ENTREE CODE|it|CODICE ACCESSO" ;
        CLASS   DEVICE ;
	VALIDITY  TRUE ;
	HANDLING  READ&WRITE ;
	CONSTANT_UNIT  "|en|" ;
	TYPE  FLOAT  {
		DISPLAY_FORMAT	"4.0f" ;
		EDIT_FORMAT	"4.0f" ;
		MIN_VALUE 	0.000000e+000 ;
		MAX_VALUE	9.999000e+003 ;
		DEFAULT_VALUE	0 ;
		INITIAL_VALUE	0 ;
	}
	POST_WRITE_ACTIONS  {
		SetFloatValToZero
	}
}


/*****************************************************************************/
/*****************************************************************************/

VARIABLE  Private_Code_Field{
	LABEL 	"|en|DEF.PRIVATE CODE|de|KUNDENCODE|fr|CODE UTILISATEUR|it|CODICE PRIVATO" ;
	CLASS 	LOCAL ;
	VALIDITY  TRUE ;
	HANDLING  IF (HMISTATELOCKING==1)
      {READ & WRITE;}
    ELSE {READ;}

	TYPE  FLOAT  {
		DISPLAY_FORMAT	"4.0f" ;
		EDIT_FORMAT	"4.0f" ;
		MIN_VALUE 	0.000000e+000 ;
		MAX_VALUE	9.999000e+003 ;
		DEFAULT_VALUE	0 ;
		INITIAL_VALUE	0 ;
	}
}

/*****************************************************************************/
/*****************************************************************************/

VARIABLE  HMIPRIVATECODE{
	LABEL 	"|en|DEF.PRIVATE CODE|de|KUNDENCODE|fr|CODE UTILISATEUR|it|CODICE PRIVATO" ;
	CLASS 	LOCAL ;
	VALIDITY  TRUE ;
	HANDLING  IF (HMISTATELOCKING==2) {READ & WRITE;} ELSE {READ;}
 ;
	CONSTANT_UNIT  "|en|" ;
	TYPE  FLOAT  {
		DISPLAY_FORMAT	"4.0f" ;
		EDIT_FORMAT	"4.0f" ;
		MIN_VALUE 	0.000000e+000 ;
		MAX_VALUE	9.999000e+003 ;
		DEFAULT_VALUE	50 ;
		INITIAL_VALUE	50 ;
	}
	POST_READ_ACTIONS  {
		SetFloatValToZero
	}
	POST_WRITE_ACTIONS  {
		SetFloatValToZero
	}
}


/*****************************************************************************/
/*****************************************************************************/

VARIABLE  HMISTATELOCKING{
	LABEL 	"|en|STATUS ACCESS|de|ZUSTAND ZUGRIFF|fr|ACCES ETAT FONCT|it|STATO ACCESSO" ;
	CLASS 	LOCAL ;
	VALIDITY  TRUE ;
        HANDLING  READ & WRITE;
	TYPE 	ENUMERATED (1)	{
        DEFAULT_VALUE 0;
      {0, "|en|LOCKED|de|VERRIEGELT|fr|VERROUILLE|it|BLOCCATO"},
      {1, "|en|ACCESS CUSTOMER|de|ZUGRIFF KUNDE|fr|ACCES UTILISAT.|it|ACCESSO UTENTE"},
      {2, "|en|ACCESS SERVICE|de|ZUGRIFF SERVICE|fr|ACCES SERVICE|it|ACCESSO SERVICE"},
      {3, "|en|ACCESS ADMINISTR"}
   }
}

/*****************************************************************************/
/*****************************************************************************/

METHOD SetFloatValToZero
	{
	LABEL "SetFloatValToZero";
	CLASS DEVICE;
	DEFINITION
		{
    fsetval(0.0);
    }
  }


/*****************************************************************************/
/*****************************************************************************/



VARIABLE TitleV_HMIACCESSCODE__Access_Code {
        LABEL [std_V9H9];
	CLASS LOCAL ;
	TYPE ENUMERATED {
		DEFAULT_VALUE 0 ;
		{ 0,  [Enum_Access_Code] }
	}
}
/*****************************************************************************/
/*****************************************************************************/


VARIABLE TitleV_System_ResetTotalizer  {
        LABEL   [LABEL681];
        CLASS LOCAL ;
	TYPE ENUMERATED {
		DEFAULT_VALUE 0 ;
                { 0,  [Enum_System_Reset] }
	}
}

VARIABLE TitleV_System_Reset {
        LABEL   [LABEL68];
        CLASS LOCAL ;
	TYPE ENUMERATED {
		DEFAULT_VALUE 0 ;
                { 0,  [Enum_System_Reset] }
	}
}

VARIABLE TitleV_DatHandling{
        LABEL DatHandlingTEXT
        CLASS LOCAL ;
	TYPE ENUMERATED {
		DEFAULT_VALUE 0 ;
                { 0,  [Enum_MenuDatHandling] }
	}
       VALIDITY IF(HistoromAvailable == eHA_YES)
       {
        TRUE;
       }
       ELSE
       {
        FALSE;
       }

}

/*****************************************************************************/
/*****************************************************************************/

VARIABLE TitleV_Device_Linearisation {
   LABEL LinearizationTablePostEditTEXT
        CLASS LOCAL ;
   VALIDITY IF(Val204)
       {
        TRUE;
       }
       ELSE
       {
        FALSE;
       }
        TYPE ENUMERATED {
		DEFAULT_VALUE 0 ;
                { 0,  [EnumTitleLinearisation] }
	}
}
/*****************************************************************************/
/*****************************************************************************/

VARIABLE TitleV_xy_table_X{
        LABEL   [LABEL51];
        CLASS LOCAL ;
	TYPE ENUMERATED {
		DEFAULT_VALUE 0 ;
                { 0,  [EnumTitleLinearisation] }
	}
}

/*****************************************************************************/
/*****************************************************************************/

VARIABLE TitleV_xy_table_Y{
        LABEL   [LABEL52];
        CLASS LOCAL ;
	TYPE ENUMERATED {
		DEFAULT_VALUE 0 ;
                { 0,  [EnumTitleLinearisation] }
	}
}
/*****************************************************************************/
/*****************************************************************************/

VARIABLE TitleV_xy_table_index_1{
        LABEL   [LABEL39];
        CLASS LOCAL ;
	TYPE ENUMERATED {
		DEFAULT_VALUE 0 ;
                { 0,  [EnumTitleLinearisation] }
	}
}

/*****************************************************************************/
/*****************************************************************************/

MENU OnlineDialog_Simulation
{
	LABEL		[std_V9H6];
	ITEMS
	{
            Page_simulation
         }
}

/*****************************************************************************/
/*****************************************************************************/

MENU Page_simulation
{
	LABEL		[std_V9H6];
	ITEMS
	{
          OperatingMode(READ_ONLY),
          SimulationMode,                                               /* 413 SIMULATION       */        
	  Pressure1SimulationValue,  				/* 414 SIM.DRUCKWERT   	*/
	  FlowSimulationValue,						/* 639 SIM.DURCHFL.WERT */	  
	  LevelSimulationValue,						/* 714 SIM.FLL.V.LIN.  */
	  TankContentSimulationValue,				/* 715 SIM.TANKINHALT 	*/
	  CurrentSimulationValue,    				/* 270 SIM.STROMWERT    */
	  AlarmSimulationValue      				/* 476 SIM.FEHLER NR.   */
        }
}

/*****************************************************************************/
/*****************************************************************************/

VARIABLE TitleV_simulation_mode {
        LABEL   [std_V9H6];
        CLASS LOCAL ;
	TYPE ENUMERATED {
		DEFAULT_VALUE 0 ;
                { 0,  [std_simul_enum] }
	}
}

/*****************************************************************************/
/*****************************************************************************/

VARIABLE TitleV_simulation_value {
        LABEL   SimulatL;
        CLASS LOCAL ;
	TYPE ENUMERATED {
		DEFAULT_VALUE 0 ;
                { 0,  [std_simul_enum] }
	}
}


/*****************************************************************************/
/*****************************************************************************/

MENU   Menu_S_View{
	LABEL 	[menu_View];
	ITEMS {
		OnlineWindow_display,
		OnlineWindow_yt,
		OnlineWindow_diagnosis,
		SEPARATOR,
                OnlineWindow_indicators,
		SEPARATOR,
		std_Funktionsleiste,
		std_Statuszeile,
		SEPARATOR,
		std_Update
	}
}


/*******************************************************************************/
/*****	Online-Windows  ********************************************************/
/*******************************************************************************/

MENU   OnlineWindow_display{
	LABEL 	[menu_dialog_display];
	ITEMS {
		Page_DisplayBars
	}
}


/*****************************************************************************/
/*****************************************************************************/

MENU   Page_DisplayBars{
	LABEL 	[menu_dialog_display];
	ITEMS {
                group_BarGraphDisplay1,
                group_BarGraphDisplay2,
                group_BarGraphDisplay3,
                group_BarGraphDisplay4,

                Val_measured_parameter1,
                Val_measured_parameter2,
                Val_measured_parameter3,
                Val_measured_parameter4,

          ActualAlarmInfo_io,                     /* 046   DIAGNOSE CODE          */
          LastAlarmInfo                             /* 145   LETZTE DIAG.CODE       */
	}
}
/*****************************************************************************/
/*****************************************************************************/


MENU   group_BarGraphDisplay1{
        LABEL   [LABEL32];
        ITEMS {
                BarVal_measured_parameter1
	}
}
MENU   group_BarGraphDisplay2{
        LABEL   [LABEL32];
        ITEMS {
                BarVal_measured_parameter2
	}
}
MENU   group_BarGraphDisplay3{
        LABEL   [LABEL32];
        ITEMS {
                BarVal_measured_parameter3
	}
}
MENU   group_BarGraphDisplay4{
        LABEL   [LABEL32];
        ITEMS {
                BarVal_measured_parameter4
	}
}
/*****************************************************************************/
/*****************************************************************************/

MENU   Val_measured_parameter1{
        LABEL           transmitter_variables[primary_variable_code].DIGITAL_VALUE.LABEL;
        ITEMS
        {

                transmitter_variables[primary_variable_code].DIGITAL_VALUE        
         }
}
MENU   Val_measured_parameter2{
        LABEL           transmitter_variables[secondary_variable_code].DIGITAL_VALUE.LABEL;
	ITEMS
        {

                transmitter_variables[secondary_variable_code].DIGITAL_VALUE
        }
}
MENU   Val_measured_parameter3{
        LABEL           transmitter_variables[tertiary_variable_code].DIGITAL_VALUE.LABEL;        

        ITEMS
        {

                transmitter_variables[tertiary_variable_code].DIGITAL_VALUE
        }
}
MENU   Val_measured_parameter4{
        LABEL           transmitter_variables[fourth_variable_code].DIGITAL_VALUE.LABEL;
	ITEMS
        {

                transmitter_variables[fourth_variable_code].DIGITAL_VALUE
        }
}

MENU   BarVal_measured_parameter1{
        LABEL           transmitter_variables[primary_variable_code].DIGITAL_VALUE.LABEL;
	ITEMS
        {

                transmitter_variables[primary_variable_code].DIGITAL_VALUE
                transmitter_variables[primary_variable_code].LOWER_RANGE_VALUE
                transmitter_variables[primary_variable_code].UPPER_RANGE_VALUE
        }
}

MENU   BarVal_measured_parameter2{
        LABEL           transmitter_variables[secondary_variable_code].DIGITAL_VALUE.LABEL;
	ITEMS
        {
                transmitter_variables[secondary_variable_code].DIGITAL_VALUE
                transmitter_variables[secondary_variable_code].LOWER_RANGE_VALUE
                transmitter_variables[secondary_variable_code].UPPER_RANGE_VALUE
        }
}

MENU   BarVal_measured_parameter3{
        LABEL           transmitter_variables[tertiary_variable_code].DIGITAL_VALUE.LABEL;
	ITEMS
        {
                transmitter_variables[tertiary_variable_code].DIGITAL_VALUE
                transmitter_variables[tertiary_variable_code].LOWER_RANGE_VALUE
                transmitter_variables[tertiary_variable_code].UPPER_RANGE_VALUE
        }
}

MENU   BarVal_measured_parameter4{
        LABEL           transmitter_variables[fourth_variable_code].DIGITAL_VALUE.LABEL;
	ITEMS
        {
                transmitter_variables[fourth_variable_code].DIGITAL_VALUE
                transmitter_variables[fourth_variable_code].LOWER_RANGE_VALUE
                transmitter_variables[fourth_variable_code].UPPER_RANGE_VALUE
        }
}

/*****************************************************************************/
/*****************************************************************************/

MENU   Val_SysCond{
        LABEL   "";
	ITEMS {
          ActualHighestAlarm,                     /* 046   DIAGNOSE CODE          */
          LastAlarmInfo                             /* 145   LETZTE DIAG.CODE       */
        }
}
/*****************************************************************************/
/*****************************************************************************/

MENU   OnlineWindow_diagnosis{
	LABEL 	[menu_dialog_diagnosis];
	ITEMS {
                OnlineWindow_diagnosis_device,
		Page_diagnosis_part_1
	}
}

MENU   OnlineWindow_diagnosis_device{
	LABEL 	[menu_ident_device];
	ITEMS {
		tag (READ_ONLY),
                //unit_tag (READ_ONLY),
		manufacturer_id,
		device_id,
		device_type,
		software_revision,
		hardware_revision,
		transmitter_revision,
		universal_revision
	}
}
MENU   Page_diagnosis_part_1{
	LABEL 	[menu_diagnosis];
	ITEMS {
          ActualAlarmInfo_io,                /* 046   DIAGNOSE CODE          */
          LastAlarmInfo,                             /* 145   LETZTE DIAG.CODE       */
          AcknowledgeAlarmMode,                      /* 401  MODUS ALARMQUIT.        */
          AcknowledgeAlarm,                          /* 164   ALARM QUITTIEREN       */
          ResetAlarmHistory,                         /* 603   RESET MELDUNGEN        */
          ChooseErrorOrWarning,              /* 171   AUSWAHL ALARME         */
          ReactionOnAlarmNr,                         /* 600   MELDUNGS Nr.           */
          AlarmSetupTime,                    /* 165   ALARMVERZGERUNG       */
          AlarmHoldTime                      /* 166   ALARMHALTEZEIT         */
        }
}

MENU OnlineWindow_indicators
{
        LABEL    [std_min_max];
	ITEMS
	{
                ResetableOverPressure1Counter,            /* 380  ZHLER P > Pmax */
                Pressure1MaxResetable,                    /* 383  MAXIMALER DRUCK */
                ResetableUnderPressure1Counter,           /* 467  ZHLER  P < Pmin */
                Pressure1MinResetable,                    /* 469  MINIMALER DRUCK */
                ResetableOverTemperature1Counter,         /* 404  ZHLER T > Tmax */
                Temperature1MaxResetable,                 /* 471  MAXIMALE TEMP. */
                ResetableUnderTemperature1Counter,        /* 472  ZHLER T < Tmin */
                Temperature1MinResetable,                 /* 474  MINIMALE TEMP. */
                OverTemperature3Counter,                  /* 488  ZHL. EL. T>Tmax */
                Temperature3Max,                          /* 490  MAX  EL. TEMP */
                UnderTemperature3Counter,                 /* 492  ZHL. EL. T<Tmin */
                Temperature3Min,                          /* 494  MIN. EL. TEMP */
                ResetTransmitterObservation               /* 382  RESET SCHLEPPZEI */

        }
}
/*****************************************************************************/
/*****************************************************************************/


/*****************************************************************************/
/*****************************************************************************/

/* !Matrix Menu! ***********************************************************************/
MENU   Table_Main_Specialist {
        LABEL   DEVICENAME ;
        ITEMS {
                EH_S_Matrix
                DisplayLanguage,                          /* 79  SPRACHE */
                OperatingMode,                            /* 389  BETRIEBSART */
                mnuEhIdent
        }
}

/*****************************************************************************/
/*****************************************************************************/

        MENU   EH_S_Matrix {
                LABEL pardOperatingMenueTEXT
                ITEMS
                {
                        varSettings_Menu,                         /* 14  ABGLEICH */
                        varSilMode_Menu,                          /* 78  SICH.BESTTIGUNG */
                        varDisplay_Menu,                          /* 25  ANZEIGE */
                        varOutput_Menu,                           /* 22  AUSGANG */
                        varTransmitterInfo_Menu,                  /* 52  TRANSMITTERINFO */
                        varProcessInfo_Menu,                      /* 57  PROZESSINFO */
                        varOperation_Menu,                        /* 70  BETRIEB */
                        varDiagnostics_Menu,                      /* 26  DIAGNOSE */
                        IF (Val269)
                        {
                                varService_Menu                           /* 42  SERVICE */
                        }
                   }
                }


MENU upload_variables {
	LABEL "|en|Upload variables";
        PRE_WRITE_ACTIONS
        {
                uploadVariablesPreWriteActions
        }
        POST_WRITE_ACTIONS
        {
                uploadVariablesPostWriteActions
        }
        ITEMS {
              IF (local_abort == 0)
              {
                IF (LockDownload==0)              
                {
                    IF (EVERYONE_WRITE_COND)              
                    {               
                        AutomaticMainLineFormat         
                        DisplayAlternatingValues                
                        DisplayContrast         
                        DisplayLanguage         
                        DisplayMainlineContent          
                        ReactionOnAlarmNr               
                    }       
                    IF(OPERATOR_AND_SIMULATION_WRITE_COND)
                    {       
                        HighCalWrittenCurrent                                           
                        LowCalWrittenCurrent                                            
                    }       
                    IF(OPERATOR_WRITE_COND)
                    {       
                        AcknowledgeAlarmMode                                            
                        ActivePressure1Damping                                          
                        AlarmBehaviourValue                                             
                        AlarmHoldTime                                           
                        AlarmSetupTime                                          
                        BurstCommand                                            
                        BurstMode                                               
                        ChooseErrorOrWarning                                            
                        CurrentOutputCharacteristics                                            
                        date
                        DatHandling
                        DensityUnit
                        DensityUnitEasy
                        descriptor
                        Descriptor
                        DownloadOverwriteSelection
                        final_assembly_number
                        FlowCurrentOutputCharacteristics
                        FlowMax
                        FlowMode
                        FlowSimulationValue
                        FlowType
                        FourMaCurrentLimit                                              
                        LongTag                                         
                        LowLevelEasy
                        LowLevelPressureEasy
                        MassFlowUnit
                        MassUnit
                        MassUnitScale
                        MassUnitText
                        MaxAlarmCurrent
                        MaxOutCurrentEasy
                        MeasurandCombined
                        MeasurandLinear
                        MeasurandLinearized
                        message
                        Message
                        MinOutCurrentEasy
                        NormFlowUnit
                        NrOfPreambles                                           
                        OperatingMode                                           
                        PollingAddress                                          
                        Pressure1AcceptInstallOffset                                            
//                        Pressure1AcceptZeroInstallOffset                                                
                        Pressure1Damping                                                
                        Pressure1InstallOffset                                          
                        Pressure1LimitExcessAlarmCurrent                                                
                        Pressure1Unit                                           
                        Pressure1UserHighLimit                                          
                        Pressure1UserLowLimit                                           
                        ProcessConnectionBoltsMaterial                                          
                        ProcessConnectionDrainVentMaterial                                              
                        ProcessConnectionDrainVentPosition                                              
                        ProcessConnectionMaterialPositive                                               
                        ProcessConnectionModel                                          
                        ProcessConnectionMountingThread                                         
                        ProcessConnectionNrOffRemoteSeals                                               
                        ProcessConnectionNutsMaterial                                           
                        ProcessConnectionPressureHighLimit                                              
                        ProcessConnectionRemoteseal1Type                                                
                        ProcessConnectionThread
                        ProcessFlangeGasketMaterial
                        ProcessRemoteseal1DiaphragmMaterial
                        ProcessRemoteseal2DiaphragmMaterial
                        ProcessRemoteSealFillFluid
                        ResetAlarmHistory
                        ResetTransmitterObservation
                        StandardFlowUnit
                        tag
                        Tag
                        TankContentCurrentCharacteristics
                        TankContentLowerRangeValue
                        TankContentMax
                        Temperature1UserHighLimit                                               
                        Temperature1UserLowLimit                                                
                        TemperatureUnit                                         
                        Date                                            
                        IF (Val100)                             
                        {                               
                                AcknowledgeAlarm                                                
                        }                               
                        IF (Val101)                             
                        {                               
                                HeightUnitScale                                         
                                HeightUnitText                                          
                        }                               
                        IF (Val108)                             
                        {                               
                                CreepFlowSuppressionOffThreshold                                                
                        }                               
                        IF (Val109)                             
                        {                               
                                LowerRangeValue                                         
                                UpperRangeValue                                         
                        }                               
                        IF (Val111)                             
                        {                               
                                FlowUpperRangeValue                                             
                                FlowLowerRangeValue

                        }                               
                        IF (Val113)                             
                        {                               
                                Totalizer1MassUnit                                              
                                Totalizer2MassUnit                                              
                        }                               
                        IF (Val116)                             
                        {                               
                                Totalizer1NormVolumeUnit                                                
                                Totalizer2NormVolumeUnit                                                
                        }                               
                        IF (Val119)                             
                        {                               
                                Totalizer2StandardVolumeUnit                                            
                        }                               
                        IF (Val121)                             
                        {                               
                                Totalizer1StandardVolumeUnit                                            
                                Totalizer1VolumeUnit                                            
                                VolumeFlowUnit                                          
                        }                               
                        IF (Val124)                             
                        {                               
                                FlowUnitScale                                           
                                FlowUnitText                                            
                        }                               
                        IF (Val128)                             
                        {                               
                                Totalizer1UnitScale                                             
                                Totalizer1UnitText                                              
                        }                               
                        IF (Val130)                             
                        {                               
                                Totalizer2UnitScale                                             
                                Totalizer2UnitText                                              
                        }                               
                        IF (Val132)                             
                        {                               
                                CreepFlowSuppressionEnable                                              
                                FlowUnit                                                
                                FlowMaxPressure
                                Totalizer1Mode                                          
                                Totalizer1Reset                                         
                                Totalizer1Unit                                          
                                Totalizer2Mode                                          
                                Totalizer2Unit                                          
                                Totalizer2VolumeUnit                                            
                        }                               
                        IF (Val157)                             
                        {                               
                                Level100PercentValueEasy                                                
                                LevelOffsetEasy                                         
                        }                               
                        IF (Val159)                             
                        {                               
                                LevelMeasurementDensityEasy                                             
                        }                               
                        IF (Val160)                             
                        {                               
                                HeightUnitEasy                                          
                                LevelAdjustDensityEasy                                          
                        }                               
                        IF (Val163)                             
                        {                               
                                HighLevelPressureEasy                                           
                        }                               
                        IF (Val165)                             
                        {                               
                                HighLevelEasy                                           
                        }                               
                        IF (Val166)                             
                        {                               
                                LevelAdjustModeEasy                                             
                                OutUnitEasy                                             
                        }                               
                        IF (Val178)                             
                        {                               
                                HighLevel                                               
                                LowLevel                                                
                        }                               
                        IF (Val182)                             
                        {                               
                                LevelMode                                               
                                LinearLevelMax                                          
                                LinearLevelMin                                          
                        }                               
                        IF (Val186)                             
                        {                               
                                Level100PercentValue                                            
                        }                               
                        IF (Val187)                             
                        {                               
                                VirtualVolumeUnitScale                                          
                                VirtualVolumeUnitText                                           
                        }                               
                        IF (Val189)                             
                        {                               
                                LevelTankHeight                                         
                                LevelTankVolume                                         
                        }                               
                        IF (Val191)                             
                        {                               
                                VirtualVolumeUnit                                               
                        }                               
                        IF (Val192)                             
                        {                               
                                LevelAdjustDensity                                              
                        }                               
                        IF (Val194)                             
                        {                               
                                LevelOffset                                             
                        }                               
                        IF (Val196)                             
                        {                               
                                HeightUnit                                              
                        }                               
                        IF (Val198)                             
                        {                               
                                VolumeUnit                                              
                        }                               
                        IF (Val200)                             
                        {                               
                                LevelAdjustMode                                         
                        }                               
                        IF (Val201)                             
                        {                               
                //                LevelLowerRangeValue                                            
                //                LevelUpperRangeValue                                            
                        }                               
                        IF (Val204)                             
                        {                               
                                LinearisationTableMode                                          
                                LinearizationTablePreEdit                                               
                                ValidateLinearisationTable                                              
                        }                               
                        IF (Val212)                             
                        {                               
                                LinearizationTableSelection                                             
                        }                               
                        IF (Val213)                             
                        {                               
                                LevelTankDescription                                            
                                TankContentMin                                          
                                TankContentUnit                                         
                                TankContentUpperRangeValue                                              
                        }                               
                        IF (Val221)                             
                        {                               
                                LinearPressureMax                                               
                                LinearPressureMin                                               
                        }                               
                        IF (Val224)                             
                        {                               
                                LevelUnitScale                                          
                                LevelUnitText                                           
                        }                               
                        IF (Val227)                             
                        {                               
                                LevelSimulationValue                                            
                        }                               
                        IF (Val228)                             
                        {                               
                                TankContentSimulationValue                                              
                        }                               
                        IF (Val230)                             
                        {                               
                                TankContentUnitScale                                            
                                TankContentUnitText                                             
                        }                               
                        IF (Val232)                             
                        {                               
                                Measurand
                                LevelMeasurementDensity                                         
                                LevelType                                               
                                LinearizationTablePostView                                              
                        }                               
                        IF (Val237)                             
                        {                               
                                ConfigurationType                                               
                                LevelCurrentOutputCharacteristics                                               
                                LevelUnit                                               
                                VirtualLevelAdjustDensity                                               
                                VirtualLevelUnitDensity                                         
                        }                               
                        IF (Val254)                             
                        {                               
                      //          AcceptPressureLowerRangeValue                                           
                      //          AcceptPressureUpperRangeValue                                           
                                PressureCurrentOutputCharacteristics                                            
                      //          PressureLowerRangeValue                                         
                      //          PressureUpperRangeValue                                         
                        }                               
                        IF (Val259)                             
                        {                               
                                Pressure1UnitScale                                              
                                Pressure1UnitText                                               
                        }                               
                        IF (Val261)                             
                        {                               
                                ProcessConnectionMaterialNegative                                               
                                ProcessConnectionRemoteseal2Type                                                
                        }                               
                        IF (Val266)                             
                        {                               
                                AlarmSimulationValue                                            
                        }                               
                        IF (Val268)                             
                        {                               
                                Pressure1SimulationValue                                                
                        }                               
                        IF (Val279)                             
                        {                               
                                VolumeUnitScale                                         
                                VolumeUnitText                                          
                        }                               
                }       
                IF(SERVICE_WRITE_COND)
                {       
                        IF (Val127)                             
                        {                               
                                CreepFlowSuppressionHysteresis                                          
                        }                               
                        IF (Val229)                             
                        {                               
                                AccelerationOfGravity                                           
                        }                               
                        IF (Val269)                             
                        {                               
                                HistoRomSavingCycleTime                                         
                                MaxTurnDown                                             
                                NumberOfSensorChanges                                           
                                PeakHoldIncrementFaktor                                         
                                Pressure1InputInversion                                         
                                Temperature1PeakHoldIncrementOffset                                             
                                DeviceOrderCode                                         
                                DeviceSerialNumber                                              
                                HighCalOffsetCurrent                                            
                                LowCalOffsetCurrent                                             
                        }                               
                }                                               
            }                                               
        }                                               
    }
}

METHOD uploadVariablesPreWriteActions
{
        LABEL "Upnload before uploading the variables" ;
	DEFINITION
	{
		int ret;
		char status[STATUS_SIZE];
                int SilLockStatus;
                int SWLock;
                
                local_abort = 0; //kein Abbruch
                
                iassign(variable_array_index_1,255);
                send_command(172);
                SilLockStatus=int_value(SilLockStatus);
   
                iassign(variable_array_index_1,156);
                send_command(172);
                SWLock=int_value(SWLock);


                if (LockDownload==1)
                {
                        ACKNOWLEDGE([ack_no_upload]);
                        local_abort = 1; //Abbruch
                 }

                else if (SilLockStatus==1)
                {
                        ACKNOWLEDGE([sil_no_upload]);
                        local_abort = 1; //Abbruch
                 }

                else if (OPERATOR_WRITE_COND)
                {
                        //level1

                        iassign(variable_array_index_1,142); //OperatingMode
                        send_command(173);

                        if ( status[STATUS_RESPONSE_CODE] ) {
                                display_response_status(144,status[STATUS_RESPONSE_CODE]);
                        }


                        iassign(variable_array_index_1,152); //parAcknowledgeAlarmMode
                        send_command(173);
                        if ( status[STATUS_RESPONSE_CODE] ) {
                                display_response_status(144,status[STATUS_RESPONSE_CODE]);
                        }

                        iassign(variable_array_index_1,81); //pressure1unit
                        send_command(173);
                        if ( status[STATUS_RESPONSE_CODE] ) {
                                display_response_status(144,status[STATUS_RESPONSE_CODE]);
                        }


                        iassign(variable_array_index_1,184); //parLevelType
                        send_command(173);
                        if ( status[STATUS_RESPONSE_CODE] ) {
                                display_response_status(144,status[STATUS_RESPONSE_CODE]);
                        }


                        iassign(variable_array_index_1,229); //parMeasurandLinear
                        send_command(173);
                        if ( status[STATUS_RESPONSE_CODE] ) {
                                display_response_status(144,status[STATUS_RESPONSE_CODE]);
                        }


                        iassign(variable_array_index_1,231); //parMeasurandCombined
                        send_command(173);
                        if ( status[STATUS_RESPONSE_CODE] ) {
                                display_response_status(144,status[STATUS_RESPONSE_CODE]);
                        }


                        iassign(variable_array_index_1,129); //parLevelAdjustMode
                        send_command(173);
                        if ( status[STATUS_RESPONSE_CODE] ) {
                                display_response_status(144,status[STATUS_RESPONSE_CODE]);
                        }


                        iassign(variable_array_index_1,204); //parHeightUnit
                        send_command(173);
                        if ( status[STATUS_RESPONSE_CODE] ) {
                                display_response_status(144,status[STATUS_RESPONSE_CODE]);
                        }


                        //level 2
                        iassign(variable_array_index_1,230); //parMeasurandLinearized
                        send_command(173);
                        if ( status[STATUS_RESPONSE_CODE] ) {
                                display_response_status(144,status[STATUS_RESPONSE_CODE]);
                        }


                        iassign(variable_array_index_1,211); //parMassUnit
                        send_command(173);
                        if ( status[STATUS_RESPONSE_CODE] ) {
                                display_response_status(144,status[STATUS_RESPONSE_CODE]);
                        }


                        iassign(variable_array_index_1,47); //parSensorMeasurementType
                        send_command(173);
                        if ( status[STATUS_RESPONSE_CODE] ) {
                                display_response_status(144,status[STATUS_RESPONSE_CODE]);
                        }


                        iassign(variable_array_index_1,150); //parSimulationMode
                        send_command(173);
                        if ( status[STATUS_RESPONSE_CODE] ) {
                                display_response_status(144,status[STATUS_RESPONSE_CODE]);
                        }


                        iassign(variable_array_index_2,10005); //parTotalizer1Unit
                        send_command(171);
                        if ( status[STATUS_RESPONSE_CODE] ) {
                                display_response_status(144,status[STATUS_RESPONSE_CODE]);
                        }


                        iassign(variable_array_index_2,10006); //parTotalizer2Unit
                        send_command(171);
                        if ( status[STATUS_RESPONSE_CODE] ) {
                                display_response_status(144,status[STATUS_RESPONSE_CODE]);
                        }


                        iassign(variable_array_index_1,103); //parCreepFlowSuppressionEnable
                        send_command(173);
                        if ( status[STATUS_RESPONSE_CODE] ) {
                                display_response_status(144,status[STATUS_RESPONSE_CODE]);
                        }


                        iassign(variable_array_index_1,118); //parVolumeUnit
                        send_command(173);
                        if ( status[STATUS_RESPONSE_CODE] ) {
                                display_response_status(144,status[STATUS_RESPONSE_CODE]);
                        }


                        iassign(variable_array_index_1,138); //parLinearisationTableMode
                        send_command(173);
                        if ( status[STATUS_RESPONSE_CODE] ) {
                                display_response_status(144,status[STATUS_RESPONSE_CODE]);
                        }
                }
                else
                {
                        ACKNOWLEDGE([ack_no_access]);
                        local_abort=1;

                 }


	}
}

METHOD uploadVariablesPostWriteActions
{
        LABEL "Upnload after uploading the variables" ;
	DEFINITION
	{
		int ret;
		char status[STATUS_SIZE];
                int SilLockStatus;
//                int SwLock;
                
                
                if (LockDownload==1)
                {
                        local_abort = 1; //Abbruch
                 }

                else if (SilLockStatus==1)
                {
                        local_abort = 1; //Abbruch
                 }

	}
}

/*****************************************************************************/
/*****************************************************************************/

METHOD downloadVariablesPreReadActions
{
        LABEL "downloadVariablesPreReadActions" ;
        DEFINITION
        {
             int ret;
             char status[STATUS_SIZE];
             LockDownload=1;
             local_abort=0;
                   //level1
        }


}
METHOD downloadVariablesPostReadActions
{
        LABEL "downloadVariablesPostReadActions" ;
        DEFINITION
        {
             LockDownload=0;
        }


}
/*****************************************************************************/
/*****************************************************************************/

METHOD std_CommWay
{
     LABEL          [menu_Device_CommWay];
     DEFINITION
     {
     }
}


/*****************************************************************************/
/*****************************************************************************/



/*****************************************************************************/
/*****************************************************************************/


VARIABLE local_abort
{
	LABEL	"ABORT";
	TYPE INTEGER
	{
		DEFAULT_VALUE	0;
	}
}

MENU download_variables
{
	LABEL		[menu_load_to_PC];
	PRE_READ_ACTIONS
	{
           downloadVariablesPreReadActions
	}
        POST_READ_ACTIONS
	{
           downloadVariablesPostReadActions
	}
        ITEMS
	{
		IF (local_abort == 0)
		{
                        CurrentUnit
                        CurrentValue
                        manufacturer_id
                        message
                        date
                        primary_variable_code
                        secondary_variable_code
                        tertiary_variable_code
                        fourth_variable_code
                        tag
                        device_type
                        device_id
                        universal_revision
                        transmitter_revision
                        software_revision
                        hardware_revision
                        device_flags
                        physical_signaling_code
                        final_assembly_number
                        write_protect
                        descriptor
                        AccelerationOfGravity
                        AcceptPressureLowerRangeValue
                        AcceptPressureUpperRangeValue
                        AcknowledgeAlarm
                        AcknowledgeAlarmMode
                        ActivePressure1Damping
                        ActualAlarmInfo_io
                        AlarmBehaviourValue
                        AlarmHoldTime
                        AlarmSetupTime
                        AlarmSimulationValue
                        AutomaticMainLineFormat
                        BurstCommand
                        BurstMode
                        ChooseErrorOrWarning
                        ConfigurationCounter
                        ConfigurationType
                        CreepFlowSuppressionEnable
                        CreepFlowSuppressionHysteresis
                        CreepFlowSuppressionOffThreshold
                        CurrentOutputCharacteristics
                        CurrentPercentValue
                        CurrentSimulationValue
                        Date
                        DatHandling
                        DensityUnit
                        DensityUnitEasy
                        Descriptor
                        DeviceManufacturerId
                        DeviceNameString
                        DeviceOrderCode
                        DeviceRevision
                        DeviceSerialNumber
                        DeviceType
                        DeviceTypeAbsRel
                        DeviceTypeContite
                        DeviceTypeDelta
                        DisplayAlternatingValues
                        DisplayContrast
                        DisplayLanguage
                        DisplayMainlineContent
                        DisplayMainlineFormat
                        DownloadOverwriteSelection
                        ElectronicSerialNumber
                        FlowAfterSuppression
                        FlowCurrentOutputCharacteristics
                        FlowLowerRangeValue
                        FlowMax
                        FlowMaxPressure
                        FlowMode
                        FlowSimulationValue
                        FlowType
                        FlowUnit
                        FlowUnitScale
                        FlowUnitText
                        FlowUpperRangeValue
                        FourMaCurrentLimit
                        HardwareRevision
                        HeightUnit
                        HeightUnitEasy
                        HeightUnitScale
                        HeightUnitText
                        HighCalOffsetCurrent
                        HighCalWrittenCurrent
                        HighLevel
                        HighLevelEasy
                        HighLevelPressure
                        HighLevelPressureEasy
                        HistoromAvailable
                        HistoRomSavingCycleTime
                        LastAlarmInfo
                        Level100PercentValue
                        Level100PercentValueEasy
                        LevelAdjustDensity
                        LevelAdjustDensityEasy
                        LevelAdjustMode
                        LevelAdjustModeEasy
                        LevelCurrentOutputCharacteristics
                        LevelLowerRangeValue
                        LevelMeasurementDensity
                        LevelMeasurementDensityEasy
                        LevelMode
                        LevelOffset
                        LevelOffsetEasy
                        LevelSimulationValue
                        LevelTankDescription
                        LevelTankHeight
                        LevelTankVolume
                        LevelType
                        LevelUnit
                        LevelUnitScale
                        LevelUnitText
                        LevelUpperRangeValue
                        LinearisationTableIndex
                        LinearisationTableMode
                        LinearisationTableXBuffer
                        LinearisationTableXValue
                        LinearisationTableYBuffer
                        LinearisationTableYValue
                        LinearizationTablePostEdit
                        LinearizationTablePostView
                        LinearizationTablePreEdit
                        LinearizationTableSelection
                        LinearLevelMax
                        LinearLevelMin
                        LinearPressureMax
                        LinearPressureMin
                        LongTag
                        LowCalOffsetCurrent
                        LowCalWrittenCurrent
                        LowerRangeValue
                        LowLevel
                        LowLevelEasy
                        LowLevelPressure
                        LowLevelPressureEasy
                        MassFlowUnit
                        MassUnit
                        MassUnitScale
                        MassUnitText
                        MaxAlarmCurrent
                        MaxOutCurrentEasy
                        MaxTurnDown
                        Measurand
                        MeasurandCombined
                        MeasurandLinear
                        MeasurandLinearized
                        MeasuredActualLevelEasy
                        MeasuredLevelAfterSimulation
                        MeasuredTankContentAfterSimulation
                        MeasuredTemperature1
                        MeasuredTemperature3
                        MeasuredValue
                        MeasuredValuePercent
                        Message
                        MinOutCurrentEasy
                        MinSpan
                        NormFlowUnit
                        NrOfPreambles
                        NumberOfSensorChanges
                        OperatingHoursValue
                        OperatingMode
                        OutUnitEasy
                        OverTemperature3Counter
                        PeakHoldIncrementFaktor
                        PercentUnit
                        PollingAddress
                        Pressure1AcceptInstallOffset
                        Pressure1AcceptZeroInstallOffset
                        Pressure1AfterCalibration
                        Pressure1AfterDamping
                        Pressure1AfterSensor
                        Pressure1Damping
                        Pressure1InputInversion
                        Pressure1InstallOffset
                        Pressure1LimitExcessAlarmCurrent
                        Pressure1LowerCalMeasured
                        Pressure1LowerCalWritten
                        Pressure1MaxResetable
                        Pressure1MinResetable
                        Pressure1SensorHighLimit
                        Pressure1SensorLowLimit
                        Pressure1SimulationValue
                        Pressure1Unit
                        Pressure1UnitScale
                        Pressure1UnitText
                        Pressure1UpperCalMeasured
                        Pressure1UpperCalWritten
                        Pressure1UserHighLimit
                        Pressure1UserLowLimit
                        PressureCurrentOutputCharacteristics
                        PressureLowerRangeValue
                        PressureUpperRangeValue
                        PrimaryVariable
                        ProcessConnectionBoltsMaterial
                        ProcessConnectionDrainVentMaterial
                        ProcessConnectionDrainVentPosition
                        ProcessConnectionMaterialNegative
                        ProcessConnectionMaterialPositive
                        ProcessConnectionModel
                        ProcessConnectionMountingThread
                        ProcessConnectionNrOffRemoteSeals
                        ProcessConnectionNutsMaterial
                        ProcessConnectionPressureHighLimit
                        ProcessConnectionRemoteseal1Type
                        ProcessConnectionRemoteseal2Type
                        ProcessConnectionThread
                        ProcessFlangeGasketMaterial
                        ProcessRemoteseal1DiaphragmMaterial
                        ProcessRemoteseal2DiaphragmMaterial
                        ProcessRemoteSealFillFluid
                        QuaternaryVariable
                        ReactionOnAlarmNr
                        ReadOnlyLevelAdjustDensity
                        ReadOnlyLinearisationTableXValue
                        ResetableOverPressure1Counter
                        ResetableOverTemperature1Counter
                        ResetableUnderPressure1Counter
                        ResetableUnderTemperature1Counter
                        ResetAlarmHistory
                        ResetInputValue
                        ResetTransmitterObservation
                        SecondaryVariable
                        SecondUnit
                        SensorDiaphragmMaterial
                        SensorFillFluid
                        SensorHardwareRevision
                        SensorMaxAbsoluteLimit
                        SensorMeasurementType
                        SensorMinAbsoluteLimit
                        SensorSerialNumber
                        SilAcknowledgeAlarmMode
                        SilCreepFlowSuppressionEnable
                        SilCreepFlowSuppressOffThreshold
                        SilCurrentOutput
                        SilCurrentOutputResumed
                        SilDigitsTestAck
                        SilDigitsTestString
                        SilFlowMax
                        SilFlowMaxPressure
                        SilFlowmode
                        SilHighLevelEasy
                        SilHighLevelPressureEasy
                        SilLock
                        SilLockStatus
                        SilLowerRangeValue
                        SilLowerRangeValueEasy
                        SilLowLevelEasy
                        SilLowLevelPressureEasy
                        SilModeAllowed
                        SilOperatingMode
                        SilPasswordEnd
                        SilPasswordStart
                        SilPressure1Damping
                        SilPressure1InstallOffset
                        SilUpperRangeValue
                        SilUpperRangeValueEasy
                        SimulationMode
                        SimulationValue
                        SoftwareRevision
                        StandardFlowUnit
                        SwitchStatus
                        SWLock
                        Tag
                        TankContentCurrentCharacteristics
                        TankContentLowerRangeValue
                        TankContentMax
                        TankContentMin
                        TankContentSimulationValue
                        TankContentUnit
                        TankContentUnitScale
                        TankContentUnitText
                        TankContentUpperRangeValue
                        Temperature1MaxResetable
                        Temperature1MinResetable
                        Temperature1PeakHoldIncrementOffset
                        Temperature1SensorHighLimit
                        Temperature1SensorLowLimit
                        Temperature1UserHighLimit
                        Temperature1UserLowLimit
                        Temperature3HighLimit
                        Temperature3LowLimit
                        Temperature3Max
                        Temperature3Min
                        TemperatureUnit
                        Tendency
                        TertiaryVariable
                        Totalizer1MassUnit
                        Totalizer1Mode
                        Totalizer1NormVolumeUnit
                        Totalizer1Reset
                        Totalizer1StandardVolumeUnit
                        Totalizer1StringMain
                        Totalizer1StringOverflow
                        Totalizer1StringValue
                        Totalizer1Unit
                        Totalizer1UnitScale
                        Totalizer1UnitText
                        Totalizer1VolumeUnit
                        Totalizer2MassUnit
                        Totalizer2Mode
                        Totalizer2NormVolumeUnit
                        Totalizer2StandardVolumeUnit
                        Totalizer2StringMain
                        Totalizer2StringOverflow
                        Totalizer2StringValue
                        Totalizer2Unit
                        Totalizer2UnitScale
                        Totalizer2UnitText
                        Totalizer2VolumeUnit
                        UnderTemperature3Counter
                        UpperRangeValue
                        ValidateLinearisationTable
                        VirtualLevelAdjustDensity
                        VirtualLevelUnitDensity
                        VirtualSilDigitsTestString
                        VirtualVolumeUnit
                        VirtualVolumeUnitScale
                        VirtualVolumeUnitText
                        VolumeFlowUnit
                        VolumeUnit
                        VolumeUnitScale
                        VolumeUnitText                }
        }
}

/*****************************************************************************/

VARIABLE LockDownload
{
        CLASS LOCAL;
        LABEL "Lock Download";

	TYPE UNSIGNED_INTEGER(2)
	{
	 DISPLAY_FORMAT "5d";
	 EDIT_FORMAT "5d";
        }
        DEFAULT_VALUE 1;
	HANDLING READ&WRITE;
}


/*
**********************************************************************
** Common Practice Commands
** Filename: Cmn7_2.ddl
**********************************************************************
*/

IMPORT STANDARD _COMMON_PRACTICE, DEVICE_REVISION 7, DD_REVISION 2
{

   VARIABLE  response_preambles;
   VARIABLE  burst_command_number;
   VARIABLE  burst_mode_select;


   VARIABLE transmitter_variable_code_1;
   VARIABLE transmitter_variable_code_2;
   VARIABLE transmitter_variable_code_3;
   VARIABLE transmitter_variable_code_4;

   VARIABLE  primary_variable_code;
   VARIABLE  secondary_variable_code;
   VARIABLE  tertiary_variable_code;
   VARIABLE  fourth_variable_code;

   COMMAND  write_pv_damping_value;                 /* Command  34 */

   /* dont import COMMAND 35, because of problems with writing LRV */
   /* COMMAND  write_pv_range_values;*/             /* Command  35 */

   COMMAND  set_pv_upper_range_value;               /* Command  36 */
   COMMAND  set_pv_lower_range_value;               /* Command  37 */
   COMMAND  reset_configuration_change_flag;        /* Command  38 */
   COMMAND  enter_exit_fixed_pv_current_mode;       /* Command  40 */
   COMMAND  perform_master_reset;                   /* Command  42 */
   COMMAND  set_pv_zero;                            /* Command  43 */
   COMMAND  write_pv_units;                         /* Command  44 */
   COMMAND  read_additional_transmitter_status;     /* Command  48 */
   COMMAND  read_transmitter_variable_assignments;  /* command  50 COMMON7.ddl */
   COMMAND  write_transmitter_variable_assignments; /* Command  51 COMMON7.ddl */
   COMMAND  write_number_of_response_preambles;     /* Command  59 */
   COMMAND  write_burst_command_number;             /* Command 108 */
   COMMAND  burst_mode_control;                     /* Command 109 */

   METHOD   loop_test;
   METHOD   return_to_normal;
   METHOD   leave_fixed_current_mode;
   METHOD   warning_message;

   REDEFINITIONS
   {
    REDEFINE VARIABLE primary_variable_code
    {
       LABEL PrimaryVariableCodeTEXT
       HANDLING READ;
       TYPE ENUMERATED (1) 
       {
        ENUM_PrimaryVariableCode
        REDEFINE DEFAULT_VALUE 8;
       }
    }
       
    /*
    **********************************************************************
    ** ID: 791 Text: 2.PROZESSW. IST Index: --- Update: Static
    **********************************************************************
    */

    REDEFINE VARIABLE secondary_variable_code
    {
       LABEL SecondaryVariableCodeTEXT
       HANDLING OPERATOR_WRITE
       TYPE ENUMERATED (1) 
       {
        ENUM_SecondaryVariableCode
       }
    }
      
    /*
    **********************************************************************
    ** ID: 792 Text: 3.PROZESSW. IST Index: --- Update: Static
    **********************************************************************
    */
      
    REDEFINE VARIABLE tertiary_variable_code
    {
       LABEL TertiaryVariableCodeTEXT
       HANDLING OPERATOR_WRITE
       TYPE ENUMERATED (1)
       {
        ENUM_TertiaryVariableCode
        DEFAULT_VALUE 1;
       }
    }
    
    /*
    **********************************************************************
    ** ID: 793 Text: 4.PROZESSW. IST Index: --- Update: Static
    **********************************************************************
    */
                
    REDEFINE VARIABLE fourth_variable_code
    {
       LABEL QuaternaryVariableCodeTEXT
       HANDLING OPERATOR_WRITE
       TYPE ENUMERATED (1) 
       {
        ENUM_QuaternaryVariableCode
       }
    }

   }
}

/*
**********************************************************************
** Output Transfer Function
**********************************************************************
*/
VARIABLE output_transfer_function
/*
 *  From Table 10.2 of the Transmitter Specific Document, Rev 2.2.
 *  Subset of Table III, Transfer Function Codes.
 */
{
   LABEL [transfer_function];

   TYPE ENUMERATED
   {
      TRANSFER_FUNCTION_CODE (0),
      {   1, "Square root    |049radiziend  "},
      { 241, "Level linear   |049Fuellst. linear"},
      { 240, "Level hor. cyl.|049Fuellst. zyl. l."}
   }
   HANDLING READ;
}
/*
**********************************************************************
** Unit handling
**********************************************************************
*/
VARIABLE dummy_unit
  {
  LABEL "|en|Dummy unit";
  CLASS LOCAL;
  TYPE ENUMERATED (1)
    {
    {0xFB, "|en|None"}
    }
  }
/*
**********************************************************************
** dynamic variables Pressure
**********************************************************************
*/
COLLECTION OF VARIABLE var_collection_Pressure1AfterDamping
{
   LABEL [pressure];
   MEMBERS
   {
      /* Measurement */
      DIGITAL_UNITS,            dummy_unit,                         [units],[digital_units_help];
      DIGITAL_VALUE,            Pressure1AfterDamping,              [blank],[digital_value_help];
      ANALOG_VALUE,             CurrentValue,                       [analog_output_value];
      PERCENT_RANGE,            MeasuredValuePercent,               [percent_of_range],[percent_of_range_help];
      /* Sensor Information */
      SENSOR_UNITS,             dummy_unit,                         [sensor_unit];
      UPPER_SENSOR_LIMIT,       Pressure1UpperCalWritten,           [usl];
      LOWER_SENSOR_LIMIT,       Pressure1LowerCalWritten,           [lsl];
      MINIMUM_SPAN,             MinSpan,                            [minimum_span];
      SENSOR_SERIAL_NUMBER,     SensorSerialNumber,                 [sensor_serial_number];
      /* Output Information */
      ALARM_CODE,               AlarmBehaviourValue,                [alarm_select];
      TRANSFER_FUNCTION,        output_transfer_function,           [transfer_function];
      RANGE_UNITS,              dummy_unit,                         [range_units];
      UPPER_RANGE_VALUE,        PressureUpperRangeValue,            [urv];
      LOWER_RANGE_VALUE,        PressureLowerRangeValue,            [lrv];
      DAMPING_VALUE,            ActivePressure1Damping,             [damping_value];
   }
}
/*
**********************************************************************
** dynamic variables Pressure
**********************************************************************
*/
COLLECTION OF VARIABLE var_collection_Pressure1AfterCalibration
{
   LABEL [pressure];
   MEMBERS
  {
      DIGITAL_UNITS,            dummy_unit,                         [units],[digital_units_help];
      DIGITAL_VALUE,            Pressure1AfterCalibration,          [blank],[digital_value_help];
      ANALOG_VALUE,             CurrentValue,                       [analog_output_value],[analog_value_help];
      PERCENT_RANGE,            MeasuredValuePercent,               [percent_of_range],[percent_of_range_help];
      /* Sensor Information */
      SENSOR_UNITS,             dummy_unit,                         [sensor_unit];
      UPPER_SENSOR_LIMIT,       Pressure1UpperCalWritten,           [usl];
      LOWER_SENSOR_LIMIT,       Pressure1LowerCalWritten,           [lsl];
      MINIMUM_SPAN,             MinSpan,                            [minimum_span];
      SENSOR_SERIAL_NUMBER,     SensorSerialNumber,                 [sensor_serial_number];
      /* Output Information */
      ALARM_CODE,               AlarmBehaviourValue,                [alarm_select];
      TRANSFER_FUNCTION,        output_transfer_function,           [transfer_function];
      RANGE_UNITS,              dummy_unit,                         [range_units];
      UPPER_RANGE_VALUE,        PressureUpperRangeValue,            [urv];
      LOWER_RANGE_VALUE,        PressureLowerRangeValue,            [lrv];
      DAMPING_VALUE,            ActivePressure1Damping,             [damping_value];
  }
}
/*
**********************************************************************
** dynamic variables Pressure
**********************************************************************
*/
COLLECTION OF VARIABLE var_collection_Pressure1AfterSensor
{
   LABEL [pressure];
   MEMBERS
  {
      DIGITAL_UNITS,            dummy_unit,                         [units],[digital_units_help];
      DIGITAL_VALUE,            Pressure1AfterSensor,               [blank],[digital_value_help];
      ANALOG_VALUE,             CurrentValue,                       [analog_output_value],[analog_value_help];
      PERCENT_RANGE,            MeasuredValuePercent,               [percent_of_range],[percent_of_range_help];
      /* Sensor Information */
      SENSOR_UNITS,             dummy_unit,                         [sensor_unit];
      UPPER_SENSOR_LIMIT,       Pressure1UpperCalWritten,           [usl];
      LOWER_SENSOR_LIMIT,       Pressure1LowerCalWritten,           [lsl];
      MINIMUM_SPAN,             MinSpan,                            [minimum_span];
      SENSOR_SERIAL_NUMBER,     SensorSerialNumber,                 [sensor_serial_number];
      /* Output Information */
      ALARM_CODE,               AlarmBehaviourValue,                [alarm_select];
      TRANSFER_FUNCTION,        output_transfer_function,           [transfer_function];
      RANGE_UNITS,              dummy_unit,                         [range_units];
      UPPER_RANGE_VALUE,        PressureUpperRangeValue,            [urv];
      LOWER_RANGE_VALUE,        PressureLowerRangeValue,            [lrv];
      DAMPING_VALUE,            ActivePressure1Damping,             [damping_value];
  }
}
/*
**********************************************************************
** dynamic variables Temperature
**********************************************************************
*/
COLLECTION OF VARIABLE var_collection_MeasuredTemperature1
{
   LABEL  [temperature];
   MEMBERS
  {
      DIGITAL_UNITS,            dummy_unit,                         [units],[digital_units_help];
      DIGITAL_VALUE,            MeasuredTemperature1,               [blank],[digital_value_help];
      ANALOG_VALUE,             CurrentValue,                       [analog_output_value],[analog_value_help];
      PERCENT_RANGE,            MeasuredValuePercent,               [percent_of_range],[percent_of_range_help];
      /* Sensor Information */
      SENSOR_UNITS,             dummy_unit,                         [sensor_unit];
      UPPER_SENSOR_LIMIT,       Pressure1UpperCalWritten,           [usl];
      LOWER_SENSOR_LIMIT,       Pressure1LowerCalWritten,           [lsl];
      MINIMUM_SPAN,             MinSpan,                            [minimum_span];
      SENSOR_SERIAL_NUMBER,     SensorSerialNumber,                 [sensor_serial_number];
      /* Output Information */
      ALARM_CODE,               AlarmBehaviourValue,                [alarm_select];
      TRANSFER_FUNCTION,        output_transfer_function,           [transfer_function];
      RANGE_UNITS,              dummy_unit,                         [range_units];
      UPPER_RANGE_VALUE,        PressureUpperRangeValue,            [urv];
      LOWER_RANGE_VALUE,        PressureLowerRangeValue,            [lrv];
      DAMPING_VALUE,            ActivePressure1Damping,             [damping_value];
  }
}
/*
**********************************************************************
** dynamic variables Temperature
**********************************************************************
*/
COLLECTION OF VARIABLE var_collection_MeasuredTemperature3
{
   LABEL  [temperature];
   MEMBERS
  {
      DIGITAL_UNITS,            dummy_unit,                         [units],[digital_units_help];
      DIGITAL_VALUE,            MeasuredTemperature3,               [blank],[digital_value_help];
      ANALOG_VALUE,             CurrentValue,                       [analog_output_value],[analog_value_help];
      PERCENT_RANGE,            MeasuredValuePercent,               [percent_of_range],[percent_of_range_help];
      /* Sensor Information */
      SENSOR_UNITS,             dummy_unit,                         [sensor_unit];
      UPPER_SENSOR_LIMIT,       Pressure1UpperCalWritten,           [usl];
      LOWER_SENSOR_LIMIT,       Pressure1LowerCalWritten,           [lsl];
      MINIMUM_SPAN,             MinSpan,                            [minimum_span];
      SENSOR_SERIAL_NUMBER,     SensorSerialNumber,                 [sensor_serial_number];
      /* Output Information */
      ALARM_CODE,               AlarmBehaviourValue,                [alarm_select];
      TRANSFER_FUNCTION,        output_transfer_function,           [transfer_function];
      RANGE_UNITS,              dummy_unit,                         [range_units];
      UPPER_RANGE_VALUE,        PressureUpperRangeValue,            [urv];
      LOWER_RANGE_VALUE,        PressureLowerRangeValue,            [lrv];
      DAMPING_VALUE,            ActivePressure1Damping,             [damping_value];
  }
}
/*
**********************************************************************
** dynamic variables Flow
**********************************************************************
*/
COLLECTION OF VARIABLE var_collection_FlowAfterSupression
{
   LABEL  [mass_flow];
   MEMBERS
  {
      DIGITAL_UNITS,            dummy_unit,                         [units],[digital_units_help];
      DIGITAL_VALUE,            FlowAfterSuppression,               [blank],[digital_value_help];
      ANALOG_VALUE,             CurrentValue,                       [analog_output_value],[analog_value_help];
      PERCENT_RANGE,            MeasuredValuePercent,               [percent_of_range],[percent_of_range_help];
      /* Sensor Information */
      SENSOR_UNITS,             dummy_unit,                         [sensor_unit];
      UPPER_SENSOR_LIMIT,       Pressure1UpperCalWritten,           [usl];
      LOWER_SENSOR_LIMIT,       Pressure1LowerCalWritten,           [lsl];
      MINIMUM_SPAN,             MinSpan,                            [minimum_span];
      SENSOR_SERIAL_NUMBER,     SensorSerialNumber,                 [sensor_serial_number];
      /* Output Information */                                                  
      ALARM_CODE,               AlarmBehaviourValue,                [alarm_select];
      TRANSFER_FUNCTION,        output_transfer_function,           [transfer_function];
      RANGE_UNITS,              dummy_unit,                         [range_units];
      UPPER_RANGE_VALUE,        FlowUpperRangeValue,                [urv];
      LOWER_RANGE_VALUE,        FlowLowerRangeValue,                [lrv];
      DAMPING_VALUE,            ActivePressure1Damping,             [damping_value];
  }
}
/*
**********************************************************************
** dynamic variables Totalizer 1
**********************************************************************
*/
COLLECTION OF VARIABLE var_collection_Totalizer1Float
{
   LABEL  [mass_flow];
   MEMBERS
  {
      DIGITAL_UNITS,            dummy_unit,                         [units],[digital_units_help];
      DIGITAL_VALUE,            Totalizer1StringValue,              [blank],[digital_value_help];
      /*DIGITAL_VALUE,          Totalizer1Float,                    [blank],[digital_value_help]; 13.04.2004*/
      ANALOG_VALUE,             CurrentValue,                       [analog_output_value],[analog_value_help];
      PERCENT_RANGE,            MeasuredValuePercent,               [percent_of_range],[percent_of_range_help];
      /* Sensor Information */
      SENSOR_UNITS,             dummy_unit,                         [sensor_unit];
      UPPER_SENSOR_LIMIT,       Pressure1UpperCalWritten,           [usl];
      LOWER_SENSOR_LIMIT,       Pressure1LowerCalWritten,           [lsl];
      MINIMUM_SPAN,             MinSpan,                            [minimum_span];
      SENSOR_SERIAL_NUMBER,     SensorSerialNumber,                 [sensor_serial_number];
      /* Output Information */
      ALARM_CODE,               AlarmBehaviourValue,                [alarm_select];
      TRANSFER_FUNCTION,        output_transfer_function,           [transfer_function];
      RANGE_UNITS,              dummy_unit,                         [range_units];
      UPPER_RANGE_VALUE,        FlowUpperRangeValue,                [urv];
      LOWER_RANGE_VALUE,        FlowLowerRangeValue,                [lrv];
      DAMPING_VALUE,            ActivePressure1Damping,             [damping_value];
  }
}
/*
**********************************************************************
** dynamic variables Totalizer 2
**********************************************************************
*/
COLLECTION OF VARIABLE var_collection_Totalizer2Float
{
   LABEL  [mass_flow];
   MEMBERS
  {
      DIGITAL_UNITS,            dummy_unit,                         [units],[digital_units_help];
      DIGITAL_VALUE,            Totalizer2StringValue,              [blank],[digital_value_help];
      /*DIGITAL_VALUE,          Totalizer2Float,                    [blank],[digital_value_help]; 13.04.2004*/
      ANALOG_VALUE,             CurrentValue,                       [analog_output_value],[analog_value_help];
      PERCENT_RANGE,            MeasuredValuePercent,               [percent_of_range],[percent_of_range_help];
      /* Sensor Information */
      SENSOR_UNITS,             dummy_unit,                         [sensor_unit];
      UPPER_SENSOR_LIMIT,       Pressure1UpperCalWritten,           [usl];
      LOWER_SENSOR_LIMIT,       Pressure1LowerCalWritten,           [lsl];
      MINIMUM_SPAN,             MinSpan,                            [minimum_span];
      SENSOR_SERIAL_NUMBER,     SensorSerialNumber,                 [sensor_serial_number];
      /* Output Information */
      ALARM_CODE,               AlarmBehaviourValue,                [alarm_select];
      TRANSFER_FUNCTION,        output_transfer_function,           [transfer_function];
      RANGE_UNITS,              dummy_unit,                         [range_units];
      UPPER_RANGE_VALUE,        FlowUpperRangeValue,                [urv];
      LOWER_RANGE_VALUE,        FlowLowerRangeValue,                [lrv];
      DAMPING_VALUE,            ActivePressure1Damping,             [damping_value];
  }
}
/*
**********************************************************************
** dynamic variables Level
**********************************************************************
*/
COLLECTION OF VARIABLE var_collection_MeasuredLevelAfterSimulation
{
   LABEL  "|en|LEVEL_Collection";
   MEMBERS
  {
      DIGITAL_UNITS,            dummy_unit,                         [units],[digital_units_help];
      DIGITAL_VALUE,            MeasuredLevelAfterSimulation,       [blank],[digital_value_help];
      ANALOG_VALUE,             CurrentValue,                       [analog_output_value],[analog_value_help];
      PERCENT_RANGE,            MeasuredValuePercent,               [percent_of_range],[percent_of_range_help];
      /* Sensor Information */
      SENSOR_UNITS,             dummy_unit,                         [sensor_unit];
      UPPER_SENSOR_LIMIT,       Pressure1UpperCalWritten,           [usl];
      LOWER_SENSOR_LIMIT,       Pressure1LowerCalWritten,           [lsl];
      MINIMUM_SPAN,             MinSpan,                            [minimum_span];
      SENSOR_SERIAL_NUMBER,     SensorSerialNumber,                 [sensor_serial_number];
      /* Output Information */
      ALARM_CODE,               AlarmBehaviourValue,                [alarm_select];
      TRANSFER_FUNCTION,        output_transfer_function,           [transfer_function];
      RANGE_UNITS,              dummy_unit,                         [range_units];
      UPPER_RANGE_VALUE,        LevelUpperRangeValue,               [urv];
      LOWER_RANGE_VALUE,        LevelLowerRangeValue,               [lrv];
      DAMPING_VALUE,            ActivePressure1Damping,             [damping_value];
  }
}
/*
**********************************************************************
** dynamic variables Tank Content
**********************************************************************
*/
COLLECTION OF VARIABLE var_collection_MeasuredTankContentAfterSimulation
{
   LABEL  "|en|TANKCONTENT_Collection";
   MEMBERS
  {
      DIGITAL_UNITS,            dummy_unit,                         [units],[digital_units_help];
      DIGITAL_VALUE,            MeasuredTankContentAfterSimulation, [blank],[digital_value_help];
      ANALOG_VALUE,             CurrentValue,                       [analog_output_value],[analog_value_help];
      PERCENT_RANGE,            MeasuredValuePercent,               [percent_of_range],[percent_of_range_help];
      /* Sensor Information */
      SENSOR_UNITS,             dummy_unit,                         [sensor_unit];
      UPPER_SENSOR_LIMIT,       Pressure1UpperCalWritten,           [usl];
      LOWER_SENSOR_LIMIT,       Pressure1LowerCalWritten,           [lsl];
      MINIMUM_SPAN,             MinSpan,                            [minimum_span];
      SENSOR_SERIAL_NUMBER,     SensorSerialNumber,                 [sensor_serial_number];
      /* Output Information */
      ALARM_CODE,               AlarmBehaviourValue,                [alarm_select];
      TRANSFER_FUNCTION,        output_transfer_function,           [transfer_function];
      RANGE_UNITS,              dummy_unit,                         [range_units];
      UPPER_RANGE_VALUE,        TankContentUpperRangeValue,         [urv];
      LOWER_RANGE_VALUE,        TankContentLowerRangeValue,         [lrv];
      DAMPING_VALUE,            ActivePressure1Damping,             [damping_value];
  }
}
/*
**********************************************************************
** Dynamic variable configuration
**********************************************************************
*/
ARRAY OF COLLECTION transmitter_variables
{
   HELP [transmitter_variable_help];
   ELEMENTS
   {
        0, var_collection_Pressure1AfterDamping;
        1, var_collection_Pressure1AfterCalibration;
        2, var_collection_Pressure1AfterSensor;
        3, var_collection_MeasuredTemperature1;
        4, var_collection_MeasuredTemperature3;
        5, var_collection_FlowAfterSupression;
        6, var_collection_Totalizer1Float;
        7, var_collection_Totalizer2Float;
        8, var_collection_MeasuredLevelAfterSimulation;
        9, var_collection_MeasuredTankContentAfterSimulation;
   }
}
/*
**********************************************************************
** Mapping Primary, Secondary, Tertiary & Fourth
**********************************************************************
*/
ARRAY OF COLLECTION dynamic_variables
{
   ELEMENTS
   {
      PRIMARY    ,  transmitter_variables[primary_variable_code]   ,  [pv],  [primary_variable_help];
      SECONDARY  ,  transmitter_variables[secondary_variable_code] ,  [sv],  [secondary_variable_help];
      TERTIARY   ,  transmitter_variables[tertiary_variable_code]  ,  [tv],  [tertiary_variable_code_is_help];      
      FOURTH     ,  transmitter_variables[fourth_variable_code]    ,  [qv],  [fourth_variable_help];
   }
}
/*
**********************************************************************
** VARIABLE ARRAY DESCRIPTION
**********************************************************************
*/
VARIABLE variable_array_index_1
{
   LABEL   "VARIABLE_ARRAY_INDEX_1";
   TYPE    INDEX (2) variable_array_val_1;
   CLASS   USER_INTERFACE;
}
VARIABLE variable_array_index_2
{
   LABEL   "VARIABLE_ARRAY_INDEX_2";
   TYPE    INDEX (2) variable_array_val_2;
   CLASS   USER_INTERFACE;
}
/*
**********************************************************************
** ARRAY DESCRIPTION
**********************************************************************
*/
ARRAY OF VARIABLE variable_array_val_1
{
   ELEMENTS
   {
    92,   FlowMax;                                 /* 311 MAX. DURCHFLUSS */
    93,   CreepFlowSuppressionHysteresis;          /* 322 SCHLEICHM. HYST. */
    94,   CreepFlowSuppressionOffThreshold;        /* 323 SCHLEICHM.SETZEN */
    95,   Totalizer1UnitScale;                     /* 329 FAKT.BEN.EINH.S1 */
    96,   Totalizer2UnitScale;                     /* 330 FAKT.BEN.EINH.S2 */
    97,   Totalizer1Reset;                         /* 331 RESET SUMMENZ. 1 */
    99,   FlowAfterSuppression;                    /* 375 DURCHFLUSS */
    100,  MassFlowUnit;                            /* 571 EINH. MASSEFLUSS */
    103,  CreepFlowSuppressionEnable;              /* 442 SCHLEICHM. MODUS */
    105,  VolumeFlowUnit;                          /* 391 EINH. DURCHFLUSS */
    106,  Totalizer1VolumeUnit;                    /* 398 EINH.SUMMENZ. 1 */
    107,  Totalizer2VolumeUnit;                    /* 399 EINH.SUMMENZ. 2 */
    108,  Totalizer1Mode;                          /* 400 MODUS SUMMENZ. 1 */
    109,  Totalizer2Mode;                          /* 416 MODUS SUMMENZ. 2 */
    179,  VolumeUnitScale;                         /* 607 FAKT.BEN.EINH. V */
    180,  VolumeUnitText;                          /* 608 BEN. EINHEIT V */
    181,  FlowUnitScale;                           /* 609 FAKT.BEN.EINH.F */
    182,  FlowUnitText;                            /* 610 BEN. EINHEIT F */
    185,  Totalizer1UnitText;                      /* 627 BEN.EINH.SUM. 1 */
    186,  Totalizer2UnitText;                      /* 628 BEN.EINH.SUM. 2 */
    188,  StandardFlowUnit;                        /* 660 STD.DURCHFL.EINH */
    191,  FlowMaxPressure;                         /* 634 MAX.DRUCK FLUSS */
    192,  FlowSimulationValue;                     /* 639 SIM.DURCHFL.WERT */
    193,  NormFlowUnit;                            /* 661 NORM.DURCHFL.EIN */
    194,  FlowType;                                /* 640 DURCHFLUSSTYP */
    198,  Totalizer1StringValue;                   /* 652 SUMMENZHLER 1 */
    199,  Totalizer1StringOverflow;                /* 655 SUMMENZ.1 BERL. */
    200,  Totalizer1StringMain;                    /* 656 SUMMENZ.1 */
    201,  Totalizer2StringValue;                   /* 657 SUMMENZHLER 2 */
    202,  Totalizer2StringOverflow;                /* 658 SUMMENZ.2 BERL. */
    203,  Totalizer2StringMain;                    /* 659 SUMMENZ.2 */
    205,  Totalizer1MassUnit;                      /* 662 EINH.SUMMENZ. 1 */
    206,  Totalizer2MassUnit;                      /* 663 EINH.SUMMENZ. 2 */
    207,  Totalizer1StandardVolumeUnit;            /* 664 EINH.SUMMENZ. 1 */
    208,  Totalizer2StandardVolumeUnit;            /* 665 EINH.SUMMENZ. 2 */
    209,  Totalizer1NormVolumeUnit;                /* 666 EINH.SUMMENZ. 1 */
    210,  Totalizer2NormVolumeUnit;                /* 667 EINH.SUMMENZ. 2 */
    89,   LinearisationTableIndex;                 /* 549 ZEILEN-NR: */
    90,   LinearisationTableXValue;                /* 550 X-WERT: */
    91,   LinearisationTableYValue;                /* 551 Y-WERT: */
    104,  MassUnitScale;                           /* 703 FAKT.BEN.EINH. M */
    111,  MeasuredLevelAfterSimulation;            /* 50 FLLSTAND V.LIN. */
    112,  MeasuredTankContentAfterSimulation;      /* 370 TANKINHALT */
    113,  LowLevelPressure;                        /* 710 DRUCK LEER */
    114,  LowLevel;                                /* 314 ABGLEICH LEER */
    115,  HighLevel;                               /* 315 ABGLEICH VOLL */
    116,  LevelAdjustDensity;                      /* 316 DICHTE ABGLEICH */
    117,  HighLevelPressure;                       /* 711 DRUCK VOLL */
    118,  VolumeUnit;                              /* 313 EINHEIT VOLUMEN */
    119,  LinearisationTableXBuffer;               /* 725 AKTIVE LIN.TAB.X */
    120,  LinearLevelMax;                          /* 712 FLLHHE MAX. */
    121,  LinearisationTableYBuffer;               /* 771 AKTIVE LIN.TAB.Y */
    124,  ReadOnlyLevelAdjustDensity;              /* 810 DICHTE ABGLEICH */
    125,  LevelMeasurementDensity;                 /* 811 DICHTE PROZESS */
    126,  DensityUnit;                             /* 812 EINHEIT DICHTE */
    127,  Level100PercentValue;                    /* 813 100% PUNKT */
    128,  LevelOffset;                             /* 814 NULLPUNKTVERSATZ */
    129,  LevelAdjustMode;                         /* 392 ABGLEICHMODUS */
    130,  LinearPressureMin;                       /* 775 HYDR. DRUCK MIN. */
    134,  LinearPressureMax;                       /* 761 HYDR. DRUCK MAX. */
    135,  TankContentMin;                          /* 759 TANKINHALT MIN. */
    136,  LinearLevelMin;                          /* 755 FLLHHE MIN. */
    137,  TankContentSimulationValue;              /* 715 SIM. TANKINHALT */
    138,  LinearisationTableMode;                  /* 397 TAB.EINGABEMODUS */
    158,  ReadOnlyLinearisationTableXValue;        /* 726 X-WERT: */
    166,  MassUnitText;                            /* 704 BEN. EINHEIT M */
    168,  LevelTankDescription;                    /* 815 TANKBESCHREIBUNG */
    177,  TankContentMax;                          /* 713 TANKINHALT MAX. */
    178,  LevelSimulationValue;                    /* 714 SIM. FLL.V.LIN. */
    183,  LinearizationTablePostView;              /* 717 MESSTABELLE */
    184,  LevelType;                               /* 718 FLLSTANDSTYP */
    204,  HeightUnit;                              /* 708 EINHEIT HHE */
    211,  MassUnit;                                /* 709 EINHEIT MASSE */
    214,  HeightUnitScale;                         /* 705 FAKT.BEN.EINH. H */
    216,  HeightUnitText;                          /* 706 BEN. EINHEIT H */
    229,  MeasurandLinear;                         /* 804 MESSGR. LINEAR */
    230,  MeasurandLinearized;                     /* 805 MESSGR.LINEARIS. */
    231,  MeasurandCombined;                       /* 806 MESSGR.KOMB. */
    233,  LinearizationTableSelection;             /* 808 TABELLENAUSWAHL */
    234,  LinearizationTablePreEdit;               /* 809 TABELLENEDITOR */
    235,  AccelerationOfGravity;                   /* 818 GRAVITATION */
    71,   ActivePressure1Damping;                  /* 247 WERT DMPFUNG */
    72,   Pressure1LowerCalWritten;                /* 337 LOW SENSOR TRIM */
    73,   Pressure1LowerCalMeasured;               /* 513 LO TRIM MESSWERT */
    74,   Pressure1UpperCalWritten;                /* 338 HIGH SENSOR TRIM */
    75,   Pressure1UpperCalMeasured;               /* 514 HI TRIM MESSWERT */
    76,   Pressure1InstallOffset;                  /* 319 LAGEOFFSET */
    77,   Pressure1AcceptInstallOffset;            /* 563 LAGESOLLWERT */
    78,   Pressure1UserLowLimit;                   /* 332 Pmin PROZESS */
    79,   Pressure1UserHighLimit;                  /* 333 Pmax PROZESS */
    80,   Pressure1SimulationValue;                /* 414 SIM. DRUCKWERT */
    81,   Pressure1Unit;                           /* 60 EINHEIT DRUCK */
    82,   Pressure1UnitText;                       /* 75 BEN. EINHEIT P */
    83,   Pressure1UnitScale;                      /* 317 FAKT.BEN.EINH. P */
    84,   Pressure1AfterCalibration;               /* 434 DRUCK N. LAGEKOR */
    85,   Pressure1AfterSensor;                    /* 584 SENSOR DRUCK */
    86,   Pressure1AfterDamping;                   /* 301 DRUCK GEMESSEN */
    148,  Pressure1AcceptZeroInstallOffset;        /* 685 LAGEKORREKTUR */
    65,   Temperature1UserLowLimit;                /* 334 Tmin PROZESS */
    66,   Temperature1UserHighLimit;               /* 335 Tmax PROZESS */
    67,   TemperatureUnit;                         /* 318 TEMP. EINHEIT */
    68,   MeasuredTemperature1;                    /* 367 TEMP. SENSOR */
    70,   MeasuredTemperature3;                    /* 357 TEMP. ELEKTRONIK */
    0,    DisplayLanguage;                         /* 79 SPRACHE */
    9,    DisplayContrast;                         /* 339 KONTRAST ANZEIGE */
    10,   DisplayAlternatingValues;                /* 423 ANZ ALTERNIEREND */
    14,   DisplayMainlineContent;                  /* 419 INHALT HAUPTZEIL */
    15,   DisplayMainlineFormat;                   /* 420 FORMAT HAUPTZEIL */
    217,  AutomaticMainLineFormat;                 /* 688 FORMAT HAUPTZEIL */
    238,  DatHandling;                             /* 832 HistoROM FUNKT. */
    239,  SilLock;                                 /* 836 SICH.VERRIEGEL. */
    240,  SilPasswordStart;                        /* 838 SICHERH.PASSWORT */
    241,  SilDigitsTestString;                     /* 840 ZEICHENFOLGE */
    242,  SilDigitsTestAck;                        /* 841 BESTTIGEN */
    243,  SilAcknowledgeAlarmMode;                 /* 844 BESTTIGEN */
    244,  SilOperatingMode;                        /* 845 BESTTIGEN */
    245,  SilPressure1InstallOffset;               /* 847 BESTTIGEN */
    246,  SilFlowMax;                              /* 848 BESTTIGEN */
    247,  SilFlowMaxPressure;                      /* 849 BESTTIGEN */
    248,  SilCreepFlowSuppressionEnable;           /* 850 BESTTIGEN */
    249,  SilCreepFlowSuppressOffThreshold;        /* 851 BESTTIGEN */
    250,  SilLowerRangeValue;                      /* 852 BESTTIGEN */
    251,  SilUpperRangeValue;                      /* 853 BESTTIGEN */
    252,  SilFlowmode;                             /* 854 BESTTIGEN */
    253,  SilPressure1Damping;                     /* 855 BESTTIGEN */
    254,  SilPasswordEnd;                          /* 856 BEST. PASSWORT */
    255,  SilLockStatus;                           /* 857 SICH.VERR.STATUS */
    260,  SilCurrentOutput;                        /* 875 BESTTIGEN */
    262,  SilCurrentOutputResumed;                 /* 878 AUSGANGSSTROM */
    281,  SilHighLevelEasy;                        /* 1461 BESTTIGEN */
    282,  SilHighLevelPressureEasy;                /* 1459 BESTTIGEN */
    283,  SilLowLevelEasy;                         /* 1462 BESTTIGEN */
    284,  SilLowLevelPressureEasy;                 /* 1460 BESTTIGEN */
    286,  SilLowerRangeValueEasy;                  /* 1465 BESTTIGEN */
    287,  SilUpperRangeValueEasy;                  /* 1466 BESTTIGEN */
    291,  DownloadOverwriteSelection;              /* 1487 DOWNLOAD FUNCT. */
    1000, MaxAlarmCurrent;                         /* 342 MAX. ALARMSTROM */
    1001, AlarmBehaviourValue;                     /* 388 STROM BEI ALARM */
    1004, FourMaCurrentLimit;                      /* 343 MIN STROM SETZEN */
    1005, CurrentValue;                            /* 254 AUSGANGSSTROM */
    1006, CurrentSimulationValue;                  /* 270 SIM. STROMWERT */
    1007, FlowMode;                                /* 390 LINEAR/RADIZ. */
    1008, CurrentUnit;                             /* 505 STROM EINHEIT */
    1010, LowCalWrittenCurrent;                    /* 344 STROM TRIMM 4mA */
    1011, HighCalWrittenCurrent;                   /* 543 STROM TRIMM 20mA */
    1012, NrOfPreambles;                           /* 36 ANZAHL PRAMBEL */
    1014, Date;                                    /* 481 DATUM HART */
    1015, Tag;                                     /* 55 MESSSTELLE */
    1016, LongTag;                                 /* 305 MESSSTELLE LANG */
    1017, BurstMode;                               /* 346 BURST MODE */
    1018, BurstCommand;                            /* 347 BURST OPTION */
    1022, PressureLowerRangeValue;                 /* 245 MESSANFG SETZEN */
    1023, PressureUpperRangeValue;                 /* 246 MESSENDE SETZEN */
    1024, PressureCurrentOutputCharacteristics;    /* 694 KENNLINIE STROM */
    1026, PollingAddress;                          /* 345 BUSADRESSE */
    1029, Message;                                 /* 271 NACHRICHT HART */
    1030, Descriptor;                              /* 272 BESCHREIBUNG */
    1042, MinSpan;                                 /* 591 MINIMALE SPANNE */
    1044, Pressure1LimitExcessAlarmCurrent;        /* 597 AL. STROMVERH. */
    1045, FlowCurrentOutputCharacteristics;        /* 695 KENNLINIE STROM */
    1046, LowCalOffsetCurrent;                     /* 615 OFFSET 4mA TRIM */
    1047, HighCalOffsetCurrent;                    /* 616 OFFSET 20mA TRIM */
    1048, CurrentPercentValue;                     /* 545 STROM IN % */
    1049, FlowLowerRangeValue;                     /* 637 MESSANFG SETZEN */
    1050, FlowUpperRangeValue;                     /* 638 MESSENDE SETZEN */
    1053, LevelLowerRangeValue;                    /* 719 MESSANFG SETZEN */
    1054, LevelCurrentOutputCharacteristics;       /* 696 KENNLINIE STROM */
    1055, LevelUpperRangeValue;                    /* 720 MESSENDE SETZEN */
    1058, LevelMode;                               /* 760 ZUORDNUNG STROM */
    1060, TankContentLowerRangeValue;              /* 762 MESSANFG SETZEN */
    1061, TankContentUpperRangeValue;              /* 763 MESSENDE SETZEN */
    1063, TankContentCurrentCharacteristics;       /* 764 KENNLINIE STROM */
    1002, ConfigurationCounter;                    /* 352 KONFIG ZHLER */
    1020, AcceptPressureLowerRangeValue;           /* 309 MESSANFG NEHMEN */
    1021, AcceptPressureUpperRangeValue;           /* 310 MESSENDE NEHMEN */
    1043, MaxTurnDown;                             /* 486 MAX. TURNDOWN */
    88,   DeviceRevision;                          /* 699 DEVICE REVISION */
    139,  PercentUnit;                             /* 518 PROZENT EINHEIT */
    140,  SecondUnit;                              /* 519 SEKUNDEN EINHEIT */
    141,  OperatingHoursValue;                     /* 409 BETRIEBSSTUNDEN */
    142,  OperatingMode;                           /* 389 BETRIEBSART */
    143,  ActualAlarmInfo_io;                      /* 46 DIAGNOSE CODE */
    145,  LastAlarmInfo;                           /* 564 LETZTE DIAG.CODE */
    150,  SimulationMode;                          /* 413 SIMULATION */
    151,  AlarmSimulationValue;                    /* 476 SIM. FEHLERNR. */
    152,  AcknowledgeAlarmMode;                    /* 401 MODUS ALARMQUIT. */
    153,  AcknowledgeAlarm;                        /* 500 ALARM QUITTIEREN */
    154,  AlarmSetupTime;                          /* 336 ALARMVERZGERUNG */
    155,  AlarmHoldTime;                           /* 480 ALARMHALTEZEIT */
    156,  SWLock;                                  /* 48 FREIGABECODE */
    157,  ResetInputValue;                         /* 47 RCKSETZEN */
    159,  SwitchStatus;                            /* 363 SCHREIBSCHUTZ HW */
    160,  SoftwareRevision;                        /* 264 SOFTWARE VERSION */
    161,  HardwareRevision;                        /* 266 HARDWARE REV. */
    162,  DeviceManufacturerId;                    /* 432 HERSTELLERNR. */
    163,  DeviceTypeDelta;                         /* 351 GERTE ID */
    167,  ElectronicSerialNumber;                  /* 386 SERIENNR ELEKTR. */
    171,  ChooseErrorOrWarning;                    /* 595 AUSWAHL ALARME */
    173,  ReactionOnAlarmNr;                       /* 600 MELDUNGSNR. */
    175,  ResetAlarmHistory;                       /* 603 RESET MELDUNGEN */
    222,  HistoRomSavingCycleTime;                 /* 768 HIST.SPEICH.ZYKL */
    223,  ValidateLinearisationTable;              /* 769 TAB. AKTIVIEREN */
    224,  LinearizationTablePostEdit;              /* 770 TABELLENEDITOR */
    228,  DeviceTypeAbsRel;                        /* 802 GERTE ID */
    236,  MeasuredValuePercent;                    /* 828 MESSWERT % */
    237,  HistoromAvailable;                       /* 831 HistoROM VORHND. */
    261,  SilModeAllowed;                          /* 877  */
    266,  DeviceTypeContite;                       /* 1379 GERTE ID */
    48,   ProcessFlangeGasketMaterial;             /* 362 MAT. DICHTUNG */
    49,   ProcessConnectionModel;                  /* 482 TYP ANSCHLUSS */
    50,   ProcessConnectionMaterialPositive;       /* 360 MAT. ANSCHL. + */
    51,   ProcessConnectionMaterialNegative;       /* 361 MAT. ANSCHL. - */
    52,   ProcessConnectionPressureHighLimit;      /* 570 Pmax ANSCHLUSS */
    53,   ProcessConnectionBoltsMaterial;          /* 528 MAT. SCHRAUBEN */
    54,   ProcessConnectionNutsMaterial;           /* 529 MAT. MUTTERN */
    55,   ProcessConnectionDrainVentMaterial;      /* 530 MAT.ENTL.VENT. */
    56,   ProcessConnectionDrainVentPosition;      /* 531 POS.ENTL.VENT. */
    57,   ProcessConnectionThread;                 /* 532 PROZESS GEWINDE */
    58,   ProcessConnectionMountingThread;         /* 533 MONTAGE GEWINDE */
    59,   ProcessConnectionNrOffRemoteSeals;       /* 534 ANZ.DRUCKMITTLER */
    60,   ProcessConnectionRemoteseal1Type;        /* 535 DRUCKMITT. TYP + */
    61,   ProcessConnectionRemoteseal2Type;        /* 536 DRUCKMITT. TYP - */
    62,   ProcessRemoteseal1DiaphragmMaterial;     /* 537 MAT. MEMBRAN + */
    63,   ProcessRemoteseal2DiaphragmMaterial;     /* 538 MAT. MEMBRAN - */
    64,   ProcessRemoteSealFillFluid;              /* 539 FLLFL.DRUCKMITT */
    39,   Temperature3LowLimit;                    /* 358 Tmin ELEKTRONIK */
    40,   Temperature3HighLimit;                   /* 359 Tmax ELEKTRONIK */
    42,   SensorDiaphragmMaterial;                 /* 365 MAT. MEMBRAN */
    43,   SensorFillFluid;                         /* 366 FLLL */
    44,   SensorHardwareRevision;                  /* 487 SENSOR HW REV. */
    45,   SensorMinAbsoluteLimit;                  /* 251 Pmin SENSOR, abs */
    46,   SensorMaxAbsoluteLimit;                  /* 252 Pmax SENSOR, abs */
    18,   ResetTransmitterObservation;             /* 382 RESET SCHLEPPZEI */
    19,   Pressure1MinResetable;                   /* 469 MINIMALER DRUCK */
    20,   Pressure1MaxResetable;                   /* 383 MAXIMALER DRUCK */
    21,   ResetableUnderPressure1Counter;          /* 467 ZHLER  P < Pmin */
    22,   ResetableOverPressure1Counter;           /* 380 ZHLER P > Pmax */
    23,   Temperature1MinResetable;                /* 474 MINIMALE TEMP. */
    24,   Temperature1MaxResetable;                /* 471 MAXIMALE TEMP. */
    25,   ResetableUnderTemperature1Counter;       /* 472 ZHLER T < Tmin */
    26,   ResetableOverTemperature1Counter;        /* 404 ZHLER T > Tmax */
    27,   Temperature3Min;                         /* 494 MIN. EL. TEMP */
    28,   Temperature3Max;                         /* 490 MAX  EL. TEMP */
    29,   UnderTemperature3Counter;                /* 492 ZHL. EL. T<Tmin */
    30,   OverTemperature3Counter;                 /* 488 ZHL. EL. T>Tmax */
    31,   NumberOfSensorChanges;                   /* 589 SENSORWECHSEL */
    110,  Tendency;                                /* 378 TENDENZ MESSWERT */
    220,  PeakHoldIncrementFaktor;                 /* 756 P SCHLPZ.SCHRITT */
    221,  Temperature1PeakHoldIncrementOffset;     /* 758 T SCHLPZ.SCHRITT */
    33,   Pressure1SensorLowLimit;                 /* 484 LRL SENSOR */
    34,   Pressure1SensorHighLimit;                /* 485 URL SENSOR */
    36,   Temperature1SensorLowLimit;              /* 368 Tmin SENSOR */
    37,   Temperature1SensorHighLimit;             /* 369 Tmax SENSOR */
    41,   SensorSerialNumber;                      /* 250 SERIENNR SENSOR */
    47,   SensorMeasurementType;                   /* 581 SENSORMESSTYP */     
    /* MAX PARAMETER 255 */
   }
}

ARRAY OF VARIABLE variable_array_val_2
{
                ELEMENTS
                {          
                                263,  Pressure1Damping;                        /* 879 WERT DMPFUNG */
                                164,  DeviceSerialNumber;                      /* 354 SERIENNR TRANSM. */
                                165,  DeviceOrderCode;                         /* 350 GERTEBEZEICHNG */
                                256,  LevelTankVolume;                         /* 858 TANK VOLUMEN */
                                257,  LevelTankHeight;                         /* 859 TANKHHE */
                                267,  DensityUnitEasy;                         /* 1457 EINHEIT DICHTE */
                                268,  HeightUnitEasy;                          /* 1444 EINHEIT HHE */
                                269,  HighLevelEasy;                           /* 1439 ABGLEICH VOLL */
                                270,  HighLevelPressureEasy;                   /* 1442 DRUCK VOLL */
                                271,  Level100PercentValueEasy;                /* 1446 HHE VOLL */
                                272,  LevelAdjustDensityEasy;                  /* 1456 DICHTE ABGLEICH */
                                273,  LevelAdjustModeEasy;                     /* 1440 ABGLEICHMODUS */
                                274,  LevelOffsetEasy;                         /* 1445 HHE LEER */
                                275,  LowLevelEasy;                            /* 1441 ABGLEICH LEER */
                                276,  LowLevelPressureEasy;                    /* 1443 DRUCK LEER */
                                277,  MaxOutCurrentEasy;                       /* 1451 MESSENDE SETZEN */
                                278,  MinOutCurrentEasy;                       /* 1450 MESSANFG SETZEN */
                                279,  OutUnitEasy;                             /* 1449 AUSGABEEINHEIT */
                                285,  ConfigurationType;                       /* 1463 FLLSTANDSWAHL */
                                289,  MeasuredActualLevelEasy;                 /* 1469  */
                                290,  LevelMeasurementDensityEasy;             /* 1471 DICHTE PROZESS */
                                292,  Pressure1InputInversion;                 /* 1488 DRUCK INVERT. */
                                10002,FlowUnit;                                /* 677 EINH. DURCHFLUSS */
                                10003,LowerRangeValue;                         /* 678 MESSANFG SETZEN */
                                10004,MeasuredValue;                           /* 679 MESSWERT */
                                10005,Totalizer1Unit;                          /* 680 EINH.SUMMENZ. 1 */
                                10006,Totalizer2Unit;                          /* 681 EINH.SUMMENZ. 2 */
                                10007,UpperRangeValue;                         /* 682 MESSENDE SETZEN */
                                10009,DeviceNameString;                        /* 554 GERTE NAME STR. */
                                10010,SimulationValue;                         /* 693 WERT SIMULATION */
                                10011,CurrentOutputCharacteristics;            /* 572 KENNLINIE STROM */
                                10012,LevelUnit;                               /* 312 EINHEIT FLLSTND */
                                10013,TankContentUnit;                         /* 700 EINH. TANKINHALT */
                                10014,LevelUnitScale;                          /* 728 FAKT.EINH.V.LIN. */
                                10015,TankContentUnitScale;                    /* 729 FAKT.EINH.T.INH. */
                                10016,LevelUnitText;                           /* 730 BEN.EINH.V. LIN. */
                                10017,TankContentUnitText;                     /* 732 BEN.EINH.T.INH. */
                                10052,DeviceType;                              /* 803 GERTE ID */
                                10053,Measurand;                               /* 807 MESSGRSSE */
                                10054,VirtualLevelAdjustDensity;               /* 821 DICHTE ABGLEICH */
                                10058,PrimaryVariable;                         /* 794 1.PROZESSWERT */
                                10059,SecondaryVariable;                       /* 795 2.PROZESSWERT */
                                10060,TertiaryVariable;                        /* 796 3.PROZESSWERT */
                                10061,QuaternaryVariable;                      /* 797 4.PROZESSWERT */
                                10062,VirtualSilDigitsTestString;              /* 881 ZEICHENFOLGE */
                                10063,VirtualLevelUnitDensity;                 /* 1485 EINHEIT DICHTE */
                                10064,VirtualVolumeUnit;                       /* 1490 EINHEIT VOLUMEN */
                                10065,VirtualVolumeUnitText;                   /* 1491 BEN. EINHEIT V */
                                10066,VirtualVolumeUnitScale;                  /* 1492 FAKT.BEN.EINH. V */
                        }
}
/*
**********************************************************************
** ID: 311 Text: MAX. DURCHFLUSS Index: 92 Update: Static
**********************************************************************
*/
VARIABLE FlowMax
{
   LABEL FlowMaxTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".6f";
    EDIT_FORMAT ".6f";
   }
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}		
/*
**********************************************************************
** ID: 322 Text: SCHLEICHM. HYST. Index: 93 Update: Static
**********************************************************************
*/
VARIABLE CreepFlowSuppressionHysteresis
{
   LABEL CreepFlowSuppressionHysteresisTEXT
   CLASS INPUT & SERVICE;
   HANDLING SERVICE_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".2f";
    EDIT_FORMAT ".2f";
    MIN_VALUE 0.0;
    MAX_VALUE 50.0;
   }
   CONSTANT_UNIT "%";
   VALIDITY IF(Val127)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 323 Text: SCHLEICHM.SETZEN Index: 94 Update: Static
**********************************************************************
*/
VARIABLE CreepFlowSuppressionOffThreshold
{
   LABEL CreepFlowSuppressionOffThresholdTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".2f";
    EDIT_FORMAT ".2f";
    MIN_VALUE 0.0;
    MAX_VALUE 50.0;
   }
   CONSTANT_UNIT "%";
   VALIDITY IF(OperatingMode == eOM_FLOW && CreepFlowSuppressionEnable == eCFSE_ON)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 329 Text: FAKT.BEN.EINH.S1 Index: 95 Update: Static
**********************************************************************
*/
VARIABLE Totalizer1UnitScale
{
   LABEL Totalizer1UnitScaleTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".6f";
    EDIT_FORMAT ".6f";
    MIN_VALUE 0.000001;
    MAX_VALUE 1000000.0;
   }
   
   VALIDITY IF(Val128)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 330 Text: FAKT.BEN.EINH.S2 Index: 96 Update: Static
**********************************************************************
*/
VARIABLE Totalizer2UnitScale
{
   LABEL Totalizer2UnitScaleTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".6f";
    EDIT_FORMAT ".6f";
    MIN_VALUE 0.000001;
    MAX_VALUE 1000000.0;
   }
   
   VALIDITY IF Val130
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 331 Text: RESET SUMMENZ. 1 Index: 97 Update: Static
**********************************************************************
*/
VARIABLE Totalizer1Reset
{
   LABEL Totalizer1ResetTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_Totalizer1Reset
   }
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 375 Text: DURCHFLUSS Index: 99 Update: Dynamic
**********************************************************************
*/
VARIABLE FlowAfterSuppression
{
   LABEL FlowAfterSuppressionTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT AUTOMATIC_MAINLINE_FORMAT
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 571 Text: EINH. MASSEFLUSS Index: 100 Update: Static
**********************************************************************
*/
VARIABLE MassFlowUnit
{
   LABEL MassFlowUnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_MassFlowUnit
   }
   
   VALIDITY IF(Val113)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 442 Text: SCHLEICHM. MODUS Index: 103 Update: Static
**********************************************************************
*/
VARIABLE CreepFlowSuppressionEnable
{
   LABEL CreepFlowSuppressionEnableTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_CreepFlowSuppressionEnable
   }
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 391 Text: EINH. DURCHFLUSS Index: 105 Update: Static
**********************************************************************
*/
VARIABLE VolumeFlowUnit
{
   LABEL VolumeFlowUnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_VolumeFlowUnit
   }
   
   VALIDITY IF(Val121)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 398 Text: EINH.SUMMENZ. 1 Index: 106 Update: Static
**********************************************************************
*/
VARIABLE Totalizer1VolumeUnit
{
   LABEL Totalizer1VolumeUnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_Totalizer1VolumeUnit
   }
   
   VALIDITY IF(Val121)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 399 Text: EINH.SUMMENZ. 2 Index: 107 Update: Static
**********************************************************************
*/
VARIABLE Totalizer2VolumeUnit
{
   LABEL Totalizer2VolumeUnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_Totalizer2VolumeUnit
   }
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 400 Text: MODUS SUMMENZ. 1 Index: 108 Update: Static
**********************************************************************
*/
VARIABLE Totalizer1Mode
{
   LABEL Totalizer1ModeTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_Totalizer1Mode
   }
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 416 Text: MODUS SUMMENZ. 2 Index: 109 Update: Static
**********************************************************************
*/
VARIABLE Totalizer2Mode
{
   LABEL Totalizer2ModeTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_Totalizer2Mode
   }
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 607 Text: FAKT.BEN.EINH. V Index: 179 Update: Static
**********************************************************************
*/
VARIABLE VolumeUnitScale
{
   LABEL VolumeUnitScaleTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".6f";
    EDIT_FORMAT ".6f";
    MIN_VALUE 0.000001;
    MAX_VALUE 1000000.0;
   }
   
   VALIDITY IF(Val279)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 1;
}
/*
**********************************************************************
** ID: 608 Text: BEN. EINHEIT V Index: 180 Update: Static
**********************************************************************
*/
VARIABLE VolumeUnitText
{
   LABEL VolumeUnitTextTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE PACKED_ASCII(8);
   
   VALIDITY IF(Val279)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE "m";
}
/*
**********************************************************************
** ID: 609 Text: FAKT.BEN.EINH.F Index: 181 Update: Static
**********************************************************************
*/
VARIABLE FlowUnitScale
{
   LABEL FlowUnitScaleTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".6f";
    EDIT_FORMAT ".6f";
    MIN_VALUE 0.000001;
    MAX_VALUE 1000000.0;
   }
   
   VALIDITY IF(Val124)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 610 Text: BEN. EINHEIT F Index: 182 Update: Static
**********************************************************************
*/
VARIABLE FlowUnitText
{
   LABEL FlowUnitTextTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE PACKED_ASCII(8);
   
   VALIDITY IF(Val124)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE "m/s";
}
/*
**********************************************************************
** ID: 627 Text: BEN.EINH.SUM. 1 Index: 185 Update: Static
**********************************************************************
*/
VARIABLE Totalizer1UnitText
{
   LABEL Totalizer1UnitTextTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE PACKED_ASCII(8);
   
   VALIDITY IF(Val128)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 628 Text: BEN.EINH.SUM. 2 Index: 186 Update: Static
**********************************************************************
*/
VARIABLE Totalizer2UnitText
{
   LABEL Totalizer2UnitTextTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE PACKED_ASCII(8);
   
   VALIDITY IF(Val130)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 660 Text: STD.DURCHFL.EINH Index: 188 Update: Static
**********************************************************************
*/
VARIABLE StandardFlowUnit
{
   LABEL StandardFlowUnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_StandardFlowUnit
   }
   
   VALIDITY IF(Val119)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 634 Text: MAX.DRUCK FLUSS Index: 191 Update: Static
**********************************************************************
*/
VARIABLE FlowMaxPressure
{
   LABEL FlowMaxPressureTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 639 Text: SIM.DURCHFL.WERT Index: 192 Update: Static
**********************************************************************
*/
VARIABLE FlowSimulationValue
{
   LABEL FlowSimulationValueTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
   VALIDITY IF(Val126)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 661 Text: NORM.DURCHFL.EIN Index: 193 Update: Static
**********************************************************************
*/
VARIABLE NormFlowUnit
{
   LABEL NormFlowUnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_NormFlowUnit
   }
   
   VALIDITY IF(Val116)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 640 Text: DURCHFLUSSTYP Index: 194 Update: Static
**********************************************************************
*/
VARIABLE FlowType
{
   LABEL FlowTypeTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_FlowType
   }
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   
}
/*
**********************************************************************
** ID: 652 Text: SUMMENZHLER 1 Index: 198 Update: Dynamic
**********************************************************************
*/
VARIABLE Totalizer1StringValue
{
   LABEL Totalizer1StringValueTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE PACKED_ASCII(8);
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 655 Text: SUMMENZ.1 BERL. Index: 199 Update: Dynamic
**********************************************************************
*/
VARIABLE Totalizer1StringOverflow
{
   LABEL Totalizer1StringOverflowTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE PACKED_ASCII(8);
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 656 Text: SUMMENZ.1 Index: 200 Update: Dynamic
**********************************************************************
*/
VARIABLE Totalizer1StringMain
{
   LABEL Totalizer1StringMainTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE ASCII(6);
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 657 Text: SUMMENZHLER 2 Index: 201 Update: Dynamic
**********************************************************************
*/
VARIABLE Totalizer2StringValue
{
   LABEL Totalizer2StringValueTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE PACKED_ASCII(8);
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 658 Text: SUMMENZ.2 BERL. Index: 202 Update: Dynamic
**********************************************************************
*/
VARIABLE Totalizer2StringOverflow
{
   LABEL Totalizer2StringOverflowTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE PACKED_ASCII(8);
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 659 Text: SUMMENZ.2 Index: 203 Update: Dynamic
**********************************************************************
*/
VARIABLE Totalizer2StringMain
{
   LABEL Totalizer2StringMainTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE ASCII(6);
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 662 Text: EINH.SUMMENZ. 1 Index: 205 Update: Static
**********************************************************************
*/
VARIABLE Totalizer1MassUnit
{
   LABEL Totalizer1MassUnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_Totalizer1MassUnit
   }
   
   VALIDITY IF(Val113)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 663 Text: EINH.SUMMENZ. 2 Index: 206 Update: Static
**********************************************************************
*/
VARIABLE Totalizer2MassUnit
{
   LABEL Totalizer2MassUnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_Totalizer2MassUnit
   }
   
   VALIDITY IF(Val113)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 664 Text: EINH.SUMMENZ. 1 Index: 207 Update: Static
**********************************************************************
*/
VARIABLE Totalizer1StandardVolumeUnit
{
   LABEL Totalizer1StandardVolumeUnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_Totalizer1StandardVolumeUnit
   }
   
   VALIDITY IF(Val121)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 665 Text: EINH.SUMMENZ. 2 Index: 208 Update: Static
**********************************************************************
*/
VARIABLE Totalizer2StandardVolumeUnit
{
   LABEL Totalizer2StandardVolumeUnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_Totalizer2StandardVolumeUnit
   }
   
   VALIDITY IF(Val119)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 666 Text: EINH.SUMMENZ. 1 Index: 209 Update: Static
**********************************************************************
*/
VARIABLE Totalizer1NormVolumeUnit
{
   LABEL Totalizer1NormVolumeUnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_Totalizer1NormVolumeUnit
   }
   
   VALIDITY IF(Val116)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 667 Text: EINH.SUMMENZ. 2 Index: 210 Update: Static
**********************************************************************
*/
VARIABLE Totalizer2NormVolumeUnit
{
   LABEL Totalizer2NormVolumeUnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_Totalizer2NormVolumeUnit
   }
   
   VALIDITY IF(Val116)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 549 Text: ZEILEN-NR: Index: 89 Update: Static
**********************************************************************
*/
VARIABLE LinearisationTableIndex
{
   LABEL LinearisationTableIndexTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE UNSIGNED_INTEGER(1)
   {
    DISPLAY_FORMAT "3u";
    MIN_VALUE 1;
    MAX_VALUE 32;
   }
   
   VALIDITY IF(Val213)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 550 Text: X-WERT: Index: 90 Update: Dynamic
**********************************************************************
*/
VARIABLE LinearisationTableXValue
{
   LABEL LinearisationTableXValueTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".3f";
    EDIT_FORMAT ".3f";
   }
   
#ifdef LEVEL_UNIT_SELECT
   CONSTANT_UNIT IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR)
              {
               SELECT(MeasurandLinear)
               {
                CASE 0  : ENUM_HeightUnitLIST
                CASE 1  : ENUM_VolumeUnitLIST
                CASE 2  : ENUM_MassUnitLIST
                CASE 3  : ENUM_PercentUnitLIST
                DEFAULT : ENUM_HeightUnitLIST
               }
              }
              ELSE
              {
               IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED)
               {
                SELECT(MeasurandCombined)
                {
                 CASE 0  : ENUM_HeightUnitLIST
                 CASE 1  : ENUM_HeightUnitLIST
                 CASE 2  : ENUM_HeightUnitLIST
                 CASE 3  : ENUM_PercentUnitLIST
                 CASE 4  : ENUM_PercentUnitLIST
                 CASE 5  : ENUM_PercentUnitLIST
                 DEFAULT : ENUM_HeightUnitLIST
                }
               }
               ELSE
               {
                IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED)
                {
                 ENUM_Pressure1UnitLIST
                }
                ELSE
                {
                 ENUM_OutUnitEasyLIST
                }
               }
              }
#endif
   
   VALIDITY IF(Val204)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   PRE_EDIT_ACTIONS 
   { 
    read_LinearisationTableXValue 
   }
}
/*
**********************************************************************
** ID: 551 Text: Y-WERT: Index: 91 Update: Dynamic
**********************************************************************
*/
VARIABLE LinearisationTableYValue
{
   LABEL LinearisationTableYValueTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".3f";
    EDIT_FORMAT ".3f";
   }
   
#ifdef TANK_CONTENT_UNIT_SELECT
   CONSTANT_UNIT IF( LevelType == eLT_TYPE_LINEARIZED )
           		  {
           		    SELECT( MeasurandLinearized )
           		    {
           		  	 CASE   0 : ENUM_VolumeUnitLIST
           		  	 CASE   1 : ENUM_MassUnitLIST
           		  	 CASE   2 : ENUM_PercentUnitLIST
           		  	 DEFAULT  : [blank];
           		    }
           		  }
           		  ELSE
           		  {
           		    IF( LevelType == eLT_TYPE_COMBINED )
           		    {
           		      SELECT( MeasurandCombined )
           		  	   {
           		  	    CASE   0 : ENUM_VolumeUnitLIST
           		  	    CASE   1 : ENUM_MassUnitLIST
           		  	    CASE   2 : ENUM_PercentUnitLIST
           		  	    CASE   3 : ENUM_VolumeUnitLIST
           		  	    CASE   4 : ENUM_MassUnitLIST
           		  	    CASE   5 : ENUM_PercentUnitLIST
           		  	    DEFAULT  : [blank];
           		  	   }
           		    }
           		    ELSE
           		    {
           		    	[blank];
           		    }
					  }
#endif
   
   VALIDITY IF(Val204)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   PRE_EDIT_ACTIONS 
   { 
    read_LinearisationTableYValue
   }
}
/*
**********************************************************************
** ID: 703 Text: FAKT.BEN.EINH. M Index: 104 Update: Static
**********************************************************************
*/
VARIABLE MassUnitScale
{
   LABEL MassUnitScaleTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".6f";
    EDIT_FORMAT ".6f";
    MIN_VALUE 0.000001;
    MAX_VALUE 1000000.0;
   }
   
   VALIDITY IF(Val106)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 50 Text: FLLSTAND V.LIN. Index: 111 Update: Dynamic
**********************************************************************
*/
VARIABLE MeasuredLevelAfterSimulation
{
   LABEL MeasuredLevelAfterSimulationTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT AUTOMATIC_MAINLINE_FORMAT
    EDIT_FORMAT ".7f";
   }

#ifdef LEVEL_UNIT_SELECT
   CONSTANT_UNIT IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR)
              {
               SELECT(MeasurandLinear)
               {
                CASE 0  : ENUM_HeightUnitLIST
                CASE 1  : ENUM_VolumeUnitLIST
                CASE 2  : ENUM_MassUnitLIST
                CASE 3  : ENUM_PercentUnitLIST
                DEFAULT : ENUM_HeightUnitLIST
               }
              }
              ELSE
              {
               IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED)
               {
                SELECT(MeasurandCombined)
                {
                 CASE 0  : ENUM_HeightUnitLIST
                 CASE 1  : ENUM_HeightUnitLIST
                 CASE 2  : ENUM_HeightUnitLIST
                 CASE 3  : ENUM_PercentUnitLIST
                 CASE 4  : ENUM_PercentUnitLIST
                 CASE 5  : ENUM_PercentUnitLIST
                 DEFAULT : ENUM_HeightUnitLIST
                }
               }
               ELSE
               {
                IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED)
                {
                 ENUM_Pressure1UnitLIST
                }
                ELSE
                {
                 ENUM_OutUnitEasyLIST
                }
               }
              }
#endif

   VALIDITY IF(Val199)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 370 Text: TANKINHALT Index: 112 Update: Dynamic
**********************************************************************
*/
VARIABLE MeasuredTankContentAfterSimulation
{
   LABEL MeasuredTankContentAfterSimulationTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT AUTOMATIC_MAINLINE_FORMAT
    EDIT_FORMAT ".3f";
   }

#ifdef TANK_CONTENT_UNIT_SELECT   
   CONSTANT_UNIT IF( LevelType == eLT_TYPE_LINEARIZED )
           		  {
           		    SELECT( MeasurandLinearized )
           		    {
           		  	 CASE   0 : ENUM_VolumeUnitLIST
           		  	 CASE   1 : ENUM_MassUnitLIST
           		  	 CASE   2 : ENUM_PercentUnitLIST
           		  	 DEFAULT  : [blank];
           		    }
           		  }
           		  ELSE
           		  {
           		    IF( LevelType == eLT_TYPE_COMBINED )
           		    {
           		      SELECT( MeasurandCombined )
           		  	   {
           		  	    CASE   0 : ENUM_VolumeUnitLIST
           		  	    CASE   1 : ENUM_MassUnitLIST
           		  	    CASE   2 : ENUM_PercentUnitLIST
           		  	    CASE   3 : ENUM_VolumeUnitLIST
           		  	    CASE   4 : ENUM_MassUnitLIST
           		  	    CASE   5 : ENUM_PercentUnitLIST
           		  	    DEFAULT  : [blank];
           		  	   }
           		    }
           		    ELSE
           		    {
           		    	[blank];
           		    }
					  }
#endif
   
   VALIDITY IF(Val213)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 710 Text: DRUCK LEER Index: 113 Update: Static
**********************************************************************
*/
VARIABLE LowLevelPressure
{
   LABEL LowLevelPressureTEXT
   CLASS COMPUTATION;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
   VALIDITY IF(Val178)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 314 Text: ABGLEICH LEER Index: 114 Update: Static
**********************************************************************
*/
VARIABLE LowLevel
{
   LABEL LowLevelTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
#ifdef LEVEL_UNIT_SELECT
   CONSTANT_UNIT IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR)
              {
               SELECT(MeasurandLinear)
               {
                CASE 0  : ENUM_HeightUnitLIST
                CASE 1  : ENUM_VolumeUnitLIST
                CASE 2  : ENUM_MassUnitLIST
                CASE 3  : ENUM_PercentUnitLIST
                DEFAULT : ENUM_HeightUnitLIST
               }
              }
              ELSE
              {
               IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED)
               {
                SELECT(MeasurandCombined)
                {
                 CASE 0  : ENUM_HeightUnitLIST
                 CASE 1  : ENUM_HeightUnitLIST
                 CASE 2  : ENUM_HeightUnitLIST
                 CASE 3  : ENUM_PercentUnitLIST
                 CASE 4  : ENUM_PercentUnitLIST
                 CASE 5  : ENUM_PercentUnitLIST
                 DEFAULT : ENUM_HeightUnitLIST
                }
               }
               ELSE
               {
                IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED)
                {
                 ENUM_Pressure1UnitLIST
                }
                ELSE
                {
                 ENUM_OutUnitEasyLIST
                }
               }
              }
#endif
   
   VALIDITY IF(Val178)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 315 Text: ABGLEICH VOLL Index: 115 Update: Static
**********************************************************************
*/
VARIABLE HighLevel
{
   LABEL HighLevelTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
#ifdef LEVEL_UNIT_SELECT
   CONSTANT_UNIT IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR)
              {
               SELECT(MeasurandLinear)
               {
                CASE 0  : ENUM_HeightUnitLIST
                CASE 1  : ENUM_VolumeUnitLIST
                CASE 2  : ENUM_MassUnitLIST
                CASE 3  : ENUM_PercentUnitLIST
                DEFAULT : ENUM_HeightUnitLIST
               }
              }
              ELSE
              {
               IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED)
               {
                SELECT(MeasurandCombined)
                {
                 CASE 0  : ENUM_HeightUnitLIST
                 CASE 1  : ENUM_HeightUnitLIST
                 CASE 2  : ENUM_HeightUnitLIST
                 CASE 3  : ENUM_PercentUnitLIST
                 CASE 4  : ENUM_PercentUnitLIST
                 CASE 5  : ENUM_PercentUnitLIST
                 DEFAULT : ENUM_HeightUnitLIST
                }
               }
               ELSE
               {
                IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED)
                {
                 ENUM_Pressure1UnitLIST
                }
                ELSE
                {
                 ENUM_OutUnitEasyLIST
                }
               }
              }
#endif
   
   VALIDITY IF(Val178)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 100;
}
/*
**********************************************************************
** ID: 316 Text: DICHTE ABGLEICH Index: 116 Update: Static
**********************************************************************
*/
VARIABLE LevelAdjustDensity
{
   LABEL LevelAdjustDensityTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".3f";
    EDIT_FORMAT ".3f";
    MIN_VALUE SELECT ( VirtualLevelUnitDensity ) 
      { 
       CASE 0 :  -15.0;    /* g/cm */
       CASE 1 :  -15000.0; /* kg/m */
       CASE 2 :  -15.0;    /* kg/dm */
       CASE 3 :  -0.542;   /* US lb/in */
       CASE 4 :  -936.419; /* US lb/ft */
       DEFAULT:  -15000.0;
      }
      
    MAX_VALUE SELECT ( VirtualLevelUnitDensity ) 
      { 
       CASE 0 :  15.0;    /* g/cm */
       CASE 1 :  15000.0; /* kg/m */
       CASE 2 :  15.0;    /* kg/dm */
       CASE 3 :  0.542;   /* US lb/in */
       CASE 4 :  936.419; /* US lb/ft */
       DEFAULT: 15000.0; 
 	   }
   }
   
   VALIDITY IF(Val192)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 711 Text: DRUCK VOLL Index: 117 Update: Static
**********************************************************************
*/
VARIABLE HighLevelPressure
{
   LABEL HighLevelPressureTEXT
   CLASS COMPUTATION;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
   VALIDITY IF(Val178)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }

}
/*
**********************************************************************
** ID: 313 Text: EINHEIT VOLUMEN Index: 118 Update: Static
**********************************************************************
*/
VARIABLE VolumeUnit
{
   LABEL VolumeUnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_VolumeUnit
   }
   
   VALIDITY IF(Val198)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE "m";
   POST_EDIT_ACTIONS
{
   update_TankContentUnit,update_LevelUnit
}

}
/*
**********************************************************************
** ID: 725 Text: AKTIVE LIN.TAB.X Index: 119 Update: Dynamic
**********************************************************************
*/
VARIABLE LinearisationTableXBuffer
{
   LABEL LinearisationTableXBufferTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".3f";
    EDIT_FORMAT ".3f";
   }
   
#ifdef LEVEL_UNIT_SELECT
   CONSTANT_UNIT IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR)
              {
               SELECT(MeasurandLinear)
               {
                CASE 0  : ENUM_HeightUnitLIST
                CASE 1  : ENUM_VolumeUnitLIST
                CASE 2  : ENUM_MassUnitLIST
                CASE 3  : ENUM_PercentUnitLIST
                DEFAULT : ENUM_HeightUnitLIST
               }
              }
              ELSE
              {
               IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED)
               {
                SELECT(MeasurandCombined)
                {
                 CASE 0  : ENUM_HeightUnitLIST
                 CASE 1  : ENUM_HeightUnitLIST
                 CASE 2  : ENUM_HeightUnitLIST
                 CASE 3  : ENUM_PercentUnitLIST
                 CASE 4  : ENUM_PercentUnitLIST
                 CASE 5  : ENUM_PercentUnitLIST
                 DEFAULT : ENUM_HeightUnitLIST
                }
               }
               ELSE
               {
                IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED)
                {
                 ENUM_Pressure1UnitLIST
                }
                ELSE
                {
                 ENUM_OutUnitEasyLIST
                }
               }
              }
#endif
   
   VALIDITY IF(Val210)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   PRE_EDIT_ACTIONS 
   { 
      read_LinearisationTableXBuffer 
   }
}
/*
**********************************************************************
** ID: 712 Text: FLLHHE MAX. Index: 120 Update: Dynamic
**********************************************************************
*/
VARIABLE LinearLevelMax
{
   LABEL LinearLevelMaxTEXT
   CLASS DYNAMIC & COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
#ifdef LEVEL_UNIT_SELECT
   CONSTANT_UNIT IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR)
              {
               SELECT(MeasurandLinear)
               {
                CASE 0  : ENUM_HeightUnitLIST
                CASE 1  : ENUM_VolumeUnitLIST
                CASE 2  : ENUM_MassUnitLIST
                CASE 3  : ENUM_PercentUnitLIST
                DEFAULT : ENUM_HeightUnitLIST
               }
              }
              ELSE
              {
               IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED)
               {
                SELECT(MeasurandCombined)
                {
                 CASE 0  : ENUM_HeightUnitLIST
                 CASE 1  : ENUM_HeightUnitLIST
                 CASE 2  : ENUM_HeightUnitLIST
                 CASE 3  : ENUM_PercentUnitLIST
                 CASE 4  : ENUM_PercentUnitLIST
                 CASE 5  : ENUM_PercentUnitLIST
                 DEFAULT : ENUM_HeightUnitLIST
                }
               }
               ELSE
               {
                IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED)
                {
                 ENUM_Pressure1UnitLIST
                }
                ELSE
                {
                 ENUM_OutUnitEasyLIST
                }
               }
              }
#endif
   
   VALIDITY IF(Val182)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 771 Text: AKTIVE LIN.TAB.Y Index: 121 Update: Dynamic
**********************************************************************
*/
VARIABLE LinearisationTableYBuffer
{
   LABEL LinearisationTableYBufferTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".3f";
    EDIT_FORMAT ".3f";
   }

#ifdef TANK_CONTENT_UNIT_SELECT   
   CONSTANT_UNIT IF( LevelType == eLT_TYPE_LINEARIZED )
           		  {
           		    SELECT( MeasurandLinearized )
           		    {
           		  	 CASE   0 : ENUM_VolumeUnitLIST
           		  	 CASE   1 : ENUM_MassUnitLIST
           		  	 CASE   2 : ENUM_PercentUnitLIST
           		  	 DEFAULT  : [blank];
           		    }
           		  }
           		  ELSE
           		  {
           		    IF( LevelType == eLT_TYPE_COMBINED )
           		    {
           		      SELECT( MeasurandCombined )
           		  	   {
           		  	    CASE   0 : ENUM_VolumeUnitLIST
           		  	    CASE   1 : ENUM_MassUnitLIST
           		  	    CASE   2 : ENUM_PercentUnitLIST
           		  	    CASE   3 : ENUM_VolumeUnitLIST
           		  	    CASE   4 : ENUM_MassUnitLIST
           		  	    CASE   5 : ENUM_PercentUnitLIST
           		  	    DEFAULT  : [blank];
           		  	   }
           		    }
           		    ELSE
           		    {
           		    	[blank];
           		    }
					  }
#endif
   
   VALIDITY IF(Val210)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   PRE_EDIT_ACTIONS 
   { 
    read_LinearisationTableYBuffer
   }
}
/*
**********************************************************************
** ID: 810 Text: DICHTE ABGLEICH Index: 124 Update: Static
**********************************************************************
*/
VARIABLE ReadOnlyLevelAdjustDensity
{
   LABEL ReadOnlyLevelAdjustDensityTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".3f";
    EDIT_FORMAT ".3f";
   }
   
   VALIDITY IF(Val195)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 811 Text: DICHTE PROZESS Index: 125 Update: Static
**********************************************************************
*/
VARIABLE LevelMeasurementDensity
{
   LABEL LevelMeasurementDensityTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".3f";
    EDIT_FORMAT ".3f";
    MIN_VALUE SELECT ( VirtualLevelUnitDensity ) 
      { 
       CASE 0 :  -15.0;    /* g/cm */
       CASE 1 :  -15000.0; /* kg/m */
       CASE 2 :  -15.0;    /* kg/dm */
       CASE 3 :  -0.542;   /* US lb/in */
       CASE 4 :  -936.419; /* US lb/ft */
       DEFAULT:  -15000.0;
      }
      
    MAX_VALUE SELECT ( VirtualLevelUnitDensity ) 
      { 
       CASE 0 :  15.0;    /* g/cm */
       CASE 1 :  15000.0; /* kg/m */
       CASE 2 :  15.0;    /* kg/dm */
       CASE 3 :  0.542;   /* US lb/in */
       CASE 4 :  936.419; /* US lb/ft */
       DEFAULT: 15000.0; 
 	   }
   }
   
   VALIDITY IF(Val232)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 812 Text: EINHEIT DICHTE Index: 126 Update: Static
**********************************************************************
*/
VARIABLE DensityUnit
{
   LABEL DensityUnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_DensityUnit
   }
   
   VALIDITY IF(Val192)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   
   POST_EDIT_ACTIONS
{
   update_VirtualLevelUnitDensity
}

}
/*
**********************************************************************
** ID: 813 Text: 100% PUNKT Index: 127 Update: Static
**********************************************************************
*/
VARIABLE Level100PercentValue
{
   LABEL Level100PercentValueTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
   VALIDITY IF(Val186)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 814 Text: NULLPUNKTVERSATZ Index: 128 Update: Static
**********************************************************************
*/
VARIABLE LevelOffset
{
   LABEL LevelOffsetTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
   VALIDITY IF(Val194)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 392 Text: ABGLEICHMODUS Index: 129 Update: Static
**********************************************************************
*/
VARIABLE LevelAdjustMode
{
   LABEL LevelAdjustModeTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_LevelAdjustMode
   }
   
   VALIDITY IF(Val200)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 775 Text: HYDR. DRUCK MIN. Index: 130 Update: Static
**********************************************************************
*/
VARIABLE LinearPressureMin
{
   LABEL LinearPressureMinTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
   VALIDITY IF(Val221)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 761 Text: HYDR. DRUCK MAX. Index: 134 Update: Static
**********************************************************************
*/
VARIABLE LinearPressureMax
{
   LABEL LinearPressureMaxTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
   VALIDITY IF(Val221)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 100;
}
/*
**********************************************************************
** ID: 759 Text: TANKINHALT MIN. Index: 135 Update: Static
**********************************************************************
*/
VARIABLE TankContentMin
{
   LABEL TankContentMinTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
#ifdef TANK_CONTENT_UNIT_SELECT   
   CONSTANT_UNIT IF( LevelType == eLT_TYPE_LINEARIZED )
           		  {
           		    SELECT( MeasurandLinearized )
           		    {
           		  	 CASE   0 : ENUM_VolumeUnitLIST
           		  	 CASE   1 : ENUM_MassUnitLIST
           		  	 CASE   2 : ENUM_PercentUnitLIST
           		  	 DEFAULT  : [blank];
           		    }
           		  }
           		  ELSE
           		  {
           		    IF( LevelType == eLT_TYPE_COMBINED )
           		    {
           		      SELECT( MeasurandCombined )
           		  	   {
           		  	    CASE   0 : ENUM_VolumeUnitLIST
           		  	    CASE   1 : ENUM_MassUnitLIST
           		  	    CASE   2 : ENUM_PercentUnitLIST
           		  	    CASE   3 : ENUM_VolumeUnitLIST
           		  	    CASE   4 : ENUM_MassUnitLIST
           		  	    CASE   5 : ENUM_PercentUnitLIST
           		  	    DEFAULT  : [blank];
           		  	   }
           		    }
           		    ELSE
           		    {
           		    	[blank];
           		    }
					  }
#endif	
   
   VALIDITY IF(Val213)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 755 Text: FLLHHE MIN. Index: 136 Update: Dynamic
**********************************************************************
*/
VARIABLE LinearLevelMin
{
   LABEL LinearLevelMinTEXT
   CLASS DYNAMIC & COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }

#ifdef LEVEL_UNIT_SELECT
   CONSTANT_UNIT IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR)
              {
               SELECT(MeasurandLinear)
               {
                CASE 0  : ENUM_HeightUnitLIST
                CASE 1  : ENUM_VolumeUnitLIST
                CASE 2  : ENUM_MassUnitLIST
                CASE 3  : ENUM_PercentUnitLIST
                DEFAULT : ENUM_HeightUnitLIST
               }
              }
              ELSE
              {
               IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED)
               {
                SELECT(MeasurandCombined)
                {
                 CASE 0  : ENUM_HeightUnitLIST
                 CASE 1  : ENUM_HeightUnitLIST
                 CASE 2  : ENUM_HeightUnitLIST
                 CASE 3  : ENUM_PercentUnitLIST
                 CASE 4  : ENUM_PercentUnitLIST
                 CASE 5  : ENUM_PercentUnitLIST
                 DEFAULT : ENUM_HeightUnitLIST
                }
               }
               ELSE
               {
                IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED)
                {
                 ENUM_Pressure1UnitLIST
                }
                ELSE
                {
                 ENUM_OutUnitEasyLIST
                }
               }
              }
#endif
   
   VALIDITY IF(Val182)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 715 Text: SIM. TANKINHALT Index: 137 Update: Static
**********************************************************************
*/
VARIABLE TankContentSimulationValue
{
   LABEL TankContentSimulationValueTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".3f";
    EDIT_FORMAT ".3f";
   }
   
   VALIDITY IF(Val228)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 397 Text: TAB.EINGABEMODUS Index: 138 Update: Static
**********************************************************************
*/
VARIABLE LinearisationTableMode
{
   LABEL LinearisationTableModeTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_LinearisationTableMode
   }
   
   VALIDITY IF(Val204)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 726 Text: X-WERT: Index: 158 Update: Dynamic
**********************************************************************
*/
VARIABLE ReadOnlyLinearisationTableXValue
{
   LABEL ReadOnlyLinearisationTableXValueTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT AUTOMATIC_MAINLINE_FORMAT
    EDIT_FORMAT ".7f";
   }

#ifdef LEVEL_UNIT_SELECT
   CONSTANT_UNIT IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR)
              {
               SELECT(MeasurandLinear)
               {
                CASE 0  : ENUM_HeightUnitLIST
                CASE 1  : ENUM_VolumeUnitLIST
                CASE 2  : ENUM_MassUnitLIST
                CASE 3  : ENUM_PercentUnitLIST
                DEFAULT : ENUM_HeightUnitLIST
               }
              }
              ELSE
              {
               IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED)
               {
                SELECT(MeasurandCombined)
                {
                 CASE 0  : ENUM_HeightUnitLIST
                 CASE 1  : ENUM_HeightUnitLIST
                 CASE 2  : ENUM_HeightUnitLIST
                 CASE 3  : ENUM_PercentUnitLIST
                 CASE 4  : ENUM_PercentUnitLIST
                 CASE 5  : ENUM_PercentUnitLIST
                 DEFAULT : ENUM_HeightUnitLIST
                }
               }
               ELSE
               {
                IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED)
                {
                 ENUM_Pressure1UnitLIST
                }
                ELSE
                {
                 ENUM_OutUnitEasyLIST
                }
               }
              }
#endif
   
   VALIDITY IF(Val226)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 704 Text: BEN. EINHEIT M Index: 166 Update: Static
**********************************************************************
*/
VARIABLE MassUnitText
{
   LABEL MassUnitTextTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE PACKED_ASCII(8);
   
   VALIDITY IF(Val106)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE "";
}
/*
**********************************************************************
** ID: 815 Text: TANKBESCHREIBUNG Index: 168 Update: Static
**********************************************************************
*/
VARIABLE LevelTankDescription
{
   LABEL LevelTankDescriptionTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE PACKED_ASCII(32);
   
   VALIDITY IF(Val213)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE "________________________________";
}
/*
**********************************************************************
** ID: 713 Text: TANKINHALT MAX. Index: 177 Update: Static
**********************************************************************
*/
VARIABLE TankContentMax
{
   LABEL TankContentMaxTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }

#ifdef TANK_CONTENT_UNIT_SELECT
   CONSTANT_UNIT IF( LevelType == eLT_TYPE_LINEARIZED )
           		  {
           		    SELECT( MeasurandLinearized )
           		    {
           		  	 CASE   0 : ENUM_VolumeUnitLIST
           		  	 CASE   1 : ENUM_MassUnitLIST
           		  	 CASE   2 : ENUM_PercentUnitLIST
           		  	 DEFAULT  : [blank];
           		    }
           		  }
           		  ELSE
           		  {
           		    IF( LevelType == eLT_TYPE_COMBINED )
           		    {
           		      SELECT( MeasurandCombined )
           		  	   {
           		  	    CASE   0 : ENUM_VolumeUnitLIST
           		  	    CASE   1 : ENUM_MassUnitLIST
           		  	    CASE   2 : ENUM_PercentUnitLIST
           		  	    CASE   3 : ENUM_VolumeUnitLIST
           		  	    CASE   4 : ENUM_MassUnitLIST
           		  	    CASE   5 : ENUM_PercentUnitLIST
           		  	    DEFAULT  : [blank];
           		  	   }
           		    }
           		    ELSE
           		    {
           		    	[blank];
           		    }
					  }
#endif
   
   VALIDITY IF(Val213)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 714 Text: SIM. FLL.V.LIN. Index: 178 Update: Static
**********************************************************************
*/
VARIABLE LevelSimulationValue
{
   LABEL LevelSimulationValueTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".3f";
    EDIT_FORMAT ".3f";
   }

#ifdef LEVEL_UNIT_SELECT
   CONSTANT_UNIT IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR)
              {
               SELECT(MeasurandLinear)
               {
                CASE 0  : ENUM_HeightUnitLIST
                CASE 1  : ENUM_VolumeUnitLIST
                CASE 2  : ENUM_MassUnitLIST
                CASE 3  : ENUM_PercentUnitLIST
                DEFAULT : ENUM_HeightUnitLIST
               }
              }
              ELSE
              {
               IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED)
               {
                SELECT(MeasurandCombined)
                {
                 CASE 0  : ENUM_HeightUnitLIST
                 CASE 1  : ENUM_HeightUnitLIST
                 CASE 2  : ENUM_HeightUnitLIST
                 CASE 3  : ENUM_PercentUnitLIST
                 CASE 4  : ENUM_PercentUnitLIST
                 CASE 5  : ENUM_PercentUnitLIST
                 DEFAULT : ENUM_HeightUnitLIST
                }
               }
               ELSE
               {
                IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED)
                {
                 ENUM_Pressure1UnitLIST
                }
                ELSE
                {
                 ENUM_OutUnitEasyLIST
                }
               }
              }
#endif
   
   VALIDITY IF(Val227)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 717 Text: MESSTABELLE Index: 183 Update: Static
**********************************************************************
*/
VARIABLE LinearizationTablePostView
{
   LABEL LinearizationTablePostViewTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_LinearizationTablePostView
   }
   
   VALIDITY IF(Val232)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 718 Text: FLLSTANDSTYP Index: 184 Update: Static
**********************************************************************
*/
VARIABLE LevelType
{
   LABEL LevelTypeTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_LevelType
   }
   
   VALIDITY IF(Val232)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   POST_EDIT_ACTIONS
{
   update_TankContentUnit,update_LevelUnit
}

}
/*
**********************************************************************
** ID: 708 Text: EINHEIT HHE Index: 204 Update: Static
**********************************************************************
*/
VARIABLE HeightUnit
{
   LABEL HeightUnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_HeightUnit
    DEFAULT_VALUE 3;
   }
   
   VALIDITY IF(Val196)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }

   POST_EDIT_ACTIONS
{
   update_LevelUnit
}

}
/*
**********************************************************************
** ID: 709 Text: EINHEIT MASSE Index: 211 Update: Static
**********************************************************************
*/
VARIABLE MassUnit
{
   LABEL MassUnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_MassUnit
   }
   
   VALIDITY IF(Val197)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   POST_EDIT_ACTIONS
{
   update_TankContentUnit,update_LevelUnit
}

}
/*
**********************************************************************
** ID: 705 Text: FAKT.BEN.EINH. H Index: 214 Update: Static
**********************************************************************
*/
VARIABLE HeightUnitScale
{
   LABEL HeightUnitScaleTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".6f";
    EDIT_FORMAT ".6f";
    MIN_VALUE 0.000001;
    MAX_VALUE 1000000.0;
   }
   
   VALIDITY IF(Val101)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 706 Text: BEN. EINHEIT H Index: 216 Update: Static
**********************************************************************
*/
VARIABLE HeightUnitText
{
   LABEL HeightUnitTextTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE PACKED_ASCII(8);
   
   VALIDITY IF(Val101)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE "________";
}
/*
**********************************************************************
** ID: 804 Text: MESSGR. LINEAR Index: 229 Update: Static
**********************************************************************
*/
VARIABLE MeasurandLinear
{
   LABEL MeasurandLinearTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_MeasurandLinear
    DEFAULT_VALUE 3;
   }
   
   VALIDITY IF(Val201)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 3;
   POST_EDIT_ACTIONS
{
   update_LevelUnit
}

}
/*
**********************************************************************
** ID: 805 Text: MESSGR.LINEARIS. Index: 230 Update: Static
**********************************************************************
*/
VARIABLE MeasurandLinearized
{
   LABEL MeasurandLinearizedTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_MeasurandLinearized
   }
   
   VALIDITY IF(Val221)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }   
   POST_EDIT_ACTIONS
{
   update_TankContentUnit,update_LevelUnit
}

}
/*
**********************************************************************
** ID: 806 Text: MESSGR.KOMB. Index: 231 Update: Static
**********************************************************************
*/
VARIABLE MeasurandCombined
{
   LABEL MeasurandCombinedTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_MeasurandCombined
   }
   
   VALIDITY IF(Val182)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   POST_EDIT_ACTIONS
{
   update_TankContentUnit,update_LevelUnit
}

}
/*
**********************************************************************
** ID: 808 Text: TABELLENAUSWAHL Index: 233 Update: Static
**********************************************************************
*/
VARIABLE LinearizationTableSelection
{
   LABEL LinearizationTableSelectionTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_LinearizationTableSelection
   }
   
   VALIDITY IF(Val212)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 809 Text: TABELLENEDITOR Index: 234 Update: Static
**********************************************************************
*/
VARIABLE LinearizationTablePreEdit
{
   LABEL LinearizationTablePreEditTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_LinearizationTablePreEdit
   }
   
   VALIDITY IF(Val204)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 818 Text: GRAVITATION Index: 235 Update: Static
**********************************************************************
*/
VARIABLE AccelerationOfGravity
{
   LABEL AccelerationOfGravityTEXT
   CLASS INPUT & SERVICE;
   HANDLING SERVICE_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
    MIN_VALUE 9.5;
    MAX_VALUE 10.0;
   }
   
   VALIDITY IF(Val229)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 247 Text: WERT DMPFUNG Index: 71 Update: Static
**********************************************************************
*/
VARIABLE ActivePressure1Damping
{
   LABEL ActivePressure1DampingTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".1f";
    EDIT_FORMAT ".1f";
    MIN_VALUE 0.0;
    MAX_VALUE 999.0;
   DEFAULT_VALUE 2;
   }
   CONSTANT_UNIT "s";
   VALIDITY TRUE;
   PRE_EDIT_ACTIONS 
   { 
    read_ActivePressure1Damping 
   }
}
/*
**********************************************************************
** ID: 879 Text: WERT DMPFUNG Index: 263 Update: Dynamic
**********************************************************************
*/
VARIABLE Pressure1Damping
{
   LABEL ActivePressure1DampingTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".1f";
    EDIT_FORMAT ".1f";
    MIN_VALUE 0.0;
    MAX_VALUE 999.0;
   }
   CONSTANT_UNIT "s";
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 337 Text: LOW SENSOR TRIM Index: 72 Update: Static
**********************************************************************
*/
VARIABLE Pressure1LowerCalWritten
{
   LABEL Pressure1LowerCalWrittenTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY IF(Val269)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 513 Text: LO TRIM MESSWERT Index: 73 Update: Dynamic
**********************************************************************
*/
VARIABLE Pressure1LowerCalMeasured
{
   LABEL Pressure1LowerCalMeasuredTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY IF(Val269)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
    DEFAULT_VALUE - Pressure1CalMeasured_DEF;

}
/*
**********************************************************************
** ID: 338 Text: HIGH SENSOR TRIM Index: 74 Update: Static
**********************************************************************
*/
VARIABLE Pressure1UpperCalWritten
{
   LABEL Pressure1UpperCalWrittenTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY IF(Val269)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 100;
}
/*
**********************************************************************
** ID: 514 Text: HI TRIM MESSWERT Index: 75 Update: Dynamic
**********************************************************************
*/
VARIABLE Pressure1UpperCalMeasured
{
   LABEL Pressure1UpperCalMeasuredTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY IF(Val269)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
    DEFAULT_VALUE Pressure1CalMeasured_DEF;
}
/*
**********************************************************************
** ID: 319 Text: LAGEOFFSET Index: 76 Update: Static
**********************************************************************
*/
VARIABLE Pressure1InstallOffset
{
   LABEL Pressure1InstallOffsetTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 563 Text: LAGESOLLWERT Index: 77 Update: Static
**********************************************************************
*/
VARIABLE Pressure1AcceptInstallOffset
{
   LABEL Pressure1AcceptInstallOffsetTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 332 Text: Pmin PROZESS Index: 78 Update: Static
**********************************************************************
*/
VARIABLE Pressure1UserLowLimit
{
   LABEL Pressure1UserLowLimitTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY TRUE;
    
   DEFAULT_VALUE - Pressure1UserLimit_DEF ;
}
/*
**********************************************************************
** ID: 333 Text: Pmax PROZESS Index: 79 Update: Static
**********************************************************************
*/
VARIABLE Pressure1UserHighLimit
{
   LABEL Pressure1UserHighLimitTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE Pressure1UserLimit_DEF ;
}
/*
**********************************************************************
** ID: 414 Text: SIM. DRUCKWERT Index: 80 Update: Static
**********************************************************************
*/
VARIABLE Pressure1SimulationValue
{
   LABEL Pressure1SimulationValueTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY IF(Val268)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 60 Text: EINHEIT DRUCK Index: 81 Update: Static
**********************************************************************
*/
VARIABLE Pressure1Unit
{
   LABEL Pressure1UnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
     ENUM_Pressure1Unit    
     DEFAULT_VALUE 1;
   }
   
   VALIDITY TRUE;
   POST_EDIT_ACTIONS
   {
     update_LevelUnit
   }

}
/*
**********************************************************************
** ID: 75 Text: BEN. EINHEIT P Index: 82 Update: Static
**********************************************************************
*/
VARIABLE Pressure1UnitText
{
   LABEL Pressure1UnitTextTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE PACKED_ASCII(8);
   
   VALIDITY IF(Val259)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE "mbar";
}
/*
**********************************************************************
** ID: 317 Text: FAKT.BEN.EINH. P Index: 83 Update: Static
**********************************************************************
*/
VARIABLE Pressure1UnitScale
{
   LABEL Pressure1UnitScaleTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".6f";
    EDIT_FORMAT ".6f";
    MIN_VALUE 0.000001;
    MAX_VALUE 1000000.0;
   }
   
   VALIDITY IF(Val259)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 1;
}
/*
**********************************************************************
** ID: 434 Text: DRUCK N. LAGEKOR Index: 84 Update: Dynamic
**********************************************************************
*/
VARIABLE Pressure1AfterCalibration
{
   LABEL Pressure1AfterCalibrationTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT AUTOMATIC_MAINLINE_FORMAT
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 584 Text: SENSOR DRUCK Index: 85 Update: Dynamic
**********************************************************************
*/
VARIABLE Pressure1AfterSensor
{
   LABEL Pressure1AfterSensorTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT AUTOMATIC_MAINLINE_FORMAT
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 301 Text: DRUCK GEMESSEN Index: 86 Update: Dynamic
**********************************************************************
*/
VARIABLE Pressure1AfterDamping
{
   LABEL Pressure1AfterDampingTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT AUTOMATIC_MAINLINE_FORMAT
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 685 Text: LAGEKORREKTUR Index: 148 Update: Static
**********************************************************************
*/
VARIABLE Pressure1AcceptZeroInstallOffset
{
   LABEL Pressure1AcceptZeroInstallOffsetTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_Pressure1AcceptZeroInstallOffset
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 334 Text: Tmin PROZESS Index: 65 Update: Static
**********************************************************************
*/
VARIABLE Temperature1UserLowLimit
{
   LABEL Temperature1UserLowLimitTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".1f";
    EDIT_FORMAT ".1f";
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE -50;
}
/*
**********************************************************************
** ID: 335 Text: Tmax PROZESS Index: 66 Update: Static
**********************************************************************
*/
VARIABLE Temperature1UserHighLimit
{
   LABEL Temperature1UserHighLimitTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".1f";
    EDIT_FORMAT ".1f";
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE Temperature1UserHighLimit_DEF ;
}
/*
**********************************************************************
** ID: 318 Text: TEMP. EINHEIT Index: 67 Update: Static
**********************************************************************
*/
VARIABLE TemperatureUnit
{
   LABEL TemperatureUnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_TemperatureUnit
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 367 Text: TEMP. SENSOR Index: 68 Update: Dynamic
**********************************************************************
*/
VARIABLE MeasuredTemperature1
{
   LABEL MeasuredTemperature1TEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".1f";
    EDIT_FORMAT ".1f";
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 21.2;
}
/*
**********************************************************************
** ID: 357 Text: TEMP. ELEKTRONIK Index: 70 Update: Dynamic
**********************************************************************
*/
VARIABLE MeasuredTemperature3
{
   LABEL MeasuredTemperature3TEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".1f";
    EDIT_FORMAT ".1f";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 79 Text: SPRACHE Index: 0 Update: Static
**********************************************************************
*/
VARIABLE DisplayLanguage
{
   LABEL DisplayLanguageTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_DisplayLanguage
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 339 Text: KONTRAST ANZEIGE Index: 9 Update: Static
**********************************************************************
*/
VARIABLE DisplayContrast
{
   LABEL DisplayContrastTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE UNSIGNED_INTEGER(1)
   {
    DISPLAY_FORMAT "3u";
    MIN_VALUE MIN_CONTRAST;
    MAX_VALUE 100;
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 4;
}
/*
**********************************************************************
** ID: 423 Text: ANZ ALTERNIEREND Index: 10 Update: Static
**********************************************************************
*/
VARIABLE DisplayAlternatingValues
{
   LABEL DisplayAlternatingValuesTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_DisplayAlternatingValues
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE "Aus";
}
/*
**********************************************************************
** ID: 419 Text: INHALT HAUPTZEIL Index: 14 Update: Static
**********************************************************************
*/
VARIABLE DisplayMainlineContent
{
   LABEL DisplayMainlineContentTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_DisplayMainlineContent
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 420 Text: FORMAT HAUPTZEIL Index: 15 Update: Dynamic
**********************************************************************
*/
VARIABLE DisplayMainlineFormat
{
   LABEL DisplayMainlineFormatTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_DisplayMainlineFormat
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 688 Text: FORMAT HAUPTZEIL Index: 217 Update: Dynamic
**********************************************************************
*/
VARIABLE AutomaticMainLineFormat
{
   LABEL AutomaticMainLineFormatTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_AutomaticMainLineFormat
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 6;
}
/*
**********************************************************************
** ID: 832 Text: HistoROM FUNKT. Index: 238 Update: Static
**********************************************************************
*/
VARIABLE DatHandling
{
   LABEL DatHandlingTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_DatHandling
   }
   
   VALIDITY IF(Val103)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   PRE_EDIT_ACTIONS 
   { 
    read_DatHandling 
   }
}
/*
**********************************************************************
** ID: 836 Text: SICH.VERRIEGEL. Index: 239 Update: Static
**********************************************************************
*/
VARIABLE SilLock
{
   LABEL SilLockTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilLock
   }
   
   VALIDITY TRUE;  
}
/*
**********************************************************************
** ID: 838 Text: SICHERH.PASSWORT Index: 240 Update: Static
**********************************************************************
*/
VARIABLE SilPasswordStart
{
   LABEL SilPasswordStartTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE UNSIGNED_INTEGER(2)
   {
    DISPLAY_FORMAT "5u";
    MIN_VALUE 0;
    MAX_VALUE 9999;
   }
   
   VALIDITY IF(Val243)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 0;
}



/*
**********************************************************************
** ID: 840 Text: ZEICHENFOLGE Index: 241 Update: Constant
**********************************************************************
*/
VARIABLE SilDigitsTestString
{
   LABEL SilDigitsTestStringTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE ASCII(16);
   
   VALIDITY TRUE;
   DEFAULT_VALUE "0123456789.-";
}
/*
**********************************************************************
** ID: 841 Text: BESTTIGEN Index: 242 Update: Static
**********************************************************************
*/
VARIABLE SilDigitsTestAck
{
   LABEL SilDigitsTestAckTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilDigitsTestAck
   }
   
   VALIDITY IF(Val244)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 844 Text: BESTTIGEN Index: 243 Update: Static
**********************************************************************
*/
VARIABLE SilAcknowledgeAlarmMode
{
   LABEL SilAcknowledgeAlarmModeTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilAcknowledgeAlarmMode
   }
   
   VALIDITY IF(Val243)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 845 Text: BESTTIGEN Index: 244 Update: Static
**********************************************************************
*/
VARIABLE SilOperatingMode
{
   LABEL SilOperatingModeTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilOperatingMode
   }
   
   VALIDITY IF(Val244)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 847 Text: BESTTIGEN Index: 245 Update: Static
**********************************************************************
*/
VARIABLE SilPressure1InstallOffset
{
   LABEL SilPressure1InstallOffsetTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilPressure1InstallOffset
   }
   
   VALIDITY IF(Val244)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 848 Text: BESTTIGEN Index: 246 Update: Static
**********************************************************************
*/
VARIABLE SilFlowMax
{
   LABEL SilFlowMaxTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilFlowMax
   }
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 849 Text: BESTTIGEN Index: 247 Update: Static
**********************************************************************
*/
VARIABLE SilFlowMaxPressure
{
   LABEL SilFlowMaxPressureTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilFlowMaxPressure
   }
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 850 Text: BESTTIGEN Index: 248 Update: Static
**********************************************************************
*/
VARIABLE SilCreepFlowSuppressionEnable
{
   LABEL SilCreepFlowSuppressionEnableTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilCreepFlowSuppressionEnable
   }
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 851 Text: BESTTIGEN Index: 249 Update: Static
**********************************************************************
*/
VARIABLE SilCreepFlowSuppressOffThreshold
{
   LABEL SilCreepFlowSuppressOffThresholdTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilCreepFlowSuppressOffThreshold
   }
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 852 Text: BESTTIGEN Index: 250 Update: Static
**********************************************************************
*/
VARIABLE SilLowerRangeValue
{
   LABEL SilLowerRangeValueTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilLowerRangeValue
   }
   
   VALIDITY IF(Val243)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 853 Text: BESTTIGEN Index: 251 Update: Static
**********************************************************************
*/
VARIABLE SilUpperRangeValue
{
   LABEL SilUpperRangeValueTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilUpperRangeValue
   }
   
   VALIDITY IF(Val244)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 854 Text: BESTTIGEN Index: 252 Update: Static
**********************************************************************
*/
VARIABLE SilFlowmode
{
   LABEL SilFlowmodeTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilFlowmode
   }
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 855 Text: BESTTIGEN Index: 253 Update: Static
**********************************************************************
*/
VARIABLE SilPressure1Damping
{
   LABEL SilPressure1DampingTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilPressure1Damping
   }
   VALIDITY TRUE;   
/* DR22.11.06  removed because validity is different to Pressure1Damping-Variable 
   VALIDITY IF(OperatingMode == eOM_PRESSURE || 
               OperatingMode == eOM_FLOW || 
               OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EASYPRESSURELEVEL)               
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
*/
}
/*
**********************************************************************
** ID: 856 Text: BEST. PASSWORT Index: 254 Update: Static
**********************************************************************
*/
VARIABLE SilPasswordEnd
{
   LABEL SilPasswordEndTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE UNSIGNED_INTEGER(2)
   {
    DISPLAY_FORMAT "5u";
    MIN_VALUE 0;
    MAX_VALUE 9999;
   }
   
   VALIDITY IF(Val243)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }   
}
/*
**********************************************************************
** ID: 857 Text: SICH.VERR.STATUS Index: 255 Update: Dynamic
**********************************************************************
*/
VARIABLE SilLockStatus
{
   LABEL SilLockStatusTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilLockStatus
   }
   DEFAULT_VALUE eSLS_UNLOCKED;   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 875 Text: BESTTIGEN Index: 260 Update: Static
**********************************************************************
*/
VARIABLE SilCurrentOutput
{
   LABEL SilCurrentOutputTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilCurrentOutput
   }
   
   VALIDITY IF(Val244)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 878 Text: AUSGANGSSTROM Index: 262 Update: Constant
**********************************************************************
*/
VARIABLE SilCurrentOutputResumed
{
   LABEL SilCurrentOutputResumedTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilCurrentOutputResumed
   }
   
   VALIDITY IF(Val244) 
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 1461 Text: BESTTIGEN Index: 281 Update: Static
**********************************************************************
*/
VARIABLE SilHighLevelEasy
{
   LABEL SilHighLevelEasyTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilHighLevelEasy
   }
   
   VALIDITY IF(Val165)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 1459 Text: BESTTIGEN Index: 282 Update: Static
**********************************************************************
*/
VARIABLE SilHighLevelPressureEasy
{
   LABEL SilHighLevelPressureEasyTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilHighLevelPressureEasy
   }
   
   VALIDITY IF(Val163)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 1462 Text: BESTTIGEN Index: 283 Update: Static
**********************************************************************
*/
VARIABLE SilLowLevelEasy
{
   LABEL SilLowLevelEasyTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilLowLevelEasy
   }
   
   VALIDITY IF(Val166)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 1460 Text: BESTTIGEN Index: 284 Update: Static
**********************************************************************
*/
VARIABLE SilLowLevelPressureEasy
{
   LABEL SilLowLevelPressureEasyTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilLowLevelPressureEasy
   }
   
   VALIDITY IF(Val163)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 1465 Text: BESTTIGEN Index: 286 Update: Static
**********************************************************************
*/
VARIABLE SilLowerRangeValueEasy
{
   LABEL SilLowerRangeValueEasyTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilLowerRangeValueEasy
   }
   
   VALIDITY IF(Val172)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 1466 Text: BESTTIGEN Index: 287 Update: Static
**********************************************************************
*/
VARIABLE SilUpperRangeValueEasy
{
   LABEL SilUpperRangeValueEasyTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SilUpperRangeValueEasy
   }
   
   VALIDITY IF(Val172)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 1487 Text: DOWNLOAD FUNCT. Index: 291 Update: Static
**********************************************************************
*/
VARIABLE DownloadOverwriteSelection
{
   LABEL DownloadOverwriteSelectionTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_DownloadOverwriteSelection
   }
   
   VALIDITY IF(Val103)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   
}
/*
**********************************************************************
** ID: 342 Text: MAX. ALARMSTROM Index: 1000 Update: Static
**********************************************************************
*/
VARIABLE MaxAlarmCurrent
{
   LABEL MaxAlarmCurrentTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".3f";
    EDIT_FORMAT ".3f";
    MIN_VALUE 21.0;
    MAX_VALUE 23.0;
   }
   CONSTANT_UNIT "mA";
   VALIDITY TRUE;
   DEFAULT_VALUE 22;
}
/*
**********************************************************************
** ID: 388 Text: STROM BEI ALARM Index: 1001 Update: Static
**********************************************************************
*/
VARIABLE AlarmBehaviourValue
{
   LABEL AlarmBehaviourValueTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_AlarmBehaviourValue
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 1;
}
/*
**********************************************************************
** ID: 343 Text: MIN STROM SETZEN Index: 1004 Update: Static
**********************************************************************
*/
VARIABLE FourMaCurrentLimit
{
   LABEL FourMaCurrentLimitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_FourMaCurrentLimit
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 254 Text: AUSGANGSSTROM Index: 1005 Update: Dynamic
**********************************************************************
*/
VARIABLE CurrentValue
{
   LABEL CurrentValueTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".3f";
    EDIT_FORMAT ".3f";
   }
   CONSTANT_UNIT "mA";
   DEFAULT_VALUE 22;
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 270 Text: SIM. STROMWERT Index: 1006 Update: Static
**********************************************************************
*/
VARIABLE CurrentSimulationValue
{
   LABEL CurrentSimulationValueTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".3f";
    EDIT_FORMAT ".3f";
    MIN_VALUE 3.6;
    MAX_VALUE 24.0;
   }
   CONSTANT_UNIT "mA";
   VALIDITY IF(Val267)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 390 Text: LINEAR/RADIZ. Index: 1007 Update: Static
**********************************************************************
*/
VARIABLE FlowMode
{
   LABEL FlowModeTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_FlowMode
   }
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 505 Text: STROM EINHEIT Index: 1008 Update: Constant
**********************************************************************
*/
VARIABLE CurrentUnit
{
   LABEL CurrentUnitTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_CurrentUnit
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 344 Text: STROM TRIMM 4mA Index: 1010 Update: Static
**********************************************************************
*/
VARIABLE LowCalWrittenCurrent
{
   LABEL LowCalWrittenCurrentTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_AND_SIMULATION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".3f";
    EDIT_FORMAT ".3f";
   }
   CONSTANT_UNIT "mA";
   VALIDITY TRUE;
   DEFAULT_VALUE 4;
}
/*
**********************************************************************
** ID: 543 Text: STROM TRIMM 20mA Index: 1011 Update: Static
**********************************************************************
*/
VARIABLE HighCalWrittenCurrent
{
   LABEL HighCalWrittenCurrentTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_AND_SIMULATION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".3f";
    EDIT_FORMAT ".3f";
   }
   CONSTANT_UNIT "mA";
   VALIDITY TRUE;
   DEFAULT_VALUE 20;
}
/*
**********************************************************************
** ID: 36 Text: ANZAHL PRAMBEL Index: 1012 Update: Static
**********************************************************************
*/
VARIABLE NrOfPreambles
{
   LABEL NrOfPreamblesTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE UNSIGNED_INTEGER(1)
   {
    DISPLAY_FORMAT "3u";
    MIN_VALUE 2;
    MAX_VALUE 20;
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 5;
}
/*
**********************************************************************
** ID: 481 Text: DATUM HART Index: 1014 Update: Static
**********************************************************************
*/
VARIABLE Date
{
   LABEL DateTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE  
   TYPE PACKED_ASCII(8);   
   DEFAULT_VALUE "01/01/00";
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 55 Text: MESSSTELLE Index: 1015 Update: Static
**********************************************************************
*/
VARIABLE Tag
{
   LABEL TagTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE PACKED_ASCII(8);
   
   VALIDITY TRUE;
   DEFAULT_VALUE "________";
}
/*
**********************************************************************
** ID: 305 Text: MESSSTELLE LANG Index: 1016 Update: Static
**********************************************************************
*/
VARIABLE LongTag
{
   LABEL LongTagTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ASCII(32);
   
   VALIDITY TRUE;
   DEFAULT_VALUE "________________________________";
}
/*
**********************************************************************
** ID: 346 Text: BURST MODE Index: 1017 Update: Static
**********************************************************************
*/
VARIABLE BurstMode
{
   LABEL BurstModeTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_BurstMode
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 347 Text: BURST OPTION Index: 1018 Update: Static
**********************************************************************
*/
VARIABLE BurstCommand
{
   LABEL BurstCommandTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE UNSIGNED_INTEGER(1)
   {
    DISPLAY_FORMAT "3u";
    MIN_VALUE 1;
    MAX_VALUE 3;
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 245 Text: MESSANFG SETZEN Index: 1022 Update: Static
**********************************************************************
*/
VARIABLE PressureLowerRangeValue
{
   LABEL PressureLowerRangeValueTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".6f";
    EDIT_FORMAT ".6f";
   }
   
   VALIDITY IF(Val254)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 246 Text: MESSENDE SETZEN Index: 1023 Update: Static
**********************************************************************
*/
VARIABLE PressureUpperRangeValue
{
   LABEL PressureUpperRangeValueTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".6f";
    EDIT_FORMAT ".6f";
   }
   
   VALIDITY IF(Val254)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 100;
}
/*
**********************************************************************
** ID: 694 Text: KENNLINIE STROM Index: 1024 Update: Static
**********************************************************************
*/
VARIABLE PressureCurrentOutputCharacteristics
{
   LABEL PressureCurrentOutputCharacteristicsTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_PressureCurrentOutputCharacteristics
   }
   
   VALIDITY IF(Val254)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 345 Text: BUSADRESSE Index: 1026 Update: Static
**********************************************************************
*/
VARIABLE PollingAddress
{
   LABEL PollingAddressTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE UNSIGNED_INTEGER(1)
   {
    DISPLAY_FORMAT "3u";
    MIN_VALUE 0;
    MAX_VALUE 15;
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 271 Text: NACHRICHT HART Index: 1029 Update: Static
**********************************************************************
*/
VARIABLE Message
{
   LABEL MessageTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE PACKED_ASCII(32);
   
   VALIDITY TRUE;
   DEFAULT_VALUE "________________________________";
}
/*
**********************************************************************
** ID: 272 Text: BESCHREIBUNG Index: 1030 Update: Static
**********************************************************************
*/
VARIABLE Descriptor
{
   LABEL DescriptorTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE PACKED_ASCII(16);
   
   VALIDITY TRUE;
   DEFAULT_VALUE "________________";
}
/*
**********************************************************************
** ID: 591 Text: MINIMALE SPANNE Index: 1042 Update: Constant
**********************************************************************
*/
VARIABLE MinSpan
{
   LABEL MinSpanTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 597 Text: AL. STROMVERH. Index: 1044 Update: Static
**********************************************************************
*/
VARIABLE Pressure1LimitExcessAlarmCurrent
{
   LABEL Pressure1LimitExcessAlarmCurrentTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_Pressure1LimitExcessAlarmCurrent
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 1;
}
/*
**********************************************************************
** ID: 695 Text: KENNLINIE STROM Index: 1045 Update: Static
**********************************************************************
*/
VARIABLE FlowCurrentOutputCharacteristics
{
   LABEL FlowCurrentOutputCharacteristicsTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_FlowCurrentOutputCharacteristics
   }
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 615 Text: OFFSET 4mA TRIM Index: 1046 Update: Dynamic
**********************************************************************
*/
VARIABLE LowCalOffsetCurrent
{
   LABEL LowCalOffsetCurrentTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING SERVICE_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".3f";
    EDIT_FORMAT ".3f";
    MIN_VALUE -0.2;
    MAX_VALUE 0.2;
   }
   CONSTANT_UNIT "mA";
   VALIDITY TRUE;
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 616 Text: OFFSET 20mA TRIM Index: 1047 Update: Dynamic
**********************************************************************
*/
VARIABLE HighCalOffsetCurrent
{
   LABEL HighCalOffsetCurrentTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING SERVICE_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".3f";
    EDIT_FORMAT ".3f";
    MIN_VALUE -1.0;
    MAX_VALUE 1.0;
   }
   CONSTANT_UNIT "mA";
   VALIDITY TRUE;
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 545 Text: STROM IN % Index: 1048 Update: Dynamic
**********************************************************************
*/
VARIABLE CurrentPercentValue
{
   LABEL CurrentPercentValueTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".2f";
    EDIT_FORMAT ".2f";
   }
   CONSTANT_UNIT "%";
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 637 Text: MESSANFG SETZEN Index: 1049 Update: Static
**********************************************************************
*/
VARIABLE FlowLowerRangeValue
{
   LABEL FlowLowerRangeValueTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
   VALIDITY IF(Val111)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 638 Text: MESSENDE SETZEN Index: 1050 Update: Static
**********************************************************************
*/
VARIABLE FlowUpperRangeValue
{
   LABEL FlowUpperRangeValueTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
   VALIDITY IF(Val111)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 719 Text: MESSANFG SETZEN Index: 1053 Update: Static
**********************************************************************
*/
VARIABLE LevelLowerRangeValue
{
   LABEL LevelLowerRangeValueTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }

#ifdef LEVEL_UNIT_SELECT
   CONSTANT_UNIT IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR)
              {
               SELECT(MeasurandLinear)
               {
                CASE 0  : ENUM_HeightUnitLIST
                CASE 1  : ENUM_VolumeUnitLIST
                CASE 2  : ENUM_MassUnitLIST
                CASE 3  : ENUM_PercentUnitLIST
                DEFAULT : ENUM_HeightUnitLIST
               }
              }
              ELSE
              {
               IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED)
               {
                SELECT(MeasurandCombined)
                {
                 CASE 0  : ENUM_HeightUnitLIST
                 CASE 1  : ENUM_HeightUnitLIST
                 CASE 2  : ENUM_HeightUnitLIST
                 CASE 3  : ENUM_PercentUnitLIST
                 CASE 4  : ENUM_PercentUnitLIST
                 CASE 5  : ENUM_PercentUnitLIST
                 DEFAULT : ENUM_HeightUnitLIST
                }
               }
               ELSE
               {
                IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED)
                {
                 ENUM_Pressure1UnitLIST
                }
                ELSE
                {
                 ENUM_OutUnitEasyLIST
                }
               }
              }
#endif
   
   VALIDITY IF(Val201)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 696 Text: KENNLINIE STROM Index: 1054 Update: Static
**********************************************************************
*/
VARIABLE LevelCurrentOutputCharacteristics
{
   LABEL LevelCurrentOutputCharacteristicsTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_LevelCurrentOutputCharacteristics
   }
   
   VALIDITY IF(Val237)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 720 Text: MESSENDE SETZEN Index: 1055 Update: Static
**********************************************************************
*/
VARIABLE LevelUpperRangeValue
{
   LABEL LevelUpperRangeValueTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }

#ifdef LEVEL_UNIT_SELECT
   CONSTANT_UNIT IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR)
              {
               SELECT(MeasurandLinear)
               {
                CASE 0  : ENUM_HeightUnitLIST
                CASE 1  : ENUM_VolumeUnitLIST
                CASE 2  : ENUM_MassUnitLIST
                CASE 3  : ENUM_PercentUnitLIST
                DEFAULT : ENUM_HeightUnitLIST
               }
              }
              ELSE
              {
               IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED)
               {
                SELECT(MeasurandCombined)
                {
                 CASE 0  : ENUM_HeightUnitLIST
                 CASE 1  : ENUM_HeightUnitLIST
                 CASE 2  : ENUM_HeightUnitLIST
                 CASE 3  : ENUM_PercentUnitLIST
                 CASE 4  : ENUM_PercentUnitLIST
                 CASE 5  : ENUM_PercentUnitLIST
                 DEFAULT : ENUM_HeightUnitLIST
                }
               }
               ELSE
               {
                IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED)
                {
                 ENUM_Pressure1UnitLIST
                }
                ELSE
                {
                 ENUM_OutUnitEasyLIST
                }
               }
              }
#endif
   
   VALIDITY IF(Val201)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 760 Text: ZUORDNUNG STROM Index: 1058 Update: Static
**********************************************************************
*/
VARIABLE LevelMode
{
   LABEL LevelModeTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_LevelMode
   }
   
   VALIDITY IF(Val182)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 762 Text: MESSANFG SETZEN Index: 1060 Update: Static
**********************************************************************
*/
VARIABLE TankContentLowerRangeValue
{
   LABEL TankContentLowerRangeValueTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }

#ifdef TANK_CONTENT_UNIT_SELECT   
   CONSTANT_UNIT IF( LevelType == eLT_TYPE_LINEARIZED )
           		  {
           		    SELECT( MeasurandLinearized )
           		    {
           		  	 CASE   0 : ENUM_VolumeUnitLIST
           		  	 CASE   1 : ENUM_MassUnitLIST
           		  	 CASE   2 : ENUM_PercentUnitLIST
           		  	 DEFAULT  : [blank];
           		    }
           		  }
           		  ELSE
           		  {
           		    IF( LevelType == eLT_TYPE_COMBINED )
           		    {
           		      SELECT( MeasurandCombined )
           		  	   {
           		  	    CASE   0 : ENUM_VolumeUnitLIST
           		  	    CASE   1 : ENUM_MassUnitLIST
           		  	    CASE   2 : ENUM_PercentUnitLIST
           		  	    CASE   3 : ENUM_VolumeUnitLIST
           		  	    CASE   4 : ENUM_MassUnitLIST
           		  	    CASE   5 : ENUM_PercentUnitLIST
           		  	    DEFAULT  : [blank];
           		  	   }
           		    }
           		    ELSE
           		    {
           		    	[blank];
           		    }
					  }
#endif
   
   VALIDITY IF(Val213)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 763 Text: MESSENDE SETZEN Index: 1061 Update: Static
**********************************************************************
*/
VARIABLE TankContentUpperRangeValue
{
   LABEL TankContentUpperRangeValueTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
#ifdef TANK_CONTENT_UNIT_SELECT   
   CONSTANT_UNIT IF( LevelType == eLT_TYPE_LINEARIZED )
           		  {
           		    SELECT( MeasurandLinearized )
           		    {
           		  	 CASE   0 : ENUM_VolumeUnitLIST
           		  	 CASE   1 : ENUM_MassUnitLIST
           		  	 CASE   2 : ENUM_PercentUnitLIST
           		  	 DEFAULT  : [blank];
           		    }
           		  }
           		  ELSE
           		  {
           		    IF( LevelType == eLT_TYPE_COMBINED )
           		    {
           		      SELECT( MeasurandCombined )
           		  	   {
           		  	    CASE   0 : ENUM_VolumeUnitLIST
           		  	    CASE   1 : ENUM_MassUnitLIST
           		  	    CASE   2 : ENUM_PercentUnitLIST
           		  	    CASE   3 : ENUM_VolumeUnitLIST
           		  	    CASE   4 : ENUM_MassUnitLIST
           		  	    CASE   5 : ENUM_PercentUnitLIST
           		  	    DEFAULT  : [blank];
           		  	   }
           		    }
           		    ELSE
           		    {
           		    	[blank];
           		    }
					  }
#endif
   
   VALIDITY IF(Val213)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 764 Text: KENNLINIE STROM Index: 1063 Update: Static
**********************************************************************
*/
VARIABLE TankContentCurrentCharacteristics
{
   LABEL TankContentCurrentCharacteristicsTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_TankContentCurrentCharacteristics
   }
   
   VALIDITY IF(Val232)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 352 Text: KONFIG ZHLER Index: 1002 Update: Dynamic
**********************************************************************
*/
VARIABLE ConfigurationCounter
{
   LABEL ConfigurationCounterTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE UNSIGNED_INTEGER(2)
   {
    DISPLAY_FORMAT "5u";
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 309 Text: MESSANFG NEHMEN Index: 1020 Update: Static
**********************************************************************
*/
VARIABLE AcceptPressureLowerRangeValue
{
   LABEL AcceptPressureLowerRangeValueTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_AcceptPressureLowerRangeValue
   }
   
   VALIDITY IF(Val254)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 310 Text: MESSENDE NEHMEN Index: 1021 Update: Static
**********************************************************************
*/
VARIABLE AcceptPressureUpperRangeValue
{
   LABEL AcceptPressureUpperRangeValueTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_AcceptPressureUpperRangeValue
   }
   
   VALIDITY IF(Val254)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 486 Text: MAX. TURNDOWN Index: 1043 Update: Static
**********************************************************************
*/
VARIABLE MaxTurnDown
{
   LABEL MaxTurnDownTEXT
   CLASS INPUT & SERVICE;
   HANDLING SERVICE_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".1f";
    EDIT_FORMAT ".1f";
    MIN_VALUE 1.0;
    MAX_VALUE 600.0;
   }
   
   VALIDITY IF(Val269)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 100;
}
/*
**********************************************************************
** ID: 699 Text: DEVICE REVISION Index: 88 Update: Static
**********************************************************************
*/
VARIABLE DeviceRevision
{
   LABEL DeviceRevisionTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE UNSIGNED_INTEGER(1)
   {
    DISPLAY_FORMAT "3u";
    MIN_VALUE 0;
    MAX_VALUE 255;
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 21;
}
/*
**********************************************************************
** ID: 518 Text: PROZENT EINHEIT Index: 139 Update: Constant
**********************************************************************
*/
VARIABLE PercentUnit
{
   LABEL PercentUnitTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_PercentUnit
   }
   
   VALIDITY IF(Val237)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 519 Text: SEKUNDEN EINHEIT Index: 140 Update: Constant
**********************************************************************
*/
VARIABLE SecondUnit
{
   LABEL SecondUnitTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SecondUnit
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 409 Text: BETRIEBSSTUNDEN Index: 141 Update: Dynamic
**********************************************************************
*/
VARIABLE OperatingHoursValue
{
   LABEL OperatingHoursValueTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE UNSIGNED_INTEGER(4)
   {
    DISPLAY_FORMAT "10u";
   }
                        
   VALIDITY TRUE;
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 389 Text: BETRIEBSART Index: 142 Update: Static
**********************************************************************
*/
VARIABLE OperatingMode
{
   LABEL OperatingModeTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_OperatingMode
    DEFAULT_VALUE 0;
   }
   
   VALIDITY TRUE;
   POST_EDIT_ACTIONS
{
   update_TankContentUnit,update_LevelUnit
}

}
/*
**********************************************************************
** ID: 46 Text: DIAGNOSE CODE Index: 143 Update: Dynamic
**********************************************************************
*/
VARIABLE ActualAlarmInfo_io
{
   LABEL ActualAlarmInfo_ioTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE UNSIGNED_INTEGER(2)
   {
     DEF_ERROR_CODES
   }                 
   DEFAULT_VALUE 0;   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 564 Text: LETZTE DIAG.CODE Index: 145 Update: Dynamic
**********************************************************************
*/
VARIABLE LastAlarmInfo
{
   LABEL LastAlarmInfoTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE UNSIGNED_INTEGER(2)
   {
     DEF_ERROR_CODES
   }
   DEFAULT_VALUE 0;   
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 413 Text: SIMULATION Index: 150 Update: Static
**********************************************************************
*/
VARIABLE SimulationMode
{
   LABEL SimulationModeTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SimulationMode
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 476 Text: SIM. FEHLERNR. Index: 151 Update: Static
**********************************************************************
*/
VARIABLE AlarmSimulationValue
{
   LABEL AlarmSimulationValueTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE UNSIGNED_INTEGER(2)
   {
    DISPLAY_FORMAT "5u";
    MIN_VALUE 0;
    MAX_VALUE 999;
   }
   
   VALIDITY IF(Val266)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 401 Text: MODUS ALARMQUIT. Index: 152 Update: Static
**********************************************************************
*/
VARIABLE AcknowledgeAlarmMode
{
   LABEL AcknowledgeAlarmModeTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_AcknowledgeAlarmMode
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 500 Text: ALARM QUITTIEREN Index: 153 Update: Static
**********************************************************************
*/
VARIABLE AcknowledgeAlarm
{
   LABEL AcknowledgeAlarmTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_AcknowledgeAlarm
   }
   
   VALIDITY IF(Val100)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 336 Text: ALARMVERZGERUNG Index: 154 Update: Static
**********************************************************************
*/
VARIABLE AlarmSetupTime
{
   LABEL AlarmSetupTimeTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".0f";
    EDIT_FORMAT ".0f";
    MIN_VALUE 0.0;
    MAX_VALUE 100.0;
   }
   CONSTANT_UNIT "s";
   VALIDITY TRUE;
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 480 Text: ALARMHALTEZEIT Index: 155 Update: Static
**********************************************************************
*/
VARIABLE AlarmHoldTime
{
   LABEL AlarmHoldTimeTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".0f";
    EDIT_FORMAT ".0f";
    MIN_VALUE 0.0;
    MAX_VALUE 999.9;
   }
   CONSTANT_UNIT "s";
   VALIDITY TRUE;
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 48 Text: FREIGABECODE Index: 156 Update: Static
**********************************************************************
*/
VARIABLE SWLock
{
   LABEL SWLockTEXT
   CLASS INPUT;
   HANDLING READ&WRITE;
   TYPE UNSIGNED_INTEGER(2)
   {
    DISPLAY_FORMAT "5u";
    MIN_VALUE 0;
    MAX_VALUE 99999;
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 47 Text: RCKSETZEN Index: 157 Update: Static
**********************************************************************
*/
VARIABLE ResetInputValue
{
   LABEL ResetInputValueTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE UNSIGNED_INTEGER(2)
   {
    DISPLAY_FORMAT "5u";
   }
   
   VALIDITY TRUE;
   
}
/*
**********************************************************************
** ID: 363 Text: SCHREIBSCHUTZ HW Index: 159 Update: Dynamic
**********************************************************************
*/
VARIABLE SwitchStatus
{
   LABEL SwitchStatusTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SwitchStatus
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 264 Text: SOFTWARE VERSION Index: 160 Update: Constant
**********************************************************************
*/
VARIABLE SoftwareRevision
{
   LABEL SoftwareRevisionTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE PACKED_ASCII(16);
   
   VALIDITY TRUE;
   DEFAULT_VALUE "02.10.xxxx";
}
/*
**********************************************************************
** ID: 266 Text: HARDWARE REV. Index: 161 Update: Constant
**********************************************************************
*/
VARIABLE HardwareRevision
{
   LABEL HardwareRevisionTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE PACKED_ASCII(8);
   
   VALIDITY TRUE;
   DEFAULT_VALUE "02.00.00";
}
/*
**********************************************************************
** ID: 432 Text: HERSTELLERNR. Index: 162 Update: Constant
**********************************************************************
*/
VARIABLE DeviceManufacturerId
{
   LABEL DeviceManufacturerIdTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE UNSIGNED_INTEGER(2)
   {
    DISPLAY_FORMAT "5u";
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 98;
}
/*
**********************************************************************
** ID: 351 Text: GERTE ID Index: 163 Update: Constant
**********************************************************************
*/
VARIABLE DeviceTypeDelta
{
   LABEL DeviceTypeDeltaTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE UNSIGNED_INTEGER(2)
   {
    DISPLAY_FORMAT "5u";
   }
   
   VALIDITY IF(Val261)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 386 Text: SERIENNR ELEKTR. Index: 167 Update: Constant
**********************************************************************
*/
VARIABLE ElectronicSerialNumber
{
   LABEL ElectronicSerialNumberTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE PACKED_ASCII(16);
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 595 Text: AUSWAHL ALARME Index: 171 Update: Static
**********************************************************************
*/
VARIABLE ChooseErrorOrWarning
{
   LABEL ChooseErrorOrWarningTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ChooseErrorOrWarning
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 600 Text: MELDUNGSNR. Index: 173 Update: Static
**********************************************************************
*/
VARIABLE ReactionOnAlarmNr
{
   LABEL ReactionOnAlarmNrTEXT
   CLASS INPUT;
   HANDLING EVERYONE_WRITE
   TYPE UNSIGNED_INTEGER(2)
   {
    DISPLAY_FORMAT "5u";
   }
   
   VALIDITY TRUE;   
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 603 Text: RESET MELDUNGEN Index: 175 Update: Static
**********************************************************************
*/
VARIABLE ResetAlarmHistory
{
   LABEL ResetAlarmHistoryTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ResetAlarmHistory
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 768 Text: HIST.SPEICH.ZYKL Index: 222 Update: Static
**********************************************************************
*/
VARIABLE HistoRomSavingCycleTime
{
   LABEL HistoRomSavingCycleTimeTEXT
   CLASS INPUT & SERVICE;
   HANDLING SERVICE_WRITE
   TYPE UNSIGNED_INTEGER(1)
   {
    DISPLAY_FORMAT "3u";
    MIN_VALUE 3;
    MAX_VALUE 65;
   }
   CONSTANT_UNIT "*20s";
   VALIDITY IF(Val269)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 45;
}
/*
**********************************************************************
** ID: 769 Text: TAB. AKTIVIEREN Index: 223 Update: Dynamic
**********************************************************************
*/
VARIABLE ValidateLinearisationTable
{
   LABEL ValidateLinearisationTableTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ValidateLinearisationTable
   }
   
   VALIDITY IF(Val204)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   PRE_EDIT_ACTIONS
   { 
    read_ValidateLinearisationTable
   }
}
/*
**********************************************************************
** ID: 770 Text: TABELLENEDITOR Index: 224 Update: Dynamic
**********************************************************************
*/
VARIABLE LinearizationTablePostEdit
{
   LABEL LinearizationTablePostEditTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING EVERYONE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_LinearizationTablePostEdit
   }
   
   VALIDITY IF(Val204)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 802 Text: GERTE ID Index: 228 Update: Constant
**********************************************************************
*/
VARIABLE DeviceTypeAbsRel
{
   LABEL DeviceTypeAbsRelTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE UNSIGNED_INTEGER(2)
   {
    DISPLAY_FORMAT "5u";
   }
   
   VALIDITY IF(Val265)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 828 Text: MESSWERT % Index: 236 Update: Dynamic
**********************************************************************
*/
VARIABLE MeasuredValuePercent
{
   LABEL MeasuredValuePercentTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".2f";
    EDIT_FORMAT ".2f";
   }
   CONSTANT_UNIT "%";
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 831 Text: HistoROM VORHND. Index: 237 Update: Dynamic
**********************************************************************
*/
VARIABLE HistoromAvailable
{
   LABEL HistoromAvailableTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_HistoromAvailable
   }
   
   DEFAULT_VALUE 0;
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 877 Text: - Index: 261 Update: Dynamic
**********************************************************************
*/
VARIABLE SilModeAllowed
{
   LABEL SilModeAllowedTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE   
   TYPE ENUMERATED(1)
   {
    ENUM_SilModeAllowed
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 1379 Text: GERTE ID Index: 266 Update: Constant
**********************************************************************
*/
VARIABLE DeviceTypeContite
{
   LABEL DeviceTypeContiteTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE UNSIGNED_INTEGER(2)
   {
    DISPLAY_FORMAT "5u";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 362 Text: MAT. DICHTUNG Index: 48 Update: Static
**********************************************************************
*/
VARIABLE ProcessFlangeGasketMaterial
{
   LABEL ProcessFlangeGasketMaterialTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ProcessFlangeGasketMaterial
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 482 Text: TYP ANSCHLUSS Index: 49 Update: Static
**********************************************************************
*/
VARIABLE ProcessConnectionModel
{
   LABEL ProcessConnectionModelTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ProcessConnectionModel
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE "Gewinde male";
}
/*
**********************************************************************
** ID: 360 Text: MAT. ANSCHL. + Index: 50 Update: Static
**********************************************************************
*/
VARIABLE ProcessConnectionMaterialPositive
{
   LABEL ProcessConnectionMaterialPositiveTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ProcessConnectionMaterialPositive
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE "316L rostfrei";
}
/*
**********************************************************************
** ID: 361 Text: MAT. ANSCHL. - Index: 51 Update: Static
**********************************************************************
*/
VARIABLE ProcessConnectionMaterialNegative
{
   LABEL ProcessConnectionMaterialNegativeTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ProcessConnectionMaterialNegative
   }
   
   VALIDITY IF(Val261)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 570 Text: Pmax ANSCHLUSS Index: 52 Update: Static
**********************************************************************
*/
VARIABLE ProcessConnectionPressureHighLimit
{
   LABEL ProcessConnectionPressureHighLimitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".6f";
    EDIT_FORMAT ".6f";
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 0.0009807;
}
/*
**********************************************************************
** ID: 528 Text: MAT. SCHRAUBEN Index: 53 Update: Static
**********************************************************************
*/
VARIABLE ProcessConnectionBoltsMaterial
{
   LABEL ProcessConnectionBoltsMaterialTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ProcessConnectionBoltsMaterial
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 529 Text: MAT. MUTTERN Index: 54 Update: Static
**********************************************************************
*/
VARIABLE ProcessConnectionNutsMaterial
{
   LABEL ProcessConnectionNutsMaterialTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ProcessConnectionNutsMaterial
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 530 Text: MAT.ENTL.VENT. Index: 55 Update: Static
**********************************************************************
*/
VARIABLE ProcessConnectionDrainVentMaterial
{
   LABEL ProcessConnectionDrainVentMaterialTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ProcessConnectionDrainVentMaterial
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 531 Text: POS.ENTL.VENT. Index: 56 Update: Static
**********************************************************************
*/
VARIABLE ProcessConnectionDrainVentPosition
{
   LABEL ProcessConnectionDrainVentPositionTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ProcessConnectionDrainVentPosition
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 532 Text: PROZESS GEWINDE Index: 57 Update: Static
**********************************************************************
*/
VARIABLE ProcessConnectionThread
{
   LABEL ProcessConnectionThreadTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ProcessConnectionThread
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 533 Text: MONTAGE GEWINDE Index: 58 Update: Static
**********************************************************************
*/
VARIABLE ProcessConnectionMountingThread
{
   LABEL ProcessConnectionMountingThreadTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ProcessConnectionMountingThread
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 534 Text: ANZ.DRUCKMITTLER Index: 59 Update: Static
**********************************************************************
*/
VARIABLE ProcessConnectionNrOffRemoteSeals
{
   LABEL ProcessConnectionNrOffRemoteSealsTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ProcessConnectionNrOffRemoteSeals
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 535 Text: DRUCKMITT. TYP + Index: 60 Update: Static
**********************************************************************
*/
VARIABLE ProcessConnectionRemoteseal1Type
{
   LABEL ProcessConnectionRemoteseal1TypeTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ProcessConnectionRemoteseal1Type
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 536 Text: DRUCKMITT. TYP - Index: 61 Update: Static
**********************************************************************
*/
VARIABLE ProcessConnectionRemoteseal2Type
{
   LABEL ProcessConnectionRemoteseal2TypeTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ProcessConnectionRemoteseal2Type
   }
   
   VALIDITY IF(Val261)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 537 Text: MAT. MEMBRAN + Index: 62 Update: Static
**********************************************************************
*/
VARIABLE ProcessRemoteseal1DiaphragmMaterial
{
   LABEL ProcessRemoteseal1DiaphragmMaterialTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ProcessRemoteseal1DiaphragmMaterial
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 538 Text: MAT. MEMBRAN - Index: 63 Update: Static
**********************************************************************
*/
VARIABLE ProcessRemoteseal2DiaphragmMaterial
{
   LABEL ProcessRemoteseal2DiaphragmMaterialTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ProcessRemoteseal2DiaphragmMaterial
   }
   
   VALIDITY IF(Val261)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 539 Text: FLLFL.DRUCKMITT Index: 64 Update: Static
**********************************************************************
*/
VARIABLE ProcessRemoteSealFillFluid
{
   LABEL ProcessRemoteSealFillFluidTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ProcessRemoteSealFillFluid
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 358 Text: Tmin ELEKTRONIK Index: 39 Update: Constant
**********************************************************************
*/
VARIABLE Temperature3LowLimit
{
   LABEL Temperature3LowLimitTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".1f";
    EDIT_FORMAT ".1f";
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE -40;
}
/*
**********************************************************************
** ID: 359 Text: Tmax ELEKTRONIK Index: 40 Update: Constant
**********************************************************************
*/
VARIABLE Temperature3HighLimit
{
   LABEL Temperature3HighLimitTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".1f";
    EDIT_FORMAT ".1f";
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 85;
}
/*
**********************************************************************
** ID: 365 Text: MAT. MEMBRAN Index: 42 Update: Constant
**********************************************************************
*/
VARIABLE SensorDiaphragmMaterial
{
   LABEL SensorDiaphragmMaterialTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SensorDiaphragmMaterial
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 8;
}
/*
**********************************************************************
** ID: 366 Text: FLLL Index: 43 Update: Constant
**********************************************************************
*/
VARIABLE SensorFillFluid
{
   LABEL SensorFillFluidTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SensorFillFluid
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 1;
}
/*
**********************************************************************
** ID: 487 Text: SENSOR HW REV. Index: 44 Update: Constant
**********************************************************************
*/
VARIABLE SensorHardwareRevision
{
   LABEL SensorHardwareRevisionTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE UNSIGNED_INTEGER(1)
   {
    DISPLAY_FORMAT "3u";
    MIN_VALUE 0;
    MAX_VALUE 255;
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 251 Text: Pmin SENSOR, abs Index: 45 Update: Constant
**********************************************************************
*/
VARIABLE SensorMinAbsoluteLimit
{
   LABEL SensorMinAbsoluteLimitTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 252 Text: Pmax SENSOR, abs Index: 46 Update: Constant
**********************************************************************
*/
VARIABLE SensorMaxAbsoluteLimit
{
   LABEL SensorMaxAbsoluteLimitTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 382 Text: RESET SCHLEPPZEI Index: 18 Update: Static
**********************************************************************
*/
VARIABLE ResetTransmitterObservation
{
   LABEL ResetTransmitterObservationTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ResetTransmitterObservation
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 469 Text: MINIMALER DRUCK Index: 19 Update: Dynamic
**********************************************************************
*/
VARIABLE Pressure1MinResetable
{
   LABEL Pressure1MinResetableTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 383 Text: MAXIMALER DRUCK Index: 20 Update: Dynamic
**********************************************************************
*/
VARIABLE Pressure1MaxResetable
{
   LABEL Pressure1MaxResetableTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 467 Text: ZHLER  P < Pmin Index: 21 Update: Dynamic
**********************************************************************
*/
VARIABLE ResetableUnderPressure1Counter
{
   LABEL ResetableUnderPressure1CounterTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE UNSIGNED_INTEGER(2)
   {
    DISPLAY_FORMAT "5u";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 380 Text: ZHLER P > Pmax Index: 22 Update: Dynamic
**********************************************************************
*/
VARIABLE ResetableOverPressure1Counter
{
   LABEL ResetableOverPressure1CounterTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE UNSIGNED_INTEGER(2)
   {
    DISPLAY_FORMAT "5u";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 474 Text: MINIMALE TEMP. Index: 23 Update: Dynamic
**********************************************************************
*/
VARIABLE Temperature1MinResetable
{
   LABEL Temperature1MinResetableTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".1f";
    EDIT_FORMAT ".1f";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 471 Text: MAXIMALE TEMP. Index: 24 Update: Dynamic
**********************************************************************
*/
VARIABLE Temperature1MaxResetable
{
   LABEL Temperature1MaxResetableTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".1f";
    EDIT_FORMAT ".1f";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 472 Text: ZHLER T < Tmin Index: 25 Update: Dynamic
**********************************************************************
*/
VARIABLE ResetableUnderTemperature1Counter
{
   LABEL ResetableUnderTemperature1CounterTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE UNSIGNED_INTEGER(2)
   {
    DISPLAY_FORMAT "5u";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 404 Text: ZHLER T > Tmax Index: 26 Update: Dynamic
**********************************************************************
*/
VARIABLE ResetableOverTemperature1Counter
{
   LABEL ResetableOverTemperature1CounterTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE UNSIGNED_INTEGER(2)
   {
    DISPLAY_FORMAT "5u";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 494 Text: MIN. EL. TEMP Index: 27 Update: Dynamic
**********************************************************************
*/
VARIABLE Temperature3Min
{
   LABEL Temperature3MinTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".1f";
    EDIT_FORMAT ".1f";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 490 Text: MAX  EL. TEMP Index: 28 Update: Dynamic
**********************************************************************
*/
VARIABLE Temperature3Max
{
   LABEL Temperature3MaxTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".1f";
    EDIT_FORMAT ".1f";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 492 Text: ZHL. EL. T<Tmin Index: 29 Update: Dynamic
**********************************************************************
*/
VARIABLE UnderTemperature3Counter
{
   LABEL UnderTemperature3CounterTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE UNSIGNED_INTEGER(2)
   {
    DISPLAY_FORMAT "5u";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 488 Text: ZHL. EL. T>Tmax Index: 30 Update: Dynamic
**********************************************************************
*/
VARIABLE OverTemperature3Counter
{
   LABEL OverTemperature3CounterTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE UNSIGNED_INTEGER(2)
   {
    DISPLAY_FORMAT "5u";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 589 Text: SENSORWECHSEL Index: 31 Update: Static
**********************************************************************
*/
VARIABLE NumberOfSensorChanges
{
   LABEL NumberOfSensorChangesTEXT
   CLASS INPUT & SERVICE;
   HANDLING SERVICE_WRITE
   TYPE UNSIGNED_INTEGER(2)
   {
    DISPLAY_FORMAT "5u";
   }
   
   VALIDITY IF(Val269)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 12;
}
/*
**********************************************************************
** ID: 378 Text: TENDENZ MESSWERT Index: 110 Update: Dynamic
**********************************************************************
*/
VARIABLE Tendency
{
   LABEL TendencyTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_Tendency
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 756 Text: P SCHLPZ.SCHRITT Index: 220 Update: Static
**********************************************************************
*/
VARIABLE PeakHoldIncrementFaktor
{
   LABEL PeakHoldIncrementFaktorTEXT
   CLASS INPUT & SERVICE;
   HANDLING SERVICE_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".3f";
    EDIT_FORMAT ".3f";
    MIN_VALUE 0.001;
    MAX_VALUE 1.0;
   }
   CONSTANT_UNIT "FS";
   VALIDITY IF(Val269)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 0.010;
}
/*
**********************************************************************
** ID: 758 Text: T SCHLPZ.SCHRITT Index: 221 Update: Static
**********************************************************************
*/
VARIABLE Temperature1PeakHoldIncrementOffset
{
   LABEL Temperature1PeakHoldIncrementOffsetTEXT
   CLASS INPUT & SERVICE;
   HANDLING SERVICE_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".1f";
    EDIT_FORMAT ".1f";
    MIN_VALUE 0.1;
    MAX_VALUE 10.0;
   }
   CONSTANT_UNIT "K";
   VALIDITY IF(Val269)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 484 Text: LRL SENSOR Index: 33 Update: Constant
**********************************************************************
*/
VARIABLE Pressure1SensorLowLimit
{
   LABEL Pressure1SensorLowLimitTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 0;
   DEFAULT_VALUE 0;
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 485 Text: URL SENSOR Index: 34 Update: Constant
**********************************************************************
*/
VARIABLE Pressure1SensorHighLimit
{
   LABEL Pressure1SensorHighLimitTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 100;
   DEFAULT_VALUE 100;
   DEFAULT_VALUE 100;
}
/*
**********************************************************************
** ID: 368 Text: Tmin SENSOR Index: 36 Update: Constant
**********************************************************************
*/
VARIABLE Temperature1SensorLowLimit
{
   LABEL Temperature1SensorLowLimitTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".1f";
    EDIT_FORMAT ".1f";
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE -40;
}
/*
**********************************************************************
** ID: 369 Text: Tmax SENSOR Index: 37 Update: Constant
**********************************************************************
*/
VARIABLE Temperature1SensorHighLimit
{
   LABEL Temperature1SensorHighLimitTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".1f";
    EDIT_FORMAT ".1f";
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 100;
}
/*
**********************************************************************
** ID: 250 Text: SERIENNR SENSOR Index: 41 Update: Constant
**********************************************************************
*/
VARIABLE SensorSerialNumber
{
   LABEL SensorSerialNumberTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE PACKED_ASCII(16);
   
   VALIDITY TRUE;
   DEFAULT_VALUE "C5_331032HP";
}
/*
**********************************************************************
** ID: 581 Text: SENSORMESSTYP Index: 47 Update: Constant
**********************************************************************
*/
VARIABLE SensorMeasurementType
{
   LABEL SensorMeasurementTypeTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_SensorMeasurementType
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE 3;
}
/*
**********************************************************************
** ID: 354 Text: SERIENNR TRANSM. Index: 164 Update: Static
**********************************************************************
*/
VARIABLE DeviceSerialNumber
{
   LABEL DeviceSerialNumberTEXT
   CLASS INPUT & SERVICE;
   HANDLING SERVICE_WRITE
   TYPE PACKED_ASCII(16);
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 350 Text: GERTEBEZEICHNG Index: 165 Update: Static
**********************************************************************
*/
VARIABLE DeviceOrderCode
{
   LABEL DeviceOrderCodeTEXT
   CLASS INPUT & SERVICE;
   HANDLING SERVICE_WRITE
   TYPE PACKED_ASCII(32);
   
   VALIDITY TRUE;
   DEFAULT_VALUE "________________________________";

}
/*
**********************************************************************
** ID: 858 Text: TANK VOLUMEN Index: 256 Update: Static
**********************************************************************
*/
VARIABLE LevelTankVolume
{
   LABEL LevelTankVolumeTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
    MIN_VALUE 0.000001;
    MAX_VALUE FLT_MAX;
   }
   
   VALIDITY IF(Val189)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 859 Text: TANKHHE Index: 257 Update: Static
**********************************************************************
*/
VARIABLE LevelTankHeight
{
   LABEL LevelTankHeightTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
   VALIDITY IF(Val189)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 1457 Text: EINHEIT DICHTE Index: 267 Update: Dynamic
**********************************************************************
*/
VARIABLE DensityUnitEasy
{
   LABEL DensityUnitEasyTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_DensityUnitEasy
   }
   
   VALIDITY IF(Val160)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   
   POST_EDIT_ACTIONS
{
   update_VirtualLevelUnitDensity
}

}
/*
**********************************************************************
** ID: 1444 Text: EINHEIT HHE Index: 268 Update: Dynamic
**********************************************************************
*/
VARIABLE HeightUnitEasy
{
   LABEL HeightUnitEasyTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_HeightUnitEasy
   }
   
   VALIDITY IF(Val160)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 1439 Text: ABGLEICH VOLL Index: 269 Update: Dynamic
**********************************************************************
*/
VARIABLE HighLevelEasy
{
   LABEL HighLevelEasyTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
   VALIDITY IF(Val165)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 100;
}
/*
**********************************************************************
** ID: 1442 Text: DRUCK VOLL Index: 270 Update: Dynamic
**********************************************************************
*/
VARIABLE HighLevelPressureEasy
{
   LABEL HighLevelPressureEasyTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
   VALIDITY IF(Val163)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 1446 Text: HHE VOLL Index: 271 Update: Dynamic
**********************************************************************
*/
VARIABLE Level100PercentValueEasy
{
   LABEL Level100PercentValueEasyTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
   VALIDITY IF(Val157)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 1456 Text: DICHTE ABGLEICH Index: 272 Update: Dynamic
**********************************************************************
*/
VARIABLE LevelAdjustDensityEasy
{
   LABEL LevelAdjustDensityEasyTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".3f";
    EDIT_FORMAT ".3f";
    MIN_VALUE SELECT ( VirtualLevelUnitDensity ) 
      { 
       CASE 0 :  -15.0;    /* g/cm */
       CASE 1 :  -15000.0; /* kg/m */
       CASE 2 :  -15.0;    /* kg/dm */
       CASE 3 :  -0.542;   /* US lb/in */
       CASE 4 :  -936.419; /* US lb/ft */
       DEFAULT:  -15000.0;
      }
      
    MAX_VALUE SELECT ( VirtualLevelUnitDensity ) 
      { 
       CASE 0 :  15.0;    /* g/cm */
       CASE 1 :  15000.0; /* kg/m */
       CASE 2 :  15.0;    /* kg/dm */
       CASE 3 :  0.542;   /* US lb/in */
       CASE 4 :  936.419; /* US lb/ft */
       DEFAULT: 15000.0; 
 	   }
   }
   
   VALIDITY IF(Val160)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 1440 Text: ABGLEICHMODUS Index: 273 Update: Dynamic
**********************************************************************
*/
VARIABLE LevelAdjustModeEasy
{
   LABEL LevelAdjustModeEasyTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_LevelAdjustModeEasy
   }
   
   VALIDITY IF(Val166)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 1445 Text: HHE LEER Index: 274 Update: Dynamic
**********************************************************************
*/
VARIABLE LevelOffsetEasy
{
   LABEL LevelOffsetEasyTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
   VALIDITY IF(Val157)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 1441 Text: ABGLEICH LEER Index: 275 Update: Dynamic
**********************************************************************
*/
VARIABLE LowLevelEasy
{
   LABEL LowLevelEasyTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
   VALIDITY IF(Val166)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 1443 Text: DRUCK LEER Index: 276 Update: Dynamic
**********************************************************************
*/
VARIABLE LowLevelPressureEasy
{
   LABEL LowLevelPressureEasyTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
   VALIDITY IF(Val163)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 1451 Text: MESSENDE SETZEN Index: 277 Update: Dynamic
**********************************************************************
*/
VARIABLE MaxOutCurrentEasy
{
   LABEL MaxOutCurrentEasyTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
   VALIDITY IF(Val166)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 100;
}
/*
**********************************************************************
** ID: 1450 Text: MESSANFG SETZEN Index: 278 Update: Dynamic
**********************************************************************
*/
VARIABLE MinOutCurrentEasy
{
   LABEL MinOutCurrentEasyTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
   }
   
   VALIDITY IF(Val166)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 0;
}
/*
**********************************************************************
** ID: 1449 Text: AUSGABEEINHEIT Index: 279 Update: Dynamic
**********************************************************************
*/
VARIABLE OutUnitEasy
{
   LABEL OutUnitEasyTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_OutUnitEasy
    DEFAULT_VALUE 20; 
   }
   
   VALIDITY IF(Val166)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   
   POST_EDIT_ACTIONS
{
   update_LevelUnit
}

}
/*
**********************************************************************
** ID: 1463 Text: FLLSTANDSWAHL Index: 285 Update: Static
**********************************************************************
*/
VARIABLE ConfigurationType
{
   LABEL ConfigurationTypeTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_ConfigurationType
   }
   
   VALIDITY IF(Val237)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 1;
   POST_EDIT_ACTIONS
{
   update_VirtualLevelUnitDensity,update_DensityUnit,
}

}
/*
**********************************************************************
** ID: 1469 Text:  Index: 289 Update: Dynamic
**********************************************************************
*/
VARIABLE MeasuredActualLevelEasy
{
   LABEL MeasuredActualLevelEasyTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY IF(Val166)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 1471 Text: DICHTE PROZESS Index: 290 Update: Dynamic
**********************************************************************
*/
VARIABLE LevelMeasurementDensityEasy
{
   LABEL LevelMeasurementDensityEasyTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".3f";
    EDIT_FORMAT ".3f";
    MIN_VALUE SELECT ( VirtualLevelUnitDensity ) 
      { 
       CASE 0 :  -15.0;    /* g/cm */
       CASE 1 :  -15000.0; /* kg/m */
       CASE 2 :  -15.0;    /* kg/dm */
       CASE 3 :  -0.542;   /* US lb/in */
       CASE 4 :  -936.419; /* US lb/ft */
       DEFAULT:  -15000.0;
      }
      
    MAX_VALUE SELECT ( VirtualLevelUnitDensity ) 
      { 
       CASE 0 :  15.0;    /* g/cm */
       CASE 1 :  15000.0; /* kg/m */
       CASE 2 :  15.0;    /* kg/dm */
       CASE 3 :  0.542;   /* US lb/in */
       CASE 4 :  936.419; /* US lb/ft */
       DEFAULT: 15000.0; 
 	   }
   }
   
   VALIDITY IF(Val159)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 1488 Text: DRUCK INVERT. Index: 292 Update: Static
**********************************************************************
*/
VARIABLE Pressure1InputInversion
{
   LABEL Pressure1InputInversionTEXT
   CLASS INPUT & SERVICE;
   HANDLING SERVICE_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_Pressure1InputInversion
   }
   
   VALIDITY IF(Val269)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 677 Text: EINH. DURCHFLUSS Index: 10002 Update: Static
**********************************************************************
*/
VARIABLE FlowUnit
{
   LABEL IF(FlowType == eFT_FLOWTYPEMASS)
         {
				MassFlowUnitTEXT
         }
         ELSE
         {
         IF(FlowType == eFT_FLOWTYPEVOLUME)
         {
				VolumeFlowUnitTEXT
      	}
      	ELSE
      	{
      	IF(FlowType == eFT_FLOWTYPENORM)
      	{
				NormFlowUnitTEXT
      	}
      	ELSE
      	{
      	IF(FlowType == eFT_FLOWTYPESTANDARD)
      	{
				StandardFlowUnitTEXT
      	}
      	ELSE
      	{
      		[blank];
      	}
      	}
      	}
      	}
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    SELECT(FlowType)
    {
     CASE 0  : ENUM_MassFlowUnit
     CASE 1  : ENUM_VolumeFlowUnit
     CASE 2  : ENUM_NormFlowUnit
     CASE 3  : ENUM_StandardFlowUnit
     DEFAULT : ENUM_MassFlowUnit
    }
   }
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 678 Text: MESSANFG SETZEN Index: 10003 Update: Static
**********************************************************************
*/
VARIABLE LowerRangeValue
{
   LABEL LowerRangeValueTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY IF(Val109)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 679 Text: MESSWERT Index: 10004 Update: Dynamic
**********************************************************************
*/
VARIABLE MeasuredValue
{
   LABEL MeasuredValueTEXT
   CLASS INPUT & DYNAMIC;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT AUTOMATIC_MAINLINE_FORMAT
    EDIT_FORMAT ".7f";
   }

#ifdef MEASURED_VALUE_UNIT_SELECT
   CONSTANT_UNIT IF(DisplayMainlineContent == eDMC_MAINMEASUREDVALUEPERCENT)
                 {
                   ENUM_PercentUnitLIST
                 }
                 ELSE
                 {
                  IF (OperatingMode == eOM_FLOW)
                  {
                   SELECT(FlowType)
                    {
                     CASE   0 : ENUM_MassFlowUnitLIST
                     CASE   1 : ENUM_VolumeFlowUnitLIST
                     CASE   2 : ENUM_NormFlowUnitLIST
                     CASE   3 : ENUM_StandardFlowUnitLIST
                    }
                  }
                  ELSE
                  {
                     IF(OperatingMode == eOM_PRESSURE)
                     {
                       ENUM_Pressure1UnitLIST
                     }
                     ELSE
                     {
                       IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_PERCENT_HEIGHT ||
                          OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_PERCENT ||
                          OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_PERCENT ||
                          OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_PERCENT)
                       {
                         ENUM_PercentUnitLIST
                       }
                       ELSE
                       {
                         IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_HEIGHT)
                         {
                           ENUM_HeightUnitLIST                
                         }
                         ELSE       
                         {
                           IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_MASSE ||
                              OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_MASSE ||
                              OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_MASS ||
                              OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_MASS)
                           {
                             ENUM_MassUnitLIST
                           }
                           ELSE
                           {
                             IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_VOLUME ||
                                OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_VOLUME ||
                                OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_VOLUME ||
                                OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_VOLUME)
                             {
                               ENUM_VolumeUnitLIST
                             }
                             ELSE
                             {
                                IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EASYPRESSURELEVEL ||
                                   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EASYHEIGHTLEVEL)
                                {
                                  ENUM_OutUnitEasyLIST
                                }
                                ELSE
                                {
                                [blank];
                                }
                             }
                           }
                         }
                       }
                     }
                   } 
                 }
#endif
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 680 Text: EINH.SUMMENZ. 1 Index: 10005 Update: Static
**********************************************************************
*/
VARIABLE Totalizer1Unit
{
   LABEL Totalizer1UnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    SELECT (FlowType)
    {
     CASE 0  : ENUM_Totalizer1MassUnit
     CASE 1  : ENUM_Totalizer1VolumeUnit
     CASE 2  : ENUM_Totalizer1NormVolumeUnit
     CASE 3  : ENUM_Totalizer1StandardVolumeUnit
     DEFAULT : ENUM_Totalizer1MassUnit
    }
   }
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 681 Text: EINH.SUMMENZ. 2 Index: 10006 Update: Static
**********************************************************************
*/
VARIABLE Totalizer2Unit
{
   LABEL Totalizer2UnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    SELECT (FlowType)
    {
     CASE 0  : ENUM_Totalizer2MassUnit
     CASE 1  : ENUM_Totalizer2VolumeUnit
     CASE 2  : ENUM_Totalizer2NormVolumeUnit
     CASE 3  : ENUM_Totalizer2StandardVolumeUnit
     DEFAULT : ENUM_Totalizer2MassUnit
    }
   }
   
   VALIDITY IF(Val132)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 682 Text: MESSENDE SETZEN Index: 10007 Update: Static
**********************************************************************
*/
VARIABLE UpperRangeValue
{
   LABEL UpperRangeValueTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY IF(Val109)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 554 Text: GERTE NAME STR. Index: 10009 Update: Static
**********************************************************************
*/
VARIABLE DeviceNameString
{
   LABEL DeviceNameStringTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE PACKED_ASCII(16);
   
   VALIDITY TRUE;
   DEFAULT_VALUE DEVICENAME_STRING;
}
/*
**********************************************************************
** ID: 693 Text: WERT SIMULATION Index: 10010 Update: Static
**********************************************************************
*/
VARIABLE SimulationValue
{
   LABEL SimulationValueTEXT
   CLASS COMPUTATION;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 572 Text: KENNLINIE STROM Index: 10011 Update: Static
**********************************************************************
*/
VARIABLE CurrentOutputCharacteristics
{
   LABEL CurrentOutputCharacteristicsTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_CurrentOutputCharacteristics
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 312 Text: EINHEIT FLLSTND Index: ----- Update: Static
**********************************************************************
*/
VARIABLE LevelUnitLocal
{
   LABEL IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_HEIGHT ||
            ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_VOLUME ||
            ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_MASS ||
            ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_PERCENT)
         {
				HeightUnitTEXT
         }
         ELSE
         {
           IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandLinear == eML_PERCENT_HEIGHT ||
              ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_VOLUME ||
              ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_MASS ||
              ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_PERCENT)
           {
			  	PercentUnitTEXT
      	  }
      	  ELSE
      	  {
      	    IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_VOLUME)
      	    {
			    	VolumeUnitTEXT
      	    }
      	    ELSE
      	    {
      	      IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_MASSE)
      	      {
			      	MassUnitTEXT
      	      }
      	      ELSE
      	      {
      	      	IF(ConfigurationType == eCT_EASYPRESSURELEVEL || ConfigurationType == eCT_EASYHEIGHTLEVEL)
      	      	{
      	      	   OutUnitEasyTEXT
      	         }
      	         ELSE
      	         {
      	      	 [blank];
      	      	}
      	      }
      	    }
      	  }
      	}
   CLASS LOCAL;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {    
    IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_HEIGHT ||
       ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_VOLUME ||
       ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_MASS ||
       ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_PERCENT)
         {
				ENUM_HeightUnit
         }
         ELSE
         {
           IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandLinear == eML_PERCENT_HEIGHT ||
              ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_VOLUME ||
              ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_MASS ||
              ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_PERCENT)
           {
			  	ENUM_PercentUnit
      	  }
      	  ELSE
      	  {
      	    IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_VOLUME)
      	    {
			    	ENUM_VolumeUnit
      	    }
      	    ELSE
      	    {
      	      IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_MASSE)
      	      {
			      	ENUM_MassUnit
      	      }
      	      ELSE
      	      {
      	        IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_VOLUME ||
      	           ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_MASSE ||
      	           ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_PERCENT)
      	        {
      	          ENUM_Pressure1Unit
      	        }
      	        ELSE
      	        {
      	          IF(ConfigurationType == eCT_EASYPRESSURELEVEL || ConfigurationType == eCT_EASYHEIGHTLEVEL)
      	      	 {
      	      	   ENUM_OutUnitEasy
      	          }
      	          ELSE
      	          {
      	            {0, [blank] }
      	          }      	         
      	        }
      	      }
      	    }
      	  }
      	}
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 312 Text: EINHEIT FLLSTND Index: 10012 Update: Static
**********************************************************************
*/
VARIABLE LevelUnit
{   
   LABEL LevelUnitTEXT
   /*
   LABEL SELECT(ConfigurationType)
         {          
          CASE 0: SELECT(LevelType)
                  {
                   CASE 0: SELECT(MeasurandLinear)
                           {
                            CASE 0: HeightUnitTEXT
                            CASE 1: VolumeUnitTEXT
                            CASE 2: MassUnitTEXT
                            CASE 3: PercentUnitTEXT
                           }
                   CASE 2: SELECT(MeasurandCombined)
                           {
                            CASE 0: VolumeUnitTEXT
                            CASE 1: MassUnitTEXT
                            CASE 2: PercentUnitTEXT
                            CASE 3: VolumeUnitTEXT
                            CASE 4: MassUnitTEXT
                            CASE 5: PercentUnitTEXT                         
                           }                           
                   DEFAULT : HeightUnitTEXT
                  }
          CASE 1: OutUnitEasyTEXT 
          CASE 2: OutUnitEasyTEXT
          DEFAULT : HeightUnitTEXT
         }
   */
   /*
   LABEL IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_HEIGHT ||
            ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_VOLUME ||
            ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_MASS ||
            ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_PERCENT)
         {
				HeightUnitTEXT
         }
         ELSE
         {
           IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandLinear == eML_PERCENT_HEIGHT ||
              ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_VOLUME ||
              ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_MASS ||
              ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_PERCENT)
           {
			  	PercentUnitTEXT
      	  }
      	  ELSE
      	  {
      	    IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_VOLUME)
      	    {
			    	VolumeUnitTEXT
      	    }
      	    ELSE
      	    {
      	      IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_MASSE)
      	      {
			      	MassUnitTEXT
      	      }
      	      ELSE
      	      {
      	      	IF(ConfigurationType == eCT_EASYPRESSURELEVEL || ConfigurationType == eCT_EASYHEIGHTLEVEL)
      	      	{
      	      	   OutUnitEasyTEXT
      	         }
      	         ELSE
      	         {
      	      	 [blank];
      	      	}
      	      }
      	    }
      	  }
      	}
      	*/
   CLASS INPUT;
   
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {    
    /*
    IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED)
    {
      {0, [blank]}
    }
    IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_HEIGHT ||
       ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_VOLUME ||
       ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_MASS ||
       ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_PERCENT)
    {
      ENUM_HeightUnit
    }
    IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_PERCENT_HEIGHT ||
       ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_VOLUME ||
       ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_MASS ||
       ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_PERCENT)
    {
      ENUM_PercentUnit      
    }
    IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_VOLUME)
    {
      ENUM_VolumeUnit
    }
    IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_MASSE)
    {
      ENUM_MassUnit
    }
    IF(ConfigurationType == eCT_EASYPRESSURELEVEL || ConfigurationType == eCT_EASYHEIGHTLEVEL)
    {
      ENUM_OutUnitEasy
    }
    */
        
    IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_HEIGHT ||
       ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_VOLUME ||
       ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_MASS ||
       ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_PERCENT)
         {
				ENUM_HeightUnit
         }
         ELSE
         {
           IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_PERCENT_HEIGHT ||
              ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_VOLUME ||
              ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_MASS ||
              ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_PERCENT)
           {
			  	ENUM_PercentUnit
      	  }
      	  ELSE
      	  {
      	    IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_VOLUME)
      	    {
			    	ENUM_VolumeUnit
      	    }
      	    ELSE
      	    {
      	      IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_MASSE)
      	      {
			      	ENUM_MassUnit
      	      }
      	      ELSE
      	      {
      	        IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_VOLUME ||
      	           ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_MASSE ||
      	           ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_PERCENT)
      	        {
      	          ENUM_Pressure1Unit
      	        }
      	        ELSE
      	        {
      	          IF(ConfigurationType == eCT_EASYPRESSURELEVEL || ConfigurationType == eCT_EASYHEIGHTLEVEL)
      	      	 {
      	      	   ENUM_OutUnitEasy
      	          }
      	          ELSE
      	          {
      	            {0, [blank]}
      	          }
      	        }      	         
      	      }
      	    }
      	  }
      	}      	
    
    /*
    SELECT(ConfigurationType)
    {          
      CASE 0: SELECT(LevelType)
              {                               
                   CASE 0: SELECT(MeasurandLinear)
                           {
                            CASE 0: ENUM_HeightUnit
                            CASE 1: ENUM_VolumeUnit
                            CASE 2: ENUM_MassUnit
                            CASE 3: ENUM_PercentUnit
                           }
                   CASE 2: SELECT(MeasurandCombined)
                           {
                            CASE 0: ENUM_VolumeUnit
                            CASE 1: ENUM_MassUnit
                            CASE 2: ENUM_PercentUnit
                            CASE 3: ENUM_VolumeUnit
                            CASE 4: ENUM_MassUnit
                            CASE 5: ENUM_PercentUnit
                           }                           
                   DEFAULT : ENUM_HeightUnit
              }
      CASE 1: ENUM_OutUnitEasy
      CASE 2: ENUM_OutUnitEasy
      DEFAULT : ENUM_HeightUnit      
     }
    */
    /*     
    IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR)
    {
     SELECT(MeasurandLinear)
     {
      CASE 0  : ENUM_HeightUnit
      CASE 1  : ENUM_VolumeUnit
      CASE 2  : ENUM_MassUnit
      CASE 3  : ENUM_PercentUnit
      DEFAULT : ENUM_HeightUnit
     }
    }
    ELSE
    {
     IF(ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED)
     {
      SELECT(MeasurandCombined)
      {
       CASE 0  : ENUM_HeightUnit
       CASE 1  : ENUM_HeightUnit
       CASE 2  : ENUM_HeightUnit
       CASE 3  : ENUM_PercentUnit
       CASE 4  : ENUM_PercentUnit
       CASE 5  : ENUM_PercentUnit
       DEFAULT : ENUM_HeightUnit
      }
     }
     ELSE
     {
      ENUM_OutUnitEasy
     }
    }
    */
   }
   
   VALIDITY TRUE;
   
   /*
   VALIDITY IF(Val237)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   */
}
/*
**********************************************************************
** ID: 700 Text: EINH. TANKINHALT Index: --- Update: Static
**********************************************************************
*/
VARIABLE TankContentUnitLocal
{
   LABEL IF(LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_VOLUME ||
            LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_VOLUME ||
            LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_VOLUME)
         {
				VolumeUnitTEXT
         }
         ELSE
         {
           IF(LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_MASSE ||
              LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_MASS ||
              LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_MASS)
           {
			  	MassUnitTEXT
      	  }
      	  ELSE
      	  {
      	    IF(LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_PERCENT ||
                LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_PERCENT ||
                LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_PERCENT)
      	    {
			    	PercentUnitTEXT
      	    }
      	    ELSE
      	    {      	      
      	      [blank];      	     
      	    }
      	  }
      	}
      	
   CLASS LOCAL;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {    
    IF(LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_VOLUME ||
       LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_VOLUME ||
       LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_VOLUME)
         {
				ENUM_VolumeUnit
         }
         ELSE
         {
           IF(LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_MASSE ||
              LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_MASS ||
              LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_MASS)
           {
			  	ENUM_MassUnit
      	  }
      	  ELSE
      	  {
      	    IF(LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_PERCENT ||
                LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_PERCENT ||
                LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_PERCENT)
      	    {
			    	ENUM_PercentUnit
      	    }
      	    ELSE
      	    {
      	      {0, [blank] }
      	    }
      	  }
      	}
   }   

   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 700 Text: EINH. TANKINHALT Index: 10013 Update: Static
**********************************************************************
*/
VARIABLE TankContentUnit
{   
   LABEL TankContentUnitTEXT
   /*
   LABEL SELECT(LevelType)
         {          
          CASE 1: SELECT(MeasurandLinearized)
                  {
                   CASE 0: VolumeUnitTEXT
                   CASE 1: MassUnitTEXT
                   CASE 2: PercentUnitTEXT
                  }
          CASE 2: SELECT(MeasurandCombined)
                  {
                   CASE 0: VolumeUnitTEXT
                   CASE 1: MassUnitTEXT
                   CASE 2: PercentUnitTEXT
                   CASE 3: VolumeUnitTEXT
                   CASE 4: MassUnitTEXT
                   CASE 5: PercentUnitTEXT
                  }
          DEFAULT : VolumeUnitTEXT
         }
   */
   /*
   LABEL IF(LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_VOLUME ||
            LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_VOLUME ||
            LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_VOLUME)
         {
				VolumeUnitTEXT
         }
         ELSE
         {
           IF(LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_MASSE ||
              LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_MASS ||
              LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_MASS)
           {
			  	MassUnitTEXT
      	  }
      	  ELSE
      	  {
      	    IF(LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_PERCENT ||
                LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_PERCENT ||
                LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_PERCENT)
      	    {
			    	PercentUnitTEXT
      	    }
      	    ELSE
      	    {      	      
      	      [blank];      	     
      	    }
      	  }
      	}
      	*/
   CLASS INPUT;
   
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {    
    /*
    IF(LevelType == eLT_TYPE_LINEAR)
    {
       {0, [blank] }
    }
    IF(LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_VOLUME ||
       LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_VOLUME ||
       LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_VOLUME)
    {
	   ENUM_VolumeUnit
    }
    IF(LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_MASSE ||
       LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_MASS ||
       LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_MASS)
    {
      ENUM_MassUnit
    }
    IF(LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_PERCENT ||
       LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_PERCENT ||
       LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_PERCENT)
    {
      ENUM_PercentUnit      
    }
    */
        
    IF(LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_VOLUME ||
       LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_VOLUME ||
       LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_VOLUME)
         {
				ENUM_VolumeUnit
         }
         ELSE
         {
           IF(LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_MASSE ||
              LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_MASS ||
              LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_MASS)
           {
			  	ENUM_MassUnit
      	  }
      	  ELSE
      	  {
      	    IF(LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_PERCENT ||
                LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_PERCENT ||
                LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_PERCENT)
      	    {
			    	ENUM_PercentUnit
      	    }
      	    ELSE
      	    {
      	      {0, [blank] }
      	    }
      	  }
      	}   
    
    /*
    IF(LevelType == eLT_TYPE_LINEARIZED)
    {
     SELECT(MeasurandLinearized)
     {
      CASE 0  : ENUM_VolumeUnit
      CASE 1  : ENUM_MassUnit
      CASE 2  : ENUM_PercentUnit
      DEFAULT : ENUM_VolumeUnit
     }
    }
    ELSE
    {
     IF(LevelType == eLT_TYPE_COMBINED)
     {
      SELECT(MeasurandCombined)
      {
       CASE 0  : ENUM_VolumeUnit
       CASE 1  : ENUM_MassUnit
       CASE 2  : ENUM_PercentUnit
       CASE 3  : ENUM_VolumeUnit
       CASE 4  : ENUM_MassUnit
       CASE 5  : ENUM_PercentUnit
       DEFAULT : ENUM_VolumeUnit
      }
     }
     ELSE
     {
     ENUM_VolumeUnit
     }
    }
    */
   }   

   VALIDITY TRUE;
   /*
   VALIDITY IF(Val213)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   */
   /*
   */
}
/*
**********************************************************************
** ID: 728 Text: FAKT.EINH.V.LIN. Index: 10014 Update: Static
**********************************************************************
*/
VARIABLE LevelUnitScale
{
   LABEL LevelUnitScaleTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".6f";
    EDIT_FORMAT ".6f";
    MIN_VALUE 0.000001;
    MAX_VALUE 1000000.0;
   }
   
   VALIDITY IF(Val224)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 729 Text: FAKT.EINH.T.INH. Index: 10015 Update: Static
**********************************************************************
*/
VARIABLE TankContentUnitScale
{
   LABEL TankContentUnitScaleTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".4f";
    EDIT_FORMAT ".4f";
    MIN_VALUE 0.000001;
    MAX_VALUE 1000000.0;
   }
   
   VALIDITY IF(Val230)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 730 Text: BEN.EINH.V. LIN. Index: 10016 Update: Static
**********************************************************************
*/
VARIABLE LevelUnitText
{
   LABEL LevelUnitTextTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE PACKED_ASCII(8);
   
   VALIDITY IF(Val224)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 732 Text: BEN.EINH.T.INH. Index: 10017 Update: Static
**********************************************************************
*/
VARIABLE TankContentUnitText
{
   LABEL TankContentUnitTextTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE PACKED_ASCII(8);
   
   VALIDITY IF(Val230)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 803 Text: GERTE ID Index: 10052 Update: Static
**********************************************************************
*/
VARIABLE DeviceType
{
   LABEL DeviceTypeTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE UNSIGNED_INTEGER(2)
   {
    DISPLAY_FORMAT "5u";
   }
   
   VALIDITY TRUE;
   DEFAULT_VALUE DEVICETYPE_NR;
}
/*
**********************************************************************
** ID: 807 Text: MESSGRSSE Index: 10053 Update: Static
**********************************************************************
*/
VARIABLE Measurand
{
   LABEL MeasurandTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    SELECT(LevelType)
    {
     CASE 0  : ENUM_MeasurandLinear
     CASE 1  : ENUM_MeasurandLinearized
     CASE 2  : ENUM_MeasurandCombined
     DEFAULT : ENUM_MeasurandLinear

    }
   }
   
   VALIDITY IF(Val232)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 821 Text: DICHTE ABGLEICH Index: 10054 Update: Static
**********************************************************************
*/
VARIABLE VirtualLevelAdjustDensity
{
   LABEL VirtualLevelAdjustDensityTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".3f";
    EDIT_FORMAT ".3f";
    MIN_VALUE SELECT ( VirtualLevelUnitDensity ) 
      { 
       CASE 0 :  -15.0;    /* g/cm */
       CASE 1 :  -15000.0; /* kg/m */
       CASE 2 :  -15.0;    /* kg/dm */
       CASE 3 :  -0.542;   /* US lb/in */
       CASE 4 :  -936.419; /* US lb/ft */
       DEFAULT:  -15000.0;
      }
      
    MAX_VALUE SELECT ( VirtualLevelUnitDensity ) 
      { 
       CASE 0 :  15.0;    /* g/cm */
       CASE 1 :  15000.0; /* kg/m */
       CASE 2 :  15.0;    /* kg/dm */
       CASE 3 :  0.542;   /* US lb/in */
       CASE 4 :  936.419; /* US lb/ft */
       DEFAULT: 15000.0; 
 	   }
   }
   
   VALIDITY IF(Val237)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   /*
   */
   POST_EDIT_ACTIONS
{
   update_LevelMeasurementDensity
}

}
/*
**********************************************************************
** ID: 794 Text: 1.PROZESSWERT Index: 10058 Update: Dynamic
**********************************************************************
*/
VARIABLE PrimaryVariable
{
   LABEL PrimaryVariableTEXT
   CLASS DYNAMIC & COMPUTATION;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 795 Text: 2.PROZESSWERT Index: 10059 Update: Dynamic
**********************************************************************
*/
VARIABLE SecondaryVariable
{
   LABEL SecondaryVariableTEXT
   CLASS DYNAMIC & COMPUTATION;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 796 Text: 3.PROZESSWERT Index: 10060 Update: Dynamic
**********************************************************************
*/
VARIABLE TertiaryVariable
{
   LABEL TertiaryVariableTEXT
   CLASS DYNAMIC & COMPUTATION;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 797 Text: 4.PROZESSWERT Index: 10061 Update: Dynamic
**********************************************************************
*/
VARIABLE QuaternaryVariable
{
   LABEL QuaternaryVariableTEXT
   CLASS DYNAMIC & COMPUTATION;
   HANDLING PRODUCTION_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".7f";
    EDIT_FORMAT ".7f";
   }
   
   VALIDITY TRUE;
}
/*
**********************************************************************
** ID: 881 Text: ZEICHENFOLGE Index: 10062 Update: Constant
**********************************************************************
*/
VARIABLE VirtualSilDigitsTestString
{
   LABEL VirtualSilDigitsTestStringTEXT
   CLASS INPUT;
   HANDLING PRODUCTION_WRITE
   TYPE ASCII(16);
   
   VALIDITY TRUE;
   DEFAULT_VALUE "0123456789.-    ";
}
/*
**********************************************************************
** ID: 1485 Text: EINHEIT DICHTE Index: 10063 Update: Dynamic
**********************************************************************
*/
VARIABLE VirtualLevelUnitDensity
{
   LABEL VirtualLevelUnitDensityTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_VirtualLevelUnitDensity
   }
   
   VALIDITY IF(Val237)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
   DEFAULT_VALUE 2;
   
   POST_EDIT_ACTIONS
{
   update_DensityUnit
}

}
/*
**********************************************************************
** ID: 1490 Text: EINHEIT VOLUMEN Index: 10064 Update: Static
**********************************************************************
*/
VARIABLE VirtualVolumeUnit
{
   LABEL VirtualVolumeUnitTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE ENUMERATED(1)
   {
    ENUM_VirtualVolumeUnit
   }
   
   VALIDITY IF(Val191)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 1491 Text: BEN. EINHEIT V Index: 10065 Update: Static
**********************************************************************
*/
VARIABLE VirtualVolumeUnitText
{
   LABEL VirtualVolumeUnitTextTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE PACKED_ASCII(8);
   
   VALIDITY IF(Val187)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 1492 Text: FAKT.BEN.EINH. V Index: 10066 Update: Static
**********************************************************************
*/
VARIABLE VirtualVolumeUnitScale
{
   LABEL VirtualVolumeUnitScaleTEXT
   CLASS INPUT;
   HANDLING OPERATOR_WRITE
   TYPE FLOAT
   {
    DISPLAY_FORMAT ".6f";
    EDIT_FORMAT ".6f";
    MIN_VALUE 0.000001;
    MAX_VALUE 1000000.0;
   }
   
   VALIDITY IF(Val187)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}

/*
**********************************************************************
** UNIT RELATION DESCRIPTION
**********************************************************************
*/
/*
UNIT DENSITY_UNIT
{
   DensityUnit:
    LevelAdjustDensity,
    ReadOnlyLevelAdjustDensity
}
UNIT DENSITY_UNIT_EASY
{
   DensityUnitEasy:
    LevelAdjustDensityEasy    
}
*/
UNIT VIRTUAL_LEVEL_UNIT_DENSITY /* VirtualLevelUnitDensity */
{
   VirtualLevelUnitDensity:
    VirtualLevelAdjustDensity,
    
    LevelMeasurementDensity,
    LevelMeasurementDensityEasy,
    
    LevelAdjustDensity,
    ReadOnlyLevelAdjustDensity,
    
    LevelAdjustDensityEasy
}
UNIT FLOW_UNIT
{
   FlowUnit:
    FlowMax,
    FlowAfterSuppression,
    FlowSimulationValue,
    FlowLowerRangeValue,
    FlowUpperRangeValue
}
UNIT HEIGHT_UNIT
{
   HeightUnit:
    Level100PercentValue,
    LevelOffset,
    LevelTankHeight
}
UNIT HEIGHT_UNIT_EASY
{
   HeightUnitEasy:
    Level100PercentValueEasy,
    LevelOffsetEasy,
    MeasuredActualLevelEasy
}
#ifdef LEVEL_UNIT_SELECT
#else
UNIT LEVEL_UNIT
{   
   /*LevelUnitLocal*/
   LevelUnit:
    LinearisationTableXValue,
    MeasuredLevelAfterSimulation,
    LowLevel,
    HighLevel,
    LinearisationTableXBuffer,
    LinearLevelMax,
    LinearLevelMin,
    ReadOnlyLinearisationTableXValue,
    LevelSimulationValue,
    LevelLowerRangeValue,
    LevelUpperRangeValue
}
#endif
UNIT OUT_UNIT_EASY
{
   OutUnitEasy:
    HighLevelEasy,
    LowLevelEasy,
    MaxOutCurrentEasy,
    MinOutCurrentEasy
}
UNIT PRESSURE_1_UNIT
{
   Pressure1Unit:
    FlowMaxPressure,
    LowLevelPressure,
    HighLevelPressure,
    LinearPressureMin,
    LinearPressureMax,
    Pressure1LowerCalWritten,
    Pressure1LowerCalMeasured,
    Pressure1UpperCalWritten,
    Pressure1UpperCalMeasured,
    Pressure1InstallOffset,
    Pressure1AcceptInstallOffset,
    Pressure1UserLowLimit,
    Pressure1UserHighLimit,
    Pressure1SimulationValue,
    Pressure1AfterCalibration,
    Pressure1AfterSensor,
    Pressure1AfterDamping,
    PressureLowerRangeValue,
    PressureUpperRangeValue,
    MinSpan,
    ProcessConnectionPressureHighLimit,
    SensorMinAbsoluteLimit,
    SensorMaxAbsoluteLimit,
    Pressure1MinResetable,
    Pressure1MaxResetable,
    Pressure1SensorLowLimit,
    Pressure1SensorHighLimit,
    HighLevelPressureEasy,
    LowLevelPressureEasy,
    UpperRangeValue,
    LowerRangeValue
}
#ifdef TANK_CONTENT_UNIT_SELECT
#else
UNIT TANK_CONTENT_UNIT
{
   /*TankContentUnitLocal*/
   TankContentUnit:
    LinearisationTableYValue,
    MeasuredTankContentAfterSimulation,
    LinearisationTableYBuffer,
    TankContentMin,
    TankContentSimulationValue,
    TankContentMax,
    TankContentLowerRangeValue,
    TankContentUpperRangeValue
}
#endif
UNIT TEMPERATURE_UNIT
{
   TemperatureUnit:
    Temperature1UserLowLimit,
    Temperature1UserHighLimit,
    MeasuredTemperature1,
    MeasuredTemperature3,
    Temperature3LowLimit,
    Temperature3HighLimit,
    Temperature1MinResetable,
    Temperature1MaxResetable,
    Temperature3Min,
    Temperature3Max,
    Temperature1SensorLowLimit,
    Temperature1SensorHighLimit
}
UNIT TOTALIZER_1_UNIT
{
   Totalizer1Unit:
    Totalizer1StringValue,
    Totalizer1StringOverflow,
    Totalizer1StringMain
}
UNIT TOTALIZER_2_UNIT
{
   Totalizer2Unit:
    Totalizer2StringValue,
    Totalizer2StringOverflow,
    Totalizer2StringMain
}
UNIT VIRTUAL_VOLUME_UNIT
{
   VirtualVolumeUnit: /*VolumeUnit*/
    LevelTankVolume
}
#ifdef MEASURED_VALUE_UNIT_SELECT
#else
UNIT MEASURED_VALUE_UNIT
{
   MeasuredValueUnitLocal:
    MeasuredValue
}
#endif
/*
**********************************************************************
** LOCAL VARIABLE DESCRIPTION 
**********************************************************************
*/

VARIABLE varlocal
{
   LABEL "|en|varlocal";
   CLASS LOCAL;
   HANDLING READ&WRITE;
   TYPE UNSIGNED_INTEGER(1)
   {
    DISPLAY_FORMAT "3u";
    MIN_VALUE 0;
    MAX_VALUE 255;
   }
}
/*
**********************************************************************
** MeasuredValueUnitLocal
**********************************************************************
*/
VARIABLE MeasuredValueUnitLocal
{
   LABEL "|en|UNIT";
   CLASS LOCAL;
   HANDLING READ&WRITE;
   TYPE ENUMERATED(1)
   {      
      IF(DisplayMainlineContent == eDMC_MAINMEASUREDVALUEPERCENT)
                 {
                   ENUM_PercentUnit
                 }
                 ELSE
                 {
                  IF (OperatingMode == eOM_FLOW)
                  {
                   SELECT(FlowType)
                    {
                     CASE   0 : ENUM_MassFlowUnit
                     CASE   1 : ENUM_VolumeFlowUnit
                     CASE   2 : ENUM_NormFlowUnit
                     CASE   3 : ENUM_StandardFlowUnit
                    }
                  }
                  ELSE
                  {
                     IF(OperatingMode == eOM_PRESSURE)
                     {
                       ENUM_Pressure1Unit
                     }
                     ELSE
                     {
                       IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_PERCENT_HEIGHT ||
                          OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_PERCENT ||
                          OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_PERCENT ||
                          OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_PERCENT)
                       {
                         ENUM_PercentUnit
                       }
                       ELSE
                       {
                         IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_HEIGHT)
                         {
                           ENUM_HeightUnit
                         }
                         ELSE       
                         {
                           IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_MASSE ||
                              OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_MASSE ||
                              OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_MASS ||
                              OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_MASS)
                           {
                             ENUM_MassUnit
                           }
                           ELSE
                           {
                             IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR && MeasurandLinear == eML_VOLUME ||
                                OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED && MeasurandLinearized == eML_PRESSURE_AND_VOLUME ||
                                OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_HEIGHT_AND_VOLUME ||
                                OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && MeasurandCombined == eMC_PERCENT_AND_VOLUME)
                             {
                               ENUM_VolumeUnit
                             }
                             ELSE
                             {
                                IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EASYPRESSURELEVEL ||
                                   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EASYHEIGHTLEVEL)
                                {
                                  ENUM_OutUnitEasy
                                }
                                ELSE
                                {
                                  {0 , [blank] }
                                }
                             }
                           }
                         }
                       }
                     }
                   } 
                 }
                 
      /*
      IF( DisplayMainlineContent == eDMC_MAINMEASUREDVALUEPERCENT )
      {
         ENUM_PercentUnit
      }
      ELSE 
      {          
         SELECT(OperatingMode)
         {
           CASE 0 : ENUM_Pressure1Unit
           CASE 1 : SELECT(ConfigurationType)
                    {
                      CASE 0 : SELECT(LevelType)
                               {
                                 CASE 0 : SELECT(MeasurandLinear)
                                          {
                                            CASE 0 : ENUM_HeightUnit
                                            CASE 1 : ENUM_VolumeUnit
                                            CASE 2 : ENUM_MassUnit
                                            CASE 3 : ENUM_PercentUnit
                                           }
                                  CASE 1 : SELECT(MeasurandLinearized)
                                           {
                                            CASE 0 : ENUM_VolumeUnit
                                            CASE 1 : ENUM_MassUnit
                                            CASE 2 : ENUM_PercentUnit
                                           }
                                  CASE 2 : SELECT(MeasurandLinear)
                                           {
                                            CASE 0 : ENUM_VolumeUnit
                                            CASE 1 : ENUM_MassUnit
                                            CASE 2 : ENUM_PercentUnit
                                            CASE 3 : ENUM_VolumeUnit
                                            CASE 4 : ENUM_MassUnit
                                            CASE 5 : ENUM_PercentUnit
                                           }
                                 }
                      CASE 1 : ENUM_OutUnitEasy
                      CASE 2 : ENUM_OutUnitEasy
                    }
           CASE 2 : SELECT(FlowType)
                    {
                      CASE 0 : ENUM_MassFlowUnit 
                      CASE 1 : ENUM_VolumeFlowUnit 
                      CASE 2 : ENUM_NormFlowUnit 
                      CASE 3 : ENUM_StandardFlowUnit 
                      DEFAULT : ENUM_MassFlowUnit 
                    }
              }
      }  
      */   
                
   }
   POST_EDIT_ACTIONS
{
   update_MeasuredValueUnitLocal
}

}

/*
**********************************************************************
** METHOD DESCRIPTION 
**********************************************************************
*/

/*
**********************************************************************
** update_MeasuredValueUnitLocal
**********************************************************************
*/
METHOD update_MeasuredValueUnitLocal
{
  LABEL "update_UNIT";
  CLASS COMPUTATION;
  DEFINITION
  {		 
		 		 
		 if( int_value(DisplayMainlineContent) == eDMC_MAINMEASUREDVALUEPERCENT )
		 {
		   assign_int(MeasuredValueUnitLocal, int_value(PercentUnit) );
		 }
		 else
		 {
		   
		   if( int_value(OperatingMode) == eOM_PRESSURE )
		   {
		      assign_int(MeasuredValueUnitLocal, int_value(Pressure1Unit) );		   
		   }		  
		   else if( int_value(OperatingMode) == eOM_LEVEL )
		   {
		      
		      switch( int_value(ConfigurationType) )
		      {
		       case 0 : switch( int_value(LevelType) )
		                     {
		                      case 0: switch( int_value(MeasurandLinear) )
		                              {
		                               case 0 : assign_int(MeasuredValueUnitLocal, int_value(HeightUnit)  ); break;
		                               case 1 : assign_int(MeasuredValueUnitLocal, int_value(VolumeUnit)  ); break;
		                               case 2 : assign_int(MeasuredValueUnitLocal, int_value(MassUnit)    ); break;
		                               case 3 : assign_int(MeasuredValueUnitLocal, int_value(PercentUnit) ); break;
		                               default: assign_int(MeasuredValueUnitLocal, 0 );
		                              }
		                              break;
		                      case 1: switch( int_value(MeasurandLinearized) )
		                              {
		                               case 0 : assign_int(MeasuredValueUnitLocal, int_value(VolumeUnit)  ); break;
		                               case 1 : assign_int(MeasuredValueUnitLocal, int_value(MassUnit)    ); break;
		                               case 2 : assign_int(MeasuredValueUnitLocal, int_value(PercentUnit) ); break;
		                               default: assign_int(MeasuredValueUnitLocal, 0 );
		                              }
		                              break;
		                      case 2: switch( int_value(MeasurandCombined) )
		                              {
		                               case 0 : assign_int(MeasuredValueUnitLocal, int_value(VolumeUnit)  ); break;
		                               case 1 : assign_int(MeasuredValueUnitLocal, int_value(MassUnit)    ); break;
		                               case 2 : assign_int(MeasuredValueUnitLocal, int_value(PercentUnit) ); break;
		                               case 3 : assign_int(MeasuredValueUnitLocal, int_value(VolumeUnit)  ); break;
		                               case 4 : assign_int(MeasuredValueUnitLocal, int_value(MassUnit)    ); break;
		                               case 5 : assign_int(MeasuredValueUnitLocal, int_value(PercentUnit) ); break;
		                               default: assign_int(MeasuredValueUnitLocal, 0 );
		                              }
		                              break;
		                      default: assign_int(MeasuredValueUnitLocal, 0 );
		                     }
		                break;     
		       case 1 : assign_int(MeasuredValueUnitLocal, int_value(OutUnitEasy) ); break;
		       case 2 : assign_int(MeasuredValueUnitLocal, int_value(OutUnitEasy) ); break;
		      }
		 
		   }		   
		   else
		   {
		      assign_int(MeasuredValueUnitLocal, int_value(FlowUnit) );
		   }		  
		 }  
		   save_values();		   
	}
}
/*
**********************************************************************
** update_LevelMeasurementDensity
**********************************************************************
*/
METHOD update_LevelMeasurementDensity
{	
	LABEL "update_LevelMeasurementDensity";
	
	DEFINITION
	{				
		/* Level Mode: VirtualLevelAdjustDensity --> LevelMeasurementDensity */
		if( int_value(OperatingMode) == eOM_LEVEL && int_value(ConfigurationType) == eCT_EXPERTLEVEL)
		{		   		   
		   vassign(LevelMeasurementDensity, VirtualLevelAdjustDensity);			
			save_values();		
		}
						
		if( int_value(OperatingMode) == eOM_LEVEL && int_value(ConfigurationType) == eCT_EXPERTLEVEL && int_value(LevelType) == eLT_TYPE_LINEAR && int_value(LevelAdjustMode) == eLAM_OFFLINE || 
          int_value(OperatingMode) == eOM_LEVEL && int_value(ConfigurationType) == eCT_EXPERTLEVEL && int_value(LevelType) == eLT_TYPE_COMBINED && int_value(LevelAdjustMode) == eLAM_OFFLINE)
      {
         vassign(LevelAdjustDensity, VirtualLevelAdjustDensity);
         save_values();       
      }
      		
		/* Level Easy Mode: VirtualLevelAdjustDensity --> LevelMeasurementDensityEasy */
		if( int_value(OperatingMode) == eOM_LEVEL && int_value(ConfigurationType) == eCT_EASYHEIGHTLEVEL ||
          int_value(OperatingMode) == eOM_LEVEL && int_value(ConfigurationType) == eCT_EASYPRESSURELEVEL)
		{		   
		   vassign(LevelMeasurementDensityEasy, VirtualLevelAdjustDensity);			
			save_values();		
		}
		
		
		if( int_value(OperatingMode) == eOM_LEVEL && int_value(ConfigurationType) == eCT_EASYHEIGHTLEVEL)
		{		   
		   vassign(LevelAdjustDensityEasy, VirtualLevelAdjustDensity);
		   save_values();		 
		}
		
	}
}
/*
**********************************************************************
** update_VirtualLevelUnitDensity
**********************************************************************
*/
METHOD update_VirtualLevelUnitDensity
{	
	LABEL "update_VirtualLevelUnitDensity";
	
	DEFINITION
	{		
		/*
		VirtualLevelUnitDensity --> DensityUnit
		VirtualLevelUnitDensity --> DensityUnitEasy
		*/
		/*
		VirtualLevelUnitDensity <-- DensityUnit
		VirtualLevelUnitDensity <-- DensityUnitEasy
		*/
		
		if( int_value(OperatingMode) == eOM_LEVEL && int_value(ConfigurationType) == eCT_EXPERTLEVEL && int_value(LevelType) == eLT_TYPE_LINEAR && int_value(LevelAdjustMode) == eLAM_OFFLINE || 
		    int_value(OperatingMode) == eOM_LEVEL && int_value(ConfigurationType) == eCT_EXPERTLEVEL && int_value(LevelType) == eLT_TYPE_COMBINED && int_value(LevelAdjustMode) == eLAM_OFFLINE)
		{		   		 
		   vassign(VirtualLevelUnitDensity, DensityUnit);			
			save_values();			
		}
		
		if( int_value(OperatingMode) == eOM_LEVEL && int_value(ConfigurationType) == eCT_EASYHEIGHTLEVEL)
		{		   
		   vassign(VirtualLevelUnitDensity, DensityUnitEasy);			
			save_values();		
		}
	}
}
/*
**********************************************************************
** update_DensityUnit
**********************************************************************
*/
METHOD update_DensityUnit
{	
	LABEL "update_DensityUnit";
	
	DEFINITION
	{		
		/*  
		VirtualLevelUnitDensity --> DensityUnit
		VirtualLevelUnitDensity --> DensityUnitEasy
		*/
		/*
		VirtualLevelUnitDensity <-- DensityUnit
		VirtualLevelUnitDensity <-- DensityUnitEasy
		*/
		
		if( int_value(OperatingMode) == eOM_LEVEL && int_value(ConfigurationType) == eCT_EXPERTLEVEL && int_value(LevelType) == eLT_TYPE_LINEAR && int_value(LevelAdjustMode) == eLAM_OFFLINE || 
		    int_value(OperatingMode) == eOM_LEVEL && int_value(ConfigurationType) == eCT_EXPERTLEVEL && int_value(LevelType) == eLT_TYPE_COMBINED && int_value(LevelAdjustMode) == eLAM_OFFLINE)
		{
		   vassign(DensityUnit, VirtualLevelUnitDensity);			
			save_values();		
		}
		
		if( int_value(OperatingMode) == eOM_LEVEL && int_value(ConfigurationType) == eCT_EASYHEIGHTLEVEL)
		{		   
		   vassign(DensityUnitEasy, VirtualLevelUnitDensity);		   
			save_values();		
		}
	}
}

METHOD PrepSilPasswordStart
{
        LABEL SilPasswordStart.LABEL;
        DEFINITION
        {
                int x1,x2;
                x2=0;
                ACKNOWLEDGE("METHOD PrepSilPasswordStart");
                if (SilLock!=SIL_LOCKING)
               {
                ACKNOWLEDGE("Nicht SIL Locking");
//                   assign_int(SilLock, 1);  
//                   iassign(variable_array_index_1,239 );  
//                   send_command(173);
                
//                   Reset_Sil_Procedure();
               }
                if (SilPasswordStartLocal==SIL_PASSWORD)
                {

                }
                else
                {
                        ACKNOWLEDGE("Falsches SIL Passwort");
                        local_abort=1;
                }
        }
}

METHOD write_ConfirmParameter
	{
                LABEL "write_ConfirmParameter"; \
                CLASS COMPUTATION;
                DEFINITION
		{
                int OperatingModeVar;
                ACKNOWLEDGE("WRITECONFIRM");         
                        //ACKNOWLEDGE("WRITECONFIRM");         
                        IGNORE_ALL_RESPONSE_CODES();
                        IGNORE_ALL_DEVICE_STATUS();
                        XMTR_IGNORE_ALL_RESPONSE_CODES();
                        XMTR_IGNORE_ALL_DEVICE_STATUS();
		
                        OperatingModeVar = int_value(OperatingMode);
		
                        assign_int(SilDigitsTestAck, SilDigitsTestAckLocal);  /* set value --> SilDigitsTestAck */
                        iassign(variable_array_index_1,242 );  /* SilDigitsTestAck */
                        send_command(173);
      
                        assign_int(SilCurrentOutput, SilCurrentOutputLocal);  /* set value --> SilCurrentOutput */
                        iassign(variable_array_index_1,260 );  /* SilCurrentOutput */
                        send_command(173);
      
                        assign_int(SilAcknowledgeAlarmMode, SilAcknowledgeAlarmModeLocal);  /* set value --> SilAcknowledgeAlarmMode */
                        iassign(variable_array_index_1,243 );  /* SilAcknowledgeAlarmMode */
                        send_command(173);
      
                        assign_int(SilPressure1InstallOffset, SilPressure1InstallOffsetLocal);  /* set value --> SilPressure1InstallOffset */
                        iassign(variable_array_index_1,245 );  /* SilPressure1InstallOffset */
                        send_command(173);                        
      
                        assign_int(SilOperatingMode, SilOperatingModeLocal);  /* set value --> SilOperatingMode */
                        iassign(variable_array_index_1,244 );  /* SilOperatingMode */
                        send_command(173);                       
      
                        assign_int(SilLowerRangeValue, SilLowerRangeValueLocal);  /* set value --> SilLowerRangeValue */
                        iassign(variable_array_index_1,250 );  /* SilLowerRangeValue */
                        send_command(173);
      
                        assign_int(SilUpperRangeValue, SilUpperRangeValueLocal);  /* set value --> SilUpperRangeValue */
                        iassign(variable_array_index_1,251 );  /* SilUpperRangeValue */
                        send_command(173);                                                              
                        if ( OperatingMode == eOM_PRESSURE)
                        {
                                assign_int(SilUpperRangeValue, SilUpperRangeValueLocal);  
                                iassign(variable_array_index_1,251);
                                send_command(173);

                                assign_int(SilLowerRangeValue, SilLowerRangeValueLocal);  
                                iassign(variable_array_index_1,250);
                                send_command(173);
                        }

                        else if ( OperatingMode == eoM_FLOW)
                        {

                                assign_int(SilLowerRangeValue,SilLowerRangeValueLocal);
                                iassign(variable_array_index_1,250);
                                send_command(173);

                                assign_int(SilUpperRangeValue,SilUpperRangeValueLocal);
                                iassign(variable_array_index_1,251);
                                send_command(173);

                                assign_int(SilFlowMax,SilFlowMaxLocal);
                                iassign(variable_array_index_1,246);
                                send_command(173);

                                assign_int(SilFlowMaxPressure,SilFlowMaxPressureLocal);
                                iassign(variable_array_index_1,247);
                                send_command(173);

                                assign_int(SilCreepFlowSuppressionEnable,SilCreepFlowSuppressionEnableLocal);
                                iassign(variable_array_index_1,248);
                                send_command(173);

//                    if( int_value(CreepFlowSuppressionEnable) == eCFSE_ON)
                                assign_int(SilCreepFlowSuppressOffThreshold,SilCreepFlowSuppressOffThresholdLocal);
                                iassign(variable_array_index_1,249);
                                send_command(173);

                                assign_int(SilFlowmode,SilFlowmodeLocal);
                                iassign(variable_array_index_1,252);
                                send_command(173);
                        }
                        else if(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EASYPRESSURELEVEL)
                        {
                                assign_int(SilLowLevelEasy ,SilLowLevelEasyLocal);
                                iassign(variable_array_index_1,283);
                                send_command(173);

                                assign_int(SilHighLevelEasy ,SilHighLevelEasyLocal);
                                iassign(variable_array_index_1,281);
                                send_command(173);

                                assign_int(SilLowLevelPressureEasy ,SilLowLevelPressureEasyLocal);
                                iassign(variable_array_index_1,284);
                                send_command(173);

                                assign_int(SilHighLevelPressureEasy ,SilHighLevelPressureEasyLocal);
                                iassign(variable_array_index_1,282);
                                send_command(173);


                                assign_int(SilLowerRangeValueEasy ,SilLowerRangeValueEasyLocal);
                                iassign(variable_array_index_1,286);
                                send_command(173);

                                assign_int(SilUpperRangeValueEasy ,SilUpperRangeValueEasyLocal);
                                iassign(variable_array_index_1,286);
                                send_command(173);

                                assign_int(SilPressure1Damping ,SilPressure1DampingLocal);
                                iassign(variable_array_index_1,253);
                                send_command(173);

                        }

                        assign_int(SilPressure1Damping, SilPressure1DampingLocal);  /* set value --> SilPressure1Damping */
                        iassign(variable_array_index_1,253 );  /* SilPressure1Damping */
                        send_command(173);      

                        SilPrepared=0;                        //avoid another send
                }
}



METHOD Reset_Sil_Procedure
{
        DEFINITION
        {
//           if (SilPrepared<111)
           {
                SilAcknowledgeAlarmModeLocal=0;
                SilCreepFlowSuppressionEnableLocal=0;
                SilCreepFlowSuppressOffThresholdLocal=0;
                SilCurrentOutputLocal=0;
                SilDigitsTestAckLocal=0;
                SilFlowMaxLocal=0;
                SilFlowMaxPressureLocal=0;
                SilFlowmodeLocal=0;
                SilLowerRangeValueLocal=0;
                SilOperatingModeLocal=0;
                SilPressure1DampingLocal=0;
                SilPressure1InstallOffsetLocal=0;
                SilUpperRangeValueLocal=0;
                SilHighLevelEasyLocal=0;
                SilHighLevelPressureEasyLocal=0;
                SilLowerRangeValueEasyLocal=0;
                SilLowLevelEasyLocal=0;
                SilLowLevelPressureEasyLocal=0;
                SilUpperRangeValueEasyLocal=0;
   
               write_ConfirmParameter();
                SilPrepared=10;
           } 

        }
}

METHOD Prep_OnlineDialog_method_Sil_Procedure
{
        DEFINITION
        {
           if (SilPrepared!=10)
           {
                SilPrepared=10;
                ACKNOWLEDGE("PREPARE SILL");

                Reset_Sil_Procedure();                
                SilDigitsTestAckLocal=SilDigitsTestAck;
                SilCurrentOutputLocal=SilCurrentOutput;
                SilAcknowledgeAlarmModeLocal=SilAcknowledgeAlarmMode;
                SilPressure1InstallOffsetLocal=SilPressure1InstallOffset;
                SilOperatingModeLocal=SilOperatingMode;
                SilPressure1DampingLocal=SilPressure1Damping;

                        PressureLowerRangeValueLocal = PressureLowerRangeValue;
                        PressureUpperRangeValueLocal = PressureUpperRangeValue;
                        SilUpperRangeValueLocal=SilUpperRangeValue;
                        SilLowerRangeValueLocal=SilLowerRangeValue;

                        FlowLowerRangeValueLocal=FlowLowerRangeValue;
                        FlowUpperRangeValueLocal=FlowUpperRangeValue;
                        CreepFlowSuppressionOffThresholdLocal=CreepFlowSuppressionOffThreshold;
                        SilLowerRangeValueLocal=SilLowerRangeValue;
                        SilUpperRangeValueLocal=SilUpperRangeValue;
                        SilFlowMaxLocal=SilFlowMax;
                        SilFlowMaxPressureLocal=SilFlowMaxPressure;
                        SilCreepFlowSuppressionEnableLocal=SilCreepFlowSuppressionEnable;
                        SilCreepFlowSuppressOffThresholdLocal=SilCreepFlowSuppressOffThreshold;
                        SilFlowmodeLocal=SilFlowmode;
                        FlowMaxLocal=FlowMax;
                        FlowMaxPressureLocal=FlowMaxPressure;
                        CreepFlowSuppressionEnableLocal=CreepFlowSuppressionEnable;
           

                 }
        }
}



/*
**********************************************************************
** method_SilModePressure
**********************************************************************
*/
METHOD method_SilModePressure
{
   LABEL varSilModeTEXT
	
   DEFINITION
   {
      char cStatus[STATUS_SIZE];
      int  iCmd;
      
      long ids[1];
      long all_modes[7];
      long pressure_mode[3];
      long flow_mode[9];
      long easy_mode[8];
      
      int iResult;
      int iStatus;
      
      int iSelectA;
      int iSelectB;
      int iSelectC;
      int iSelectD;
      int iSelectE;
      int iSelectF;
      int iSelectG;
      int iSelectH;
      int iSelectI;
      int iSelectJ;
      int iSelectK;
      int iSelectL;
      int iSelectM;
      
		IGNORE_ALL_RESPONSE_CODES();
      IGNORE_ALL_DEVICE_STATUS();
      
      all_modes[0] = VARID(SilDigitsTestString);
      all_modes[1] = VARID(SilCurrentOutputResumed);
      all_modes[2] = VARID(AcknowledgeAlarmMode);
      all_modes[3] = VARID(Pressure1InstallOffset);
      all_modes[4] = VARID(Pressure1Unit);
      all_modes[5] = VARID(OperatingMode);
      all_modes[6] = VARID(ActivePressure1Damping);
       
      pressure_mode[0] = VARID(PressureLowerRangeValue);
      pressure_mode[1] = VARID(PressureUpperRangeValue);
      pressure_mode[2] = VARID(Pressure1Unit);
      
      /* read from device */
      READ_VALUE_FROM_DEVICE(SilModeAllowed   ,261,variable_array_index_1)
      READ_VALUE_FROM_DEVICE(SilLockStatus    ,255,variable_array_index_1)
      READ_VALUE_FROM_DEVICE(SilLock          ,239,variable_array_index_1)      
      
      if( int_value(SilModeAllowed) == eSMA_NO )
      {
         iStatus = ACKNOWLEDGE(devSilConfigNotAllowed);
      }           
      else
      {
         /* message SilLockStatus for user */
         ids[0] = VARID(SilLockStatus);
         iStatus = acknowledge(SilLockStatus_TEXT,ids);                  
                
         /* SilLockStatus */
         if(int_value(SilLockStatus)== eSLS_UNLOCKED) /* enum_unlocked */
         {
           SELECT_FROM_LIST(SilLock_TEXT,enum_lockingTEXT);
           iResult = 0;
           SEND_VALUE_TO_DEVICE(SilLock,iResult,239,variable_array_index_1)
         }
         else
         {
           SELECT_FROM_LIST(SilLock_TEXT,enum_unlockingTEXT);
           iResult = 1;
           SEND_VALUE_TO_DEVICE(SilLock,iResult,239,variable_array_index_1)
         }
         
         /* Lock */
         if(iResult == 0)
         {
            do
            {
              iStatus = assign_int(SilPasswordStart,0); /* set value = 0 */
              iStatus = GET_DEV_VAR_VALUE(SilPasswordStart_TEXT,SilPasswordStart);
              
              if(int_value(SilPasswordStart)== 7452)
              {                                                    
                 /* check for invalid selection */
                 assign_int(SilPasswordStart, 7452);
                 iassign(variable_array_index_1,240 );
                 send(173,cStatus);
                 if( cStatus[STATUS_RESPONSE_CODE] == 2 ) /* Invalid Selection */
                 {
                   DELAY(2,devSilConfigNotAllowed1);      /* display reason for 2 seconds */
                   break;                   
                   /*display_response_status(173,cStatus[STATUS_RESPONSE_CODE]);*/
                 }
                 /*SEND_VALUE_TO_DEVICE(SilPasswordStart,7452,240,variable_array_index_1)*/
                            
                 if(int_value(OperatingMode)== eOM_PRESSURE)
                 {
                    do
                    {                              
                      /* PRESSURE MODE */
                      iSelectA = select_from_list(SilDigitsTestString_TEXT      ,all_modes     ,SilConfirm_TEXT);                                 
                      iSelectB = select_from_list(SilCurrentOutputResumed_TEXT  ,all_modes     ,SilConfirm_TEXT);
                      iSelectC = select_from_list(AcknowledgeAlarmMode_TEXT	  ,all_modes     ,SilConfirm_TEXT);
                      iSelectD = select_from_list(Pressure1InstallOffset_TEXT	  ,all_modes     ,SilConfirm_TEXT);
                      iSelectE = select_from_list(OperatingMode_TEXT				  ,all_modes     ,SilConfirm_TEXT);
                      iSelectF = select_from_list(PressureLowerRangeValue_TEXT  ,pressure_mode ,SilConfirm_TEXT);
                      iSelectG = select_from_list(PressureUpperRangeValue_TEXT  ,pressure_mode ,SilConfirm_TEXT);
                      iSelectH = select_from_list(Pressure1Damping_TEXT			  ,all_modes     ,SilConfirm_TEXT);
                     
                      iResult = iSelectA+iSelectB+iSelectC+iSelectD+iSelectE+iSelectF+iSelectG+iSelectH;                                                                  
                      
                      if(iResult == 8)
                      {                                
                         PUT_MESSAGE(devdSytemInProcess);
                         /* send value to device */                                    
                         SEND_VALUE_TO_DEVICE(SilDigitsTestAck          ,iSelectA,242,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilCurrentOutput          ,iSelectB,260,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilAcknowledgeAlarmMode   ,iSelectC,243,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilPressure1InstallOffset ,iSelectD,245,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilOperatingMode          ,iSelectE,244,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilLowerRangeValue        ,iSelectF,250,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilUpperRangeValue        ,iSelectG,251,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilPressure1Damping       ,iSelectH,253,variable_array_index_1)                                    
                 
                         do
                         {
                           iStatus = assign_int(SilPasswordEnd,0);
                           iStatus = GET_DEV_VAR_VALUE(SilPasswordEnd_TEXT,SilPasswordEnd);
                         
                           if(int_value(SilPasswordEnd)== 7452)
                           {                                                               
                             SEND_VALUE_TO_DEVICE(SilPasswordEnd,7452,254,variable_array_index_1)                             
                             iStatus = PUT_MESSAGE(devdSilLocked);                                                          
                           }
                           else
                           {
                            iStatus = ACKNOWLEDGE(devdCodeIsNotCorrectForLock);
                           }
                         }
                         while( int_value(SilPasswordEnd) != 7452);
                      }
                      else
                      {                        
                        iStatus = ACKNOWLEDGE(devdNotAllParametersConfirmed);
                      } 
                    }
                    while( iResult != 8);
                                                                           
                 }
                 else
                 {
                    iStatus = ACKNOWLEDGE(devdNotSupported);
                 }
              }
              else
              {
               iStatus = ACKNOWLEDGE(devdCodeIsNotCorrectForLock);
              }
            }
            while( int_value(SilPasswordStart) != 7452);
            
            /* Update */
            READ_VALUE_FROM_DEVICE(SilLockStatus    ,255,variable_array_index_1)         
         }
         else /* Unlocked */
         {
            do
            {                          
              iStatus = assign_int(SilPasswordStart,0); /* set value = 0 */
              iStatus = GET_DEV_VAR_VALUE(SilPasswordStart_TEXT,SilPasswordStart);

              if(int_value(SilPasswordStart)== 7452)
              {                        
                SEND_VALUE_TO_DEVICE(SilPasswordStart,7452,240,variable_array_index_1)
                iStatus = PUT_MESSAGE(devdSilUnlocked);
              }
              else
              {
                iStatus = ACKNOWLEDGE(devdCodeIsNotCorrectForUnlock);
              }
            }
            while( int_value(SilPasswordStart) != 7452);
            
            /* Update */
            READ_VALUE_FROM_DEVICE(SilPasswordStart ,240,variable_array_index_1)
            READ_VALUE_FROM_DEVICE(SilPasswordEnd   ,254,variable_array_index_1)
            READ_VALUE_FROM_DEVICE(SilLockStatus    ,255,variable_array_index_1)
         }
      }
    
   }
   
   VALIDITY IF(OperatingMode == eOM_PRESSURE)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** method_SilModeEasyPressure
**********************************************************************
*/
METHOD method_SilModeEasyPressure
{
   LABEL varSilModeTEXT
	
   DEFINITION
   {
      char cStatus[STATUS_SIZE];
      int  iCmd;
      
      long ids[1];
      long all_modes[7];
      long pressure_mode[3];
      long flow_mode[9];
      long easy_mode[8];
      
      int iResult;
      int iStatus;
      int iInvalid;
      
      int iSelectA;
      int iSelectB;
      int iSelectC;
      int iSelectD;
      int iSelectE;
      int iSelectF;
      int iSelectG;
      int iSelectH;
      int iSelectI;
      int iSelectJ;
      int iSelectK;
      int iSelectL;
      int iSelectM;
      
      IGNORE_ALL_RESPONSE_CODES();
      IGNORE_ALL_DEVICE_STATUS();
      
      all_modes[0] = VARID(SilDigitsTestString);
      all_modes[1] = VARID(SilCurrentOutputResumed);
      all_modes[2] = VARID(AcknowledgeAlarmMode);
      all_modes[3] = VARID(Pressure1InstallOffset);
      all_modes[4] = VARID(Pressure1Unit);
      all_modes[5] = VARID(OperatingMode);
      all_modes[6] = VARID(ActivePressure1Damping);
      
      easy_mode[0] = VARID(LowLevelPressureEasy);   /*Pressure1Unit*/
      easy_mode[1] = VARID(LowLevelEasy);           /*OutUnitEasy*/
      easy_mode[2] = VARID(HighLevelPressureEasy);  /*Pressure1Unit*/
      easy_mode[3] = VARID(HighLevelEasy);          /*OutUnitEasy*/
      easy_mode[4] = VARID(MinOutCurrentEasy);      /*OutUnitEasy*/
      easy_mode[5] = VARID(MaxOutCurrentEasy);      /*OutUnitEasy*/
      easy_mode[6] = VARID(OutUnitEasy);
      easy_mode[7] = VARID(Pressure1Unit);      
                        
      READ_VALUE_FROM_DEVICE(SilModeAllowed   ,261,variable_array_index_1)
      READ_VALUE_FROM_DEVICE(SilLockStatus    ,255,variable_array_index_1)
      READ_VALUE_FROM_DEVICE(SilLock          ,239,variable_array_index_1)       		 
      
      if( int_value(SilModeAllowed) == eSMA_NO )
      {
         iStatus = ACKNOWLEDGE(devSilConfigNotAllowed);
      }      
      else
      {
         /* message SilLockStatus for user */
         ids[0] = VARID(SilLockStatus);
         iStatus = acknowledge(SilLockStatus_TEXT,ids);         
                
         /* SilLockStatus */
         if(int_value(SilLockStatus)== 0) /* enum_unlocked */
         {
           SELECT_FROM_LIST(SilLock_TEXT,enum_lockingTEXT);
           iResult = 0;
           SEND_VALUE_TO_DEVICE(SilLock,iResult,239,variable_array_index_1)
         }
         else
         {
           SELECT_FROM_LIST(SilLock_TEXT,enum_unlockingTEXT);
           iResult = 1;
           SEND_VALUE_TO_DEVICE(SilLock,iResult,239,variable_array_index_1)
         }
         
         /* Lock */
         if(iResult == 0)
         {            
            do
            {
              iStatus = assign_int(SilPasswordStart,0); /* set value = 0 */
              iStatus = GET_DEV_VAR_VALUE(SilPasswordStart_TEXT,SilPasswordStart);
              
              if(int_value(SilPasswordStart)== 7452)
              {  
                 
                 /* check for invalid selection */
                 assign_int(SilPasswordStart, 7452);
                 iassign(variable_array_index_1,240 );
                 send(173,cStatus);
                 if( cStatus[STATUS_RESPONSE_CODE] == 2 ) /* Invalid Selection */
                 {
                   DELAY(2,devSilConfigNotAllowed1);      /* display reason for 2 seconds */
                   break;                   
                   /*display_response_status(173,cStatus[STATUS_RESPONSE_CODE]);*/
                 }
                 /*SEND_VALUE_TO_DEVICE(SilPasswordStart,7452,240,variable_array_index_1)*/
                            
                 if(int_value(OperatingMode)== eOM_LEVEL && int_value(ConfigurationType) == eCT_EASYPRESSURELEVEL)
                 {
                    do
                    {                              
                      /* EASY MODE */
                      iSelectA = select_from_list(SilDigitsTestString_TEXT     ,all_modes ,SilConfirm_TEXT);
                      iSelectB = select_from_list(SilCurrentOutputResumed_TEXT ,all_modes ,SilConfirm_TEXT);
                      iSelectC = select_from_list(AcknowledgeAlarmMode_TEXT	 ,all_modes ,SilConfirm_TEXT);
                      iSelectD = select_from_list(Pressure1InstallOffset_TEXT	 ,all_modes ,SilConfirm_TEXT);
                      iSelectE = select_from_list(OperatingMode_TEXT				 ,all_modes ,SilConfirm_TEXT);
                      iSelectF = select_from_list(LowLevelPressureEasy_TEXT	 ,easy_mode ,SilConfirm_TEXT);
                      iSelectG = select_from_list(LowLevelEasy_TEXT		       ,easy_mode ,SilConfirm_TEXT);
                      iSelectH = select_from_list(HighLevelPressureEasy_TEXT	 ,easy_mode ,SilConfirm_TEXT);
                      iSelectI = select_from_list(HighLevelEasy_TEXT		       ,easy_mode ,SilConfirm_TEXT);
                      iSelectJ = select_from_list(MinOutCurrentEasy_TEXT		 ,easy_mode ,SilConfirm_TEXT);
                      iSelectK = select_from_list(MaxOutCurrentEasy_TEXT		 ,easy_mode ,SilConfirm_TEXT);
                      iSelectL = select_from_list(Pressure1Damping_TEXT			 ,all_modes ,SilConfirm_TEXT);                    
                     
                      iResult = iSelectA+iSelectB+iSelectC+iSelectD+iSelectE+iSelectF+iSelectG+iSelectH+iSelectI+iSelectJ+iSelectK+iSelectL;
                      
                      if(iResult == 12)
                      {                                
                         PUT_MESSAGE(devdSytemInProcess);
                         /* send value to device */                                    
                         SEND_VALUE_TO_DEVICE(SilDigitsTestAck          ,iSelectA,242,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilCurrentOutput          ,iSelectB,260,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilAcknowledgeAlarmMode   ,iSelectC,243,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilPressure1InstallOffset ,iSelectD,245,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilOperatingMode          ,iSelectE,244,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilLowLevelPressureEasy   ,iSelectF,284,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilLowLevelEasy           ,iSelectG,283,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilHighLevelPressureEasy  ,iSelectH,282,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilHighLevelEasy          ,iSelectI,281,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilLowerRangeValueEasy    ,iSelectJ,286,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilUpperRangeValueEasy    ,iSelectK,287,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilPressure1Damping       ,iSelectL,253,variable_array_index_1)                                    
                 
                         do
                         {
                           iStatus = assign_int(SilPasswordEnd,0);
                           iStatus = GET_DEV_VAR_VALUE(SilPasswordEnd_TEXT,SilPasswordEnd);
                         
                           if(int_value(SilPasswordEnd)== 7452)
                           {                                                               
                            SEND_VALUE_TO_DEVICE(SilPasswordEnd,7452,254,variable_array_index_1)                          
                            iStatus = PUT_MESSAGE(devdSilLocked);
                           }
                           else
                           {
                            iStatus = ACKNOWLEDGE(devdCodeIsNotCorrectForLock);
                           }
                         }
                         while( int_value(SilPasswordEnd) != 7452);
                      }
                      else
                      {                        
                        iStatus = ACKNOWLEDGE(devdNotAllParametersConfirmed);
                      } 
                    }
                    while( iResult != 12);
                                                                           
                 }
                 else
                 {
                    iStatus = ACKNOWLEDGE(devdNotSupported);
                 }
              }
              else
              {
                iStatus = ACKNOWLEDGE(devdCodeIsNotCorrectForLock);
              }
            }
            while( int_value(SilPasswordStart) != 7452);
            
            /* Update */
            READ_VALUE_FROM_DEVICE(SilLockStatus    ,255,variable_array_index_1)
         }    
         else /* Unlocked */
         {
            do
            {                          
              iStatus = assign_int(SilPasswordStart,0); /* set value = 0 */
              iStatus = GET_DEV_VAR_VALUE(SilPasswordStart_TEXT,SilPasswordStart);

              if(int_value(SilPasswordStart)== 7452)
              {                        
                SEND_VALUE_TO_DEVICE(SilPasswordStart,7452,240,variable_array_index_1)
                iStatus = PUT_MESSAGE(devdSilUnlocked);
              }
              else
              {
                iStatus = ACKNOWLEDGE(devdCodeIsNotCorrectForUnlock);       
              }
            }
            while( int_value(SilPasswordStart) != 7452);
            
            READ_VALUE_FROM_DEVICE(SilPasswordStart ,240,variable_array_index_1)
            READ_VALUE_FROM_DEVICE(SilPasswordEnd   ,254,variable_array_index_1)
            READ_VALUE_FROM_DEVICE(SilLockStatus    ,255,variable_array_index_1)
         }
      }    
   }
   
   VALIDITY IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EASYPRESSURELEVEL)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** method_SilModeFlow
**********************************************************************
*/
METHOD method_SilModeFlow
{
   LABEL varSilModeTEXT
	
   DEFINITION
   {
      char cStatus[STATUS_SIZE];
      int  iCmd;
      
      long ids[1];
      long all_modes[7];
      long pressure_mode[3];
      long flow_mode[9];
      long easy_mode[8];
      
      int iResult;
      int iStatus;
      
      int iSelectA;
      int iSelectB;
      int iSelectC;
      int iSelectD;
      int iSelectE;
      int iSelectF;
      int iSelectG;
      int iSelectH;
      int iSelectI;
      int iSelectJ;
      int iSelectK;
      int iSelectL;
      int iSelectM;
      
      IGNORE_ALL_RESPONSE_CODES();
      IGNORE_ALL_DEVICE_STATUS();
      
      all_modes[0] = VARID(SilDigitsTestString);
      all_modes[1] = VARID(SilCurrentOutputResumed);
      all_modes[2] = VARID(AcknowledgeAlarmMode);
      all_modes[3] = VARID(Pressure1InstallOffset);
      all_modes[4] = VARID(Pressure1Unit);
      all_modes[5] = VARID(OperatingMode);
      all_modes[6] = VARID(ActivePressure1Damping);
       
      flow_mode[0] = VARID(FlowLowerRangeValue);
      flow_mode[1] = VARID(FlowUpperRangeValue);
      flow_mode[2] = VARID(FlowUnit);                  
      flow_mode[3] = VARID(FlowMax);      
      flow_mode[4] = VARID(FlowMaxPressure);      
      flow_mode[5] = VARID(CreepFlowSuppressionEnable);      
      flow_mode[6] = VARID(CreepFlowSuppressionOffThreshold);
      flow_mode[7] = VARID(FlowMode);
      flow_mode[8] = VARID(Pressure1Unit);
      
      /*IGNORE_ALL_RESPONSE_CODES();*/
      
      READ_VALUE_FROM_DEVICE(SilModeAllowed   ,261,variable_array_index_1)
      READ_VALUE_FROM_DEVICE(SilLockStatus    ,255,variable_array_index_1)
      READ_VALUE_FROM_DEVICE(SilLock          ,239,variable_array_index_1)
      
      if( int_value(SilModeAllowed) == eSMA_NO )
      {
         iStatus = ACKNOWLEDGE(devSilConfigNotAllowed);
      }      
      else
      {
         /* message SilLockStatus for user */
         ids[0] = VARID(SilLockStatus);
         iStatus = acknowledge(SilLockStatus_TEXT,ids);         
                
         /* SilLockStatus */
         if(int_value(SilLockStatus)== 0) /* enum_unlocked */
         {
           SELECT_FROM_LIST(SilLock_TEXT,enum_lockingTEXT);
           iResult = 0;
           SEND_VALUE_TO_DEVICE(SilLock,iResult,239,variable_array_index_1)
         }
         else
         {
           SELECT_FROM_LIST(SilLock_TEXT,enum_unlockingTEXT);
           iResult = 1;
           SEND_VALUE_TO_DEVICE(SilLock,iResult,239,variable_array_index_1)
         }
         
         /* Lock */
         if(iResult == 0)
         {
            do
            {
              iStatus = assign_int(SilPasswordStart,0); /* set value = 0 */
              iStatus = GET_DEV_VAR_VALUE(SilPasswordStart_TEXT,SilPasswordStart);
              
              if(int_value(SilPasswordStart)== 7452)
              {                                                    
                 /* check for invalid selection */
                 assign_int(SilPasswordStart, 7452);
                 iassign(variable_array_index_1,240 );
                 send(173,cStatus);
                 if( cStatus[STATUS_RESPONSE_CODE] == 2 ) /* Invalid Selection */
                 {
                   DELAY(2,devSilConfigNotAllowed1);      /* display reason for 2 seconds */
                   break;                   
                   /*display_response_status(173,cStatus[STATUS_RESPONSE_CODE]);*/
                 }
                 /*SEND_VALUE_TO_DEVICE(SilPasswordStart,7452,240,variable_array_index_1)*/
                            
                 if(int_value(OperatingMode)== eOM_FLOW)
                 {
                    do
                    {                              
                      /* FLOW MODE */                                   
                      iSelectA = select_from_list(SilDigitsTestString_TEXT    	   ,all_modes ,SilConfirm_TEXT);
       	             iSelectB = select_from_list(SilCurrentOutputResumed_TEXT	   ,all_modes ,SilConfirm_TEXT);
       	             iSelectC = select_from_list(AcknowledgeAlarmMode_TEXT		   ,all_modes ,SilConfirm_TEXT);
       	             iSelectD = select_from_list(Pressure1InstallOffset_TEXT	      ,all_modes ,SilConfirm_TEXT);
       	             iSelectE = select_from_list(OperatingMode_TEXT				      ,all_modes ,SilConfirm_TEXT);
       	             iSelectF = select_from_list(FlowLowerRangeValue_TEXT				,flow_mode ,SilConfirm_TEXT);
       	             iSelectG = select_from_list(FlowUpperRangeValue_TEXT				,flow_mode ,SilConfirm_TEXT);
       	             iSelectH = select_from_list(FlowMax_TEXT								,flow_mode ,SilConfirm_TEXT);
       	             iSelectI = select_from_list(FlowMaxPressure_TEXT					,flow_mode ,SilConfirm_TEXT);
       	             iSelectJ = select_from_list(CreepFlowSuppressionEnable_TEXT	,flow_mode ,SilConfirm_TEXT);
       	             
       	             if( int_value(CreepFlowSuppressionEnable) == eCFSE_ON)
       	             {
       	             iSelectK = select_from_list(CreepFlowSuppressionOffThreshold_TEXT ,flow_mode ,SilConfirm_TEXT);
       	             }
       	             else
       	             {
       	             iSelectK = 1;
       	             }
       	             
       	             iSelectL = select_from_list(FlowMode_TEXT							,flow_mode ,SilConfirm_TEXT);
       	             iSelectM = select_from_list(Pressure1Damping_TEXT			      ,all_modes ,SilConfirm_TEXT);
       	                                   	             
       	             iResult = iSelectA+iSelectB+iSelectC+iSelectD+iSelectE+iSelectF+iSelectG+iSelectH+iSelectI+iSelectJ+iSelectK+iSelectL+iSelectM;                                                                  
                      
                      if(iResult == 13)
                      {                                
                         iStatus = PUT_MESSAGE(devdSytemInProcess);
                         /* send value to device */                                    
                         SEND_VALUE_TO_DEVICE(SilDigitsTestAck                 ,iSelectA,242,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilCurrentOutput                 ,iSelectB,260,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilAcknowledgeAlarmMode          ,iSelectC,243,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilPressure1InstallOffset        ,iSelectD,245,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilOperatingMode                 ,iSelectE,244,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilFlowMax                       ,iSelectF,246,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilFlowMaxPressure               ,iSelectG,247,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilCreepFlowSuppressionEnable    ,iSelectH,248,variable_array_index_1)
                         if( int_value(CreepFlowSuppressionEnable) == eCFSE_ON)
                         {
                         SEND_VALUE_TO_DEVICE(SilCreepFlowSuppressOffThreshold ,iSelectI,249,variable_array_index_1)
                         }
                         SEND_VALUE_TO_DEVICE(SilLowerRangeValue               ,iSelectJ,250,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilUpperRangeValue               ,iSelectK,251,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilFlowmode                      ,iSelectL,252,variable_array_index_1)
                         SEND_VALUE_TO_DEVICE(SilPressure1Damping              ,iSelectM,253,variable_array_index_1)
                                          
                         do
                         {
                           iStatus = assign_int(SilPasswordEnd,0);
                           iStatus = GET_DEV_VAR_VALUE(SilPasswordEnd_TEXT,SilPasswordEnd);
                         
                           if(int_value(SilPasswordEnd)== 7452)
                           {                                                               
                            SEND_VALUE_TO_DEVICE(SilPasswordEnd,7452,254,variable_array_index_1)                          
                            iStatus = PUT_MESSAGE(devdSilLocked);
                           }
                           else
                           {
                            iStatus = ACKNOWLEDGE(devdCodeIsNotCorrectForLock);
                           }
                         }
                         while( int_value(SilPasswordEnd) != 7452);                         
                      }
                      else
                      {                        
                        iStatus = ACKNOWLEDGE(devdNotAllParametersConfirmed);
                      } 
                    }
                    while( iResult != 13);
                                                                           
                 }
                 else
                 {
                    iStatus = ACKNOWLEDGE(devdNotSupported);
                 }
              }
              else
              {
                iStatus = ACKNOWLEDGE(devdCodeIsNotCorrectForLock);
              }
            }
            while( int_value(SilPasswordStart) != 7452);
            
            /* Update */
            READ_VALUE_FROM_DEVICE(SilLockStatus    ,255,variable_array_index_1) 
         }
         else /* Unlocked */
         {
            do
            {                          
              iStatus = assign_int(SilPasswordStart,0); /* set value = 0 */
              iStatus = GET_DEV_VAR_VALUE(SilPasswordStart_TEXT,SilPasswordStart);

              if(int_value(SilPasswordStart)== 7452)
              {                        
                SEND_VALUE_TO_DEVICE(SilPasswordStart,7452,240,variable_array_index_1)
                iStatus = PUT_MESSAGE(devdSilUnlocked);
              }
              else
              {
                iStatus = ACKNOWLEDGE(devdCodeIsNotCorrectForUnlock);       
              }
            }
            while( int_value(SilPasswordStart) != 7452);
            
            READ_VALUE_FROM_DEVICE(SilPasswordStart ,240,variable_array_index_1)
            READ_VALUE_FROM_DEVICE(SilPasswordEnd   ,254,variable_array_index_1)
            READ_VALUE_FROM_DEVICE(SilLockStatus    ,255,variable_array_index_1)
         }
      }    
   }
   
   VALIDITY IF(OperatingMode == eOM_FLOW)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 309 Text: MESSANFG NEHMEN Index: 1020 Update: Static
**********************************************************************
*/
METHOD method_AcceptPressureLowerRangeValue
{
   LABEL AcceptPressureLowerRangeValueTEXT
   
   DEFINITION
   {      
      int  iSelect;
      int  iConfirm,iAbort,iReadValue;
      long lvarid[3];
      char cStatus[STATUS_SIZE];
      char cDisp_string1[60];
      int  iSlen1;

      iSlen1=60;
      
      iReadValue   = 0; /*1 Wert neu lesen*/
      iAbort       = 1; /*2 Abrechen*/
      iConfirm     = 2; /*3 bernehmen*/           
      
      IGNORE_ALL_RESPONSE_CODES();      
    
      if(int_value(SWLock) == USER_UNLOCK_CODE_PIN  && int_value(SwitchStatus) == eSS_OFF && int_value(SilLockStatus) == eSLS_UNLOCKED || 
         int_value(SWLock) == SERVICE_SUPER_PIN     && int_value(SwitchStatus) == eSS_OFF && int_value(SilLockStatus) == eSLS_UNLOCKED)
      {              
        get_dictionary_string(press_ok_when_pressure_stable,cDisp_string1,iSlen1);
        ACKNOWLEDGE(cDisp_string1);
        
        do
        {           
           lvarid[0] =VARID(Pressure1AfterDamping);
           lvarid[1] =VARID(Pressure1Unit);
           
           iSelect = select_from_list(AcceptPressureLowerRangeValue_TEXT,lvarid,SelectAbortConfirmReadValue_TEXT);
           
           iassign(variable_array_index_1,86 );                  /* Pressure1AfterDamping */
           send(172,cStatus);                                     /* read value            */
                      
           if ( cStatus[STATUS_RESPONSE_CODE] )
           {
             display_response_status(172,cStatus[STATUS_RESPONSE_CODE]);
           }
        } 
        while( iSelect == iReadValue );
        
        if( iSelect == iConfirm )            
        {        
           iConfirm = 1;
           assign_int(AcceptPressureLowerRangeValue, iConfirm); /* set value --> AcceptPressureLowerRangeValue */           
           iassign(variable_array_index_1,1020 );              /* AcceptPressureLowerRangeValue */           
           send(173,cStatus);
           
           if ( cStatus[STATUS_RESPONSE_CODE] )
           {
              display_response_status(173,cStatus[STATUS_RESPONSE_CODE]);
           }
           
           iassign(variable_array_index_1,1022 ); /* read PressureLowerRangeValue from device */
           send(172,cStatus);
           
           if ( cStatus[STATUS_RESPONSE_CODE] )
           {
              display_response_status(172,cStatus[STATUS_RESPONSE_CODE]);
           }
           
           iassign(variable_array_index_1,1023 ); /* read PressureUpperRangeValue from device */
           send(172,cStatus);
           
           if ( cStatus[STATUS_RESPONSE_CODE] )
           {
              display_response_status(172,cStatus[STATUS_RESPONSE_CODE]);
           }
        }
      }
      else
      {
         if(int_value(SwitchStatus) == eSS_ON && int_value(SWLock) == USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED ||
            int_value(SwitchStatus) == eSS_ON && int_value(SWLock) == SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED)
         {
          ACKNOWLEDGE(devdHwLockState);
         }
         else if(int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) != USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED ||
                 int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) != SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED)
         {
           ACKNOWLEDGE(devdSWLocked);
         }
         else if(int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) == USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_LOCKED ||
                 int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) == SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_LOCKED)
         {
           ACKNOWLEDGE(devdSilLocked);
         }
         else
         {
           ACKNOWLEDGE(devdDeviceLocked);
         }
      }
   }
   
   VALIDITY IF(OperatingMode == eOM_PRESSURE)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 310 Text: MESSENDE NEHMEN Index: 1021 Update: Static
**********************************************************************
*/
METHOD method_AcceptPressureUpperRangeValue
{
   LABEL AcceptPressureUpperRangeValueTEXT
   
   DEFINITION
   {     
      int  iSelect;
      int  iConfirm,iAbort,iReadValue;
      long lvarid[3];
      char cStatus[STATUS_SIZE];
      char cDisp_string1[60];
      int  iSlen1;     

      iSlen1=60;
      
      iReadValue   = 0; /*1 Wert neu lesen*/
      iAbort       = 1; /*2 Abrechen*/
      iConfirm     = 2; /*3 bernehmen*/
      
      IGNORE_ALL_RESPONSE_CODES();            
      
      if(int_value(SWLock) == USER_UNLOCK_CODE_PIN  && int_value(SwitchStatus) == eSS_OFF && int_value(SilLockStatus) == eSLS_UNLOCKED || 
         int_value(SWLock) == SERVICE_SUPER_PIN     && int_value(SwitchStatus) == eSS_OFF && int_value(SilLockStatus) == eSLS_UNLOCKED)
      {
        get_dictionary_string(press_ok_when_pressure_stable,cDisp_string1,iSlen1);
        ACKNOWLEDGE(cDisp_string1);
        
        do
        {           
           lvarid[0] =VARID(Pressure1AfterDamping);
           lvarid[1] =VARID(Pressure1Unit);           
           
           iSelect = select_from_list(AcceptPressureUpperRangeValue_TEXT,lvarid,SelectAbortConfirmReadValue_TEXT);
           
           iassign(variable_array_index_1,86 );                  /* Pressure1AfterDamping */
           send(172,cStatus);                                     /* read value            */
                      
           if ( cStatus[STATUS_RESPONSE_CODE] )
           {
             display_response_status(172,cStatus[STATUS_RESPONSE_CODE]);
           }
        } 
        while( iSelect == iReadValue );
        
        if( iSelect == iConfirm )          
        {
           iConfirm = 1;
           assign_int(AcceptPressureUpperRangeValue, iConfirm); /* set value --> AcceptPressureUpperRangeValue */
           iassign(variable_array_index_1,1021 );              /* AcceptPressureUpperRangeValue */
           send(173,cStatus);
           
           if ( cStatus[STATUS_RESPONSE_CODE] )
           {
              display_response_status(173,cStatus[STATUS_RESPONSE_CODE]);
           }
                    
           iassign(variable_array_index_1,1022 ); /* read PressureLowerRangeValue from device */
           send(172,cStatus);
           
           if ( cStatus[STATUS_RESPONSE_CODE] )
           {
              display_response_status(172,cStatus[STATUS_RESPONSE_CODE]);
           }
           
           iassign(variable_array_index_1,1023 ); /* read PressureUpperRangeValue from device */
           send(172,cStatus);
           
           if ( cStatus[STATUS_RESPONSE_CODE] )
           {
              display_response_status(172,cStatus[STATUS_RESPONSE_CODE]);
           }
        }
      }
      else
      {
         if(int_value(SwitchStatus) == eSS_ON && int_value(SWLock) == USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED ||
            int_value(SwitchStatus) == eSS_ON && int_value(SWLock) == SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED)
         {
          ACKNOWLEDGE(devdHwLockState);
         }
         else if(int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) != USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED ||
                 int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) != SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED)
         {
           ACKNOWLEDGE(devdSWLocked);
         }
         else if(int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) == USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_LOCKED ||
                 int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) == SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_LOCKED)
         {
           ACKNOWLEDGE(devdSilLocked);
         }
         else
         {
           ACKNOWLEDGE(devdDeviceLocked);
         }
      }
   }
      
   VALIDITY IF(OperatingMode == eOM_PRESSURE)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 685 Text: LAGEKORREKTUR Index: 148 Update: Static
**********************************************************************
*/
METHOD method_Pressure1AcceptZeroInstallOffset
{
   LABEL Pressure1AcceptZeroInstallOffsetTEXT
   
   DEFINITION
   {      
      int  iSelect;
      int  iConfirm,iAbort,iReadValue;
      long lvarid[3];
      char cStatus[STATUS_SIZE];
      char cDisp_string1[60];
      int  iSlen1;

      iSlen1=60;
      
      iReadValue   = 0; /*1 Wert neu lesen*/
      iAbort       = 1; /*2 Abrechen*/
      iConfirm     = 2; /*3 bernehmen*/      
      
      IGNORE_ALL_RESPONSE_CODES();            
      
      if(int_value(SWLock) == USER_UNLOCK_CODE_PIN  && int_value(SwitchStatus) == eSS_OFF && int_value(SilLockStatus) == eSLS_UNLOCKED || 
         int_value(SWLock) == SERVICE_SUPER_PIN     && int_value(SwitchStatus) == eSS_OFF && int_value(SilLockStatus) == eSLS_UNLOCKED)
      {        
        get_dictionary_string(press_ok_when_pressure_stable,cDisp_string1,iSlen1);
        ACKNOWLEDGE(cDisp_string1);       
        
        do
        {
           lvarid[0] =VARID(Pressure1AfterDamping);
           lvarid[1] =VARID(Pressure1Unit);           
           
           iSelect = select_from_list(Pressure1AcceptZeroInstallOffset_TEXT,lvarid,SelectAbortConfirmReadValue_TEXT);
           
           iassign(variable_array_index_1,86 );                  /* Pressure1AfterDamping */
           send(172,cStatus);                                     /* read value            */
                      
           if ( cStatus[STATUS_RESPONSE_CODE] )
           {
             display_response_status(172,cStatus[STATUS_RESPONSE_CODE]);
           }
        } 
        while( iSelect == iReadValue );      
              
        if( iSelect == iConfirm )
        {
        
           iConfirm = 1;
           assign_int(Pressure1AcceptZeroInstallOffset, iConfirm); /* set value --> Pressure1AcceptZeroInstallOffset */
           iassign(variable_array_index_1,148 );                  /* write Pressure1AcceptZeroInstallOffset to device */
           send(173,cStatus);
           
           if ( cStatus[STATUS_RESPONSE_CODE] )
           {
              display_response_status(173,cStatus[STATUS_RESPONSE_CODE]);
           }
           
           iassign(variable_array_index_1,76 );                   /* read Pressure1InstallOffset from device */
           send(172,cStatus);
           
           if ( cStatus[STATUS_RESPONSE_CODE] )
           {
              display_response_status(172,cStatus[STATUS_RESPONSE_CODE]);
           }
        }
      }
      else
      {       
         if(int_value(SwitchStatus) == eSS_ON && int_value(SWLock) == USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED ||
            int_value(SwitchStatus) == eSS_ON && int_value(SWLock) == SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED)
         {
           ACKNOWLEDGE(devdHwLockState);
         }
         else if(int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) != USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED ||
                 int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) != SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED)
         {
           ACKNOWLEDGE(devdSWLocked);
         }
         else if(int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) == USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_LOCKED ||
                 int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) == SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_LOCKED)
         {
           ACKNOWLEDGE(devdSilLocked);
         }
         else
         {
           ACKNOWLEDGE(devdDeviceLocked);
         }
      }
   }
}
/*
**********************************************************************
** ID: 337 Text: LOW SENSOR TRIM Index: 72 Update: Static
**********************************************************************
*/
METHOD method_Pressure1LowerCalWritten
{
   LABEL Pressure1LowerCalWrittenTEXT

   DEFINITION
   {
      float fval;
      int   iResult;
      long  lvarid[3];
      char  cStatus[STATUS_SIZE];
      char  cDisp_string1[60];
      int   iSlen1;     

      iSlen1=60;

      IGNORE_ALL_RESPONSE_CODES();      

      if(int_value(SWLock) == USER_UNLOCK_CODE_PIN  && int_value(SwitchStatus) == eSS_OFF && int_value(SilLockStatus) == eSLS_UNLOCKED || 
         int_value(SWLock) == SERVICE_SUPER_PIN     && int_value(SwitchStatus) == eSS_OFF && int_value(SilLockStatus) == eSLS_UNLOCKED)
      {                      
        get_dictionary_string(press_ok_when_pressure_stable,cDisp_string1,iSlen1);
        ACKNOWLEDGE(cDisp_string1);
        
        lvarid[0] = VARID(Pressure1AfterDamping);
        lvarid[1] = VARID(Pressure1Unit);
        
        fval = float_value(Pressure1LowerCalWritten);
        
        send(1,cStatus);
        
        /* read value
        iassign(variable_array_index_1,86 );
        send(172,cStatus);
        
        if ( cStatus[STATUS_RESPONSE_CODE] )
        {
           display_response_status(172,cStatus[STATUS_RESPONSE_CODE]);
        }
        */                                    
        
                
        iResult = get_local_var_value(prompt_Pressure1LowerCalWritten,lvarid,fval);
        if (iResult == BI_SUCCESS)
        {
           assign_float(Pressure1LowerCalWritten,fval);       /* Pressure1LowerCalWritten */
           iassign(variable_array_index_1,72 );                 
           send(173,cStatus);                                  /* write value */
           
           if ( cStatus[STATUS_RESPONSE_CODE] )
           {
              display_response_status(173,cStatus[STATUS_RESPONSE_CODE]);
           }         
        }
      }
      else
      {
         if(int_value(SwitchStatus) == eSS_ON && int_value(SWLock) == USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED ||
            int_value(SwitchStatus) == eSS_ON && int_value(SWLock) == SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED)
         {
           ACKNOWLEDGE(devdHwLockState);
         }
         else if(int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) != USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED ||
                 int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) != SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED)
         {
           ACKNOWLEDGE(devdSWLocked);
         }
         else if(int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) == USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_LOCKED ||
                 int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) == SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_LOCKED)
         {
           ACKNOWLEDGE(devdSilLocked);
         }
         else
         {
           ACKNOWLEDGE(devdDeviceLocked);
         }
      }
   }
   
   VALIDITY IF(HMISTATELOCKING == 2)

//   VALIDITY IF(SWLock == SERVICE_SUPER_PIN)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 338 Text: HIGH SENSOR TRIM Index: 74 Update: Static
**********************************************************************
*/
METHOD method_Pressure1UpperCalWritten
{
   LABEL Pressure1UpperCalWrittenTEXT

   DEFINITION
   {
      float fval;
      int   iResult;
      long  lvarid[3];
      char  cStatus[STATUS_SIZE];
      char  cDisp_string1[60];
      int   iSlen1;     

      iSlen1=60;

      IGNORE_ALL_RESPONSE_CODES();      
     
      if(int_value(SWLock) == USER_UNLOCK_CODE_PIN  && int_value(SwitchStatus) == eSS_OFF && int_value(SilLockStatus) == eSLS_UNLOCKED || 
         int_value(SWLock) == SERVICE_SUPER_PIN     && int_value(SwitchStatus) == eSS_OFF && int_value(SilLockStatus) == eSLS_UNLOCKED)
      {
        get_dictionary_string(press_ok_when_pressure_stable,cDisp_string1,iSlen1);
        ACKNOWLEDGE(cDisp_string1);
        
        lvarid[0] = VARID(Pressure1AfterDamping);
        lvarid[1] = VARID(Pressure1Unit);
        
        fval = float_value(Pressure1UpperCalWritten);
        
        send(1,cStatus);
        
        /* read value
        iassign(variable_array_index_1,86 );
        send(172,cStatus);
        
        if ( cStatus[STATUS_RESPONSE_CODE] )
        {
           display_response_status(172,cStatus[STATUS_RESPONSE_CODE]);
        }
        */
        /* read value */
        iassign(variable_array_index_1,86 );
        send(172,cStatus);
        
        iResult = get_local_var_value(prompt_Pressure1UpperCalWritten,lvarid,fval);
        if (iResult == BI_SUCCESS)
        {
           assign_float(Pressure1UpperCalWritten,fval);       /* Pressure1UpperCalWritten */
           iassign(variable_array_index_1,74 );
           send(173,cStatus);                                 /* write value */
           
           if ( cStatus[STATUS_RESPONSE_CODE] )
           {
              display_response_status(173,cStatus[STATUS_RESPONSE_CODE]);
           }         
        }
      }
      else
      {
         if(int_value(SwitchStatus) == eSS_ON && int_value(SWLock) == USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED ||
            int_value(SwitchStatus) == eSS_ON && int_value(SWLock) == SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED)
         {
           ACKNOWLEDGE(devdHwLockState);
         }
         else if(int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) != USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED ||
                 int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) != SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED)
         {
           ACKNOWLEDGE(devdSWLocked);
         }
         else if(int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) == USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_LOCKED ||
                 int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) == SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_LOCKED)
         {
           ACKNOWLEDGE(devdSilLocked);
         }
         else
         {
           ACKNOWLEDGE(devdDeviceLocked);
         }
      }      
   }
   
//   VALIDITY IF(SWLock == SERVICE_SUPER_PIN)
   VALIDITY IF(HMISTATELOCKING == 2)
   {
    TRUE;
   }
   ELSE
   {
    FALSE;
   }
}
/*
**********************************************************************
** ID: 832 METHOD method_DatHandling
**********************************************************************
*/
METHOD method_DatHandling
{
   LABEL DatHandlingTEXT
   
   DEFINITION
       {
         char cStatus[STATUS_SIZE];
         int  iCmd;         
         int  iSelect;         
         
         IGNORE_ALL_RESPONSE_CODES();
                  
         if(int_value(SWLock) == USER_UNLOCK_CODE_PIN  && int_value(SwitchStatus) == eSS_OFF && int_value(SilLockStatus) == eSLS_UNLOCKED || 
            int_value(SWLock) == SERVICE_SUPER_PIN     && int_value(SwitchStatus) == eSS_OFF && int_value(SilLockStatus) == eSLS_UNLOCKED)
         {
            iSelect = SELECT_FROM_LIST(DatHandling_TEXT,enum_UpDownload_TEXT);
         
            if( iSelect == eDH_DOWNLOAD || iSelect == eDH_UPLOAD )
            {           
              assign_int(DatHandling, iSelect); /* write value to parameter */
              iassign(variable_array_index_1,238 );
              send(173, cStatus); /* write value to device */
             
              if( cStatus[STATUS_RESPONSE_CODE] != BI_SUCCESS ) /* check for an error */
              {
	             display_response_status(173,cStatus[STATUS_RESPONSE_CODE]);
	             iCmd = 173;
	             DELAY(2,"Unexpected Error Command %{iCmd}");/* display reason for 2 seconds */
              }
              else
              {                                                      
                if( iSelect == eDH_DOWNLOAD )
                {
                  /* message only for Fieldcomminicator */
		            ACKNOWLEDGE(ResetInfoForFieldcommunicator_TEXT);
		   
                  READ_VALUE_FROM_DEVICE(OperatingMode         ,142,variable_array_index_1)
		            send_command(50); /* read Device Variable */		   
		            READ_VALUE_FROM_DEVICE(DisplayMainlineFormat ,15 ,variable_array_index_1)
		            READ_VALUE_FROM_DEVICE(SilLockStatus         ,255,variable_array_index_1)
		            READ_VALUE_FROM_DEVICE(SWLock                ,156,variable_array_index_1)
		            READ_VALUE_FROM_DEVICE(SwitchStatus          ,159,variable_array_index_1)                  
                }
                
                DELAY(8,W106); /* wait 8 seconds for downloading */                
              }
            }
         }
         else
         {
            if(int_value(SwitchStatus) == eSS_ON && int_value(SWLock) == USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED ||
               int_value(SwitchStatus) == eSS_ON && int_value(SWLock) == SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED)
            {
              ACKNOWLEDGE(devdHwLockState);
            }
            else if(int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) != USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED ||
                    int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) != SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED)
            {
              ACKNOWLEDGE(devdSWLocked);
            }
            else if(int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) == USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_LOCKED ||
                    int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) == SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_LOCKED)
            {
              ACKNOWLEDGE(devdSilLocked);
            }
            else
            {
              ACKNOWLEDGE(devdDeviceLocked);
            }
         }            
         
       }
       
       VALIDITY IF(HistoromAvailable == eHA_YES)
       {
        TRUE;
       }
       ELSE
       {
        FALSE;
       }
}
/*
**********************************************************************
** ID: 47 METHOD Reset in Progress
**********************************************************************
*/
METHOD method_ResetInputValue
{
   LABEL ResetInputValueTEXT
   DEFINITION
       {		 
		 char cDisp_string1[60];
		 char cStatus[STATUS_SIZE];		 
		 int  iSlen1;
		 int  iResetAllowed;		 
		 
		 IGNORE_ALL_RESPONSE_CODES();
		 
		 assign_int(ResetInputValue,0);
                 GET_DEV_VAR_VALUE(ResetInputValue_TEXT,ResetInputValue);       
		 
		 /*
		 62   = Warm Start bzw. Power Up Reset
		 333  = User Reset
		 8888 = DAT-HistoROM Daten lschen (HistoROM muss gesteckt sein)
		 7864 = Total Reset
		 2509 = Sensor Reset (nur bei Service Freigabe mglich)
		 1846 = Display Reset
		 1481 = Service Reset (nur bei Service Freigabe mglich)
		 2710 = Default Reset
		 9408 = Production Reset (nur bei Production Freigabe mglich)
		 */
		 		 
		 if( int_value(ResetInputValue) == 62 || int_value(ResetInputValue) == 333 || int_value(ResetInputValue) == 2710 ||
		     int_value(ResetInputValue) == 1846 || int_value(ResetInputValue) == 7864 )
		 {
		   iResetAllowed = 1;
		 }
		 else if( int_value(ResetInputValue) == 8888 && int_value(HistoromAvailable) == eHA_YES )
		 {
		   iResetAllowed = 1;
		 }
		 else if( int_value(ResetInputValue) == 1481 && int_value(SWLock) == SERVICE_SUPER_PIN ||
		          int_value(ResetInputValue) == 2509 && int_value(SWLock) == SERVICE_SUPER_PIN)
		 {
		   iResetAllowed = 1;
		 }
		 else if( int_value(ResetInputValue) == 9408 && int_value(SWLock) == PRODUCTION_SUPER_PIN )
		 {
		   iResetAllowed = 1;
		 }
		 else
		 {
		   iResetAllowed = 0;		   
		 }		 
		 
		 if( iResetAllowed == 1 )
		 {
		   /* message only for Fieldcomminicator */
		   ACKNOWLEDGE(ResetInfoForFieldcommunicator_TEXT);
		   
		   /* write reset code to device */		   		   
		   iassign(variable_array_index_1,157 );
		   send(173,cStatus);
		   
		   PUT_MESSAGE(ResetInProgess_TEXT);
		   		    
		   if(cStatus[STATUS_RESPONSE_CODE])
		   {
		    display_response_status(173,cStatus[STATUS_RESPONSE_CODE]);
			 get_dictionary_string(abort_last_error, cDisp_string1, iSlen1);
			 DELAY(5,cDisp_string1);
			}			
		   		   		
		   /* read device status */
		   send(48,cStatus);
		   
		   if(cStatus[STATUS_RESPONSE_CODE])
		   {								
			 display_response_status(48,cStatus[STATUS_RESPONSE_CODE]);
			 get_dictionary_string(abort_last_error, cDisp_string1, iSlen1);
			 DELAY(2,cDisp_string1);			
		   }
		   
		   /* Update */
		   READ_VALUE_FROM_DEVICE(OperatingMode         ,142,variable_array_index_1)		   
		   send_command(50); /* read Device Variable */		   
		   READ_VALUE_FROM_DEVICE(DisplayMainlineFormat ,15 ,variable_array_index_1)
		   READ_VALUE_FROM_DEVICE(SilLockStatus         ,255,variable_array_index_1)
		   READ_VALUE_FROM_DEVICE(SWLock                ,156,variable_array_index_1)
		   READ_VALUE_FROM_DEVICE(SwitchStatus          ,159,variable_array_index_1)
		 }
		 else
		 {
		   ACKNOWLEDGE(devdWrongResetCode);
		 }
   }
}
/*
**********************************************************************
** ID: 770 METHOD TABELLENEDITOR
**********************************************************************
*/
METHOD method_LinearizationTablePostEdit
{
   LABEL LinearizationTablePostEditTEXT
   
   DEFINITION
   {
      int  iSelect;
      int  iIndex;
      int  iCmd;
      char cStatus[STATUS_SIZE];
      
      IGNORE_ALL_RESPONSE_CODES();
      
      if(int_value(SWLock) == USER_UNLOCK_CODE_PIN  && int_value(SwitchStatus) == eSS_OFF && int_value(SilLockStatus) == eSLS_UNLOCKED || 
         int_value(SWLock) == SERVICE_SUPER_PIN     && int_value(SwitchStatus) == eSS_OFF && int_value(SilLockStatus) == eSLS_UNLOCKED)
      {      
        iSelect = SELECT_FROM_LIST(LinearizationTablePostEdit_TEXT,enum_ConfirmLinTable_TEXT);
      
        iIndex = 0;
      
        READ_VALUE_FROM_DEVICE(LinearisationTableIndex ,89 ,variable_array_index_1)      
            
        switch( iSelect )
        {
         case 0 : /* enum_NextLine */
                  if( int_value(LinearisationTableIndex) != 32 )
                  {
                    iIndex = int_value(LinearisationTableIndex) +1;
                    
                    assign_int(LinearisationTableIndex, iIndex);
                    iassign(variable_array_index_1,89 );
		              send(173,cStatus);		            		            
		              
		              if( cStatus[STATUS_RESPONSE_CODE] != BI_SUCCESS ) /* check for an error */
                    {
	                   display_response_status(173,cStatus[STATUS_RESPONSE_CODE]);
	                   iCmd = 173;
	                   DELAY(2,"Unexpected Error Command %{iCmd}");/* display reason for 2 seconds */
                    }
                  }
                  break;
         case 1 : /* enum_LastPoint */
                  if( int_value(LinearisationTableIndex) != BI_SUCCESS )
                  {
                    iIndex = int_value(LinearisationTableIndex) -1;
                    
                    assign_int(LinearisationTableIndex, iIndex);
                    iassign(variable_array_index_1,89 );
		              send(173,cStatus);		            		            
		              
		              if( cStatus[STATUS_RESPONSE_CODE] !=0 ) /* check for an error */
                    {
	                   display_response_status(173,cStatus[STATUS_RESPONSE_CODE]);
	                   iCmd = 173;
	                   DELAY(2,"Unexpected Error Command %{iCmd}");/* display reason for 2 seconds */
                    }
                  }
                  break;
         case 2 : /* enum_AcceptTable */                               
         case 3 : /* enum_abort */                
         case 4 : /* enum_LinAddPoint */                
         case 5 : /* enum_LinDelPoint */
                  
                  /*ACKNOWLEDGE("Value = %{iSelect}");*/
                  assign_int(LinearizationTablePostEdit, iSelect);
                  iassign(variable_array_index_1,224 );
		            send(173,cStatus);
		            
		            if( cStatus[STATUS_RESPONSE_CODE] != BI_SUCCESS ) /* check for an error */
                  {
	                 display_response_status(173,cStatus[STATUS_RESPONSE_CODE]);
	                 iCmd = 173;
	                 DELAY(2,"Unexpected Error Command %{iCmd}");/* display reason for 2 seconds */
                  }
                  break;
        }
      
      }
      else
      {
         if(int_value(SwitchStatus) == eSS_ON && int_value(SWLock) == USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED ||
            int_value(SwitchStatus) == eSS_ON && int_value(SWLock) == SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED)
         {
           ACKNOWLEDGE(devdHwLockState);
         }
         else if(int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) != USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED ||
                 int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) != SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_UNLOCKED)
         {
           ACKNOWLEDGE(devdSWLocked);
         }
         else if(int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) == USER_UNLOCK_CODE_PIN && int_value(SilLockStatus) == eSLS_LOCKED ||
                 int_value(SwitchStatus) == eSS_OFF && int_value(SWLock) == SERVICE_SUPER_PIN && int_value(SilLockStatus) == eSLS_LOCKED)
         {
           ACKNOWLEDGE(devdSilLocked);
         }
         else
         {
           ACKNOWLEDGE(devdDeviceLocked);
         }
      } 
      
   }
   
   VALIDITY IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED && LinearizationTableSelection == eLTS_EDITORTABLE || 
               OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED && LinearizationTableSelection == eLTS_EDITORTABLE)
       {
        TRUE;
       }
       ELSE
       {
        FALSE;
       }
}

/*
**********************************************************************
** COMMAND #170 READ
**********************************************************************
*/
COMMAND read_index_parameter_2
{
   NUMBER 170;
   OPERATION READ;
   TRANSACTION
   {
      REQUEST
      {
         variable_array_index_2(INFO,INDEX )
      }
      REPLY
      {
         response_code,
         device_status,
         variable_array_index_2,
         variable_array_val_2[variable_array_index_2]
      }
   }

   RESPONSE_CODES
   {
       0, SUCCESS,          [no_command_specific_errors] ;
       2, DATA_ENTRY_ERROR, [invalid_selection] ;
       5, MISC_ERROR,       [too_few_data_bytes_recieved] ;
   }
}
/*
**********************************************************************
** COMMAND #171 WRITE
**********************************************************************
*/
COMMAND write_index_parameter_2
{
   NUMBER 171;
   OPERATION WRITE;
   TRANSACTION
   {
      REQUEST
      {
         variable_array_index_2( INFO,INDEX ),
         variable_array_val_2[variable_array_index_2]
      }
      REPLY
      {
         response_code,
         device_status,
         variable_array_index_2,
         variable_array_val_2[variable_array_index_2]
      }
   }

   RESPONSE_CODES
   {
       0, SUCCESS          , [no_command_specific_errors];                /* NO_COMMAND_ERRORS */
       2, DATA_ENTRY_ERROR , [invalid_selection];                         /* INVALID_SELECTION */
       3, DATA_ENTRY_ERROR , [passed_parameter_too_large];                /* PASSED_PARAMETER_TOO_LARGE */
       4, DATA_ENTRY_ERROR , [passed_parameter_too_small];                /* PASSED_PARAMETER_TOO_SMALL */
       5, MISC_ERROR       , [too_few_data_bytes_recieved];               /* TOO_FEW_DATA_BYTES */
       6, DATA_ENTRY_ERROR , "Tansmitter spec command error";             /* TRANSMITTER_SPEC_CMD_ERROR */
       7, MODE_ERROR       , [in_write_protect_mode];                     /* IN_WRITE_PROTECT_MODE */
       8, MISC_WARNING     , "Set to nearest possible value" ;            /* WARNING_SET_TO_NEAREST_POSSIBLE_VALUE */
       9, DATA_ENTRY_ERROR , "Invalid value selection" ;                  /* INCORRECT_LOOP_CURRENT_MODE_OR_VALUE */
       10,DATA_ENTRY_ERROR , "Lower range value too small";               /* LOWER_RANGE_VALUE_TOO_LOW */
       11,DATA_ENTRY_ERROR , "Upper range value too high";                /* UPPER_RANGE_VALUE_TOO_HIGH */
       12,DATA_ENTRY_ERROR , "Invalid value selection";                   /* INVALID_MODE_SELECTION */
       13,DATA_ENTRY_ERROR , "Upper and Lower range value out of range";  /* UPPER_AND_LOWER_RANGE_VALUE_OUT_OF_RNG */
       14,DATA_ENTRY_ERROR , "Span too small";                            /* SPAN_TOO_SMALL */            
       16, MODE_ERROR      , [access_restricted];                         /* ACCESS_RESTRICTED */
       /*18,DATA_ENTRY_ERROR , "Invalid units code";*/                    /* INVALID_UNITS_CODE */
       29,DATA_ENTRY_ERROR , "Invalid span";                              /* INVALID_SPAN */
       /*32,DATA_ENTRY_ERROR , "Response busy";*/                         /* RESPONSE_BUSY*/
       /*33,DATA_ENTRY_ERROR , "Error in download record";*/              /* ERROR_IN_DOWNLOAD_RECORD */
       /*64,DATA_ENTRY_ERROR , "Command not implement";*/                 /* CMD_NOT_IMPL */
       /*96,DATA_ENTRY_ERROR , "Wrong sequence of segment no";*/          /* WRONG_SEQUENCE_OF_SEGMENT_NO */
   }
}
/*
**********************************************************************
** COMMAND #172 READ
**********************************************************************
*/
COMMAND read_index_parameter_1
{
   NUMBER 172;
   OPERATION READ;
   TRANSACTION
   {
      REQUEST
      {
         variable_array_index_1(INFO,INDEX )
      }
      REPLY
      {
         response_code,
         device_status,
         variable_array_index_1,
         variable_array_val_1[variable_array_index_1]
      }
   }

   RESPONSE_CODES
   {
       0, SUCCESS,          [no_command_specific_errors] ;
       2, DATA_ENTRY_ERROR, [invalid_selection] ;
       5, MISC_ERROR,       [too_few_data_bytes_recieved] ;
   }
}
/*
**********************************************************************
** COMMAND #173 WRITE
**********************************************************************
*/
COMMAND write_index_parameter_1
{
   NUMBER 173;
   OPERATION WRITE;
   TRANSACTION
   {
      REQUEST
      {
         variable_array_index_1( INFO,INDEX ),
         variable_array_val_1[variable_array_index_1]
      }
      REPLY
      {
         response_code,
         device_status,
         variable_array_index_1,
         variable_array_val_1[variable_array_index_1]
      }
   }

   RESPONSE_CODES
   {
       0, SUCCESS          , [no_command_specific_errors];                /* NO_COMMAND_ERRORS */
       2, DATA_ENTRY_ERROR , [invalid_selection];                         /* INVALID_SELECTION */
       3, DATA_ENTRY_ERROR , [passed_parameter_too_large];                /* PASSED_PARAMETER_TOO_LARGE */
       4, DATA_ENTRY_ERROR , [passed_parameter_too_small];                /* PASSED_PARAMETER_TOO_SMALL */
       5, MISC_ERROR       , [too_few_data_bytes_recieved];               /* TOO_FEW_DATA_BYTES */
       6, DATA_ENTRY_ERROR , "Tansmitter spec command error";             /* TRANSMITTER_SPEC_CMD_ERROR */
       7, MODE_ERROR       , [in_write_protect_mode];                     /* IN_WRITE_PROTECT_MODE */
       8, MISC_WARNING     , "Set to nearest possible value" ;            /* WARNING_SET_TO_NEAREST_POSSIBLE_VALUE */
       9, DATA_ENTRY_ERROR , "Invalid value selection" ;                  /* INCORRECT_LOOP_CURRENT_MODE_OR_VALUE */
       10,DATA_ENTRY_ERROR , "Lower range value too small";               /* LOWER_RANGE_VALUE_TOO_LOW */
       11,DATA_ENTRY_ERROR , "Upper range value too high";                /* UPPER_RANGE_VALUE_TOO_HIGH */
       12,DATA_ENTRY_ERROR , "Invalid value selection";                   /* INVALID_MODE_SELECTION */
       13,DATA_ENTRY_ERROR , "Upper and Lower range value out of range";  /* UPPER_AND_LOWER_RANGE_VALUE_OUT_OF_RNG */
       14,DATA_ENTRY_ERROR , "Span too small";                            /* SPAN_TOO_SMALL */            
       16, MODE_ERROR      , [access_restricted];                         /* ACCESS_RESTRICTED */
       /*18,DATA_ENTRY_ERROR , "Invalid units code";*/                    /* INVALID_UNITS_CODE */
       29,DATA_ENTRY_ERROR , "Invalid span";                              /* INVALID_SPAN */
       /*32,DATA_ENTRY_ERROR , "Response busy";*/                         /* RESPONSE_BUSY*/
       /*33,DATA_ENTRY_ERROR , "Error in download record";*/              /* ERROR_IN_DOWNLOAD_RECORD */
       /*64,DATA_ENTRY_ERROR , "Command not implement";*/                 /* CMD_NOT_IMPL */
       /*96,DATA_ENTRY_ERROR , "Wrong sequence of segment no";*/          /* WRONG_SEQUENCE_OF_SEGMENT_NO */
   }
}

/*
**********************************************************************
** MEMU Online DESCRIPTION
**********************************************************************
*/
MENU varOperatingMode
{
   LABEL varOperatingModeTEXT
   ITEMS
   {
    OperatingMode,                            /* 389  BETRIEBSART */
    ConfigurationType                         /* 1463  FLLSTANDSWAHL */
   }
}
MENU QuickSetup_Menu
{
   LABEL varQuickSetupTEXT
   ITEMS
   {    
    OperatingMode,                            /* 389  BETRIEBSART */
    ConfigurationType,                        /* 1463  FLLSTANDSWAHL */    
    method_Pressure1AcceptZeroInstallOffset,  /* 685  LAGEKORREKTUR */
#ifndef VEGADIF 
    Pressure1AcceptInstallOffset,             /* 563  LAGESOLLWERT */
#endif    
    PressureLowerRangeValue,                  /* 245  MESSANFG SETZEN */
    PressureUpperRangeValue,                  /* 246  MESSENDE SETZEN */
    LowLevel,                                 /* 314  ABGLEICH LEER */
    HighLevel,                                /* 315  ABGLEICH VOLL */    
    FlowMax,                                  /* 311  MAX. DURCHFLUSS */    
    FlowMaxPressure,                          /* 634  MAX.DRUCK FLUSS */
    ActivePressure1Damping                    /* 247  WERT DMPFUNG */
   }
}
MENU Operating_Menu
{
   LABEL varOperatingMenuTEXT
   ITEMS
   {
    varSettings_Menu,                         /* 14  ABGLEICH */
    varSilMode_Menu,                          /* 78  SICH.BESTTIGUNG */
    varDisplay_Menu,                          /* 25  ANZEIGE */
    varOutput_Menu,                           /* 22  AUSGANG */
    varTransmitterInfo_Menu,                  /* 52  TRANSMITTERINFO */
    varProcessInfo_Menu,                      /* 57  PROZESSINFO */
    varOperation_Menu,                        /* 70  BETRIEB */
    varDiagnostics_Menu,                      /* 26  DIAGNOSE */
    varService_Menu                           /* 42  SERVICE */
   }
}

MENU varSettings_Menu
{
   LABEL varSettingsTEXT
   ITEMS
   {
#ifdef VEGADIF
    Sub_pardPositionAdjustment,               /* 139  LAGEABGLEICH */
    IF (OperatingMode== eOM_LEVEL)
      {Sub_pardBasicSetupLevel}
    ELSE 
       {Sub_pardBasicSetup}
    Sub_pardExtendedSetup,                    /* 75  ERWEIT. ABGLEICH */
    IF (Val213)
    {Sub_pardLinearisation}                    /* 76  LINEARISIERUNG */
    Sub_pardTotalizerSetup                    /* 77  SUMMENZ. ABGLEICH */
#else 
    Sub_pardPositionAdjustment               /* 139  LAGEABGLEICH */
    IF (OperatingMode== eOM_LEVEL)
      {Sub_pardBasicSetupLevel}
    ELSE 
       {Sub_pardBasicSetup}
    Sub_pardExtendedSetup                     /* 75  ERWEIT. ABGLEICH */
    IF (Val213)
    {Sub_pardLinearisation}                    /* 76  LINEARISIERUNG */
#endif    
   }
}
MENU Sub_pardPositionAdjustment
{
   LABEL pardPositionAdjustmentTEXT
   ITEMS
   {
    TitleVmethod_Pressure1AcceptZeroInstallOffset,      /* 685  LAGEKORREKTUR */
    Pressure1AcceptInstallOffset,             /* 563  LAGESOLLWERT */
    Pressure1InstallOffset                    /* 319  LAGEOFFSET */
   }
}


MENU Sub_pardBasicSetup
{
   LABEL pardBasicSetupTEXT
   ITEMS
   {
    TitleV_HMIACCESSCODE__Access_Code(READ_ONLY),
    SWLockLocal(READ_ONLY) ,
    OperatingMode,                            /* 389  BETRIEBSART */
    ConfigurationType,                        /* 1463  FLLSTANDSWAHL */
    Pressure1Unit,                            /* 60  EINHEIT DRUCK */
    Pressure1UnitText,                        /* 75  BEN. EINHEIT P */
    Pressure1UnitScale,                       /* 317  FAKT.BEN.EINH. P */
     /* PRESSURE MODE */
          
      TitleV_PressureLowerRangeValue(READ_ONLY),                      /* 204 MESSANFNG SETZEN */
      TitleV_PressureUpperRangeValue(READ_ONLY),                      /* 205 MESSENDE SETZEN  */

      TitleVmethod_AcceptPressureLowerRangeValue,/* 202 MESSANFNG NEHMEN */
      TitleVmethod_AcceptPressureUpperRangeValue/* 203 MESSENDE NEHMEN */          
      SEPARATOR,

    FlowType,                                 /* 640  DURCHFLUSSTYP */
    FlowUnit,                                 /* 677  EINH. DURCHFLUSS */    
    FlowUnitText,                             /* 610  BEN. EINHEIT F */
    FlowUnitScale,                            /* 609  FAKT.BEN.EINH.F */
    FlowMax,                                  /* 311  MAX. DURCHFLUSS */
    FlowMaxPressure,                          /* 634  MAX.DRUCK FLUSS */
    LevelType,                                /* 718  FLLSTANDSTYP */    
    MeasurandLinear,                          /* 804  MESSGR. LINEAR */
    MeasurandLinearized,                      /* 805  MESSGR.LINEARIS. */
    MeasurandCombined,                        /* 806  MESSGR.KOMB. */
    HeightUnit,                               /* 708  EINHEIT HHE */
    HeightUnitText,                           /* 706  BEN. EINHEIT H */
    HeightUnitScale,                          /* 705  FAKT.BEN.EINH. H */
    VolumeUnit,                               /* 313  EINHEIT VOLUMEN */
    VolumeUnitText,                           /* 608  BEN. EINHEIT V */
    VolumeUnitScale,                          /* 607  FAKT.BEN.EINH. V */    
    MassUnit,                                 /* 709  EINHEIT MASSE */
    MassUnitText,                             /* 704  BEN. EINHEIT M */
    MassUnitScale,                            /* 703  FAKT.BEN.EINH. M */
    LinearPressureMin,                        /* 775  HYDR. DRUCK MIN. */
    LinearPressureMax,                        /* 761  HYDR. DRUCK MAX. */
    LinearLevelMin,                           /* 755  FLLHHE MIN. */
    LinearLevelMax,                           /* 712  FLLHHE MAX. */
    LevelAdjustMode,                          /* 392  ABGLEICHMODUS */
    LowLevel,                                 /* 314  ABGLEICH LEER */
    LowLevelPressure,                         /* 710  DRUCK LEER */
    HighLevel,                                /* 315  ABGLEICH VOLL */
    HighLevelPressure,                        /* 711  DRUCK VOLL */
    ReadOnlyLevelAdjustDensity,               /* 810  DICHTE ABGLEICH */
    DensityUnit,                              /* 812  EINHEIT DICHTE */
    LevelAdjustDensity,                       /* 316  DICHTE ABGLEICH */    
    VirtualVolumeUnit,                        /* 1490 EINHEIT VOLUMEN */
    VirtualVolumeUnitText,                    /* 1491 BEN. EINHEIT V */
    VirtualVolumeUnitScale,                   /* 1492 FAKT.BEN.EINH. V */    
    LevelTankVolume,                          /* 858  TANK VOLUMEN */
    LevelTankHeight,                          /* 859  TANKHHE */
    Level100PercentValue,                     /* 813  100% PUNKT */
    LevelOffset,                              /* 814  NULLPUNKTVERSATZ */
    TitleV_LevelLowerRangeValue(READ_ONLY),                                         /* 719 MESSANFNG SETZEN */
    TitleV_LevelUpperRangeValue(READ_ONLY),                                         /* 720 MESSENDE SETZEN  */
    OutUnitEasy,                              /* 1449 AUSGABEEINHEIT */
    HeightUnitEasy,                           /* 1444  EINHEIT HHE */
    LevelAdjustModeEasy,                      /* 1440  ABGLEICHMODUS */
    DensityUnitEasy,                          /* 1457  EINHEIT DICHTE */
    LevelAdjustDensityEasy,                   /* 1456  DICHTE ABGLEICH */
    LowLevelEasy,                             /* 1441  ABGLEICH LEER */
    LowLevelPressureEasy,                     /* 1443  DRUCK LEER */
    LevelOffsetEasy,                          /* 1445  HHE LEER */
    HighLevelEasy,                            /* 1439  ABGLEICH VOLL */
    HighLevelPressureEasy,                    /* 1442  DRUCK VOLL */
    Level100PercentValueEasy,                 /* 1446  HHE VOLL */
    MinOutCurrentEasy,                        /* 1450  MESSANFG SETZEN */
    MaxOutCurrentEasy,                        /* 1451  MESSENDE SETZEN */
    SEPARATOR,
    ActivePressure1Damping                    /* 247  WERT DMPFUNG */
   }
}
MENU Sub_pardBasicSetupORI
{
   LABEL pardBasicSetupTEXT
   ITEMS
   {
    TitleV_HMIACCESSCODE__Access_Code(READ_ONLY),
    SWLockLocal(READ_ONLY) ,
    OperatingMode(READ_ONLY),                            /* 389  BETRIEBSART */
    ConfigurationType,                        /* 1463  FLLSTANDSWAHL */
    Pressure1Unit,                            /* 60  EINHEIT DRUCK */
    Pressure1UnitText,                        /* 75  BEN. EINHEIT P */
    Pressure1UnitScale,                       /* 317  FAKT.BEN.EINH. P */
     /* PRESSURE MODE */
          
      TitleV_PressureLowerRangeValue(READ_ONLY),                      /* 204 MESSANFNG SETZEN */
      TitleV_PressureUpperRangeValue(READ_ONLY),                      /* 205 MESSENDE SETZEN  */

      TitleVmethod_AcceptPressureLowerRangeValue,/* 202 MESSANFNG NEHMEN */
      TitleVmethod_AcceptPressureUpperRangeValue/* 203 MESSENDE NEHMEN */          
      SEPARATOR,

    FlowType,                                 /* 640  DURCHFLUSSTYP */
    FlowUnit,                                 /* 677  EINH. DURCHFLUSS */    
    FlowUnitText,                             /* 610  BEN. EINHEIT F */
    FlowUnitScale,                            /* 609  FAKT.BEN.EINH.F */
    FlowMax,                                  /* 311  MAX. DURCHFLUSS */
    FlowMaxPressure,                          /* 634  MAX.DRUCK FLUSS */
    LevelType,                                /* 718  FLLSTANDSTYP */    
    MeasurandLinear,                          /* 804  MESSGR. LINEAR */
    MeasurandLinearized,                      /* 805  MESSGR.LINEARIS. */
    MeasurandCombined,                        /* 806  MESSGR.KOMB. */
    HeightUnit,                               /* 708  EINHEIT HHE */
    HeightUnitText,                           /* 706  BEN. EINHEIT H */
    HeightUnitScale,                          /* 705  FAKT.BEN.EINH. H */
    VolumeUnit,                               /* 313  EINHEIT VOLUMEN */
    VolumeUnitText,                           /* 608  BEN. EINHEIT V */
    VolumeUnitScale,                          /* 607  FAKT.BEN.EINH. V */    
    MassUnit,                                 /* 709  EINHEIT MASSE */
    MassUnitText,                             /* 704  BEN. EINHEIT M */
    MassUnitScale,                            /* 703  FAKT.BEN.EINH. M */
    LinearPressureMin,                        /* 775  HYDR. DRUCK MIN. */
    LinearPressureMax,                        /* 761  HYDR. DRUCK MAX. */
    LinearLevelMin,                           /* 755  FLLHHE MIN. */
    LinearLevelMax,                           /* 712  FLLHHE MAX. */
    LevelAdjustMode,                          /* 392  ABGLEICHMODUS */
    LowLevel,                                 /* 314  ABGLEICH LEER */
    LowLevelPressure,                         /* 710  DRUCK LEER */
    HighLevel,                                /* 315  ABGLEICH VOLL */
    HighLevelPressure,                        /* 711  DRUCK VOLL */
    ReadOnlyLevelAdjustDensity,               /* 810  DICHTE ABGLEICH */
    DensityUnit,                              /* 812  EINHEIT DICHTE */
    LevelAdjustDensity,                       /* 316  DICHTE ABGLEICH */    
    VirtualVolumeUnit,                        /* 1490 EINHEIT VOLUMEN */
    VirtualVolumeUnitText,                    /* 1491 BEN. EINHEIT V */
    VirtualVolumeUnitScale,                   /* 1492 FAKT.BEN.EINH. V */    
    LevelTankVolume,                          /* 858  TANK VOLUMEN */
    LevelTankHeight,                          /* 859  TANKHHE */
    Level100PercentValue,                     /* 813  100% PUNKT */
    LevelOffset,                              /* 814  NULLPUNKTVERSATZ */
    TitleV_LevelLowerRangeValue(READ_ONLY),                                         /* 719 MESSANFNG SETZEN */
    TitleV_LevelUpperRangeValue(READ_ONLY),                                         /* 720 MESSENDE SETZEN  */
    OutUnitEasy,                              /* 1449 AUSGABEEINHEIT */
    HeightUnitEasy,                           /* 1444  EINHEIT HHE */
    LevelAdjustModeEasy,                      /* 1440  ABGLEICHMODUS */
    DensityUnitEasy,                          /* 1457  EINHEIT DICHTE */
    LevelAdjustDensityEasy,                   /* 1456  DICHTE ABGLEICH */
    LowLevelEasy,                             /* 1441  ABGLEICH LEER */
    LowLevelPressureEasy,                     /* 1443  DRUCK LEER */
    LevelOffsetEasy,                          /* 1445  HHE LEER */
    HighLevelEasy,                            /* 1439  ABGLEICH VOLL */
    HighLevelPressureEasy,                    /* 1442  DRUCK VOLL */
    Level100PercentValueEasy,                 /* 1446  HHE VOLL */
    MinOutCurrentEasy,                        /* 1450  MESSANFG SETZEN */
    MaxOutCurrentEasy,                        /* 1451  MESSENDE SETZEN */
    SEPARATOR,
    ActivePressure1Damping                    /* 247  WERT DMPFUNG */
   }
}

MENU Sub_pardBasicSetupLevel
{
   LABEL pardBasicSetupTEXT
   ITEMS
   {
    TitleV_HMIACCESSCODE__Access_Code(READ_ONLY),
        SWLockLocal(READ_ONLY) ,
        OperatingMode,
        ConfigurationType,
        Pressure1Unit,
        LevelType,
        MeasurandLinear,
        MeasurandLinearized,
        MeasurandCombined,
        HeightUnit,
        HeightUnitText,
        HeightUnitScale,
        VolumeUnit,
        VolumeUnitText,
        VolumeUnitScale,
        MassUnit,
        MassUnitText,
        MassUnitScale,
        LinearPressureMin,
        LinearPressureMax,
        LinearLevelMin,
        LinearLevelMax,
        LevelAdjustMode,
        LowLevel,
        LowLevelPressure,
        HighLevel,
        HighLevelPressure,
        ReadOnlyLevelAdjustDensity,
        DensityUnit,
        LevelAdjustDensity,
        VirtualVolumeUnit,
        VirtualVolumeUnitText,
        VirtualVolumeUnitScale,
        LevelTankVolume,
        LevelTankHeight,
        Level100PercentValue,
        LevelOffset,
        TitleV_LevelLowerRangeValue(READ_ONLY),
        TitleV_LevelUpperRangeValue(READ_ONLY),
        OutUnitEasy,
        HeightUnitEasy,
        LevelAdjustModeEasy,
        DensityUnitEasy,
        LevelAdjustDensityEasy,
        LowLevelEasy,
        LowLevelPressureEasy,
        LevelOffsetEasy,
        HighLevelEasy,
        HighLevelPressureEasy,
        Level100PercentValueEasy,
        MinOutCurrentEasy,
        MaxOutCurrentEasy,
        ActivePressure1Damping
   }
}


MENU Sub_pardExtendedSetup
{
   LABEL pardExtendedSetupTEXT
   ITEMS
   {
    TemperatureUnit,                          /* 318  TEMP. EINHEIT */
    CreepFlowSuppressionEnable,               /* 442  SCHLEICHM. MODUS */
    CreepFlowSuppressionOffThreshold,         /* 323  SCHLEICHM.SETZEN */
    VirtualLevelUnitDensity,                  /* 1485  EINHEIT DICHTE */
    VirtualLevelAdjustDensity,                /* 821  DICHTE ABGLEICH */
    LevelMeasurementDensity,                  /* 811  DICHTE PROZESS */
    LevelMeasurementDensityEasy,              /* 1471  DICHTE PROZESS */
    LowerRangeValue,                          /* 678  MESSANFG SETZEN */
    UpperRangeValue,                          /* 682  MESSENDE SETZEN */
    TankContentLowerRangeValue,               /* 762  MESSANFG SETZEN */
    TankContentUpperRangeValue,               /* 763  MESSENDE SETZEN */
    FlowLowerRangeValue,                      /* 637  MESSANFG SETZEN */
    FlowUpperRangeValue                       /* 638  MESSENDE SETZEN */
   }
}
MENU Sub_pardLinearisationOLD
{
   LABEL pardLinearisationTEXT
   ITEMS
   {
    TankContentMin,                           /* 759  TANKINHALT MIN. */
    TankContentMax,                           /* 713  TANKINHALT MAX. */
    LinearizationTableSelection,              /* 808  TABELLENAUSWAHL */
    LinearisationTableMode(READ_ONLY),                   /* 397  TAB.EINGABEMODUS */
    TitleV_Device_Linearisation(READ_ONLY),
    LevelTankDescription                      /* 815  TANKBESCHREIBUNG */    
    /*ValidateLinearisationTable*/            /* 769  TAB. AKTIVIEREN */    
   }
}
MENU Sub_pardLinearisation
{
   LABEL pardLinearisationTEXT
   ITEMS
   {
    TitleV_Device_Linearisation(READ_ONLY),
    TankContentMin(READ_ONLY),                           /* 759  TANKINHALT MIN. */
    TankContentMax(READ_ONLY),                           /* 713  TANKINHALT MAX. */
    LevelTankDescription(READ_ONLY)                      /* 815  TANKBESCHREIBUNG */    
//    method_LinearizationTablePostEdit,        /* 770  TABELLENEDITOR */
   }
}


MENU Sub_pardTotalizerSetup
{
   LABEL pardTotalizerSetupTEXT
   ITEMS
   {
    Totalizer1Unit,                           /* 680  EINH.SUMMENZ. 1 */    
    Totalizer1UnitText,                       /* 627  BEN.EINH.SUM. 1 */
    Totalizer1UnitScale,                      /* 329  FAKT.BEN.EINH.S1 */
    Totalizer1Mode,                           /* 400  MODUS SUMMENZ. 1 */
    TitleV_System_ResetTotalizer(READ_ONLY),
    Totalizer2Unit,                           /* 681  EINH.SUMMENZ. 2 */    
    Totalizer2UnitText,                       /* 628  BEN.EINH.SUM. 2 */
    Totalizer2UnitScale,                      /* 330  FAKT.BEN.EINH.S2 */
    Totalizer2Mode                            /* 416  MODUS SUMMENZ. 2 */
   }
}
MENU varSilMode_Menu
{
   LABEL varSilModeTEXT
   ITEMS
   {    
    SilLockStatus,                            /* 857  SICH.VERR.STATUS */    
    method_SilModeAllowed,                    /* SICH.BESTTIGUNG */
    method_SilModePressure,                   /* SICH.BESTTIGUNG */
    method_SilModeEasyPressure,               /* SICH.BESTTIGUNG */
    method_SilModeFlow                        /* SICH.BESTTIGUNG */
   }
}
MENU varDisplay_Menu
{
   LABEL varDisplayTEXT
   ITEMS
   {
    DisplayMainlineContent,                   /* 419  INHALT HAUPTZEIL */
    AutomaticMainLineFormat,                  /* 688  FORMAT HAUPTZEIL */
    DisplayLanguage,                          /* 79  SPRACHE */
    DisplayAlternatingValues,                 /* 423  ANZ ALTERNIEREND */
    DisplayContrast,                          /* 339  KONTRAST ANZEIGE */
    VirtualSilDigitsTestString                /* 881  ZEICHENFOLGE */
   }
}
MENU varOutput_Menu
{
   LABEL varOutputTEXT
   ITEMS
   {
    CurrentValue,                             /* 254  AUSGANGSSTROM */    
    CurrentOutputCharacteristics,             /* 572  KENNLINIE STROM */    
    AlarmBehaviourValue,                      /* 388  STROM BEI ALARM */
    Pressure1LimitExcessAlarmCurrent,         /* 597  AL. STROMVERH. */
    MaxAlarmCurrent,                          /* 342  MAX. ALARMSTROM */
    FourMaCurrentLimit,                       /* 343  MIN STROM SETZEN */
    FlowMode,                                 /* 390  LINEAR/RADIZ. */
    LevelMode                                 /* 760  ZUORDNUNG STROM */
   }
}
MENU varTransmitterInfo_Menu
{
   LABEL varTransmitterInfoTEXT
   ITEMS
   {
    Sub_pardHartData,                         /* 85  HART PARAMETER */
    Sub_pardTransmitterData,                  /* 86  TRANSMITTERDATEN */
    Sub_pardProcessConnection,                /* 140  PROZESSANSCHLUSS */
    Sub_pardSensorData                        /* 87  SENSORDATEN */
   }
}
MENU Sub_pardHartData
{
   LABEL pardHartDataTEXT
   ITEMS
   {
    DeviceNameString,                         /* 554  GERTE NAME STR. */    
    PollingAddress,                           /* 345  BUSADRESSE */
    DeviceType,                               /* 803  GERTE ID */    
    DeviceRevision,                           /* 699  DEVICE REVISION */
    NrOfPreambles,                            /* 36  ANZAHL PRAMBEL */
    DeviceManufacturerId,                     /* 432  HERSTELLERNR. */
    Message,                                  /* 271  NACHRICHT HART */
    Date,                                     /* 481  DATUM HART */    
    primary_variable_code,                    /* 1.PROZESSW.  IST */
    PV.DIGITAL_VALUE (READ_ONLY),             /* 1.PROZESSWERT */
    secondary_variable_code,                  /* 2.PROZESSW.  IST */
    SV.DIGITAL_VALUE (READ_ONLY),             /* 2.PROZESSWERT */
    tertiary_variable_code,                   /* 3.PROZESSW.  IST */
    TV.DIGITAL_VALUE (READ_ONLY),             /* 3.PROZESSWERT */
    fourth_variable_code,                     /* 4.PROZESSW.  IST */
    QV.DIGITAL_VALUE (READ_ONLY)              /* 4.PROZESSWERT */
   }
}
MENU Sub_pardTransmitterData
{
   LABEL pardTransmitterDataTEXT
   ITEMS
   {
    DeviceSerialNumber,                       /* 354  SERIENNR TRANSM. */
    ElectronicSerialNumber,                   /* 386  SERIENNR ELEKTR. */
    Tag,                                      /* 55  MESSSTELLE */
    LongTag,                                  /* 305  MESSSTELLE LANG */
    Descriptor,                               /* 272  BESCHREIBUNG */
    DeviceOrderCode,                          /* 350  GERTEBEZEICHNG */
    HardwareRevision,                         /* 266  HARDWARE REV. */
    SoftwareRevision,                         /* 264  SOFTWARE VERSION */
    ConfigurationCounter,                     /* 352  KONFIG ZHLER */
    MeasuredTemperature3,                     /* 357  TEMP. ELEKTRONIK */
    Temperature3LowLimit,                     /* 358  Tmin ELEKTRONIK */
    Temperature3HighLimit,                    /* 359  Tmax ELEKTRONIK */
    SwitchStatus                              /* 363  SCHREIBSCHUTZ HW */
   }
}
MENU Sub_pardProcessConnection
{
   LABEL pardProcessConnectionTEXT
   ITEMS
   {
    ProcessConnectionPressureHighLimit,       /* 570  Pmax ANSCHLUSS */
    ProcessConnectionModel,                   /* 482  TYP ANSCHLUSS */
    ProcessConnectionMaterialPositive,        /* 360  MAT. ANSCHL. + */
    ProcessConnectionMaterialNegative,        /* 361  MAT. ANSCHL. - */
    ProcessFlangeGasketMaterial,              /* 362  MAT. DICHTUNG */

    ProcessConnectionBoltsMaterial,           
    ProcessConnectionNutsMaterial,            
    ProcessConnectionDrainVentMaterial,       
    ProcessConnectionDrainVentPosition,       
    ProcessConnectionThread,                  
    ProcessConnectionMountingThread,          
    ProcessConnectionRemoteseal1Type,         
    ProcessConnectionRemoteseal2Type,         
    ProcessRemoteseal1DiaphragmMaterial,      
    ProcessRemoteseal2DiaphragmMaterial,      
    ProcessConnectionNrOffRemoteSeals,        
    ProcessRemoteSealFillFluid                


   }
}
MENU Sub_pardSensorData
{
   LABEL pardSensorDataTEXT
   ITEMS
   {
    SensorSerialNumber,                       /* 250  SERIENNR SENSOR */
    Pressure1SensorLowLimit,                  /* 484  LRL SENSOR */
    Pressure1SensorHighLimit,                 /* 485  URL SENSOR */
    MinSpan,                                  /* 591  MINIMALE SPANNE */
    SensorMeasurementType,                    /* 581  SENSORMESSTYP */
    /*SensorMinAbsoluteLimit,*/               /* 251  Pmin SENSOR, abs */
    /*SensorMaxAbsoluteLimit,*/               /* 252  Pmax SENSOR, abs */
    SensorDiaphragmMaterial,                  /* 365  MAT. MEMBRAN */
    SensorFillFluid,                          /* 366  FLLL */
    Temperature1SensorLowLimit,               /* 368  Tmin SENSOR */
    Temperature1SensorHighLimit,              /* 369  Tmax SENSOR */
    SensorHardwareRevision                    /* 487  SENSOR HW REV. */
   }
}
MENU varProcessInfo_Menu
{
   LABEL varProcessInfoTEXT
   ITEMS
   {
    Sub_pardProcessValues,                    /* 88  PROZESSWERTE */
    Sub_pardPeakHold                          /* 89  SCHLEPPZEIGER */
   }
}
MENU Sub_pardProcessValues
{
   LABEL pardProcessValuesTEXT
   ITEMS
   {
    Pressure1AfterDamping,                    /* 301  DRUCK GEMESSEN */
    Pressure1AfterCalibration,                /* 434  DRUCK N. LAGEKOR */
    Pressure1AfterSensor,                     /* 584  SENSOR DRUCK */
    MeasuredTemperature1,                     /* 367  TEMP. SENSOR */
    Tendency,                                 /* 378  TENDENZ MESSWERT */
    MeasuredLevelAfterSimulation,             /* 50  FLLSTAND V.LIN. */
    MeasuredTankContentAfterSimulation,       /* 370  TANKINHALT */
    FlowAfterSuppression,                     /* 375  DURCHFLUSS */
    Totalizer1StringValue,                    /* 652  SUMMENZHLER 1 */
    Totalizer1StringOverflow,                 /* 655  SUMMENZ.1 BERL. */
    Totalizer2StringValue,                    /* 657  SUMMENZHLER 2 */
    Totalizer2StringOverflow                  /* 658  SUMMENZ.2 BERL. */
   }
}
MENU Sub_pardPeakHold
{
   LABEL pardPeakHoldTEXT
   ITEMS
   {
    TitleV_pardPeakHold(READ_ONLY),

   }
}
MENU varOperation_Menu
{
   LABEL varOperationTEXT
   ITEMS
   {
    TitleV_System_Reset(READ_ONLY),
    OperatingHoursValue,                                               /* 409 BETRIEBSSTUNDEN  */
    TitleV_HMIACCESSCODE__Access_Code (READ_ONLY)
    HistoromAvailable,                        /* 831  HistoROM VORHND. */
    DownloadOverwriteSelection,               /* 1487  DOWNLOAD FUNCT. */
    TitleV_DatHandling(READ_ONLY)                        /* 832  HistoROM FUNKT. */    
   }
}
MENU varDiagnostics_Menu
{
   LABEL varDiagnosticsTEXT
   ITEMS
   {
    Sub_pardSimulation,                       /* 91  SIMULATION */
    Sub_pardMessages,                         /* 141  MELDUNGEN */
    Sub_pardUserLimits                        /* 142  BENUTZER GRENZEN */
   }
}
MENU Sub_pardSimulation
{
   LABEL pardSimulationTEXT
   ITEMS
   {
          TitleV_simulation_mode(READ_ONLY),
          SimulationMode(READ_ONLY),                                               /* 413 SIMULATION       */        
          Pressure1SimulationValue(READ_ONLY),                             /* 414 SIM.DRUCKWERT    */
          FlowSimulationValue(READ_ONLY),                                          /* 639 SIM.DURCHFL.WERT */        
          LevelSimulationValue(READ_ONLY),                                         /* 714 SIM.FLL.V.LIN.  */
          TankContentSimulationValue(READ_ONLY),                           /* 715 SIM.TANKINHALT   */
          CurrentSimulationValue(READ_ONLY),                               /* 270 SIM.STROMWERT    */
          AlarmSimulationValue(READ_ONLY)                                  /* 476 SIM.FEHLER NR.   */
   }
}
MENU Sub_pardMessages
{
   LABEL pardMessagesTEXT
   ITEMS
   {
    ActualAlarmInfo_io,                       /* 46  DIAGNOSE CODE */
    LastAlarmInfo,                            /* 564  LETZTE DIAG.CODE */
    AcknowledgeAlarmMode,                     /* 401  MODUS ALARMQUIT. */
    AcknowledgeAlarm,                         /* 500  ALARM QUITTIEREN */
    TitleV_ResetAlarmHistory(READ_ONLY),                        /* 603  RESET MELDUNGEN */
    ReactionOnAlarmNr,                        /* 600  MELDUNGSNR. */
    ChooseErrorOrWarning,                     /* 595  AUSWAHL ALARME */
    AlarmSetupTime,                           /* 336  ALARMVERZGERUNG */
    AlarmHoldTime                             /* 480  ALARMHALTEZEIT */
   }
}
MENU Sub_pardUserLimits
{
   LABEL pardUserLimitsTEXT
   ITEMS
   {
    Pressure1UserLowLimit,                    /* 332  Pmin PROZESS */
    Pressure1UserHighLimit,                   /* 333  Pmax PROZESS */
    Temperature1UserLowLimit,                 /* 334  Tmin PROZESS */
    Temperature1UserHighLimit                 /* 335  Tmax PROZESS */
   }
}
MENU varService_Menu
{
   LABEL varServiceTEXT
   ITEMS
   {
    Sub_pardSystem1,                          /* 155  SYSTEM 1 */
    Sub_pardSystem2,                          /* 156  SYSTEM 2 */
    Sub_pardSensorTrim                        /* 175  SENSOR TRIMM */
   }
}
MENU Sub_pardSystem1
{
   LABEL pardSystem1TEXT
   ITEMS
   {
    MaxTurnDown,                              /* 486  MAX. TURNDOWN */
    CreepFlowSuppressionHysteresis,           /* 322  SCHLEICHM. HYST. */
    PeakHoldIncrementFaktor,                  /* 756  P SCHLPZ.SCHRITT */
    Temperature1PeakHoldIncrementOffset,      /* 758  T SCHLPZ.SCHRITT */
    HistoRomSavingCycleTime,                  /* 768  HIST.SPEICH.ZYKL */
    AccelerationOfGravity,                    /* 818  GRAVITATION */
    NumberOfSensorChanges,                    /* 589  SENSORWECHSEL */
    Pressure1InputInversion                   /* 1488  DRUCK INVERT. */
   }
}
MENU Sub_pardSystem2
{
   LABEL pardSystem2TEXT
   ITEMS
   {
    LowCalWrittenCurrent,                     /* 344  STROM TRIMM 4mA */
    HighCalWrittenCurrent,                    /* 543  STROM TRIMM 20mA */
    LowCalOffsetCurrent,                      /* 615  OFFSET 4mA TRIM */
    HighCalOffsetCurrent                      /* 616  OFFSET 20mA TRIM */
   }
}
MENU Sub_pardSensorTrim
{
   LABEL pardSensorTrimTEXT
   ITEMS
   {
    Pressure1LowerCalMeasured,                /* 513  LO TRIM MESSWERT */
    Pressure1UpperCalMeasured,                /* 514  HI TRIM MESSWERT */

    TitleV_SensorTrim

   }
}

/*
**********************************************************************
** update_TankContentUnit
**********************************************************************
*/
METHOD update_TankContentUnit
{
  LABEL "update_TankContentUnit";
  CLASS COMPUTATION;
  DEFINITION
  {                    
     if( int_value(OperatingMode) == eOM_LEVEL )
     {
       switch( int_value(LevelType) )
       {          
         case 1: switch( int_value(MeasurandLinearized) )
                 {
                   case 0 : assign_int(TankContentUnit, int_value(VolumeUnit)  ); save_values(); break;
                   case 1 : assign_int(TankContentUnit, int_value(MassUnit)    ); save_values(); break;
                   case 2 : /*assign_int(TankContentUnit, int_value(PercentUnit) ); save_values();*//*ACKNOWLEDGE("T Percent");*/
                            DELAY_TIME(1);
                            READ_VALUE_FROM_DEVICE(TankContentUnit ,10013,variable_array_index_2)break;
                   default: assign_int(TankContentUnit, 0 );
                 }
                 break;
         case 2: switch( int_value(MeasurandCombined) )
                 {
                   case 0 : assign_int(TankContentUnit, int_value(VolumeUnit)  ); save_values(); break;
                   case 1 : assign_int(TankContentUnit, int_value(MassUnit)    ); save_values(); break;
                   case 2 : /*assign_int(TankContentUnit, int_value(PercentUnit) ); save_values();*//*ACKNOWLEDGE("T Percent");*/
                            DELAY_TIME(1);
                            READ_VALUE_FROM_DEVICE(TankContentUnit ,10013,variable_array_index_2)break;
                   case 3 : assign_int(TankContentUnit, int_value(VolumeUnit)  ); save_values(); break;
                   case 4 : assign_int(TankContentUnit, int_value(MassUnit)    ); save_values(); break;
                   case 5 : /*assign_int(TankContentUnit, int_value(PercentUnit) ); save_values();*//*ACKNOWLEDGE("T Percent");*/
                            DELAY_TIME(1);
                            READ_VALUE_FROM_DEVICE(TankContentUnit ,10013,variable_array_index_2)break;
                   default: assign_int(TankContentUnit, 0 );
                 }
                 break;
         default : assign_int(TankContentUnit, 0 );
       }
     }     
  }
}

/*
**********************************************************************
** update_LevelUnit
**********************************************************************
*/
METHOD update_LevelUnit
{
  LABEL "update_LevelUnit";
  CLASS COMPUTATION;
  DEFINITION
  {     
     if( int_value(OperatingMode) == eOM_LEVEL )
     {
       if( int_value(ConfigurationType) == eCT_EXPERTLEVEL )
       {
         switch( int_value(LevelType) )
         {
           case 0 : switch( int_value(MeasurandLinear) )
                    {
                      case 0 : assign_int(LevelUnit, int_value(HeightUnit)  ); save_values(); break;
                      case 1 : assign_int(LevelUnit, int_value(VolumeUnit)  ); save_values(); break;
                      case 2 : assign_int(LevelUnit, int_value(MassUnit)    ); save_values(); break;
                      case 3 : DELAY_TIME(1);READ_VALUE_FROM_DEVICE(LevelUnit ,10012,variable_array_index_2) break;
                      default: assign_int(LevelUnit, 0 );
                    }
                    break;
           case 1 : switch( int_value(MeasurandLinearized) )
                    {
                     case 0 : assign_int(LevelUnit, int_value(Pressure1Unit)  ); save_values(); break;
                     case 1 : assign_int(LevelUnit, int_value(Pressure1Unit)  ); save_values(); break;
                     case 2 : assign_int(LevelUnit, int_value(Pressure1Unit)  ); save_values(); break;
                     default: assign_int(LevelUnit, 0 );
                    }
                    break;
           case 2 : switch( int_value(MeasurandCombined) )
                    {
                      case 0 : assign_int(LevelUnit, int_value(HeightUnit)  ); save_values(); break;
                      case 1 : assign_int(LevelUnit, int_value(HeightUnit)  ); save_values(); break;
                      case 2 : assign_int(LevelUnit, int_value(HeightUnit)  ); save_values(); break;                    
                      case 3 : DELAY_TIME(1);READ_VALUE_FROM_DEVICE(LevelUnit ,10012,variable_array_index_2) break;
                      case 4 : DELAY_TIME(1);READ_VALUE_FROM_DEVICE(LevelUnit ,10012,variable_array_index_2) break;
                      case 5 : DELAY_TIME(1);READ_VALUE_FROM_DEVICE(LevelUnit ,10012,variable_array_index_2) break;                             
                      default: assign_int(LevelUnit, 0 );
                    }
                    break;                      
           default: assign_int(LevelUnit, 0 );
         }                
       }
       else
       {
         assign_int(LevelUnit, int_value(OutUnitEasy) ); save_values();
       }
     }     
  }
}

/*
**********************************************************************
** END OF FILE
**********************************************************************
*/ 

