#define PRODUCTION_SUPER_PIN 31415
#define SERVICE_SUPER_PIN 27182
#define USER_UNLOCK_CODE_PIN 100

#define SIL_UNLOCKED 0
#define SIL_LOCKED 1


#define OPERATOR_WRITE_COND               SWLock == USER_UNLOCK_CODE_PIN && SwitchStatus == eSS_OFF && SilLockStatus == eSLS_UNLOCKED ||\
                                          SWLock == SERVICE_SUPER_PIN    && SwitchStatus == eSS_OFF && SilLockStatus == eSLS_UNLOCKED


#define OPERATOR_WRITE                    IF (OPERATOR_WRITE_COND) \
                                          {\
                                           READ & WRITE;\
                                          }\
                                          ELSE\
                                          {\
                                           READ;\
                                          }

#define OPERATOR_AND_SIMULATION_WRITE_COND   SWLock == USER_UNLOCK_CODE_PIN && SwitchStatus == eSS_OFF && SimulationMode == eSM_CURRENT && SilLockStatus == eSLS_UNLOCKED||\
                                             SWLock == SERVICE_SUPER_PIN    && SwitchStatus == eSS_OFF && SimulationMode == eSM_CURRENT && SilLockStatus == eSLS_UNLOCKED

#define OPERATOR_AND_SIMULATION_WRITE     IF (OPERATOR_AND_SIMULATION_WRITE_COND)\
                                          {\
                                           READ & WRITE;\
                                          }\
                                          ELSE\
                                          {\
                                           READ;\
                                          }

#define SERVICE_WRITE_COND                SWLock == SERVICE_SUPER_PIN    && SwitchStatus == eSS_OFF && SilLockStatus == eSLS_UNLOCKED

#define SERVICE_WRITE                     IF (SERVICE_WRITE_COND)\
                                          {\
                                           READ & WRITE;\
                                          }\
                                          ELSE\
                                          {\
                                           READ;\
                                          }
                                          
#define EVERYONE_WRITE_COND               SWLock == USER_UNLOCK_CODE_PIN || SWLock == SERVICE_SUPER_PIN

#define EVERYONE_WRITE                    IF (EVERYONE_WRITE_COND) \
                                          {\
                                           READ & WRITE;\
                                          }\
                                          ELSE\
                                          {\
                                           READ;\
                                          }

#define PRODUCTION_WRITE                  READ;

#define AUTOMATIC_MAINLINE_FORMAT  SELECT(DisplayMainlineFormat) \
                                   {                   \
                                      CASE 0  : ".0f"; \
                                      CASE 1  : ".1f"; \
                                      CASE 2  : ".2f"; \
                                      CASE 3  : ".3f"; \
                                      CASE 4  : ".4f"; \
                                      CASE 5  : ".5f"; \
                                      DEFAULT : ".3f"; \
                                   }

#define READ_VAL_FROM_DEVICE1(Parameter,Index)\
                               iassign(variable_array_index_1,Index );\
                               send_command(172);\
                               assign_int(Parameter,int_value(Parameter));

#define READ_VAL_FROM_DEVICE2(Parameter,Index)\
                               iassign(variable_array_index_2,Index );\
                               send_command(170);\
                               assign_int(Parameter,int_value(Parameter));

#define SEND_VAL_TO_DEVICE1(Parmeter,Value,Index,Array,cmd)\
                            IGNORE_ALL_RESPONSE_CODES();      \
                             assign_int(Parmeter, Value);\
                             iassign(variable_array_index_1,Index );\
                             send_command(173);

#define SEND_VAL_TO_DEVICE2(Parmeter,Value,Index,Array,cmd)\
                             assign_int(Parmeter, Value);\
                             iassign(variable_array_index_2,Index );\
                             send_command(171);

#define READ_VALUE_FROM_DEVICE(Parameter,Index,Array)\
                               iassign(Array,Index );\
                               send_command(172);\
                               assign_int(Parameter,int_value(Parameter));


#define SEND_VALUE_TO_DEVICE(Parmeter,Value,Index,Array)\
                             assign_int(Parmeter, Value);\
                             iassign(Array,Index );\
                             send_command(173);

/*
**********************************************************************
** Totalizer1Reset
**********************************************************************
*/

#define eT1R_ABORT                     0
#define eT1R_RESET                     1

/*
**********************************************************************
** MassFlowUnit
**********************************************************************
*/

#define eMFU_USERUNIT                  0
#define eMFU_G_S                       1
#define eMFU_KG_S                      2
#define eMFU_KG_MIN                    3
#define eMFU_KG_H                      4
#define eMFU_T_S                       5
#define eMFU_T_MIN                     6
#define eMFU_T_H                       7
#define eMFU_T_D                       8
#define eMFU_OZ_S                      9
#define eMFU_OZ_MIN                    10
#define eMFU_LB_S                      11
#define eMFU_LB_MIN                    12
#define eMFU_LB_H                      13
#define eMFU_LONG_TON_S                14
#define eMFU_LONG_TON_MIN              15
#define eMFU_LONG_TON_H                16
#define eMFU_LONG_TON_DAY              17

/*
**********************************************************************
** CreepFlowSuppressionEnable
**********************************************************************
*/

#define eCFSE_OFF                      0
#define eCFSE_ON                       1

/*
**********************************************************************
** VolumeFlowUnit
**********************************************************************
*/

#define eVFU_USERUNIT                  0
#define eVFU_DM3_S                     1
#define eVFU_DM3_MIN                   2
#define eVFU_DM3_H                     3
#define eVFU_M3_S                      4
#define eVFU_M3_MIN                    5
#define eVFU_M3_H                      6
#define eVFU_M3_DAY                    7
#define eVFU_L_S                       8
#define eVFU_L_MIN                     9
#define eVFU_L_H                       10
#define eVFU_HL_S                      11
#define eVFU_HL_MIN                    12
#define eVFU_HL_H                      13
#define eVFU_HL_DAY                    14
#define eVFU_FT3_S                     15
#define eVFU_FT3_MIN                   16
#define eVFU_FT3_H                     17
#define eVFU_FT3_DAY                   18
#define eVFU_ACFS                      19
#define eVFU_ACFM                      20
#define eVFU_ACFH                      21
#define eVFU_ACFD                      22
#define eVFU_OZF_S                     23
#define eVFU_OZF_MIN                   24
#define eVFU_US_GAL_S                  25
#define eVFU_US_GAL_MIN                26
#define eVFU_US_GAL_H                  27
#define eVFU_US_GAL_DAY                28
#define eVFU_IMP_GAL_S                 29
#define eVFU_IMP_GAL_MIN               30
#define eVFU_IMP_GAL_H                 31
#define eVFU_US_PETRO_BBL_S            32
#define eVFU_US_PETRO_BBL_M            33
#define eVFU_US_PETRO_BBL_H            34
#define eVFU_US_PETRO_BBL_D            35

/*
**********************************************************************
** Totalizer1VolumeUnit
**********************************************************************
*/

#define eT1VU_USERUNIT                 0
#define eT1VU_L                        1
#define eT1VU_HL                       2
#define eT1VU_CM3                      3
#define eT1VU_DM3                      4
#define eT1VU_M3                       5
#define eT1VU_M3_BY_1000               6
#define eT1VU_FT3                      7
#define eT1VU_FT3_BY_1000              8
#define eT1VU_US_GAL                   9
#define eT1VU_IMP_GAL                  10
#define eT1VU_US_MGAL                  11
#define eT1VU_US_PETRO_BBL             12

/*
**********************************************************************
** Totalizer2VolumeUnit
**********************************************************************
*/

#define eT2VU_USERUNIT                 0
#define eT2VU_L                        1
#define eT2VU_HL                       2
#define eT2VU_CM3                      3
#define eT2VU_DM3                      4
#define eT2VU_M3                       5
#define eT2VU_M3_BY_1000               6
#define eT2VU_FT3                      7
#define eT2VU_FT3_BY_1000              8
#define eT2VU_US_GAL                   9
#define eT2VU_IMP_GAL                  10
#define eT2VU_US_MGAL                  11
#define eT2VU_US_PETRO_BBL             12

/*
**********************************************************************
** Totalizer1Mode
**********************************************************************
*/

#define eT1M_POSITIVE                  0
#define eT1M_NEGATIVE                  1
#define eT1M_NEUTRAL                   2

/*
**********************************************************************
** Totalizer2Mode
**********************************************************************
*/

#define eT2M_POSITIVE                  0
#define eT2M_NEGATIVE                  1
#define eT2M_NEUTRAL                   2

/*
**********************************************************************
** StandardFlowUnit
**********************************************************************
*/

#define eSFU_USERUNIT                  0
#define eSFU_STD_M3_S                  1
#define eSFU_STD_M3_MIN                2
#define eSFU_STD_M3_H                  3
#define eSFU_STD_M3_D                  4
#define eSFU_SCFS                      5
#define eSFU_SCFM                      6
#define eSFU_SCFH                      7
#define eSFU_SCFD                      8

/*
**********************************************************************
** NormFlowUnit
**********************************************************************
*/

#define eNFU_USERUNIT                  0
#define eNFU_NORM_M3_S                 1
#define eNFU_NORM_M3_MIN               2
#define eNFU_NORM_M3_H                 3
#define eNFU_NORM_M3_D                 4

/*
**********************************************************************
** FlowType
**********************************************************************
*/

#define eFT_FLOWTYPEMASS               0
#define eFT_FLOWTYPEVOLUME             1
#define eFT_FLOWTYPENORM               2
#define eFT_FLOWTYPESTANDARD           3

/*
**********************************************************************
** Totalizer1MassUnit
**********************************************************************
*/

#define eT1MU_USERUNIT                 0
#define eT1MU_G                        1
#define eT1MU_KG                       2
#define eT1MU_T                        3
#define eT1MU_OZ                       4
#define eT1MU_LB                       5
#define eT1MU_LONG_TON                 6

/*
**********************************************************************
** Totalizer2MassUnit
**********************************************************************
*/

#define eT2MU_USERUNIT                 0
#define eT2MU_G                        1
#define eT2MU_KG                       2
#define eT2MU_T                        3
#define eT2MU_OZ                       4
#define eT2MU_LB                       5
#define eT2MU_LONG_TON                 6

/*
**********************************************************************
** Totalizer1StandardVolumeUnit
**********************************************************************
*/

#define eT1SVU_USERUNIT                0
#define eT1SVU_STD_DM3                 1
#define eT1SVU_STD_M3                  2
#define eT1SVU_SCI                     3
#define eT1SVU_SCF                     4

/*
**********************************************************************
** Totalizer2StandardVolumeUnit
**********************************************************************
*/

#define eT2SVU_USERUNIT                0
#define eT2SVU_STD_DM3                 1
#define eT2SVU_STD_M3                  2
#define eT2SVU_SCI                     3
#define eT2SVU_SCF                     4

/*
**********************************************************************
** Totalizer1NormVolumeUnit
**********************************************************************
*/

#define eT1NVU_USERUNIT                0
#define eT1NVU_NORM_DM3                1
#define eT1NVU_NORM_M3                 2

/*
**********************************************************************
** Totalizer2NormVolumeUnit
**********************************************************************
*/

#define eT2NVU_USERUNIT                0
#define eT2NVU_NORM_DM3                1
#define eT2NVU_NORM_M3                 2

/*
**********************************************************************
** VolumeUnit
**********************************************************************
*/

#define eVU_USERUNIT                   0
#define eVU_L                          1
#define eVU_HL                         2
#define eVU_CM3                        3
#define eVU_DM3                        4
#define eVU_M3                         5
#define eVU_M3_BY_1000                 6
#define eVU_FT3                        7
#define eVU_FT3_BY_1000                8
#define eVU_US_GAL                     9
#define eVU_IMP_GAL                    10
#define eVU_US_PETRO_BBL               11

/*
**********************************************************************
** DensityUnit
**********************************************************************
*/

#define eDU_G_CM3                      0
#define eDU_KG_M3                      1
#define eDU_KG_DM3                     2
#define eDU_US_LB_IN3                  3
#define eDU_US_LB_FT3                  4

/*
**********************************************************************
** LevelAdjustMode
**********************************************************************
*/

#define eLAM_ONLINE                    0
#define eLAM_OFFLINE                   1

/*
**********************************************************************
** LinearisationTableMode
**********************************************************************
*/

#define eLTM_MANUAL                    0
#define eLTM_SEMIAUTOMATIC             1

/*
**********************************************************************
** LinearizationTablePostView
**********************************************************************
*/

#define eLTPV_NEXTLINE                 0
#define eLTPV_LASTPOINT                1
#define eLTPV_ABORT                    2

/*
**********************************************************************
** LevelType
**********************************************************************
*/

#define eLT_TYPE_LINEAR                0
#define eLT_TYPE_LINEARIZED            1
#define eLT_TYPE_COMBINED              2

/*
**********************************************************************
** HeightUnit
**********************************************************************
*/

#define eHU_USERUNIT                   0
#define eHU_MM                         1
#define eHU_CM                         2
#define eHU_DM                         3
#define eHU_M                          4
#define eHU_FT                         5
#define eHU_IN                         6

/*
**********************************************************************
** MassUnit
**********************************************************************
*/

#define eMU_USERUNIT                   0
#define eMU_G                          1
#define eMU_KG                         2
#define eMU_T                          3
#define eMU_OZ                         4
#define eMU_LB                         5
#define eMU_LONG_TON                   6

/*
**********************************************************************
** MeasurandLinear
**********************************************************************
*/

#define eML_HEIGHT                     0
#define eML_VOLUME                     1
#define eML_MASSE                      2
#define eML_PERCENT_HEIGHT             3

/*
**********************************************************************
** MeasurandLinearized
**********************************************************************
*/

#define eML_PRESSURE_AND_VOLUME        0
#define eML_PRESSURE_AND_MASSE         1
#define eML_PRESSURE_AND_PERCENT       2

/*
**********************************************************************
** MeasurandCombined
**********************************************************************
*/

#define eMC_HEIGHT_AND_VOLUME          0
#define eMC_HEIGHT_AND_MASS            1
#define eMC_HEIGHT_AND_PERCENT         2
#define eMC_PERCENT_AND_VOLUME         3
#define eMC_PERCENT_AND_MASS           4
#define eMC_PERCENT_AND_PERCENT        5

/*
**********************************************************************
** LinearizationTableSelection
**********************************************************************
*/

#define eLTS_MEASURINGTABLE            0
#define eLTS_EDITORTABLE               1

/*
**********************************************************************
** LinearizationTablePreEdit
**********************************************************************
*/

#define eLTPE_CONTINUEEDIT             0
#define eLTPE_NEWTABLE                 1
#define eLTPE_EDITMEASUETABLE          2

/*
**********************************************************************
** Pressure1Unit
**********************************************************************
*/

#define eP1U_USERUNIT                  0
#define eP1U_MBAR                      1
#define eP1U_BAR                       2
#define eP1U_MMH2O                     3
#define eP1U_MH2O                      4
#define eP1U_FTH2O                     5
#define eP1U_INH2O                     6
#define eP1U_PA                        7
#define eP1U_HPA                       8
#define eP1U_KPA                       9
#define eP1U_MEGA_PA                   10
#define eP1U_PSI                       11
#define eP1U_MMHG                      12
#define eP1U_INHG                      13
#define eP1U_TORR                      14
#define eP1U_G_CM2                     15
#define eP1U_KG_CM2                    16
#define eP1U_LB_FT2                    17
#define eP1U_ATM                       18
#define eP1U_GF_CM2                    19
#define eP1U_KGF_CM2                   20

/*
**********************************************************************
** Pressure1AcceptZeroInstallOffset
**********************************************************************
*/

#define eP1AZIO_ABORT                  0
#define eP1AZIO_CONFIRM                1

/*
**********************************************************************
** TemperatureUnit
**********************************************************************
*/

#define eTU_DEGC                       0
#define eTU_DEGF                       1
#define eTU_K                          2
#define eTU_R                          3

/*
**********************************************************************
** DisplayLanguage
**********************************************************************
*/

#define eDL_ENGLISH                    0
#define eDL_DEUTSCH                    1
#define eDL_FRANCAIS                   2
#define eDL_ITALIANO                   3
#define eDL_ESPAGNOL                   4
#define eDL_NEDERLANDS                 5
#define eDL_KATAKANA                   6
#define eDL_CHINESE                    7

/*
**********************************************************************
** DisplayAlternatingValues
**********************************************************************
*/

#define eDAV_OFF                       0
#define eDAV_ON                        1

/*
**********************************************************************
** DisplayMainlineContent
**********************************************************************
*/

#define eDMC_MAINMEASUREDVALUE         0
#define eDMC_MAINMEASUREDVALUEPERCENT  1
#define eDMC_PRESSURE                  2
#define eDMC_FLOW                      3
#define eDMC_LEVEL                     4
#define eDMC_TANKCONTENT               5
#define eDMC_CURRENT                   6
#define eDMC_TEMPERATURE               7
#define eDMC_ERRORNUMBER               8
#define eDMC_TOTALIZER1                9
#define eDMC_TOTALIZER2                10

/*
**********************************************************************
** DisplayMainlineFormat
**********************************************************************
*/

#define eDMF_X                         0
#define eDMF_X_X                       1
#define eDMF_X_XX                      2
#define eDMF_X_XXX                     3
#define eDMF_X_XXXX                    4
#define eDMF_X_XXXXX                   5

/*
**********************************************************************
** AutomaticMainLineFormat
**********************************************************************
*/

#define eAMLF_X                        0
#define eAMLF_X_X                      1
#define eAMLF_X_XX                     2
#define eAMLF_X_XXX                    3
#define eAMLF_X_XXXX                   4
#define eAMLF_X_XXXXX                  5
#define eAMLF_AUTO                     6

/*
**********************************************************************
** DatHandling
**********************************************************************
*/

#define eDH_ABORT                      0
#define eDH_DOWNLOAD                   1
#define eDH_UPLOAD                     2

/*
**********************************************************************
** SilLock
**********************************************************************
*/

#define eSL_LOCKING                    0
#define eSL_UNLOCKING                  1

/*
**********************************************************************
** SilDigitsTestAck
**********************************************************************
*/

#define eSDTA_UNVALID                  0
#define eSDTA_VALID                    1

/*
**********************************************************************
** SilAcknowledgeAlarmMode
**********************************************************************
*/

#define eSAAM_UNVALID                  0
#define eSAAM_VALID                    1

/*
**********************************************************************
** SilOperatingMode
**********************************************************************
*/

#define eSOM_UNVALID                   0
#define eSOM_VALID                     1

/*
**********************************************************************
** SilPressure1InstallOffset
**********************************************************************
*/

#define eSP1IO_UNVALID                 0
#define eSP1IO_VALID                   1

/*
**********************************************************************
** SilFlowMax
**********************************************************************
*/

#define eSFM_UNVALID                   0
#define eSFM_VALID                     1

/*
**********************************************************************
** SilFlowMaxPressure
**********************************************************************
*/

#define eSFMP_UNVALID                  0
#define eSFMP_VALID                    1

/*
**********************************************************************
** SilCreepFlowSuppressionEnable
**********************************************************************
*/

#define eSCFSE_UNVALID                 0
#define eSCFSE_VALID                   1

/*
**********************************************************************
** SilCreepFlowSuppressOffThreshold
**********************************************************************
*/

#define eSCFSOT_UNVALID                0
#define eSCFSOT_VALID                  1

/*
**********************************************************************
** SilLowerRangeValue
**********************************************************************
*/

#define eSLRV_UNVALID                  0
#define eSLRV_VALID                    1

/*
**********************************************************************
** SilUpperRangeValue
**********************************************************************
*/

#define eSURV_UNVALID                  0
#define eSURV_VALID                    1

/*
**********************************************************************
** SilFlowmode
**********************************************************************
*/

#define eSF_UNVALID                    0
#define eSF_VALID                      1

/*
**********************************************************************
** SilPressure1Damping
**********************************************************************
*/

#define eSP1D_UNVALID                  0
#define eSP1D_VALID                    1

/*
**********************************************************************
** SilLockStatus
**********************************************************************
*/

#define eSLS_UNLOCKED                  0
#define eSLS_LOCKED                    1

/*
**********************************************************************
** SilCurrentOutput
**********************************************************************
*/

#define eSCO_UNVALID                   0
#define eSCO_VALID                     1

/*
**********************************************************************
** SilCurrentOutputResumed
**********************************************************************
*/

#define eSCOR_SILCURRENTOUTPUTRESUMED  0

/*
**********************************************************************
** SilHighLevelEasy
**********************************************************************
*/

#define eSHLE_UNVALID                  0
#define eSHLE_VALID                    1

/*
**********************************************************************
** SilHighLevelPressureEasy
**********************************************************************
*/

#define eSHLPE_UNVALID                 0
#define eSHLPE_VALID                   1

/*
**********************************************************************
** SilLowLevelEasy
**********************************************************************
*/

#define eSLLE_UNVALID                  0
#define eSLLE_VALID                    1

/*
**********************************************************************
** SilLowLevelPressureEasy
**********************************************************************
*/

#define eSLLPE_UNVALID                 0
#define eSLLPE_VALID                   1

/*
**********************************************************************
** SilLowerRangeValueEasy
**********************************************************************
*/

#define eSLRVE_UNVALID                 0
#define eSLRVE_VALID                   1

/*
**********************************************************************
** SilUpperRangeValueEasy
**********************************************************************
*/

#define eSURVE_UNVALID                 0
#define eSURVE_VALID                   1

/*
**********************************************************************
** DownloadOverwriteSelection
**********************************************************************
*/

#define eDOS_OVERWRITE_CONFIG_ONLY     0
#define eDOS_OVERWRITE_TAG             1
#define eDOS_OVERWRIT_SERIAL_ORDERCD_TAG 2

/*
**********************************************************************
** AlarmBehaviourValue
**********************************************************************
*/

#define eABV_MIN                       0
#define eABV_MAX                       1
#define eABV_HOLD                      2

/*
**********************************************************************
** FourMaCurrentLimit
**********************************************************************
*/

#define eFMCL_3_8_MA                   0
#define eFMCL_4_0_MA                   1

/*
**********************************************************************
** FlowMode
**********************************************************************
*/

#define eFM_PRESSURE_DIFFERENTIAL      0
#define eFM_ROOT                       1

/*
**********************************************************************
** CurrentUnit
**********************************************************************
*/

#define eCU_MA                         0

/*
**********************************************************************
** BurstMode
**********************************************************************
*/

#define eBM_OFF                        0
#define eBM_ON                         1

/*
**********************************************************************
** PressureCurrentOutputCharacteristics
**********************************************************************
*/

#define ePCOC_LINEAR                   0
#define ePCOC_BILINEAR                 1
#define ePCOC_LINEAR_INVERTED          2
#define ePCOC_BILINEAR_INVERTED        3

/*
**********************************************************************
** Pressure1LimitExcessAlarmCurrent
**********************************************************************
*/

#define eP1LEAC_NAMUR                  0
#define eP1LEAC_NORMAL                 1

/*
**********************************************************************
** FlowCurrentOutputCharacteristics
**********************************************************************
*/

#define eFCOC_LINEAR                   0
#define eFCOC_BILINEAR                 1
#define eFCOC_LINEAR_INVERTED          2
#define eFCOC_BILINEAR_INVERTED        3

/*
**********************************************************************
** LevelCurrentOutputCharacteristics
**********************************************************************
*/

#define eLCOC_LINEAR                   0
#define eLCOC_BILINEAR                 1
#define eLCOC_LINEAR_INVERTED          2
#define eLCOC_BILINEAR_INVERTED        3

/*
**********************************************************************
** LevelMode
**********************************************************************
*/

#define eLM_HEIGHT                     0
#define eLM_TANKCONTENT                1

/*
**********************************************************************
** TankContentCurrentCharacteristics
**********************************************************************
*/

#define eTCCC_LINEAR                   0
#define eTCCC_BILINEAR                 1
#define eTCCC_LINEAR_INVERTED          2
#define eTCCC_BILINEAR_INVERTED        3

/*
**********************************************************************
** AcceptPressureLowerRangeValue
**********************************************************************
*/

#define eAPLRV_ABORT                   0
#define eAPLRV_CONFIRM                 1

/*
**********************************************************************
** AcceptPressureUpperRangeValue
**********************************************************************
*/

#define eAPURV_ABORT                   0
#define eAPURV_CONFIRM                 1

/*
**********************************************************************
** PercentUnit
**********************************************************************
*/

#define ePU_PERCENT                    0

/*
**********************************************************************
** SecondUnit
**********************************************************************
*/

#define eSU_SEC                        0

/*
**********************************************************************
** OperatingMode
**********************************************************************
*/

#define eOM_PRESSURE                   0
#define eOM_LEVEL                      1
#define eOM_FLOW                       2

/*
**********************************************************************
** SimulationMode
**********************************************************************
*/

#define eSM_NONE_                      0
#define eSM_PRESSURE                   1
#define eSM_FLOW                       2
#define eSM_LEVEL                      3
#define eSM_TANKCONTENT                4
#define eSM_CURRENT                    5
#define eSM_ALARM                      6

/*
**********************************************************************
** AcknowledgeAlarmMode
**********************************************************************
*/

#define eAAM_OFF                       0
#define eAAM_ON                        1

/*
**********************************************************************
** AcknowledgeAlarm
**********************************************************************
*/

#define eAA_ABORT                      0
#define eAA_CONFIRM                    1

/*
**********************************************************************
** SwitchStatus
**********************************************************************
*/

#define eSS_OFF                        0
#define eSS_ON                         1

/*
**********************************************************************
** ChooseErrorOrWarning
**********************************************************************
*/

#define eCEOW_ERROR                    0
#define eCEOW_WARNING                  1

/*
**********************************************************************
** ResetAlarmHistory
**********************************************************************
*/

#define eRAH_ABORT                     0
#define eRAH_CONFIRM                   1

/*
**********************************************************************
** ValidateLinearisationTable
**********************************************************************
*/

#define eVLT_NO                        0
#define eVLT_YES                       1

/*
**********************************************************************
** LinearizationTablePostEdit
**********************************************************************
*/

#define eLTPE_NEXTLINE                 0
#define eLTPE_LASTPOINT                1
#define eLTPE_ACCEPTTABLE              2
#define eLTPE_ABORT                    3
#define eLTPE_LINADDPOINT              4
#define eLTPE_LINDELPOINT              5

/*
**********************************************************************
** HistoromAvailable
**********************************************************************
*/

#define eHA_NO                         0
#define eHA_YES                        1

/*
**********************************************************************
** SilModeAllowed
**********************************************************************
*/

#define eSMA_NO                        0
#define eSMA_YES                       1

/*
**********************************************************************
** ProcessFlangeGasketMaterial
**********************************************************************
*/

#define ePFGM_NOT_USED                 0
#define ePFGM_UNKNOWN                  1
#define ePFGM_SPECIAL                  2
#define ePFGM_FKM_VITON                3
#define ePFGM_NBR                      4
#define ePFGM_ETHYLPROP                5
#define ePFGM_URETHANE                 6
#define ePFGM_NITRILERUBBER            7
#define ePFGM_KALREZ                   8
#define ePFGM_FKM_VITON_OXYG           9
#define ePFGM_CR                       10
#define ePFGM_MVQ                      11
#define ePFGM_PTFE_GLASS               12
#define ePFGM_PTFE_GRAPHITE            13
#define ePFGM_PTFE_OXYGEN              14
#define ePFGM_COPPER                   15
#define ePFGM_COPPER_OXYGEN            16

/*
**********************************************************************
** ProcessConnectionModel
**********************************************************************
*/

#define ePCM_NOT_USED                  0
#define ePCM_UNKNOWN                   1
#define ePCM_SPECIAL                   2
#define ePCM_OVAL_FLANGE               3
#define ePCM_THREAD_FEMALE             4
#define ePCM_THREAD_MALE               5
#define ePCM_FLANGE                    6
#define ePCM_REMOTE_SEAL               7

/*
**********************************************************************
** ProcessConnectionMaterialPositive
**********************************************************************
*/

#define ePCMP_NOT_USED                 0
#define ePCMP_UNKNOWN                  1
#define ePCMP_SPECIAL                  2
#define ePCMP_CARBON_STEEL             3
#define ePCMP_304_STAINL_STL           4
#define ePCMP_316_STAINL_STL           5
#define ePCMP_ALLOY_C                  6
#define ePCMP_MONEL                    7
#define ePCMP_TANTALUM                 8
#define ePCMP_TITANIUM                 9
#define ePCMP_PTFE                     10
#define ePCMP_316L_STAINL_STL          11
#define ePCMP_PVC                      12
#define ePCMP_INCONEL                  13
#define ePCMP_ECTFE                    14
#define ePCMP_PVDF                     15

/*
**********************************************************************
** ProcessConnectionMaterialNegative
**********************************************************************
*/

#define ePCMN_NOT_USED                 0
#define ePCMN_UNKNOWN                  1
#define ePCMN_SPECIAL                  2
#define ePCMN_CARBON_STEEL             3
#define ePCMN_304_STAINL_STL           4
#define ePCMN_316_STAINL_STL           5
#define ePCMN_ALLOY_C                  6
#define ePCMN_MONEL                    7
#define ePCMN_TANTALUM                 8
#define ePCMN_TITANIUM                 9
#define ePCMN_PTFE                     10
#define ePCMN_316L_STAINL_STL          11
#define ePCMN_PVC                      12
#define ePCMN_INCONEL                  13
#define ePCMN_ECTFE                    14
#define ePCMN_PVDF                     15

/*
**********************************************************************
** ProcessConnectionBoltsMaterial
**********************************************************************
*/

#define ePCBM_NOT_USED                 0
#define ePCBM_UNKNOWN                  1
#define ePCBM_SPECIAL                  2
#define ePCBM_CARBON_STEEL             3
#define ePCBM_STAINLESS_STEEL          4

/*
**********************************************************************
** ProcessConnectionNutsMaterial
**********************************************************************
*/

#define ePCNM_NOT_USED                 0
#define ePCNM_UNKNOWN                  1
#define ePCNM_SPECIAL                  2
#define ePCNM_CARBON_STEEL             3
#define ePCNM_STAINLESS_STEEL          4

/*
**********************************************************************
** ProcessConnectionDrainVentMaterial
**********************************************************************
*/

#define ePCDVM_NOT_USED                0
#define ePCDVM_UNKNOWN                 1
#define ePCDVM_SPECIAL                 2
#define ePCDVM_CARBON_STEEL            3
#define ePCDVM_316L_STAINL_STL         4
#define ePCDVM_ALLOY_C                 5

/*
**********************************************************************
** ProcessConnectionDrainVentPosition
**********************************************************************
*/

#define ePCDVP_NOT_USED                0
#define ePCDVP_UNKNOWN                 1
#define ePCDVP_SPECIAL                 2
#define ePCDVP_STANDARD                3
#define ePCDVP_SIDEWAYS                4

/*
**********************************************************************
** ProcessConnectionThread
**********************************************************************
*/

#define ePCT_NOT_USED                  0
#define ePCT_UNKNOWN                   1
#define ePCT_SPECIAL                   2
#define ePCT_1_4_18NPT                 3
#define ePCT_RC_1_4                    4
#define ePCT_G_1_2A                    5
#define ePCT_G1A                       6
#define ePCT_G1_1_2A                   7
#define ePCT_1_2_MNPT_1_4_FNPT         8
#define ePCT_1_2_MNPT                  9

/*
**********************************************************************
** ProcessConnectionMountingThread
**********************************************************************
*/

#define ePCMT_NOT_USED                 0
#define ePCMT_UNKNOWN                  1
#define ePCMT_SPECIAL                  2
#define ePCMT_M10                      3
#define ePCMT_M12                      4
#define ePCMT_7_16_UNF                 5

/*
**********************************************************************
** ProcessConnectionNrOffRemoteSeals
**********************************************************************
*/

#define ePCNORS_NONE_                  0
#define ePCNORS_ONE                    1
#define ePCNORS_TWO                    2

/*
**********************************************************************
** ProcessConnectionRemoteseal1Type
**********************************************************************
*/

#define ePCR1T_NOT_USED                0
#define ePCR1T_UNKNOWN                 1
#define ePCR1T_SPECIAL                 2
#define ePCR1T_ISO228_G_1_2_A          3
#define ePCR1T_ISO0228_G1A             4
#define ePCR1T_ISO0228_G1_1_2_A        5
#define ePCR1T_ISO0228_G2A             6
#define ePCR1T_ANSI_1_MNPT             7
#define ePCR1T_ANSI_1_1_2_MNPT         8
#define ePCR1T_ANSI_2_MNPT             9
#define ePCR1T_DN25_PN10_40_B1         10
#define ePCR1T_DN25_PN64_160_E         11
#define ePCR1T_DN25_PN250_E            12
#define ePCR1T_DN25_PN400_E            13
#define ePCR1T_DN32_PN25_40_B1         14
#define ePCR1T_DN40_PN25_40_B1         15
#define ePCR1T_DN50_PN10_40_B1         16
#define ePCR1T_DN50_PN25_40_A          17
#define ePCR1T_DN50_PN64_B1            18
#define ePCR1T_DN50_PN100_160_E        19
#define ePCR1T_DN50_PN250_E            20
#define ePCR1T_DN50_PN400_E            21
#define ePCR1T_DN80_PN25_40_A          22
#define ePCR1T_DN80_PN10_40_B1         23
#define ePCR1T_DN80_PN100_B1           24
#define ePCR1T_DN100_PN10_16_A         25
#define ePCR1T_DN100_PN25_40_A         26
#define ePCR1T_DN100_PN25_40_B1        27
#define ePCR1T_DN100_PN100_B1          28
#define ePCR1T_1_150LBS_RF             29
#define ePCR1T_1_300LBS_RF             30
#define ePCR1T_1_400_600_LBS_RF        31
#define ePCR1T_1_900_1500_LBS_RF       32
#define ePCR1T_1_2500LBS_RF            33
#define ePCR1T_1_1_2_150LBS_RF         34
#define ePCR1T_1_1_2_300LBS_RF         35
#define ePCR1T_2_150LBS_RF             36
#define ePCR1T_2_300LBS_RF             37
#define ePCR1T_2_400_600LBS_RF         38
#define ePCR1T_2_900_1500_LBS_RF       39
#define ePCR1T_2_2500_LBS_RF           40
#define ePCR1T_3_150LBS_RF             41
#define ePCR1T_3_300LBS_RF             42
#define ePCR1T_4_150LBS_RF             43
#define ePCR1T_4_300LBS_RF             44
#define ePCR1T_10K_50A_RF              45
#define ePCR1T_10K_80A_RF              46
#define ePCR1T_10K_100A_RF             47
#define ePCR1T_SEPAR_G1_2A_PN40        48
#define ePCR1T_SEPAR_G1_2A_PN160       49
#define ePCR1T_SEPAR_1_2MNPT_PN40      50
#define ePCR1T_SEPAR_1_2MNPT_PN160     51
#define ePCR1T_SEPAR_G1_2B_PN40        52
#define ePCR1T_SEPAR_1_2FNPT_PN40      53
#define ePCR1T_1_2_NPT_OFF_LINE        54
#define ePCR1T_1_NPT_OFF_LINE          55
#define ePCR1T_CELL_DN50_PN16_400      56
#define ePCR1T_CELL_DN80_PN16_400      57
#define ePCR1T_CELL_DN100PN16_400      58
#define ePCR1T_CELL_2_150_2500LBS      59
#define ePCR1T_CELL_3_150_2500LBS      60
#define ePCR1T_CELL_4_150_2500LBS      61
#define ePCR1T_TRICLAMP1_DN25_38       62
#define ePCR1T_TRICLAMP2_DN40_51       63
#define ePCR1T_TRICLAMP3_DN70_76       64
#define ePCR1T_PIPETRICLAMP1_DN25      65
#define ePCR1T_PIPETRICLAMP1_1_2       66
#define ePCR1T_PIPETRICLAMP2_DN51      67
#define ePCR1T_VARIVPIPEDN40_162       68
#define ePCR1T_DRD65MM_PN25            69
#define ePCR1T_SANTANKSPUD_TUB2        70
#define ePCR1T_DIN11851DN50PN25        71
#define ePCR1T_DIN11851DN65PN25        72
#define ePCR1T_DIN11851DN80PN25        73

/*
**********************************************************************
** ProcessConnectionRemoteseal2Type
**********************************************************************
*/

#define ePCR2T_NOT_USED                0
#define ePCR2T_UNKNOWN                 1
#define ePCR2T_SPECIAL                 2
#define ePCR2T_ISO228_G_1_2_A          3
#define ePCR2T_ISO0228_G1A             4
#define ePCR2T_ISO0228_G1_1_2_A        5
#define ePCR2T_ISO0228_G2A             6
#define ePCR2T_ANSI_1_MNPT             7
#define ePCR2T_ANSI_1_1_2_MNPT         8
#define ePCR2T_ANSI_2_MNPT             9
#define ePCR2T_DN25_PN10_40_B1         10
#define ePCR2T_DN25_PN64_160_E         11
#define ePCR2T_DN25_PN250_E            12
#define ePCR2T_DN25_PN400_E            13
#define ePCR2T_DN32_PN25_40_B1         14
#define ePCR2T_DN40_PN25_40_B1         15
#define ePCR2T_DN50_PN10_40_B1         16
#define ePCR2T_DN50_PN25_40_A          17
#define ePCR2T_DN50_PN64_B1            18
#define ePCR2T_DN50_PN100_160_E        19
#define ePCR2T_DN50_PN250_E            20
#define ePCR2T_DN50_PN400_E            21
#define ePCR2T_DN80_PN25_40_A          22
#define ePCR2T_DN80_PN10_40_B1         23
#define ePCR2T_DN80_PN100_B1           24
#define ePCR2T_DN100_PN10_16_A         25
#define ePCR2T_DN100_PN25_40_A         26
#define ePCR2T_DN100_PN25_40_B1        27
#define ePCR2T_DN100_PN100_B1          28
#define ePCR2T_1_150LBS_RF             29
#define ePCR2T_1_300LBS_RF             30
#define ePCR2T_1_400_600_LBS_RF        31
#define ePCR2T_1_900_1500_LBS_RF       32
#define ePCR2T_1_2500LBS_RF            33
#define ePCR2T_1_1_2_150LBS_RF         34
#define ePCR2T_1_1_2_300LBS_RF         35
#define ePCR2T_2_150LBS_RF             36
#define ePCR2T_2_300LBS_RF             37
#define ePCR2T_2_400_600LBS_RF         38
#define ePCR2T_2_900_1500_LBS_RF       39
#define ePCR2T_2_2500_LBS_RF           40
#define ePCR2T_3_150LBS_RF             41
#define ePCR2T_3_300LBS_RF             42
#define ePCR2T_4_150LBS_RF             43
#define ePCR2T_4_300LBS_RF             44
#define ePCR2T_10K_50A_RF              45
#define ePCR2T_10K_80A_RF              46
#define ePCR2T_10K_100A_RF             47
#define ePCR2T_SEPAR_G1_2A_PN40        48
#define ePCR2T_SEPAR_G1_2A_PN160       49
#define ePCR2T_SEPAR_1_2FNPT_PN40      50
#define ePCR2T_SEPAR_1_2MNPT_PN160     51
#define ePCR2T_SEPAR_G1_2B_PN40        52
#define ePCR2T_SEPAR_1_2MNPT_PN40      53
#define ePCR2T_1_NPT_OFF_LINE          54
#define ePCR2T_1_2_NPT_OFF_LINE        55
#define ePCR2T_CELL_DN100PN16_400      56
#define ePCR2T_CELL_DN80_PN16_400      57
#define ePCR2T_CELL_DN50_PN16_400      58
#define ePCR2T_CELL_2_150_2500LBS      59
#define ePCR2T_CELL_3_150_2500LBS      60
#define ePCR2T_CELL_4_150_2500LBS      61
#define ePCR2T_TRICLAMP1_DN25_38       62
#define ePCR2T_TRICLAMP2_DN40_51       63
#define ePCR2T_TRICLAMP3_DN70_76       64
#define ePCR2T_PIPETRICLAMP1_DN25      65
#define ePCR2T_PIPETRICLAMP1_1_2       66
#define ePCR2T_PIPETRICLAMP2_DN51      67
#define ePCR2T_VARIVPIPEDN40_162       68
#define ePCR2T_DRD65MM_PN25            69
#define ePCR2T_SANTANKSPUD_TUB2        70
#define ePCR2T_DIN11851DN50PN25        71
#define ePCR2T_DIN11851DN65PN25        72
#define ePCR2T_DIN11851DN80PN25        73

/*
**********************************************************************
** ProcessRemoteseal1DiaphragmMaterial
**********************************************************************
*/

#define ePR1DM_NOT_USED                0
#define ePR1DM_UNKNOWN                 1
#define ePR1DM_SPECIAL                 2
#define ePR1DM_316L_STAINL_STL         3
#define ePR1DM_ALLOY_C_276             4
#define ePR1DM_MONEL                   5
#define ePR1DM_TANTALUM                6
#define ePR1DM_316L_GOLD_RHODIUM       7
#define ePR1DM_316L_PTFE_FOIL          8

/*
**********************************************************************
** ProcessRemoteseal2DiaphragmMaterial
**********************************************************************
*/

#define ePR2DM_NOT_USED                0
#define ePR2DM_UNKNOWN                 1
#define ePR2DM_SPECIAL                 2
#define ePR2DM_316L_STAINL_STL         3
#define ePR2DM_ALLOY_C_276             4
#define ePR2DM_MONEL                   5
#define ePR2DM_TANTALUM                6
#define ePR2DM_316L_GOLD_RHODIUM       7
#define ePR2DM_316L_PTFE_FOIL          8

/*
**********************************************************************
** ProcessRemoteSealFillFluid
**********************************************************************
*/

#define ePRSFF_NOT_USED                0
#define ePRSFF_UNKNOWN                 1
#define ePRSFF_SPECIAL                 2
#define ePRSFF_SILICON_OIL             3
#define ePRSFF_MINERAL_OIL             4
#define ePRSFF_INERT_OIL               5
#define ePRSFF_HIGH_TEMP_OIL           6
#define ePRSFF_VEGETABLE_OIL           7

/*
**********************************************************************
** SensorDiaphragmMaterial
**********************************************************************
*/

#define eSDM_UNKNOWN                   0
#define eSDM_SS316L_AU_RH              1
#define eSDM_316L_STAINL_STL           2
#define eSDM_HASTELLOYC276             3
#define eSDM_MONEL                     4
#define eSDM_TANTAL                    5
#define eSDM_PFTE_316SST               6
#define eSDM_SPECIAL                   7
#define eSDM_CERAMIC                   8

/*
**********************************************************************
** SensorFillFluid
**********************************************************************
*/

#define eSFF_SPECIAL                   0
#define eSFF_WITHOUT                   1
#define eSFF_SILICON_OIL               2
#define eSFF_VEGETABLE_OIL             3
#define eSFF_HIGH_TEMP_OIL             4
#define eSFF_INERT_OIL                 5
#define eSFF_MINERAL_OIL               6
#define eSFF_UNKNOWN                   7

/*
**********************************************************************
** ResetTransmitterObservation
**********************************************************************
*/

#define eRTO_NONE_                     0
#define eRTO_MAX_PRESSURE              1
#define eRTO_MIN_PRESSURE              2
#define eRTO_PMAX_NUMBER               3
#define eRTO_PMIN_NUMBER               4
#define eRTO_MAX_TEMP                  5
#define eRTO_MIN_TEMP                  6
#define eRTO_TMAX_NUMBER               7
#define eRTO_TMIN_NUMBER               8
#define eRTO_RESET_ALL                 9

/*
**********************************************************************
** Tendency
**********************************************************************
*/

#define eT_CONSTANT                    0
#define eT_DECREASING                  1
#define eT_INCREASING                  2

/*
**********************************************************************
** SensorMeasurementType
**********************************************************************
*/

#define eSMT_UNKNOWN                   0
#define eSMT_DELTA                     1
#define eSMT_RELATIVE                  2
#define eSMT_ABSOLUTE                  3
#define eSMT_MULTI                     4

/*
**********************************************************************
** DensityUnitEasy
**********************************************************************
*/

#define eDUE_G_CM3                     0
#define eDUE_KG_M3                     1
#define eDUE_KG_DM3                    2
#define eDUE_US_LB_IN3                 3
#define eDUE_US_LB_FT3                 4

/*
**********************************************************************
** HeightUnitEasy
**********************************************************************
*/

#define eHUE_MM                        0
#define eHUE_CM                        1
#define eHUE_DM                        2
#define eHUE_M                         3
#define eHUE_FT                        4
#define eHUE_IN                        5

/*
**********************************************************************
** LevelAdjustModeEasy
**********************************************************************
*/

#define eLAME_ONLINE                   0
#define eLAME_OFFLINE                  1

/*
**********************************************************************
** OutUnitEasy
**********************************************************************
*/

#define eOUE_EASY_CM                   0
#define eOUE_EASY_CM3                  1
#define eOUE_EASY_DM                   2
#define eOUE_EASY_DM3                  3
#define eOUE_EASY_FT                   4
#define eOUE_EASY_FT3                  5
#define eOUE_EASY_FT3_BY_1000          6
#define eOUE_EASY_G                    7
#define eOUE_EASY_HL                   8
#define eOUE_EASY_IMP_GAL              9
#define eOUE_EASY_IN                   10
#define eOUE_EASY_KG                   11
#define eOUE_EASY_L                    12
#define eOUE_EASY_LB                   13
#define eOUE_EASY_LONG_TON             14
#define eOUE_EASY_M                    15
#define eOUE_EASY_M3                   16
#define eOUE_EASY_M3_BY_1000           17
#define eOUE_EASY_MM                   18
#define eOUE_EASY_OZ                   19
#define eOUE_EASY_PERCENT              20
#define eOUE_EASY_T                    21
#define eOUE_EASY_US_GAL               22
#define eOUE_EASY_US_PETRO_BBL         23

/*
**********************************************************************
** ConfigurationType
**********************************************************************
*/

#define eCT_EXPERTLEVEL                0
#define eCT_EASYPRESSURELEVEL          1
#define eCT_EASYHEIGHTLEVEL            2

/*
**********************************************************************
** Pressure1InputInversion
**********************************************************************
*/

#define eP1II_NO                       0
#define eP1II_YES                      1

/*
**********************************************************************
** FlowUnit
**********************************************************************
*/


/*
**********************************************************************
** Totalizer1Unit
**********************************************************************
*/


/*
**********************************************************************
** Totalizer2Unit
**********************************************************************
*/


/*
**********************************************************************
** CurrentOutputCharacteristics
**********************************************************************
*/

#define eCOC_LINEAR                    0
#define eCOC_BILINEAR                  1
#define eCOC_LINEAR_INVERTED           2
#define eCOC_BILINEAR_INVERTED         3

/*
**********************************************************************
** LevelUnit
**********************************************************************
*/


/*
**********************************************************************
** TankContentUnit
**********************************************************************
*/


/*
**********************************************************************
** Measurand
**********************************************************************
*/


/*
**********************************************************************
** VirtualLevelUnitDensity
**********************************************************************
*/

#define eVLUD_G_CM3                    0
#define eVLUD_KG_M3                    1
#define eVLUD_KG_DM3                   2
#define eVLUD_US_LB_IN3                3
#define eVLUD_US_LB_FT3                4

/*
**********************************************************************
** VirtualVolumeUnit
**********************************************************************
*/

#define eVVU_USERUNIT                  0
#define eVVU_L                         1
#define eVVU_HL                        2
#define eVVU_CM3                       3
#define eVVU_DM3                       4
#define eVVU_M3                        5
#define eVVU_M3_BY_1000                6
#define eVVU_FT3                       7
#define eVVU_FT3_BY_1000               8
#define eVVU_US_GAL                    9
#define eVVU_IMP_GAL                   10
#define eVVU_US_PETRO_BBL              11
/*
**********************************************************************
** PARAMETER TEXT |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/



/*
**********************************************************************
** ENUM TEXT |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


/*
**********************************************************************
** Totalizer1Reset internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_Totalizer1Reset {0,"|en|Abort|de|Abbrechen|fr|Interrompre|it|Interrompi"},  \
	{1,"|en|Reset|de|Rcksetzen|fr|Remise  zro|it|Reset"}

/*
**********************************************************************
** MassFlowUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_MassFlowUnit {0,"|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"},  \
	{1,"|en|g/s"}, \
	{2,"|en|kg/s"}, \
	{3,"|en|kg/min"}, \
	{4,"|en|kg/h"}, \
	{5,"|en|t/s"}, \
	{6,"|en|t/min"}, \
	{7,"|en|t/h"}, \
	{8,"|en|t/d"}, \
	{9,"|en|oz/s"}, \
	{10,"|en|oz/min"}, \
	{11,"|en|lb/s"}, \
	{12,"|en|lb/min"}, \
	{13,"|en|lb/h"}, \
	{14,"|en|ton/s"}, \
	{15,"|en|ton/min"}, \
	{16,"|en|ton/h"}, \
	{17,"|en|ton/d"}

/*
**********************************************************************
** CreepFlowSuppressionEnable internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_CreepFlowSuppressionEnable {0,"|en|Off|de|Aus|fr|Arrt|it|Off"},  \
	{1,"|en|On|de|An|fr|Marche|it|On"}

#define  FlowMaxTEXT                                   "|en|Max. Flow|de|Max. Durchfluss|fr|Dbit Max|it|Max. Portata";
#define  CreepFlowSuppressionHysteresisTEXT            "|en|Creep Flow Hyst.|de|Schleichm. Hyst.|fr|Hyst. Supp.Debit|it|Ist.Bassa Port.";
#define  CreepFlowSuppressionOffThresholdTEXT          "|en|Set.L.Fl.Cut-Off|de|Schleichm.Setzen|fr|Val.Dbit Fuite|it|Valore Cut-Off";
#define  Totalizer1UnitScaleTEXT                       "|en|Fact.U.U.Total.1|de|Fakt.Ben.Einh.S1|fr|Fact.Totalisat1|it|Fatt. Totalizz.1";
#define  Totalizer2UnitScaleTEXT                       "|en|Fact.U.U.Total.2|de|Fakt.Ben.Einh.S2|fr|Fact.Totalisat2|it|Fatt.Totalizz. 2";
#define  Totalizer1ResetTEXT                           "|en|Reset Totaliser1|de|Reset Summenz. 1|fr|Reset Totalis.1|it|Reset Totalizz 1";
#define  FlowAfterSuppressionTEXT                      "|en|Suppressed Flow|de|Durchfluss|fr|Dbit|it|Portata";
#define  MassFlowUnitTEXT                              "|en|Mass Flow Unit|de|Einh. Massefluss|fr|Unit Db.Masse|it|Unita' Di Massa";
#define  CreepFlowSuppressionEnableTEXT                "|en|Low Flow Cut-Off|de|Schleichm. Modus|fr|Supp.Dbit Fuite|it|Attiva Cut-Off";
#define  VolumeFlowUnitTEXT                            "|en|Unit Flow|de|Einh. Durchfluss|fr|Unit Dbit|it|Unit Portata";
#define  Totalizer1VolumeUnitTEXT                      "|en|Totalizer 1 Unit|de|Einh.Summenz. 1|fr|Unit Totalis.1|it|Unit Totalizz 1";
#define  Totalizer2VolumeUnitTEXT                      "|en|Totalizer 2 Unit|de|Einh.Summenz. 2|fr|Unit Totalis.2|it|Unit Totalizz 2";
#define  Totalizer1ModeTEXT                            "|en|Neg. Flow Tot. 1|de|Modus Summenz. 1|fr|Mode Totalis.1|it|Mod.Totalizz 1";
#define  Totalizer2ModeTEXT                            "|en|Neg. Flow Tot. 2|de|Modus Summenz. 2|fr|Mode Totalis.2|it|Mod.Totalizz 2";
#define  VolumeUnitScaleTEXT                           "|en|Cust.Unit Fact.V|de|Fakt.Ben.Einh. V|fr|Fact.Unit Vol|it|Fatt.Unit Lib.V";
#define  VolumeUnitTextTEXT                            "|en|Customer Unit V|de|Ben. Einheit V|fr|Unit Utilisat.V|it|Unit Libera V";
#define  FlowUnitScaleTEXT                             "|en|Cust.Unit Fact.F|de|Fakt.Ben.Einh.F|fr|Fact.Unit Ut.F|it|Fatt.Unit Lib.F";
#define  FlowUnitTextTEXT                              "|en|Customer Unit F|de|Ben. Einheit F|fr|Unit Utilisat.F|it|Unit Libera F";
#define  Totalizer1UnitTextTEXT                        "|en|Tot. 1 User Unit|de|Ben.Einh.Sum. 1|fr|Tot1 Unit.U.Text|it|Tot1 Testo Unita";
#define  Totalizer2UnitTextTEXT                        "|en|Tot. 2 Unit Text|de|Ben.Einh.Sum. 2|fr|Tot2 Unit.U.Text|it|Tot2 Testo Unita";
#define  StandardFlowUnitTEXT                          "|en|Std. Flow Unit|de|Std.Durchfl.Einh|fr|Unit Db. Std.|it|Unita' Port.Std.";
#define  FlowMaxPressureTEXT                           "|en|Max Press. Flow|de|Max.Druck Fluss|fr|Press.Max Dbit|it|Max Press Port.";
#define  FlowSimulationValueTEXT                       "|en|Sim.Flow Value|de|Sim.Durchfl.Wert|fr|Sim.Valeur Debit|it|Sim. Val. Portat";
#define  NormFlowUnitTEXT                              "|en|Norm Flow Unit|de|Norm.Durchfl.Ein|fr|Unit Db.Norm.|it|Un. Port. Norm.";
#define  FlowTypeTEXT                                  "|en|Flow-Meas. Type|de|Durchflusstyp|fr|Type De Dbit|it|Tipo Portata";
#define  Totalizer1StringValueTEXT                     "|en|Totaliser 1|de|Summenzhler 1|fr|Totalisateur 1|it|Totalizz. 1";
#define  Totalizer1StringOverflowTEXT                  "|en|Total.1 Overflow|de|Summenz.1 berl.|fr|Tot.1 Dpassemt|it|Overflow Tot. 1";
#define  Totalizer1StringMainTEXT                      "|en|Totalizer1|de|Summenz.1|fr|Totalisateur 1|it|Totalizer1";
#define  Totalizer2StringValueTEXT                     "|en|Totaliser 2|de|Summenzhler 2|fr|Totalisateur 2|it|Totalizz. 2";
#define  Totalizer2StringOverflowTEXT                  "|en|Total.2 Overflow|de|Summenz.2 berl.|fr|Tot. 2 Dpassemt|it|Overflow Tot. 2";
#define  Totalizer2StringMainTEXT                      "|en|Totalizer 2|de|Summenz.2|fr|Totalisateur 2|it|Totalizer 2";
#define  Totalizer1MassUnitTEXT                        "|en|Totalizer 1 Unit|de|Einh.Summenz. 1|fr|Unit Totalis.1|it|Unit Totalizz 1";
#define  Totalizer2MassUnitTEXT                        "|en|Totalizer 2 Unit|de|Einh.Summenz. 2|fr|Unit Totalis.2|it|Unit Totalizz 2";
#define  Totalizer1StandardVolumeUnitTEXT              "|en|Totalizer 1 Unit|de|Einh.Summenz. 1|fr|Unit Totalis.1|it|Unit Totalizz 1";
#define  Totalizer2StandardVolumeUnitTEXT              "|en|Totalizer 2 Unit|de|Einh.Summenz. 2|fr|Unit Totalis.2|it|Unit Totalizz 2";
#define  Totalizer1NormVolumeUnitTEXT                  "|en|Totalizer 1 Unit|de|Einh.Summenz. 1|fr|Unit Totalis.1|it|Unit Totalizz 1";
#define  Totalizer2NormVolumeUnitTEXT                  "|en|Totalizer 2 Unit|de|Einh.Summenz. 2|fr|Unit Totalis.2|it|Unit Totalizz 2";
#define  LinearisationTableIndexTEXT                   "|en|Line-Numb:|de|Zeilen-Nr:|fr|NLigne:|it|Nr Riga :";
#define  LinearisationTableXValueTEXT                  "|en|X-Val:|de|X-Wert:|fr|Val.X:|it|Val.X:";
#define  LinearisationTableYValueTEXT                  "|en|Y-Val:|de|Y-Wert:|fr|Val.Y:|it|Val.Y:";
#define  MassUnitScaleTEXT                             "|en|Cust.Unit Fact.M|de|Fakt.Ben.Einh. M|fr|Fact.Unit Mas|it|Fatt.Unit Lib.M";
#define  MeasuredLevelAfterSimulationTEXT              "|en|Level Before Lin|de|Fllstand V.Lin.|fr|Niveau Actuel|it|Misura Livello";
#define  MeasuredTankContentAfterSimulationTEXT        "|en|Tank Content|de|Tankinhalt|fr|Contenu Cuve|it|Contenuto Serb.";
#define  LowLevelPressureTEXT                          "|en|Empty Pressure|de|Druck Leer|fr|Press. Cuve Vide|it|Min.Val.Press.";
#define  LowLevelTEXT                                  "|en|Empty Calib.|de|Abgleich Leer|fr|talonnage Vide|it|Calib.Di Vuoto";
#define  HighLevelTEXT                                 "|en|Full Calib.|de|Abgleich Voll|fr|talonnage Plein|it|Calib.Di Pieno";
#define  LevelAdjustDensityTEXT                        "|en|Adjust Density|de|Dichte Abgleich|fr|Densit Calibrat|it|Aggiust.Densita'";
#define  HighLevelPressureTEXT                         "|en|Full Pressure|de|Druck Voll|fr|Press.Cuve Plein|it|Massima Press.";
#define  VolumeUnitTEXT                                "|en|Unit Volume|de|Einheit Volumen|fr|Unit Volume|it|Unit Volumi";
#define  LinearisationTableXBufferTEXT                 "|en|Activ Lin.Tab.X|de|Aktive Lin.Tab.X|fr|Table L.Act.X|it|Activ Lin.Tab.X";
#define  LinearLevelMaxTEXT                            "|en|Level Max|de|Fllhhe Max.|fr|Niveau Max.|it|Livello Max";
#define  LinearisationTableYBufferTEXT                 "|en|Activ Lin.Tab.Y|de|Aktive Lin.Tab.Y|fr|Table L. Act.Y|it|Activ Lin.Tab.Y";
#define  ReadOnlyLevelAdjustDensityTEXT                "|en|Adjust Density|de|Dichte Abgleich|fr|Densit Calibrat|it|Aggiust.Densita'";
#define  LevelMeasurementDensityTEXT                   "|en|Process Density|de|Dichte Prozess|fr|Densit Process|it|Densita' Di Pro.";
#define  DensityUnitTEXT                               "|en|Density Unit|de|Einheit Dichte|fr|Unit Densit|it|Unita' Densita'";
#define  Level100PercentValueTEXT                      "|en|100% Point|de|100% Punkt|fr|Niveau 100%|it|Livello 100%";
#define  LevelOffsetTEXT                               "|en|Zero Position|de|Nullpunktversatz|fr|Position Zro|it|Posiz. Di Zero";
#define  LevelAdjustModeTEXT                           "|en|Calibration Mode|de|Abgleichmodus|fr|Mode talonnage|it|Modal. Taratura";
#define  LinearPressureMinTEXT                         "|en|Hydr. Press Min.|de|Hydr. Druck Min.|fr|Press.Hydro.Min.|it|Press.Idrost.Min";
#define  LinearPressureMaxTEXT                         "|en|Hydr. Press Max.|de|Hydr. Druck Max.|fr|Press.Hydro.Max.|it|Press.Idrost.Max";
#define  TankContentMinTEXT                            "|en|Tank Content Min|de|Tankinhalt Min.|fr|Contenu Minimum|it|Cont. Min.Serbat";
#define  LinearLevelMinTEXT                            "|en|Level Min|de|Fllhhe Min.|fr|Niveau Min.|it|Livello Min.";
#define  TankContentSimulationValueTEXT                "|en|Sim. Tank Cont.|de|Sim. Tankinhalt|fr|Simulat. Contenu|it|Simulaz. Conten.";
#define  LinearisationTableModeTEXT                    "|en|Lin. Edit Mode|de|Tab.Eingabemodus|fr|Mode Tableau Lin|it|Inser. Tabella";
#define  ReadOnlyLinearisationTableXValueTEXT          "|en|X-Val:|de|X-Wert:|fr|Val. X:|it|Valore Livello";
#define  MassUnitTextTEXT                              "|en|Customer Unit M|de|Ben. Einheit M|fr|Unit Utilisat.M|it|Unit Libera M";
#define  LevelTankDescriptionTEXT                      "|en|Tank Description|de|Tankbeschreibung|fr|Description Cuve|it|Descr. Serbatoio";
#define  TankContentMaxTEXT                            "|en|Tank Content Max|de|Tankinhalt Max.|fr|Contenu Maximum|it|Cont.Serb.Max";
#define  LevelSimulationValueTEXT                      "|en|Sim. Level|de|Sim. Fll.V.Lin.|fr|Simulat. Niveau|it|Simulaz. Livello";
#define  LinearizationTablePostViewTEXT                "|en|Measuring Table|de|Messtabelle|fr|Table De Mesure|it|Tabella Di Misur";
#define  LevelTypeTEXT                                 "|en|Level Mode|de|Fllstandstyp|fr|Type De Niveau|it|Modo Livello";
#define  HeightUnitTEXT                                "|en|Height Unit|de|Einheit Hhe|fr|Unit Hauteur|it|Unita' Altezza";
#define  MassUnitTEXT                                  "|en|Mass Unit|de|Einheit Masse|fr|Unit Masse|it|Unita' Massa";
#define  HeightUnitScaleTEXT                           "|en|Cust.Unit Fact.H|de|Fakt.Ben.Einh. H|fr|Fact.Unit Ut.H|it|Fatt.Unita Lib.H";
#define  HeightUnitTextTEXT                            "|en|Customer Unit H|de|Ben. Einheit H|fr|Unit Utilisat.H|it|Unit Libera H";
#define  MeasurandLinearTEXT                           "|en|Lin. Measurand|de|Messgr. Linear|fr|Valeur Linaire|it|Grand. Mis. Lin.";
#define  MeasurandLinearizedTEXT                       "|en|Lind. Measurand|de|Messgr.Linearis.|fr|Valeur Linearise|it|Grand. Linear.Ta";
#define  MeasurandCombinedTEXT                         "|en|Comb.Measurand|de|Messgr.Komb.|fr|Valeur Combinee|it|Grand. Combinata";
#define  LinearizationTableSelectionTEXT               "|en|Table Selection|de|Tabellenauswahl|fr|Select. Table L.|it|Tabella Di Selez";
#define  LinearizationTablePreEditTEXT                 "|en|Editor Table|de|Tabelleneditor|fr|Table Ddition|it|Editor Di Tabell";
#define  AccelerationOfGravityTEXT                     "|en|Acc. Of Gravity|de|Gravitation|fr|Gravitation|it|Acc. Di Gravita'";
#define  ActivePressure1DampingTEXT                    "|en|Damping Value|de|Wert Dmpfung|fr|Temps Integrat.|it|Valore Damping";
#define  Pressure1LowerCalWrittenTEXT                  "|en|Low Sensor Trim|de|Low Sensor Trim|fr|talonn.Cell.0%|it|Aggiu. 0% Cella";
#define  Pressure1LowerCalMeasuredTEXT                 "|en|Lo Trim Measured|de|Lo Trim Messwert|fr|Mesure Cal.Basse|it|Aggiu. Valore 0%";
#define  Pressure1UpperCalWrittenTEXT                  "|en|High Sensor Trim|de|High Sensor Trim|fr|talon.Cell.100%|it|Aggiu.100% Cella";
#define  Pressure1UpperCalMeasuredTEXT                 "|en|Hi Trim Measured|de|Hi Trim Messwert|fr|Mesure Cal.Haute|it|Aggi.Valore 100%";
#define  Pressure1InstallOffsetTEXT                    "|en|Calib. Offset|de|Lageoffset|fr|Offset Position|it|Posicin Offset";
#define  Pressure1AcceptInstallOffsetTEXT              "|en|Pos. Input Value|de|Lagesollwert|fr|Valeur Posit. 0|it|Valore Per Posiz";
#define  Pressure1UserLowLimitTEXT                     "|en|Pminalarm Window|de|Pmin Prozess|fr|Pression Mini|it|Processo Pmin";
#define  Pressure1UserHighLimitTEXT                    "|en|Pmaxalarm Window|de|Pmax Prozess|fr|Pression Maxi|it|Processo Pmax";
#define  Pressure1SimulationValueTEXT                  "|en|Sim. Pressure|de|Sim. Druckwert|fr|Simul. Pression|it|Val. Simul. Mis.";
#define  Pressure1UnitTEXT                             "|en|Press. Eng. Unit|de|Einheit Druck|fr|Unit Pression|it|Unit Pressione";
#define  Pressure1UnitTextTEXT                         "|en|Customer Unit P|de|Ben. Einheit P|fr|Unit Utilisat.P|it|Unit Libera P";
#define  Pressure1UnitScaleTEXT                        "|en|Cust.Unit Fact.P|de|Fakt.Ben.Einh. P|fr|Fact. Unit Ut.P|it|Fatt.Unit Lib.P";
#define  Pressure1AfterCalibrationTEXT                 "|en|Corrected Press.|de|Druck N. Lagekor|fr|Press.Apres Corr|it|Press.Corretta";
#define  Pressure1AfterSensorTEXT                      "|en|Sensor Pressure|de|Sensor Druck|fr|Pression Cellule|it|Press. Al Sens.";
#define  Pressure1AfterDampingTEXT                     "|en|Pressure|de|Druck Gemessen|fr|Pression Mesure|it|Pressione";
#define  Pressure1AcceptZeroInstallOffsetTEXT          "|en|Pos.Zero Adjust|de|Lagekorrektur|fr|Correct.Position|it|Imp.Zero Posiz.";
#define  Temperature1UserLowLimitTEXT                  "|en|Tminalarm Window|de|Tmin Prozess|fr|Temperature Mini|it|Processo Tmin";
#define  Temperature1UserHighLimitTEXT                 "|en|Tmaxalarm Window|de|Tmax Prozess|fr|Temperature Maxi|it|Processo Tmax";
#define  TemperatureUnitTEXT                           "|en|Temp. Eng. Unit|de|Temp. Einheit|fr|Unit Tempratur|it|Unit Temperat.";
#define  MeasuredTemperature1TEXT                      "|en|Sensor Temp.|de|Temp. Sensor|fr|Temp. Cellule|it|Sens. Di Temp.";
#define  MeasuredTemperature3TEXT                      "|en|Pcb Temperature|de|Temp. Elektronik|fr|Temp.lectroniq.|it|Temp. Elettron.";
#define  DisplayLanguageTEXT                           "|en|Language|de|Sprache|fr|Langue|it|Lingua";
#define  DisplayContrastTEXT                           "|en|Display Contrast|de|Kontrast Anzeige|fr|Contraste Affich|it|Contras. Display";
#define  DisplayAlternatingValuesTEXT                  "|en|Alternate Data|de|Anz Alternierend|fr|Affich. Alterne|it|Display Altern.";
#define  DisplayMainlineContentTEXT                    "|en|Main Line Cont.|de|Inhalt Hauptzeile|fr|Cont. Ligne Prin|it|Cont. Riga Princ";
#define  DisplayMainlineFormatTEXT                     "|en|Main Line Format|de|Format Hauptzeile|fr|Fmat Ligne Princ|it|Form. Riga Princ";
#define  AutomaticMainLineFormatTEXT                   "|en|Main Data Format|de|Format Hauptzeile|fr|Format Lign.Prin|it|Forma Riga Princ";
#define  DatHandlingTEXT                               "|en|Historom Control|de|Historom Funkt.|fr|Gestion Historom|it|Control.Historom";
#define  SilLockTEXT                                   "|en|Safety Lock|de|Sich.Verriegel.|fr|Verrou Surete|it|Blocco Sicur.";
#define  SilPasswordStartTEXT                          "|en|Safety Password|de|Sicherh.Passwort|fr|Code Acc. Surete|it|Accesso Sicur.";

#define  SilDigitsTestStringTEXT                       "|en|Digits Set|de|Zeichenfolge|fr|Serie Numerique|it|Imp. Digits";
#define  SilDigitsTestAckTEXT                          "|en|Confirm|de|Besttigen|fr|Validation|it|Confermare";
#define  SilAcknowledgeAlarmModeTEXT                   "|en|Confirm|de|Besttigen|fr|Validation|it|Confermare";
#define  SilOperatingModeTEXT                          "|en|Confirm|de|Besttigen|fr|Validation|it|Confermare";
#define  SilPressure1InstallOffsetTEXT                 "|en|Confirm|de|Besttigen|fr|Validation|it|Confermare";
#define  SilFlowMaxTEXT                                "|en|Confirm|de|Besttigen|fr|Validation|it|Confermare";
#define  SilFlowMaxPressureTEXT                        "|en|Confirm|de|Besttigen|fr|Validation|it|Confermare";
#define  SilCreepFlowSuppressionEnableTEXT             "|en|Confirm|de|Besttigen|fr|Validation|it|Confermare";
#define  SilCreepFlowSuppressOffThresholdTEXT          "|en|Confirm|de|Besttigen|fr|Validation|it|Confermare";
#define  SilLowerRangeValueTEXT                        "|en|Confirm|de|Besttigen|fr|Validation|it|Confermare";
#define  SilUpperRangeValueTEXT                        "|en|Confirm|de|Besttigen|fr|Validation|it|Confermare";
#define  SilFlowmodeTEXT                               "|en|Confirm|de|Besttigen|fr|Validation|it|Confermare";
#define  SilPressure1DampingTEXT                       "|en|Confirm|de|Besttigen|fr|Validation|it|Confermare";
#define  SilPasswordEndTEXT                            "|en|Conf. Password|de|Best. Passwort|fr|Conf. Code Acces|it|Conf. Password";
#define  SilLockStatusTEXT                             "|en|Safety Lockstate|de|Sich.Verr.Status|fr|Etat Ver.Surete|it|Stato Blocco Sec";
#define  SilCurrentOutputTEXT                          "|en|Confirm|de|Besttigen|fr|Validation|it|Confermare";
#define  SilCurrentOutputResumedTEXT                   "|en|Current Output|de|Ausgangsstrom|fr|Sortie Courant|it|Uscita Corrente";
#define  SilHighLevelEasyTEXT                          "|en|Confirm|de|Besttigen|fr|Validation|it|Confermare";
#define  SilHighLevelPressureEasyTEXT                  "|en|Confirm|de|Besttigen|fr|Validation|it|Confermare";
#define  SilLowLevelEasyTEXT                           "|en|Confirm|de|Besttigen|fr|Validation|it|Confermare";
#define  SilLowLevelPressureEasyTEXT                   "|en|Confirm|de|Besttigen|fr|Validation|it|Confermare";
#define  SilLowerRangeValueEasyTEXT                    "|en|Confirm|de|Besttigen|fr|Validation|it|Confermare";
#define  SilUpperRangeValueEasyTEXT                    "|en|Confirm|de|Besttigen|fr|Validation|it|Confermare";

#define  DownloadOverwriteSelectionTEXT                "|en|Download Select.|de|Download Funct.|fr|Select. Download|it|Download Selez.";
#define  MaxAlarmCurrentTEXT                           "|en|Set Max. Alarm|de|Max. Alarmstrom|fr|Valider Ma Maxi|it|Imp. Allarme Max";
#define  AlarmBehaviourValueTEXT                       "|en|Output Fail Mode|de|Strom Bei Alarm|fr|Sortie Si Alarme|it|Allarme Corrente";
#define  FourMaCurrentLimitTEXT                        "|en|Set Min. Current|de|Min Strom Setzen|fr|Valider Ma Mini|it|Imp.Corrente Min";
#define  CurrentValueTEXT                              "|en|Output Current|de|Ausgangsstrom|fr|Sortie Courant|it|Valore Corrente";
#define  CurrentSimulationValueTEXT                    "|en|Sim. Current|de|Sim. Stromwert|fr|Simul. Courant|it|Val. Di Sim Corr";
#define  FlowModeTEXT                                  "|en|Linear/Sqroot|de|Linear/Radiz.|fr|Lineaire/Racine|it|Lineare/Radice";
#define  CurrentUnitTEXT                               "|en|Current Unit|de|Strom Einheit|fr|Current Unit|it|Current Unit";
#define  LowCalWrittenCurrentTEXT                      "|en|Curr. Trim  4mA|de|Strom Trimm 4mA|fr|Ajustement 4mA|it|Aggiu.Corr. 4mA";
#define  HighCalWrittenCurrentTEXT                     "|en|Curr. Trim  20mA|de|Strom Trimm 20mA|fr|Ajustement 20mA|it|Aggiu.Corr. 20mA";
#define  NrOfPreamblesTEXT                             "|en|Preamble Number|de|Anzahl Prambel|fr|Nbre Preambules|it|Num. Preamboli";
#define  DateTEXT                                      "|en|Hart Date|de|Datum Hart|fr|Date Hart|it|Prot. Hart";
#define  TagTEXT                                       "|en|Cust. Tag Number|de|Messstelle|fr|N Repre|it|Definiz. Misura";
#define  LongTagTEXT                                   "|en|Long Tag Number|de|Messstelle Lang|fr|N Repre tendu|it|Definiz. Misura";
#define  BurstModeTEXT                                 "|en|Burst Mode|de|Burst Mode|fr|Mode Burst|it|Modalita Burst";
#define  BurstCommandTEXT                              "|en|Burst Option|de|Burst Option|fr|Option Burst|it|Opzione Burst";
#define  PressureLowerRangeValueTEXT                   "|en|Set Lrv|de|Messanfg Setzen|fr|Entrer Dbut ch|it|Impost. Iniz. M.";
#define  PressureUpperRangeValueTEXT                   "|en|Set Urv|de|Messende Setzen|fr|Ajustem. Fin ch|it|Impost. Fine M.";
#define  PressureCurrentOutputCharacteristicsTEXT      "|en|Curr. Charact.|de|Kennlinie Strom|fr|Caract.Sortie mA|it|Caratt. Corrente";
#define  PollingAddressTEXT                            "|en|Bus Address|de|Busadresse|fr|Adresse Bus|it|Indirizzo Bus";
#define  MessageTEXT                                   "|en|Hart Message|de|Nachricht Hart|fr|Message Hart|it|Trasm. Dati Hart";
#define  DescriptorTEXT                                "|en|Additional Info.|de|Beschreibung|fr|Dsignation Rep.|it|Descr Punti Di M";
#define  MinSpanTEXT                                   "|en|Minimum Span|de|Minimale Spanne|fr|tendue Minimum|it|Span Minimo";
#define  Pressure1LimitExcessAlarmCurrentTEXT          "|en|Alt.Curr.Output|de|Al. Stromverh.|fr|Comp. Ma Si Alar|it|Comport.All.Cor.";
#define  FlowCurrentOutputCharacteristicsTEXT          "|en|Curr. Charact.|de|Kennlinie Strom|fr|Caract.Sortie mA|it|Caratt. Corrente";
#define  LowCalOffsetCurrentTEXT                       "|en|Offset 4mA Trim|de|Offset 4mA Trim|fr|Offset 4mA P.|it|Aggiu.Offset 4mA";
#define  HighCalOffsetCurrentTEXT                      "|en|Offset 20mA Trim|de|Offset 20mA Trim|fr|Offset 20mA P.|it|Aggi.Offset 20mA";
#define  CurrentPercentValueTEXT                       "|en|Current In %|de|Strom In %|fr|Courant En %|it|Corrente In %";
#define  FlowLowerRangeValueTEXT                       "|en|Set Lrv|de|Messanfg Setzen|fr|Ajust. Dbut ch|it|Impost. Iniz. M.";
#define  FlowUpperRangeValueTEXT                       "|en|Set Urv|de|Messende Setzen|fr|Ajustem. Fin ch|it|Impost. Fine M.";
#define  LevelLowerRangeValueTEXT                      "|en|Set Lrv|de|Messanfg Setzen|fr|Ajust. Dbut ch|it|Val.Min.Livello";
#define  LevelCurrentOutputCharacteristicsTEXT         "|en|Curr. Charact.|de|Kennlinie Strom|fr|Caract.Sortie mA|it|Caratt. Corrente";
#define  LevelUpperRangeValueTEXT                      "|en|Set Urv|de|Messende Setzen|fr|Ajustem. Fin ch|it|Val.Max.Livello";
#define  LevelModeTEXT                                 "|en|Assign Current|de|Zuordnung Strom|fr|Affect.Sortie mA|it|Assegna Corrente";
#define  TankContentLowerRangeValueTEXT                "|en|Set Lrv|de|Messanfg Setzen|fr|Ajust. Dbut ch|it|Val.Inizio Scala";
#define  TankContentUpperRangeValueTEXT                "|en|Set Urv|de|Messende Setzen|fr|Ajustem. Fin ch|it|Val.Fondo Scala";
#define  TankContentCurrentCharacteristicsTEXT         "|en|Curr. Charact.|de|Kennlinie Strom|fr|Caract.Sortie mA|it|Caratt. Corrente";
#define  ConfigurationCounterTEXT                      "|en|Config Recorder|de|Konfig Zhler|fr|Config. Compteur|it|Numeri Di Config";
#define  AcceptPressureLowerRangeValueTEXT             "|en|Get Lrv|de|Messanfg Nehmen|fr|Valide.Dbut ch|it|Conferm.Iniz.Mis";
#define  AcceptPressureUpperRangeValueTEXT             "|en|Get Urv|de|Messende Nehmen|fr|Valider Fin ch.|it|Impost. Fine Mis";
#define  MaxTurnDownTEXT                               "|en|Max. Turndown|de|Max. Turndown|fr|Rangeabilite Max|it|Max. Turndown";
#define  DeviceRevisionTEXT                            "|en|Device Revision|de|Device Revision|fr|Revis. Appareil|it|Rev. Dispositivo";
#define  PercentUnitTEXT                               "|en|Percent Unit|de|Prozent Einheit|fr|Unit Pourcent.|it|Unita' Percent.";
#define  SecondUnitTEXT                                "|en|Second Unit|de|Sekunden Einheit|fr|Second Unit|it|Second Unit";
#define  OperatingHoursValueTEXT                       "|en|Operating Hours|de|Betriebsstunden|fr|Heures Fonction.|it|Ore Di Funzion.";
#define  OperatingModeTEXT                             "|en|Measuring Mode|de|Betriebsart|fr|Type De Mesure|it|Modo Operativo";
#define  ActualAlarmInfo_ioTEXT                        "|en|Alarm Status|de|Diagnose Code|fr|Dfaut Actuel|it|Allarme Attuale";
#define  LastAlarmInfoTEXT                             "|en|Last Diag. Code|de|Letzte Diag.Code|fr|Dernier Dfaut|it|Ultimo Cod.All.";
#define  SimulationModeTEXT                            "|en|Simulation Mode|de|Simulation|fr|Mode Simulation|it|Modo Simulazione";
#define  AlarmSimulationValueTEXT                      "|en|Sim. Error No.|de|Sim. Fehlernr.|fr|Simul. Erreur|it|Val. Sim. Err.";
#define  AcknowledgeAlarmModeTEXT                      "|en|Ack. Alarm Mode|de|Modus Alarmquit.|fr|Acqui.Mode Alarm|it|Modo Ric. Allarm";
#define  AcknowledgeAlarmTEXT                          "|en|Ack. Alarm|de|Alarm Quittieren|fr|Acquitem. Alarme|it|Riconosc.Allarme";
#define  AlarmSetupTimeTEXT                            "|en|Alarm Delay|de|Alarmverzgerung|fr|Dfaut Diffr|it|Allarme Ritard.";
#define  AlarmHoldTimeTEXT                             "|en|Alarm Displ.Time|de|Alarmhaltezeit|fr|Tps Influ.Alarme|it|Tempo Rit. All.";
#define  SWLockTEXT                                    "|en|Insert Pin No|de|Freigabecode|fr|Entre Code Dbl|it|Inserimento Pin";
#define  ResetInputValueTEXT                           "|en|Enter Reset Code|de|Rcksetzen|fr|Code Reset|it|Codice Reset";
#define  SwitchStatusTEXT                              "|en|Dip Status|de|Schreibschutz Hw|fr|Protect.criture|it|Protez.Di Scritt";
#define  SoftwareRevisionTEXT                          "|en|Software Version|de|Software Version|fr|Version Software|it|Vers. Software";
#define  HardwareRevisionTEXT                          "|en|Hardware Rev.|de|Hardware Rev.|fr|Version Hardware|it|Rev. Hardware";
#define  DeviceManufacturerIdTEXT                      "|en|Manufactor Id|de|Herstellernr.|fr|Nr. Fabricant|it|Num.Di Fabbr.";
#define  DeviceTypeDeltaTEXT                           "|en|Device Type|de|Gerte Id|fr|Type Appareil|it|Id Apparecchio";
#define  ElectronicSerialNumberTEXT                    "|en|Electr.Serial No|de|Seriennr Elektr.|fr|NSrie lectron|it|N. Serie. Elett.";
#define  ChooseErrorOrWarningTEXT                      "|en|Select Alarmtype|de|Auswahl Alarme|fr|Choix Typ.Dfaut|it|Sel.Tipo Allarme";
#define  ReactionOnAlarmNrTEXT                         "|en|Error No.|de|Meldungsnr.|fr|Dfaut N :|it|N. Allarme";
#define  ResetAlarmHistoryTEXT                         "|en|Reset All Alarms|de|Reset Meldungen|fr|Reset Dfauts|it|Reset Allarme";
#define  HistoRomSavingCycleTimeTEXT                   "|en|Hist.Saving Cycl|de|Hist.Speich.Zykl|fr|Cycle Enr. Histo|it|Ciclo Hist.Salv.";
#define  ValidateLinearisationTableTEXT                "|en|Table Activate|de|Tab. Aktivieren|fr|Activer Table|it|Attiva Tabella";
#define  LinearizationTablePostEditTEXT                "|en|Table Editor|de|Tabelleneditor|fr|diteur Table|it|Editor Di Tabell";
#define  DeviceTypeAbsRelTEXT                          "|en|Device Type|de|Gerte Id|fr|Type Appareil|it|Id Apparecchio";
#define  MeasuredValuePercentTEXT                      "|en|Measured Value %|de|Messwert %|fr|Valeur Mesure %|it|Val. Misurato %";
#define  HistoromAvailableTEXT                         "|en|Historom Avail.|de|Historom Vorhnd.|fr|Dispo. Historom|it|Disp.Historom";
#define  SilModeAllowedTEXT                            "|en|Sil Mode Allowed|de|Sil Mode Allowed|fr|Sil Mode Allowed|it|Sil Mode Allowed";
#define  DeviceTypeContiteTEXT                         "|en|Device Type|de|Gerte Id|fr|Type Appareil|it|Id Apparecchio";
#define  ProcessFlangeGasketMaterialTEXT               "|en|Seal Type|de|Mat. Dichtung|fr|Matriau Joint|it|Mat. Guarniz.";
#define  ProcessConnectionModelTEXT                    "|en|Proc.Conn.Type|de|Typ Anschluss|fr|Raccord Process|it|Tipo Connessione";
#define  ProcessConnectionMaterialPositiveTEXT         "|en|Mat.Proc.Conn. +|de|Mat. Anschl. +|fr|Matriau Cote +|it|Mat.Conn.Proc.+";
#define  ProcessConnectionMaterialNegativeTEXT         "|en|Mat.Proc.Conn. -|de|Mat. Anschl. -|fr|Matriau Cote -|it|Mat.Conn.Proc.-";
#define  ProcessConnectionPressureHighLimitTEXT        "|en|Pmax Proc. Conn.|de|Pmax Anschluss|fr|Pmax Raccord|it|Pmax Attacco";
#define  ProcessConnectionBoltsMaterialTEXT            "|en|Bolts Material|de|Mat. Schrauben|fr|Materiau Des Vis|it|Bolts Material";
#define  ProcessConnectionNutsMaterialTEXT             "|en|Nuts Material|de|Mat. Muttern|fr|Materiau Ecrous|it|Mater. Dadi";
#define  ProcessConnectionDrainVentMaterialTEXT        "|en|Drain Vent Mat.|de|Mat.Entl.Vent.|fr|Materiau Purges|it|Mat. Valv. Dren.";
#define  ProcessConnectionDrainVentPositionTEXT        "|en|Drain Vent Pos.|de|Pos.Entl.Vent.|fr|Position Purges|it|Pos. Valv. Dren.";
#define  ProcessConnectionThreadTEXT                   "|en|Thread Process|de|Prozess Gewinde|fr|Filetage Process|it|Filetto";
#define  ProcessConnectionMountingThreadTEXT           "|en|Mounting Thread|de|Montage Gewinde|fr|Filet Montage|it|Mont. Filetto";
#define  ProcessConnectionNrOffRemoteSealsTEXT         "|en|Nr Of Chem Seal|de|Anz.Druckmittler|fr|Nbre Separateurs|it|Nr. Separatori";
#define  ProcessConnectionRemoteseal1TypeTEXT          "|en|Remote Seal +|de|Druckmitt. Typ +|fr|Separateur +|it|Tipo Sep. Lato +";
#define  ProcessConnectionRemoteseal2TypeTEXT          "|en|Remote Seal -|de|Druckmitt. Typ -|fr|Separateur -|it|Tipo Sep. Lato -";
#define  ProcessRemoteseal1DiaphragmMaterialTEXT       "|en|Diaphrag.Mat. +|de|Mat. Membran +|fr|Materiau Membr.+|it|Mat. Membrana +";
#define  ProcessRemoteseal2DiaphragmMaterialTEXT       "|en|Diaphrag.Mat. -|de|Mat. Membran -|fr|Materiau Memb.-|it|Mat. Membrana -";
#define  ProcessRemoteSealFillFluidTEXT                "|en|Fill Fluid|de|Fllfl.Druckmitt|fr|Huile Remplis.|it|Liquido Riemp.";
#define  Temperature3LowLimitTEXT                      "|en|Allowed Min.Temp|de|Tmin Elektronik|fr|Tmin lectroniq.|it|Tmin Elettron.";
#define  Temperature3HighLimitTEXT                     "|en|Allowed Max.Temp|de|Tmax Elektronik|fr|Tmax lectroniq.|it|Tmax Elettron.";
#define  SensorDiaphragmMaterialTEXT                   "|en|Mat. Membrane|de|Mat. Membran|fr|Matriau Membra.|it|Membrana";
#define  SensorFillFluidTEXT                           "|en|Filling Fluid|de|Flll|fr|Huile Remplissa.|it|Olio Riempimento";
#define  SensorHardwareRevisionTEXT                    "|en|Sens H/Ware Rev|de|Sensor Hw Rev.|fr|Revis.Hw.Cellule|it|Rev. Hw Sensore";
#define  SensorMinAbsoluteLimitTEXT                    "|en|Pmin Sens.Damage|de|Pmin Sensor, Abs|fr|Pmin Abs Cellule|it|Sensore Pmin";
#define  SensorMaxAbsoluteLimitTEXT                    "|en|Pmax Sens.Damage|de|Pmax Sensor, Abs|fr|Pmax Abs Cellule|it|Sensore Pmax";
#define  ResetTransmitterObservationTEXT               "|en|Reset Peakhold|de|Reset Schleppzei|fr|Reset Enregist.|it|Reset Parametri";
#define  Pressure1MinResetableTEXT                     "|en|Min. Meas.Press.|de|Minimaler Druck|fr|Pression  Mini|it|Press.  Minima";
#define  Pressure1MaxResetableTEXT                     "|en|Max. Meas.Press.|de|Maximaler Druck|fr|Pression  Max|it|Press. Massima";
#define  ResetableUnderPressure1CounterTEXT            "|en|Counter:P < Pmin|de|Zhler  P < Pmin|fr|Nombre P < Pmin|it|Numero P < Pmin";
#define  ResetableOverPressure1CounterTEXT             "|en|Counter:P > Pmax|de|Zhler P > Pmax|fr|Nombre P > Pmax|it|Numero P > Pmax";
#define  Temperature1MinResetableTEXT                  "|en|Min. Meas.Temp.|de|Minimale Temp.|fr|Temp. Mini|it|Temp. Minima";
#define  Temperature1MaxResetableTEXT                  "|en|Max. Meas.Temp.|de|Maximale Temp.|fr|Temp. Max|it|Temp. Massima";
#define  ResetableUnderTemperature1CounterTEXT         "|en|Counter:T < Tmin|de|Zhler T < Tmin|fr|Nombre T < Tmin|it|Numero T < Tmin";
#define  ResetableOverTemperature1CounterTEXT          "|en|Counter:T > Tmax|de|Zhler T > Tmax|fr|Nombre T > Tmax|it|Numero T > Tmax";
#define  Temperature3MinTEXT                           "|en|Pcb Min. Temp.|de|Min. El. Temp|fr|Tmin lectroniq|it|Min Temp. Elet.";
#define  Temperature3MaxTEXT                           "|en|Pcb Max. Temp.|de|Max  El. Temp|fr|Tmax lectroniq|it|El. Max Temp";
#define  UnderTemperature3CounterTEXT                  "|en|Pcb Count:T<Tmin|de|Zhl. El. T<Tmin|fr|Nbre T<Tmin l|it|Num. T<Tmin El";
#define  OverTemperature3CounterTEXT                   "|en|Pcb Count:T>Tmax|de|Zhl. El. T>Tmax|fr|Nbre T>Tmax l|it|Num. T>Tmax El";
#define  NumberOfSensorChangesTEXT                     "|en|Sensor Changes|de|Sensorwechsel|fr|Nbr. Chg. Cell.|it|Cambio Sensore";
#define  TendencyTEXT                                  "|en|Meas. Val. Trend|de|Tendenz Messwert|fr|Tendance Mesure|it|Tend.Val. Di Mis";
#define  PeakHoldIncrementFaktorTEXT                   "|en|P Peakhold.Step|de|P Schlpz.Schritt|fr|Resol. Enreg. P.|it|Cont.Picchi P.";
#define  Temperature1PeakHoldIncrementOffsetTEXT       "|en|T Peakhold.Step|de|T Schlpz.Schritt|fr|Resol. Enreg. T.|it|Cont.Picchi T.";
#define  Pressure1SensorLowLimitTEXT                   "|en|Press.Sens Lolim|de|Lrl Sensor|fr|Limite Inf.Cellu|it|Lim.Inf.Sens.P.";
#define  Pressure1SensorHighLimitTEXT                  "|en|Press.Sens Hilim|de|Url Sensor|fr|Limite Sup.Cellu|it|Lim.Sup.Sens.P.";
#define  Temperature1SensorLowLimitTEXT                "|en|Tmin Sensor|de|Tmin Sensor|fr|Tmin Cellule|it|Sensore Tmin";
#define  Temperature1SensorHighLimitTEXT               "|en|Tmax Sensor|de|Tmax Sensor|fr|Tmax Cellule|it|Sensore Tmax";
#define  SensorSerialNumberTEXT                        "|en|Sensor Ser. No.|de|Seriennr Sensor|fr|N Srie Cellule|it|N. Serie Sens.";
#define  SensorMeasurementTypeTEXT                     "|en|Sensor Meas.Type|de|Sensormesstyp|fr|Type De Mesure|it|Tipo Sensore";
#define  DeviceSerialNumberTEXT                        "|en|Device Serial No|de|Seriennr Transm.|fr|NSrie Transmet|it|N. Serie Trasm.";
#define  DeviceOrderCodeTEXT                           "|en|Device Design.|de|Gertebezeichng|fr|Dsign. Appareil|it|Denom. Apparecc.";
#define  LevelTankVolumeTEXT                           "|en|Tank Volume|de|Tank Volumen|fr|Volume Cuve|it|Volume Serbatoio";
#define  LevelTankHeightTEXT                           "|en|Tank Height|de|Tankhhe|fr|Hauteur Cuve|it|Altezza Liv Serb";
#define  DensityUnitEasyTEXT                           "|en|Density Unit|de|Einheit Dichte|fr|Unit Densit|it|Unita' Densita'";
#define  HeightUnitEasyTEXT                            "|en|Height Unit|de|Einheit Hhe|fr|Unit Hauteur|it|Unita' Altezza";
#define  HighLevelEasyTEXT                             "|en|Full Calib.|de|Abgleich Voll|fr|talonnage Plein|it|Calib.Di Pieno";
#define  HighLevelPressureEasyTEXT                     "|en|Full Pressure|de|Druck Voll|fr|Press.Cuve Plein|it|Massima Press.";
#define  Level100PercentValueEasyTEXT                  "|en|Full Height|de|Hhe Voll|fr|Hauteur Pleine|it|Liv. Tutto Pieno";
#define  LevelAdjustDensityEasyTEXT                    "|en|Adjust Density|de|Dichte Abgleich|fr|Densit Calibrat|it|Aggiust.Densita'";
#define  LevelAdjustModeEasyTEXT                       "|en|Calibration Mode|de|Abgleichmodus|fr|Mode talonnage|it|Modal. Taratura";
#define  LevelOffsetEasyTEXT                           "|en|Empty Height|de|Hhe Leer|fr|Hauteur Vide|it|Liv. Tutto Vuoto";
#define  LowLevelEasyTEXT                              "|en|Empty Calib.|de|Abgleich Leer|fr|talonnage Vide|it|Calib.Di Vuoto";
#define  LowLevelPressureEasyTEXT                      "|en|Empty Pressure|de|Druck Leer|fr|Press. Cuve Vide|it|Min.Val.Press.";
#define  MaxOutCurrentEasyTEXT                         "|en|Set Urv|de|Messende Setzen|fr|Ajustem. Fin ch|it|Val.Max.Livello";
#define  MinOutCurrentEasyTEXT                         "|en|Set Lrv|de|Messanfg Setzen|fr|Ajust. Dbut ch|it|Val.Min.Livello";
#define  OutUnitEasyTEXT                               "|en|Output Unit|de|Ausgabeeinheit|fr|Unite De Sortie|it|Unit D'uscita";
#define  ConfigurationTypeTEXT                         "|en|Level Selection|de|Fllstandswahl|fr|Selection Niveau|it|Selez. Livello";
#define  MeasuredActualLevelEasyTEXT                   "|en|Meas.Level Easy|de||fr||it|";
#define  LevelMeasurementDensityEasyTEXT               "|en|Process Density|de|Dichte Prozess|fr|Densit Process|it|Densita' Di Pro.";
#define  Pressure1InputInversionTEXT                   "|en|Inp.Press Invers|de|Druck Invert.|fr|Invers. Pression|it|Invers.Pressione";
#define  FlowUnitTEXT                                  "|en|Unit Flow|de|Einh. Durchfluss|fr|Unit Dbit|it|Unita Portata";
#define  LowerRangeValueTEXT                           "|en|Set Lrv|de|Messanfg Setzen|fr|Ajust. Dbut ch|it|Val.Inizio Scala";
#define  MeasuredValueTEXT                             "|en|Measured Value|de|Messwert|fr|Valeur Mesure|it|Valore Di Misura";
#define  Totalizer1UnitTEXT                            "|en|Total.1 Eng.Unit|de|Einh.Summenz. 1|fr|Unit Totalis.1|it|Unita Totaliz.1";
#define  Totalizer2UnitTEXT                            "|en|Total.2 Eng.Unit|de|Einh.Summenz. 2|fr|Unit Totalis2|it|Unita Totaliz.2";
#define  UpperRangeValueTEXT                           "|en|Set Urv|de|Messende Setzen|fr|Ajustem. Fin ch|it|Val.Fondo Scala";
#define  DeviceNameStringTEXT                          "|en|Device Name Str.|de|Gerte Name Str.|fr|Nom Appareil|it|Nome Stringa Str";
#define  SimulationValueTEXT                           "|en|Simulated Value|de|Wert Simulation|fr|Valeur Simulat.|it|Valor Di Simul.";
#define  CurrentOutputCharacteristicsTEXT              "|en|Current Charact.|de|Kennlinie Strom|fr|Caract.Sortie mA|it|Caratt. Corrente";
#define  LevelUnitTEXT                                 "|en|Eng. Unit Level|de|Einheit Fllstnd|fr|Unit Niveau|it|Unit Livello";
#define  TankContentUnitTEXT                           "|en|Tank Contentunit|de|Einh. Tankinhalt|fr|Unit.Utilisateur|it|Unita Cont. Serb";
#define  LevelUnitScaleTEXT                            "|en|Cust.Unit Fact.L|de|Fakt.Einh.V.Lin.|fr|Fact.Unit Niv.|it|Fatt.Unit Lib.L";
#define  TankContentUnitScaleTEXT                      "|en|Factor Tank Cont|de|Fakt.Einh.T.Inh.|fr|Fact. Contenu|it|Fatt. Cont. Serb";
#define  LevelUnitTextTEXT                             "|en|Level Unit Txt|de|Ben.Einh.V. Lin.|fr|Unit Niveau Sp|it|Testo Unita Liv.";
#define  TankContentUnitTextTEXT                       "|en|Cust. Unit Cont.|de|Ben.Einh.T.Inh.|fr|Text.Unit.Utilis|it|Contenuto Serbat";
#define  DeviceTypeTEXT                                "|en|Device Type|de|Gerte Id|fr|Type Appareil|it|Id Apparecchio";
#define  MeasurandTEXT                                 "|en|Measurand|de|Messgrsse|fr|Valeur Mesure|it|Grandezza Di Mis";
#define  VirtualLevelAdjustDensityTEXT                 "|en|Adjust Density|de|Dichte Abgleich|fr|Densit Calibrat|it|Aggiust.Densita'";
#define  PrimaryVariableTEXT                           "|en|Primary Value|de|1.Prozesswert|fr|1.Valeur Process|it|1. Valore Misura";
#define  SecondaryVariableTEXT                         "|en|Secondary Value|de|2.Prozesswert|fr|2.Valeur Process|it|2.Valore Misura";
#define  TertiaryVariableTEXT                          "|en|Third Value|de|3.Prozesswert|fr|3.Valeur Process|it|3.Valore Misura";
#define  QuaternaryVariableTEXT                        "|en|4th Value|de|4.Prozesswert|fr|4.Valeur Process|it|4.Valore Misura";
#define  VirtualSilDigitsTestStringTEXT                "|en|Digits Set|de|Zeichenfolge|fr|Serie Numerique|it|Imp. Digits";
#define  VirtualLevelUnitDensityTEXT                   "|en|Density Unit|de|Einheit Dichte|fr|Unit Densit|it|Unita' Densita'";
#define  VirtualVolumeUnitTEXT                         "|en|Unit Volume|de|Einheit Volumen|fr|Unit Volume|it|Unit Volumi";
#define  VirtualVolumeUnitTextTEXT                     "|en|Customer Unit V|de|Ben. Einheit V|fr|Unit Utilisat.V|it|Unit Libera V";
#define  VirtualVolumeUnitScaleTEXT                    "|en|Cust.Unit Fact.V|de|Fakt.Ben.Einh. V|fr|Fact.Unit Vol|it|Fatt.Unit Lib.V";

/*
**********************************************************************
** VolumeFlowUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_VolumeFlowUnit {0,"|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"},  \
	{1,"|en|dm/s"}, \
	{2,"|en|dm/min"}, \
	{3,"|en|dm/h"}, \
	{4,"|en|m/s"}, \
	{5,"|en|m/min"}, \
	{6,"|en|m/h"}, \
	{7,"|en|m/day"}, \
	{8,"|en|l/s"}, \
	{9,"|en|l/min"}, \
	{10,"|en|l/h"}, \
	{11,"|en|hl/s"}, \
	{12,"|en|hl/min"}, \
	{13,"|en|hl/h"}, \
	{14,"|en|hl/day"}, \
	{15,"|en|ft/s"}, \
	{16,"|en|ft/min"}, \
	{17,"|en|ft/h"}, \
	{18,"|en|ft/day"}, \
	{19,"|en|ACFS"}, \
	{20,"|en|ACFM"}, \
	{21,"|en|ACFH"}, \
	{22,"|en|ACFD"}, \
	{23,"|en|ozf/s"}, \
	{24,"|en|ozf/min"}, \
	{25,"|en|USgal/s"}, \
	{26,"|en|USgal/min"}, \
	{27,"|en|USgal/h"}, \
	{28,"|en|USgal/day"}, \
	{29,"|en|ImpGl/s"}, \
	{30,"|en|ImpGl/min"}, \
	{31,"|en|ImpGl/h"}, \
	{32,"|en|bbl/s"}, \
	{33,"|en|bbl/min"}, \
	{34,"|en|bbl/h"}, \
	{35,"|en|bbl/d"}

/*
**********************************************************************
** Totalizer1VolumeUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_Totalizer1VolumeUnit {0,"|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"},  \
	{1,"|en|l"}, \
	{2,"|en|hl"}, \
	{3,"|en|cm"}, \
	{4,"|en|dm"}, \
	{5,"|en|m"}, \
	{6,"|en|mE"}, \
	{7,"|en|ft"}, \
	{8,"|en|ftE"}, \
	{9,"|en|gal"}, \
	{10,"|en|Igal"}, \
	{11,"|en|Mgal"}, \
	{12,"|en|bbl"}

/*
**********************************************************************
** Totalizer2VolumeUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_Totalizer2VolumeUnit {0,"|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"},  \
	{1,"|en|l"}, \
	{2,"|en|hl"}, \
	{3,"|en|cm"}, \
	{4,"|en|dm"}, \
	{5,"|en|m"}, \
	{6,"|en|mE"}, \
	{7,"|en|ft"}, \
	{8,"|en|ftE"}, \
	{9,"|en|gal"}, \
	{10,"|en|Igal"}, \
	{11,"|en|Mgal"}, \
	{12,"|en|bbl"}

/*
**********************************************************************
** Totalizer1Mode internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_Totalizer1Mode {0,"|en|Inc. on neg. flow|de|Neg.flow: aufw.|fr|Db.ng.: inc|it|Port.neg.: anum."},  \
	{1,"|en|Dec. on neg. flow|de|Neg.flow: abw.|fr|Db.ng.: dc|it|Port.neg.: dec."}, \
	{2,"|en|Stop on neg. flow|de|Neg.flow: stop|fr|Db.ng.: stop|it|Port.neg.: stop"}

/*
**********************************************************************
** Totalizer2Mode internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_Totalizer2Mode {0,"|en|Inc. on neg. flow|de|Neg.flow: aufw.|fr|Db.ng.: inc|it|Port.neg.: anum."},  \
	{1,"|en|Dec. on neg. flow|de|Neg.flow: abw.|fr|Db.ng.: dc|it|Port.neg.: dec."}, \
	{2,"|en|Stop on neg. flow|de|Neg.flow: stop|fr|Db.ng.: stop|it|Port.neg.: stop"}

/*
**********************************************************************
** StandardFlowUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_StandardFlowUnit {0,"|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"},  \
	{1,"|en|Sm/s"}, \
	{2,"|en|Sm/min"}, \
	{3,"|en|Sm/h"}, \
	{4,"|en|Sm/d"}, \
	{5,"|en|SCFS"}, \
	{6,"|en|SCFM"}, \
	{7,"|en|SCFH"}, \
	{8,"|en|SCFD"}

/*
**********************************************************************
** NormFlowUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_NormFlowUnit {0,"|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"},  \
	{1,"|en|Nm/s"}, \
	{2,"|en|Nm/min"}, \
	{3,"|en|Nm/h"}, \
	{4,"|en|Nm/d"}

/*
**********************************************************************
** FlowType internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_FlowType {0,"|en|Mass|de|Masse|fr|Masse|it|Mass"},  \
	{1,"|en|Volume operat. cond|de|Volumen Betriebsbed|fr|Volume cond. util.|it|Volume operat. cond"}, \
	{2,"|en|Vol. norm cond.|de|Vol.Normbedingungen|fr|Vol. cond. norm.|it|Vol. cond. Normales"}, \
	{3,"|en|Vol. std. cond.|de|Vol.Std.Bedingungen|fr|Vol. cond. std.|it|Vol. cond. estd."}

/*
**********************************************************************
** Totalizer1MassUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_Totalizer1MassUnit {0,"|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"},  \
	{1,"|en|g"}, \
	{2,"|en|kg"}, \
	{3,"|en|t"}, \
	{4,"|en|oz"}, \
	{5,"|en|lb"}, \
	{6,"|en|ton"}

/*
**********************************************************************
** Totalizer2MassUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_Totalizer2MassUnit {0,"|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"},  \
	{1,"|en|g"}, \
	{2,"|en|kg"}, \
	{3,"|en|t"}, \
	{4,"|en|oz"}, \
	{5,"|en|lb"}, \
	{6,"|en|ton"}

/*
**********************************************************************
** Totalizer1StandardVolumeUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_Totalizer1StandardVolumeUnit {0,"|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"},  \
	{1,"|en|Sdm"}, \
	{2,"|en|Sm"}, \
	{3,"|en|SCI"}, \
	{4,"|en|SCF"}

/*
**********************************************************************
** Totalizer2StandardVolumeUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_Totalizer2StandardVolumeUnit {0,"|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"},  \
	{1,"|en|Sdm"}, \
	{2,"|en|Sm"}, \
	{3,"|en|SCI"}, \
	{4,"|en|SCF"}

/*
**********************************************************************
** Totalizer1NormVolumeUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_Totalizer1NormVolumeUnit {0,"|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"},  \
	{1,"|en|Ndm"}, \
	{2,"|en|Nm"}

/*
**********************************************************************
** Totalizer2NormVolumeUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_Totalizer2NormVolumeUnit {0,"|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"},  \
	{1,"|en|Ndm"}, \
	{2,"|en|Nm"}

/*
**********************************************************************
** VolumeUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_VolumeUnit {0,"|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"},  \
	{1,"|en|l"}, \
	{2,"|en|hl"}, \
	{3,"|en|cm"}, \
	{4,"|en|dm"}, \
	{5,"|en|m"}, \
	{6,"|en|mE"}, \
	{7,"|en|ft"}, \
	{8,"|en|ftE"}, \
	{9,"|en|gal"}, \
	{10,"|en|Igal"}, \
	{11,"|en|bbl"}

/*
**********************************************************************
** DensityUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_DensityUnit {0,"|en|g/cm"},  \
	{1,"|en|kg/m"}, \
	{2,"|en|kg/dm"}, \
	{3,"|en|US lb/in"}, \
	{4,"|en|US lb/ft"}

/*
**********************************************************************
** LevelAdjustMode internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_LevelAdjustMode {0,"|en|Wet|de|Nass|fr|Mouill|it|Bagnata"},  \
	{1,"|en|Dry|de|Trocken|fr|Sec|it|Secco"}

/*
**********************************************************************
** LinearisationTableMode internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_LinearisationTableMode {0,"|en|Manual|de|Manuell|fr|Manuel|it|Manuale"},  \
	{1,"|en|Semiautomatic|de|Halbautomatisch|fr|Semi-automatique|it|Semiautomatica"}

/*
**********************************************************************
** LinearizationTablePostView internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_LinearizationTablePostView {0,"|en|Next Point|de|Nchster Punkt|fr|Point suivant|it|Linea successiva"},  \
	{1,"|en|Last Input Point|de|Vorheriger Punkt|fr|Dernire entre|it|Ultimo val.imputato"}, \
	{2,"|en|Abort|de|Abbrechen|fr|Interrompre|it|Interrompi"}

/*
**********************************************************************
** LevelType internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_LevelType {0,"|en|Linear|de|Linear|fr|Linaire|it|Linear"},  \
	{1,"|en|Pressure Linearized|de|Druck mit Kennlinie|fr|Pression Linearis|it|Pressure Linearized"}, \
	{2,"|en|Height Linearized|de|Hhe mit Kennlinie|fr|Niveau Linearis|it|Height Linearized"}

/*
**********************************************************************
** HeightUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_HeightUnit {0,"|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"},  \
	{1,"|en|mm"}, \
	{2,"|en|cm"}, \
	{3,"|en|dm"}, \
	{4,"|en|m"}, \
	{5,"|en|ft"}, \
	{6,"|en|inch"}

/*
**********************************************************************
** MassUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_MassUnit {0,"|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"},  \
	{1,"|en|g"}, \
	{2,"|en|kg"}, \
	{3,"|en|t"}, \
	{4,"|en|oz"}, \
	{5,"|en|lb"}, \
	{6,"|en|ton"}

/*
**********************************************************************
** MeasurandLinear internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_MeasurandLinear {0,"|en|Height|de|Fllhhe|fr|Niveau|it|Altezza"},  \
	{1,"|en|Volume|de|Volumen|fr|Volume|it|Volume"}, \
	{2,"|en|Mass|de|Masse|fr|Masse|it|Mass"}, \
	{3,"|en|% (Height)|de|% (Fllhhe)|fr|% (Niveau)|it|% (altezza)"}

/*
**********************************************************************
** MeasurandLinearized internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_MeasurandLinearized {0,"|en|Pressure and Volume|de|Druck und Volumen|fr|Pression et Volume|it|Pressione e volume"},  \
	{1,"|en|Pressure and Mass|de|Druck und Masse|fr|Pression et Masse|it|Pressione e massa"}, \
	{2,"|en|Pressure and %|de|Druck und %|fr|Pression et %|it|Pressione e %"}

/*
**********************************************************************
** MeasurandCombined internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_MeasurandCombined {0,"|en|Height and Volume|de|Hhe und Volumen|fr|Niveau et Volume|it|Altezza e volume"},  \
	{1,"|en|Height and Mass|de|Hhe und Masse|fr|Niveau et Masse|it|Altezza e masse"}, \
	{2,"|en|Height and %|de|Hhe und %|fr|Niveau et %|it|Altezza e  %"}, \
	{3,"|en|% Height and Volume|de|% Hhe und Volumen|fr|% Niveau et Volume|it|% Altezza e volume"}, \
	{4,"|en|% Height and Mass|de|% Hhe und Masse|fr|% Niveau et Masse|it|% Altezza e massa"}, \
	{5,"|en|% Height and %|de|% Hhe und %|fr|% Niveau et %|it|% Altezza e %"}

/*
**********************************************************************
** LinearizationTableSelection internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_LinearizationTableSelection {0,"|en|View meas.Table|de|Messtabellenansicht|fr|Table de Mesure|it|View meas.Table"},  \
	{1,"|en|Editor Table|de|Tabelleneditor|fr|Tableau Edition|it|Editor di tabella"}

/*
**********************************************************************
** LinearizationTablePreEdit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_LinearizationTablePreEdit {0,"|en|Continue edit|de|Weitereditieren|fr|Continuer edition|it|Continua modifica"},  \
	{1,"|en|New Table|de|Neue Tabelle|fr|Nouvelle Table|it|Nuova tabella"}, \
	{2,"|en|Edit measure table|de|Messtabelle edit.|fr|Ed.Table en msure|it|Edit measure table"}

/*
**********************************************************************
** Pressure1Unit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_Pressure1Unit {0,"|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"},  \
	{1,"|en|mbar"}, \
	{2,"|en|bar"}, \
	{3,"|en|mmH2O"}, \
	{4,"|en|mH2O"}, \
	{5,"|en|ftH2O"}, \
	{6,"|en|inH2O"}, \
	{7,"|en|Pa"}, \
	{8,"|en|hPa"}, \
	{9,"|en|kPa"}, \
	{10,"|en|MPa"}, \
	{11,"|en|psi"}, \
	{12,"|en|mmHg"}, \
	{13,"|en|inHg"}, \
	{14,"|en|Torr"}, \
	{15,"|en|g/cm"}, \
	{16,"|en|kg/cm"}, \
	{17,"|en|lb/ft"}, \
	{18,"|en|atm"}, \
	{19,"|en|gf/cm"}, \
	{20,"|en|kgf/cm"}

/*
**********************************************************************
** Pressure1AcceptZeroInstallOffset internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_Pressure1AcceptZeroInstallOffset {0,"|en|Abort|de|Abbrechen|fr|Interrompre|it|Interrompi"},  \
	{1,"|en|Confirm|de|Uebernehmen|fr|Confirmer|it|Confirma"}

/*
**********************************************************************
** TemperatureUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_TemperatureUnit {0,"|en|C"},  \
	{1,"|en|F"}, \
	{2,"|en|K"}, \
	{3,"|en|R"}

/*
**********************************************************************
** DisplayLanguage internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_DisplayLanguage {0,"|en|English"},  \
	{1,"|en|Deutsch"}, \
	{2,"|en|Franais"}, \
	{3,"|en|Italiano"}, \
	{4,"|en|Espaol"}, \
	{5,"|en|Nederlands"}, \
	{6,"|en|Japanese(JPN)"}, \
	{7,"|en|Chinese(CHS)"}

/*
**********************************************************************
** DisplayAlternatingValues internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_DisplayAlternatingValues {0,"|en|Off|de|Aus|fr|Arrt|it|Off"},  \
	{1,"|en|On|de|An|fr|Marche|it|On"}

/*
**********************************************************************
** DisplayMainlineContent internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_DisplayMainlineContent {0,"|en|Measured value(PV)|de|Hauptmesswert(PV)|fr|Valeur Mesure(PV)|it|Valore misura (PV)"}, \
	{1,"|en|Measured Value(%)|de|Hauptmesswert(%)|fr|Valeur Mesure(%)|it|Valore Mesura(%)"}, \
	{2,"|en|Pressure|de|Druck|fr|Pression|it|Pressione"} \
	IF(OperatingMode == eOM_FLOW) \
	{ \
	  {3,"|en|Flow|de|Durchfluss|fr|Dbit|it|Portata"} \
	} \
	IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR || \
	   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED ||\
	   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EASYPRESSURELEVEL ||\
	   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EASYHEIGHTLEVEL) \
	{ \
	  {4,"|en|Level|de|Fllstand|fr|Niveau|it|Livello"} \
	} \
	IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED || \
	   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED) \
	{ \
	  {5,"|en|Tank content|de|Tankinhalt|fr|Contenu cuve|it|Contenuto serbatoio"} \
	} \
	{6,"|en|Current|de|Strom|fr|Courant|it|Corrente"}, \
	{7,"|en|Temperature|de|Temperatur|fr|Temprature|it|Temperatura"}, \
	{8,"|en|Error Number|de|Fehlernummer|fr|Numro erreur|it|Numero error"} \
	IF(OperatingMode == eOM_FLOW) \
	{ \
	  {9,"|en|Totaliser 1|de|Summenzhler 1|fr|Totalisateur 1|it|Totalizzatore 1"} \
	  {10,"|en|Totaliser 2|de|Summenzhler 2|fr|Totalisateur 2|it|Totalizzatore 2"} \
	}

/*
**********************************************************************
** DisplayMainlineFormat internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_DisplayMainlineFormat {0,"|en|x"},  \
	{1,"|en|x.x"}, \
	{2,"|en|x.xx"}, \
	{3,"|en|x.xxx"}, \
	{4,"|en|x.xxxx"}, \
	{5,"|en|x.xxxxx"}

/*
**********************************************************************
** AutomaticMainLineFormat internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_AutomaticMainLineFormat {0,"|en|x"},  \
	{1,"|en|x.x"}, \
	{2,"|en|x.xx"}, \
	{3,"|en|x.xxx"}, \
	{4,"|en|x.xxxx"}, \
	{5,"|en|x.xxxxx"}, \
	{6,"|en|Auto|de|Auto|fr|Auto|it|Auto"}

/*
**********************************************************************
** DatHandling internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_DatHandling {0,"|en|Abort|de|Abbrechen|fr|Interrompre|it|Interrompi"},  \
	{1,"|en|HistoROM->Device|de|HistoROM->Gert|fr|HistoROM->App.|it|HistoROM->STRUM."}, \
	{2,"|en|Device->HistoROM|de|Gert->HistoROM|fr|App.->HistoROM|it|STRUM.->HistoROM"}

/*
**********************************************************************
** SilLock internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilLock {0,"|en|Lock|de|Verriegeln|fr|Verrouiller|it|Bloccato"},  \
	{1,"|en|Unlock|de|Entriegeln|fr|Deverrouiller|it|Sbloccato"}

/*
**********************************************************************
** SilDigitsTestAck internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilDigitsTestAck {0,"|en|Invalid|de|Ungltig|fr|Invalide|it|Invalid"},  \
	{1,"|en|Valid|de|Gltig|fr|Valide|it|Valid"}

/*
**********************************************************************
** SilAcknowledgeAlarmMode internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilAcknowledgeAlarmMode {0,"|en|Invalid|de|Ungltig|fr|Invalide|it|Invalid"},  \
	{1,"|en|Valid|de|Gltig|fr|Valide|it|Valid"}

/*
**********************************************************************
** SilOperatingMode internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilOperatingMode {0,"|en|Invalid|de|Ungltig|fr|Invalide|it|Invalid"},  \
	{1,"|en|Valid|de|Gltig|fr|Valide|it|Valid"}

/*
**********************************************************************
** SilPressure1InstallOffset internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilPressure1InstallOffset {0,"|en|Invalid|de|Ungltig|fr|Invalide|it|Invalid"},  \
	{1,"|en|Valid|de|Gltig|fr|Valide|it|Valid"}

/*
**********************************************************************
** SilFlowMax internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilFlowMax {0,"|en|Invalid|de|Ungltig|fr|Invalide|it|Invalid"},  \
	{1,"|en|Valid|de|Gltig|fr|Valide|it|Valid"}

/*
**********************************************************************
** SilFlowMaxPressure internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilFlowMaxPressure {0,"|en|Invalid|de|Ungltig|fr|Invalide|it|Invalid"},  \
	{1,"|en|Valid|de|Gltig|fr|Valide|it|Valid"}

/*
**********************************************************************
** SilCreepFlowSuppressionEnable internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilCreepFlowSuppressionEnable {0,"|en|Invalid|de|Ungltig|fr|Invalide|it|Invalid"},  \
	{1,"|en|Valid|de|Gltig|fr|Valide|it|Valid"}

/*
**********************************************************************
** SilCreepFlowSuppressOffThreshold internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilCreepFlowSuppressOffThreshold {0,"|en|Invalid|de|Ungltig|fr|Invalide|it|Invalid"},  \
	{1,"|en|Valid|de|Gltig|fr|Valide|it|Valid"}

/*
**********************************************************************
** SilLowerRangeValue internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilLowerRangeValue {0,"|en|Invalid|de|Ungltig|fr|Invalide|it|Invalid"},  \
	{1,"|en|Valid|de|Gltig|fr|Valide|it|Valid"}

/*
**********************************************************************
** SilUpperRangeValue internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilUpperRangeValue {0,"|en|Invalid|de|Ungltig|fr|Invalide|it|Invalid"},  \
	{1,"|en|Valid|de|Gltig|fr|Valide|it|Valid"}

/*
**********************************************************************
** SilFlowmode internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilFlowmode {0,"|en|Invalid|de|Ungltig|fr|Invalide|it|Invalid"},  \
	{1,"|en|Valid|de|Gltig|fr|Valide|it|Valid"}

/*
**********************************************************************
** SilPressure1Damping internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilPressure1Damping {0,"|en|Invalid|de|Ungltig|fr|Invalide|it|Invalid"},  \
	{1,"|en|Valid|de|Gltig|fr|Valide|it|Valid"}

/*
**********************************************************************
** SilLockStatus internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilLockStatus {0,"|en|Unlocked|de|Entriegelt|fr|Deverrouill|it|Sbloccato"},  \
	{1,"|en|Locked|de|Verriegelt|fr|Verrouill|it|Bloccato"}

/*
**********************************************************************
** SilCurrentOutput internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilCurrentOutput {0,"|en|Invalid|de|Ungltig|fr|Invalide|it|Invalid"},  \
	{1,"|en|Valid|de|Gltig|fr|Valide|it|Valid"}

/*
**********************************************************************
** SilCurrentOutputResumed internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilCurrentOutputResumed {0,"|en|LinMaxNorm22/3.8/0s" }

/*
**********************************************************************
** SilHighLevelEasy internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilHighLevelEasy {0,"|en|Invalid|de|Ungltig|fr|Invalide|it|Invalid"},  \
	{1,"|en|Valid|de|Gltig|fr|Valide|it|Valid"}

/*
**********************************************************************
** SilHighLevelPressureEasy internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilHighLevelPressureEasy {0,"|en|Invalid|de|Ungltig|fr|Invalide|it|Invalid"},  \
	{1,"|en|Valid|de|Gltig|fr|Valide|it|Valid"}

/*
**********************************************************************
** SilLowLevelEasy internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilLowLevelEasy {0,"|en|Invalid|de|Ungltig|fr|Invalide|it|Invalid"},  \
	{1,"|en|Valid|de|Gltig|fr|Valide|it|Valid"}

/*
**********************************************************************
** SilLowLevelPressureEasy internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilLowLevelPressureEasy {0,"|en|Invalid|de|Ungltig|fr|Invalide|it|Invalid"},  \
	{1,"|en|Valid|de|Gltig|fr|Valide|it|Valid"}

/*
**********************************************************************
** SilLowerRangeValueEasy internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilLowerRangeValueEasy {0,"|en|Invalid|de|Ungltig|fr|Invalide|it|Invalid"},  \
	{1,"|en|Valid|de|Gltig|fr|Valide|it|Valid"}

/*
**********************************************************************
** SilUpperRangeValueEasy internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilUpperRangeValueEasy {0,"|en|Invalid|de|Ungltig|fr|Invalide|it|Invalid"},  \
	{1,"|en|Valid|de|Gltig|fr|Valide|it|Valid"}

/*
**********************************************************************
** DownloadOverwriteSelection internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_DownloadOverwriteSelection {0,"|en|Configuration copy|de|Konfig. kopieren|fr|Copie configuration|it|Configuration copy"},  \
	{1,"|en|Device replacement|de|Gertetausch|fr|Remplace appareil|it|Device replacement"}, \
	{2,"|en|Electronics replace|de|Elektroniktausch|fr|Remplace lectroni.|it|Electronics replace"}

/*
**********************************************************************
** AlarmBehaviourValue internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_AlarmBehaviourValue {0,"|en|Min. Alarm(-10%)|de|Min. Alarm(-10%)|fr|Min. Alarm(-10%)|it|Min. Alarm(-10%)"},  \
	{1,"|en|Max. Alarm (110%)|de|Max. Alarm (110%)|fr|Max. Alarm (110%)|it|Max. Alarm (110%)"}, \
	{2,"|en|Hold meas. Value|de|Messwert halten|fr|Fixer val. Msure|it|Valore Mis. Hold"}

/*
**********************************************************************
** FourMaCurrentLimit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_FourMaCurrentLimit {0,"|en|3.8 mA"},  \
	{1,"|en|4.0 mA"}

/*
**********************************************************************
** FlowMode internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_FlowMode {0,"|en|Differential pres.|de|Differenzdruck|fr|Pression diff.|it|Pressione diff."},  \
	{1,"|en|Flow (square root)|de|Durchflu (radiz.)|fr|Dbit (racine)|it|Portata (radice)"}

/*
**********************************************************************
** CurrentUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_CurrentUnit {0,"|en|mA" }

/*
**********************************************************************
** BurstMode internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_BurstMode {0,"|en|Off|de|Aus|fr|Arrt|it|Off"},  \
	{1,"|en|On|de|An|fr|Marche|it|On"}

/*
**********************************************************************
** PressureCurrentOutputCharacteristics internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_PressureCurrentOutputCharacteristics {0,"|en|Linear|de|Linear|fr|Linaire|it|Lineare"},  \
	{1,"|en|Bi-linear|de|Bi-linear|fr|Bi-linaire|it|Bi-lineare"}, \
	{2,"|en|Linear inverse|de|Linear invers|fr|Linaire invers|it|Lineare Inversa"}, \
	{3,"|en|Bi-linear invers|de|Bi-linear invers|fr|Bi-linare invers|it|Bi-linear inversa"}

/*
**********************************************************************
** Pressure1LimitExcessAlarmCurrent internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_Pressure1LimitExcessAlarmCurrent {0,"|en|NAMUR"},  \
	{1,"|en|normal|de|normal|fr|normal|it|normal"}

/*
**********************************************************************
** FlowCurrentOutputCharacteristics internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_FlowCurrentOutputCharacteristics {0,"|en|Linear|de|Linear|fr|Linaire|it|Lineare"},  \
	{1,"|en|Bi-linear|de|Bi-linear|fr|Bi-linaire|it|Bi-lineare"}, \
	{2,"|en|Linear inverse|de|Linear invers|fr|Linaire invers|it|Lineare Inversa"}, \
	{3,"|en|Bi-linear invers|de|Bi-linear invers|fr|Bi-linare invers|it|Bi-linear inversa"}

/*
**********************************************************************
** LevelCurrentOutputCharacteristics internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_LevelCurrentOutputCharacteristics {0,"|en|Linear|de|Linear|fr|Linaire|it|Lineare"},  \
	{1,"|en|Bi-linear|de|Bi-linear|fr|Bi-linaire|it|Bi-lineare"}, \
	{2,"|en|Linear inverse|de|Linear invers|fr|Linaire invers|it|Lineare Inversa"}, \
	{3,"|en|Bi-linear invers|de|Bi-linear invers|fr|Bi-linare invers|it|Bi-linear inversa"}

/*
**********************************************************************
** LevelMode internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_LevelMode {0,"|en|Height|de|Fllhhe|fr|Niveau|it|Altezza"},  \
	{1,"|en|Tank content|de|Tankinhalt|fr|Contenu cuve|it|Contenuto serbatoio"}

/*
**********************************************************************
** TankContentCurrentCharacteristics internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_TankContentCurrentCharacteristics {0,"|en|Linear|de|Linear|fr|Linaire|it|Lineare"},  \
	{1,"|en|Bi-linear|de|Bi-linear|fr|Bi-linaire|it|Bi-lineare"}, \
	{2,"|en|Linear inverse|de|Linear invers|fr|Linaire invers|it|Lineare Inversa"}, \
	{3,"|en|Bi-linear invers|de|Bi-linear invers|fr|Bi-linare invers|it|Bi-linear inversa"}

/*
**********************************************************************
** AcceptPressureLowerRangeValue internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_AcceptPressureLowerRangeValue {0,"|en|Abort|de|Abbrechen|fr|Interrompre|it|Interrompi"},  \
	{1,"|en|Confirm|de|Uebernehmen|fr|Confirmer|it|Confirma"}

/*
**********************************************************************
** AcceptPressureUpperRangeValue internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_AcceptPressureUpperRangeValue {0,"|en|Abort|de|Abbrechen|fr|Interrompre|it|Interrompi"},  \
	{1,"|en|Confirm|de|Uebernehmen|fr|Confirmer|it|Confirma"}

/*
**********************************************************************
** PercentUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_PercentUnit {0,"|en|%" }

/*
**********************************************************************
** SecondUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SecondUnit {0,"|en|s" }

/*
**********************************************************************
** OperatingMode internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#ifdef VEGADIF
#define ENUM_OperatingMode {0,"|en|Pressure|de|Druck|fr|Pression|it|Pressione"},  \
	{1,"|en|Level|de|Fllstand|fr|Niveau|it|Livello"}, \
	{2,"|en|Flow|de|Durchfluss|fr|Dbit|it|Portata"}
#else /* CERABARS & DELTAPILOTS */
#define ENUM_OperatingMode {0,"|en|Pressure|de|Druck|fr|Pression|it|Pressione"},  \
	{1,"|en|Level|de|Fllstand|fr|Niveau|it|Livello"}
#endif

/*
**********************************************************************
** SimulationMode internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SimulationMode {0,"|en|None|de|Keine|fr|Sans|it|Nessun"},  \
	{1,"|en|Pressure|de|Druck|fr|Pression|it|Pressione"} \
	IF(OperatingMode == eOM_FLOW) \
	{ \
	  {2,"|en|Flow|de|Durchfluss|fr|Dbit|it|Portata"} \
	} \
	IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR || \
	   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED ||\
	   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EASYPRESSURELEVEL ||\
	   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EASYHEIGHTLEVEL) \
	{ \
	  {3,"|en|Level|de|Fllstand|fr|Niveau|it|Livello"} \
	} \
	IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED || \
	   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED) \
	{ \
	  {4,"|en|Tank content|de|Tankinhalt|fr|Contenu cuve|it|Contenuto serbatoio"} \
	} \
	{5,"|en|Current|de|Strom|fr|Courant|it|Corrente"} \
	{6,"|en|Alarm/Warning|de|Alarm/Warnung|fr|Alarme/Avertiss.|it|Alarme/Warning"}

/*
**********************************************************************
** AcknowledgeAlarmMode internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_AcknowledgeAlarmMode {0,"|en|Off|de|Aus|fr|Arrt|it|Off"},  \
	{1,"|en|On|de|An|fr|Marche|it|On"}

/*
**********************************************************************
** AcknowledgeAlarm internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_AcknowledgeAlarm {0,"|en|Abort|de|Abbrechen|fr|Interrompre|it|Interrompi"},  \
	{1,"|en|Confirm|de|Uebernehmen|fr|Confirmer|it|Confirma"}

/*
**********************************************************************
** SwitchStatus internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SwitchStatus {0,"|en|Off|de|Aus|fr|Arrt|it|Off"},  \
	{1,"|en|On|de|An|fr|Marche|it|On"}

/*
**********************************************************************
** ChooseErrorOrWarning internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ChooseErrorOrWarning {0,"|en|Alarm|de|Alarm|fr|Alarme|it|Allarme"},  \
	{1,"|en|Warning|de|Warnung|fr|Avertissement|it|Warning"}

/*
**********************************************************************
** ResetAlarmHistory internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ResetAlarmHistory {0,"|en|Abort|de|Abbrechen|fr|Interrompre|it|Interrompi"},  \
	{1,"|en|Confirm|de|Uebernehmen|fr|Confirmer|it|Confirma"}

/*
**********************************************************************
** ValidateLinearisationTable internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ValidateLinearisationTable {0,"|en|No|de|Nein|fr|Non|it|No"},  \
	{1,"|en|Yes|de|Ja|fr|Oui|it|Si"}

/*
**********************************************************************
** LinearizationTablePostEdit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_LinearizationTablePostEdit {0,"|en|Next Point|de|Nchster Punkt|fr|Point suivant|it|Linea successiva"},  \
	{1,"|en|Last Input Point|de|Vorheriger Punkt|fr|Dernire entre|it|Ultimo val.imputato"}, \
	{2,"|en|Accept input table|de|Tabelle bernehmen|fr|Valider entre|it|Accetta tabell.dati"}, \
	{3,"|en|Abort|de|Abbrechen|fr|Interrompre|it|Interrompi"}, \
	{4,"|en|Insert Point|de|Punkt einfgen|fr|Insrer Point|it|Insert Point"}, \
	{5,"|en|Delete Point|de|Punkt lschen|fr|Supprimer Point|it|Delete Point"}

/*
**********************************************************************
** HistoromAvailable internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_HistoromAvailable {0,"|en|No|de|Nein|fr|Non|it|No"},  \
	{1,"|en|Yes|de|Ja|fr|Oui|it|Si"}

/*
**********************************************************************
** SilModeAllowed internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SilModeAllowed {0,"|en|No|de|Nein|fr|Non|it|No"},  \
	{1,"|en|Yes|de|Ja|fr|Oui|it|Si"}

/*
**********************************************************************
** ProcessFlangeGasketMaterial internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ProcessFlangeGasketMaterial {0,"|en|Not used|de|Nicht benutzt|fr|Non utililis|it|Non usato"},  \
	{1,"|en|Unknown|de|Unbekannt|fr|Non dfini|it|Sconosciuto"}, \
	{2,"|en|Special|de|Spezial|fr|Spcial|it|Speciale"}, \
	{3,"|en|FKM Viton|de|FKM Viton|fr|FPM Viton|it|FPM Viton"}, \
	{4,"|en|NBR"}, \
	{5,"|en|EPDM"}, \
	{6,"|en|Urethane|de|Urethan|fr|Urethane|it|Uretano"}, \
	{7,"|en|IIR"}, \
	{8,"|en|Kalrez|de|Kalrez|fr|Kalrez|it|Kalrez"}, \
	{9,"|en|FKM Viton Oxyg|de|FKM Viton Sauerst|fr|FKM Viton Oxyg|it|FKM Viton OSSIGENO"}, \
	{10,"|en|CR"}, \
	{11,"|en|MVQ"}, \
	{12,"|en|PTFE Glass|de|PTFE Glas|fr|PTFE Verre|it|PTFE Glass"}, \
	{13,"|en|PTFE Graphite|de|PTFE Graphit|fr|PTFE Graphite|it|PTFE Grafite"}, \
	{14,"|en|PTFE Oxygen|de|PTFE f. Sauerstoff|fr|PTFE Oxygne|it|PTFE per ossigeno"}, \
	{15,"|en|Copper|de|Kupfer|fr|Cuivre|it|Rame"}, \
	{16,"|en|Copper f. Oxygen|de|Kupfer f. Sauerst.|fr|Cuivre p. Oxygne|it|Rame per Ossigeno"}

/*
**********************************************************************
** ProcessConnectionModel internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ProcessConnectionModel {0,"|en|Not used|de|Nicht benutzt|fr|Non utililis|it|Non usato"},  \
	{1,"|en|Unknown|de|Unbekannt|fr|Non dfini|it|Sconosciuto"}, \
	{2,"|en|Special|de|Spezial|fr|Spcial|it|Speciale"}, \
	{3,"|en|Oval Flange|de|Ovalflansch|fr|Type bride Ovale|it|Flangia ovale"}, \
	{4,"|en|Thread female|de|Gewinde female|fr|Filetage femelle|it|Filetto femmina"}, \
	{5,"|en|Thread male|de|Gewinde male|fr|Filetage male|it|Filetto maschio"}, \
	{6,"|en|Flange|de|Flansch|fr|Connection proc.|it|Flangia"}, \
	{7,"|en|Remote Seal|de|Druckmittler|fr|Sparateur|it|Remote Seal"}

/*
**********************************************************************
** ProcessConnectionMaterialPositive internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ProcessConnectionMaterialPositive {0,"|en|Not used|de|Nicht benutzt|fr|Non utililis|it|Non usato"},  \
	{1,"|en|Unknown|de|Unbekannt|fr|Non dfini|it|Sconosciuto"}, \
	{2,"|en|Special|de|Spezial|fr|Spcial|it|Speciale"}, \
	{3,"|en|Carbon steel|de|Stahl|fr|Acier|it|Carbon steel"}, \
	{4,"|en|304 St. St.|de|304 St. rostfrei|fr|304|it|304 St. St."}, \
	{5,"|en|316 St. St.|de|316 St. rostfrei|fr|316|it|316 St. St."}, \
	{6,"|en|Alloy C|de|Alloy C|fr|Alloy C|it|Alloy C"}, \
	{7,"|en|Monel|de|Monel|fr|Monel|it|Monel"}, \
	{8,"|en|Tantalum|de|Tantal|fr|Tantale|it|Tantalio"}, \
	{9,"|en|Titanium|de|Titan|fr|Titane|it|Titanio"}, \
	{10,"|en|PTFE|de|PTFE (Teflon)|fr|PTFE|it|PTFE"}, \
	{11,"|en|316L|de|316L rostfrei|fr|316L|it|316L St. St."}, \
	{12,"|en|PVC"}, \
	{13,"|en|Inconel|de|Inconel|fr|Inconel|it|Inconel"}, \
	{14,"|en|ECTFE"}, \
	{15,"|en|PVDF"}

/*
**********************************************************************
** ProcessConnectionMaterialNegative internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ProcessConnectionMaterialNegative {0,"|en|Not used|de|Nicht benutzt|fr|Non utililis|it|Non usato"},  \
	{1,"|en|Unknown|de|Unbekannt|fr|Non dfini|it|Sconosciuto"}, \
	{2,"|en|Special|de|Spezial|fr|Spcial|it|Speciale"}, \
	{3,"|en|Carbon steel|de|Stahl|fr|Acier|it|Carbon steel"}, \
	{4,"|en|304 St. St.|de|304 St. rostfrei|fr|304|it|304 St. St."}, \
	{5,"|en|316 St. St.|de|316 St. rostfrei|fr|316|it|316 St. St."}, \
	{6,"|en|Alloy C|de|Alloy C|fr|Alloy C|it|Alloy C"}, \
	{7,"|en|Monel|de|Monel|fr|Monel|it|Monel"}, \
	{8,"|en|Tantalum|de|Tantal|fr|Tantale|it|Tantalio"}, \
	{9,"|en|Titanium|de|Titan|fr|Titane|it|Titanio"}, \
	{10,"|en|PTFE|de|PTFE (Teflon)|fr|PTFE|it|PTFE"}, \
	{11,"|en|316L|de|316L rostfrei|fr|316L|it|316L St. St."}, \
	{12,"|en|PVC"}, \
	{13,"|en|Inconel|de|Inconel|fr|Inconel|it|Inconel"}, \
	{14,"|en|ECTFE"}, \
	{15,"|en|PVDF"}

/*
**********************************************************************
** ProcessConnectionBoltsMaterial internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ProcessConnectionBoltsMaterial {0,"|en|Not used|de|Nicht benutzt|fr|Non utililis|it|Non usato"},  \
	{1,"|en|Unknown|de|Unbekannt|fr|Non dfini|it|Sconosciuto"}, \
	{2,"|en|Special|de|Spezial|fr|Spcial|it|Speciale"}, \
	{3,"|en|Carbon steel|de|Stahl|fr|Acier|it|Carbon steel"}, \
	{4,"|en|A2 70 St. St.|de|A2 70 rostfrei|fr|A2 70 St. St.|it|A2 70 St. St."}

/*
**********************************************************************
** ProcessConnectionNutsMaterial internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ProcessConnectionNutsMaterial {0,"|en|Not used|de|Nicht benutzt|fr|Non utililis|it|Non usato"},  \
	{1,"|en|Unknown|de|Unbekannt|fr|Non dfini|it|Sconosciuto"}, \
	{2,"|en|Special|de|Spezial|fr|Spcial|it|Speciale"}, \
	{3,"|en|Carbon steel|de|Stahl|fr|Acier|it|Carbon steel"}, \
	{4,"|en|A2 70 St. St.|de|A2 70 rostfrei|fr|A2 70 St. St.|it|A2 70 St. St."}

/*
**********************************************************************
** ProcessConnectionDrainVentMaterial internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ProcessConnectionDrainVentMaterial {0,"|en|Not used|de|Nicht benutzt|fr|Non utililis|it|Non usato"},  \
	{1,"|en|Unknown|de|Unbekannt|fr|Non dfini|it|Sconosciuto"}, \
	{2,"|en|Special|de|Spezial|fr|Spcial|it|Speciale"}, \
	{3,"|en|Carbon steel|de|Stahl|fr|Acier|it|Carbon steel"}, \
	{4,"|en|316L|de|316L rostfrei|fr|316L|it|316L St. St."}, \
	{5,"|en|Alloy C|de|Alloy C|fr|Alloy C|it|Alloy C"}

/*
**********************************************************************
** ProcessConnectionDrainVentPosition internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ProcessConnectionDrainVentPosition {0,"|en|Not used|de|Nicht benutzt|fr|Non utililis|it|Non usato"},  \
	{1,"|en|Unknown|de|Unbekannt|fr|Non dfini|it|Sconosciuto"}, \
	{2,"|en|Special|de|Spezial|fr|Spcial|it|Speciale"}, \
	{3,"|en|Standard|de|Standard|fr|Standard|it|Standard"}, \
	{4,"|en|Side|de|Seitlich|fr|Cot|it|Side"}

/*
**********************************************************************
** ProcessConnectionThread internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ProcessConnectionThread {0,"|en|Not used|de|Nicht benutzt|fr|Non utililis|it|Non usato"},  \
	{1,"|en|Unknown|de|Unbekannt|fr|Non dfini|it|Sconosciuto"}, \
	{2,"|en|Special|de|Spezial|fr|Spcial|it|Speciale"}, \
	{3,"|en|1/4-18NPT"}, \
	{4,"|en|RC1/4"}, \
	{5,"|en|G1/2A"}, \
	{6,"|en|G1A"}, \
	{7,"|en|G1 1/2A"}, \
	{8,"|en|1/2MNPT 1/4FNPT"}, \
	{9,"|en|1/2MNPT"}

/*
**********************************************************************
** ProcessConnectionMountingThread internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ProcessConnectionMountingThread {0,"|en|Not used|de|Nicht benutzt|fr|Non utililis|it|Non usato"},  \
	{1,"|en|Unknown|de|Unbekannt|fr|Non dfini|it|Sconosciuto"}, \
	{2,"|en|Special|de|Spezial|fr|Spcial|it|Speciale"}, \
	{3,"|en|M10"}, \
	{4,"|en|M12"}, \
	{5,"|en|7/16UNF"}

/*
**********************************************************************
** ProcessConnectionNrOffRemoteSeals internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ProcessConnectionNrOffRemoteSeals {0,"|en|None|de|Keine|fr|Sans|it|Nessun"},  \
	{1,"|en|One|de|Eins|fr|Un|it|UNO"}, \
	{2,"|en|Two|de|Zwei|fr|Deux|it|Due"}

/*
**********************************************************************
** ProcessConnectionRemoteseal1Type internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ProcessConnectionRemoteseal1Type {0,"|en|Not used|de|Nicht benutzt|fr|Non utililis|it|Non usato"},  \
	{1,"|en|Unknown|de|Unbekannt|fr|Non dfini|it|Sconosciuto"}, \
	{2,"|en|Special|de|Spezial|fr|Spcial|it|Speciale"}, \
	{3,"|en|ISO228 G1/2A"}, \
	{4,"|en|ISO0228 G1A"}, \
	{5,"|en|ISO0228 G1 1/2A"}, \
	{6,"|en|ISO0228 G2A"}, \
	{7,"|en|ANSI 1''MNPT"}, \
	{8,"|en|ANSI 1 1/2''MNPT"}, \
	{9,"|en|ANSI 2''MNPT"}, \
	{10,"|en|DN25 PN10-40 B1"}, \
	{11,"|en|DN25 PN64-160 E"}, \
	{12,"|en|DN25 PN250 E"}, \
	{13,"|en|DN25 PN400 E"}, \
	{14,"|en|DN32 PN25/40 B1"}, \
	{15,"|en|DN40 PN25/40 B1"}, \
	{16,"|en|DN50 PN10/40 B1"}, \
	{17,"|en|DN50 PN25/40 A"}, \
	{18,"|en|DN50 PN64 B1"}, \
	{19,"|en|DN50 PN100/160 E"}, \
	{20,"|en|DN50 PN250 E"}, \
	{21,"|en|DN50 PN400 E"}, \
	{22,"|en|DN80 PN25/40 A"}, \
	{23,"|en|DN80 PN10/40 B1"}, \
	{24,"|en|DN80 PN100 B1"}, \
	{25,"|en|DN100 PN10/16 A"}, \
	{26,"|en|DN100 PN25/40 A"}, \
	{27,"|en|DN100 PN25/40 B1"}, \
	{28,"|en|DN100 PN100 B1"}, \
	{29,"|en|1'' 150LBS RF"}, \
	{30,"|en|1'' 300LBS RF"}, \
	{31,"|en|1'' 400/600 LBS RF"}, \
	{32,"|en|1'' 900/1500 LBS RF"}, \
	{33,"|en|1'' 2500LBS RF"}, \
	{34,"|en|1 1/2'' 150LBS RF"}, \
	{35,"|en|1 1/2'' 300LBS RF"}, \
	{36,"|en|2'' 150LBS RF"}, \
	{37,"|en|2'' 300LBS RF"}, \
	{38,"|en|2'' 400/600LBS RF"}, \
	{39,"|en|2'' 900/1500 LBS RF"}, \
	{40,"|en|2'' 2500 LBS RF"}, \
	{41,"|en|3'' 150LBS RF"}, \
	{42,"|en|3'' 300LBS RF"}, \
	{43,"|en|4'' 150LBS RF"}, \
	{44,"|en|4'' 300LBS RF"}, \
	{45,"|en|10K 50A RF"}, \
	{46,"|en|10K 80A RF"}, \
	{47,"|en|10K 100A RF"}, \
	{48,"|en|Separ G1/2A PN40|de|Trenner G1/2A PN40|fr|Separ G1/2A PN40|it|Separ G1/2A PN40"}, \
	{49,"|en|Separ G1/2A PN160|de|Trenner G1/2A PN160|fr|Separ G1/2A PN160|it|Separ G1/2A PN160"}, \
	{50,"|en|Separ 1/2MNPT PN40|de|Trenn 1/2MNPT PN40|fr|Separ 1/2MNPT PN40|it|Separ 1/2MNPT PN40"}, \
	{51,"|en|Separ 1/2MNPT PN160|de|Trenn 1/2MNPT PN160|fr|Separ 1/2MNPT PN160|it|Separ 1/2MNPT PN160"}, \
	{52,"|en|Separ G1/2B PN40|de|Trenner G1/2B PN40|fr|Separ G1/2B PN40|it|Separ G1/2B PN40"}, \
	{53,"|en|Separ 1/2FNPT PN40|de|Trenn 1/2FNPT PN40|fr|Separ 1/2FNPT PN40|it|Separ 1/2FNPT PN40"}, \
	{54,"|en|1/2'' NPT Off line"}, \
	{55,"|en|1'' NPT Off line"}, \
	{56,"|en|Cell DN50 PN16-400|de|Zelle DN50 PN16-400|fr|Cell DN50 PN16-400|it|Cella DN50 PN16-400"}, \
	{57,"|en|Cell DN80 PN16-400|de|Zelle DN80 PN16-400|fr|Cell DN80 PN16-400|it|Cella DN80 PN16-400"}, \
	{58,"|en|Cell DN100PN16-400|de|Zelle DN100PN16-400|fr|Cell DN100PN16-400|it|Cella DN100PN16-400"}, \
	{59,"|en|Cell 2''150-2500LBS|de|Zelle2''150-2500LBS|fr|Cell 2''150-2500LBS|it|Cella2''150-2500LBS"}, \
	{60,"|en|Cell 3''150-2500LBS|de|Zelle3''150-2500LBS|fr|Cell 3''150-2500LBS|it|Cella3''150-2500LBS"}, \
	{61,"|en|Cell 4''150-2500LBS|de|Zelle4''150-2500LBS|fr|Cell 4''150-2500LBS|it|Cella4''150-2500LBS"}, \
	{62,"|en|TriClamp1''DN25-38|de|TriClamp1''DN25-38|fr|TriClamp1''DN25-38|it|TriClamp1''DN25-38"}, \
	{63,"|en|TriClamp2''DN40-51|de|TriClamp2''DN40-51|fr|TriClamp2''DN40-51|it|TriClamp2''DN40-51"}, \
	{64,"|en|TriClamp3''DN70-76|de|TriClamp3''DN70-76|fr|TriClamp3''DN70-76|it|TriClamp3''DN70-76"}, \
	{65,"|en|PipeTriClamp1''DN25|de|RohrTriClamp1''DN25|fr|PipeTriClamp1''DN25|it|PipeTriClamp1''DN25"}, \
	{66,"|en|PipeTriClamp1 1/2''|de|RohrTriClamp1 1/2''|fr|PipeTriClamp1 1/2''|it|PipeTriClamp1 1/2''"}, \
	{67,"|en|PipeTriClamp2''DN51|de|RohrTriClamp2''DN51|fr|PipeTriClamp2''DN51|it|PipeTriClamp2''DN51"}, \
	{68,"|en|VarivPipeDN40-162|de|VarivRohrDN40-162|fr|VarivPipeDN40-162|it|VarivPipeDN40-162"}, \
	{69,"|en|DRD65mm PN25"}, \
	{70,"|en|SanTankSpud Tub2''|de|SanTankSpud Tub2''|fr|SanTankSpud Tub2''|it|SanTankSpud Tub2''"}, \
	{71,"|en|DIN11851DN50PN25"}, \
	{72,"|en|DIN11851DN65PN25"}, \
	{73,"|en|DIN11851DN80PN25"}

/*
**********************************************************************
** ProcessConnectionRemoteseal2Type internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ProcessConnectionRemoteseal2Type {0,"|en|Not used|de|Nicht benutzt|fr|Non utililis|it|Non usato"},  \
	{1,"|en|Unknown|de|Unbekannt|fr|Non dfini|it|Sconosciuto"}, \
	{2,"|en|Special|de|Spezial|fr|Spcial|it|Speciale"}, \
	{3,"|en|ISO228 G1/2A"}, \
	{4,"|en|ISO0228 G1A"}, \
	{5,"|en|ISO0228 G1 1/2A"}, \
	{6,"|en|ISO0228 G2A"}, \
	{7,"|en|ANSI 1''MNPT"}, \
	{8,"|en|ANSI 1 1/2''MNPT"}, \
	{9,"|en|ANSI 2''MNPT"}, \
	{10,"|en|DN25 PN10-40 B1"}, \
	{11,"|en|DN25 PN64-160 E"}, \
	{12,"|en|DN25 PN250 E"}, \
	{13,"|en|DN25 PN400 E"}, \
	{14,"|en|DN32 PN25/40 B1"}, \
	{15,"|en|DN40 PN25/40 B1"}, \
	{16,"|en|DN50 PN10/40 B1"}, \
	{17,"|en|DN50 PN25/40 A"}, \
	{18,"|en|DN50 PN64 B1"}, \
	{19,"|en|DN50 PN100/160 E"}, \
	{20,"|en|DN50 PN250 E"}, \
	{21,"|en|DN50 PN400 E"}, \
	{22,"|en|DN80 PN25/40 A"}, \
	{23,"|en|DN80 PN10/40 B1"}, \
	{24,"|en|DN80 PN100 B1"}, \
	{25,"|en|DN100 PN10/16 A"}, \
	{26,"|en|DN100 PN25/40 A"}, \
	{27,"|en|DN100 PN25/40 B1"}, \
	{28,"|en|DN100 PN100 B1"}, \
	{29,"|en|1'' 150LBS RF"}, \
	{30,"|en|1'' 300LBS RF"}, \
	{31,"|en|1'' 400/600 LBS RF"}, \
	{32,"|en|1'' 900/1500 LBS RF"}, \
	{33,"|en|1'' 2500LBS RF"}, \
	{34,"|en|1 1/2'' 150LBS RF"}, \
	{35,"|en|1 1/2'' 300LBS RF"}, \
	{36,"|en|2'' 150LBS RF"}, \
	{37,"|en|2'' 300LBS RF"}, \
	{38,"|en|2'' 400/600LBS RF"}, \
	{39,"|en|2'' 900/1500 LBS RF"}, \
	{40,"|en|2'' 2500 LBS RF"}, \
	{41,"|en|3'' 150LBS RF"}, \
	{42,"|en|3'' 300LBS RF"}, \
	{43,"|en|4'' 150LBS RF"}, \
	{44,"|en|4'' 300LBS RF"}, \
	{45,"|en|10K 50A RF"}, \
	{46,"|en|10K 80A RF"}, \
	{47,"|en|10K 100A RF"}, \
	{48,"|en|Separ G1/2A PN40|de|Trenner G1/2A PN40|fr|Separ G1/2A PN40|it|Separ G1/2A PN40"}, \
	{49,"|en|Separ G1/2A PN160|de|Trenner G1/2A PN160|fr|Separ G1/2A PN160|it|Separ G1/2A PN160"}, \
	{50,"|en|Separ 1/2FNPT PN40|de|Trenn 1/2FNPT PN40|fr|Separ 1/2FNPT PN40|it|Separ 1/2FNPT PN40"}, \
	{51,"|en|Separ 1/2MNPT PN160|de|Trenn 1/2MNPT PN160|fr|Separ 1/2MNPT PN160|it|Separ 1/2MNPT PN160"}, \
	{52,"|en|Separ G1/2B PN40|de|Trenner G1/2B PN40|fr|Separ G1/2B PN40|it|Separ G1/2B PN40"}, \
	{53,"|en|Separ 1/2MNPT PN40|de|Trenn 1/2MNPT PN40|fr|Separ 1/2MNPT PN40|it|Separ 1/2MNPT PN40"}, \
	{54,"|en|1'' NPT Off line"}, \
	{55,"|en|1/2'' NPT Off line"}, \
	{56,"|en|Cell DN100PN16-400|de|Zelle DN100PN16-400|fr|Cell DN100PN16-400|it|Cella DN100PN16-400"}, \
	{57,"|en|Cell DN80 PN16-400|de|Zelle DN80 PN16-400|fr|Cell DN80 PN16-400|it|Cella DN80 PN16-400"}, \
	{58,"|en|Cell DN50 PN16-400|de|Zelle DN50 PN16-400|fr|Cell DN50 PN16-400|it|Cella DN50 PN16-400"}, \
	{59,"|en|Cell 2''150-2500LBS|de|Zelle2''150-2500LBS|fr|Cell 2''150-2500LBS|it|Cella2''150-2500LBS"}, \
	{60,"|en|Cell 3''150-2500LBS|de|Zelle3''150-2500LBS|fr|Cell 3''150-2500LBS|it|Cella3''150-2500LBS"}, \
	{61,"|en|Cell 4''150-2500LBS|de|Zelle4''150-2500LBS|fr|Cell 4''150-2500LBS|it|Cella4''150-2500LBS"}, \
	{62,"|en|TriClamp1''DN25-38|de|TriClamp1''DN25-38|fr|TriClamp1''DN25-38|it|TriClamp1''DN25-38"}, \
	{63,"|en|TriClamp2''DN40-51|de|TriClamp2''DN40-51|fr|TriClamp2''DN40-51|it|TriClamp2''DN40-51"}, \
	{64,"|en|TriClamp3''DN70-76|de|TriClamp3''DN70-76|fr|TriClamp3''DN70-76|it|TriClamp3''DN70-76"}, \
	{65,"|en|PipeTriClamp1''DN25|de|RohrTriClamp1''DN25|fr|PipeTriClamp1''DN25|it|PipeTriClamp1''DN25"}, \
	{66,"|en|PipeTriClamp1 1/2''|de|RohrTriClamp1 1/2''|fr|PipeTriClamp1 1/2''|it|PipeTriClamp1 1/2''"}, \
	{67,"|en|PipeTriClamp2''DN51|de|RohrTriClamp2''DN51|fr|PipeTriClamp2''DN51|it|PipeTriClamp2''DN51"}, \
	{68,"|en|VarivPipeDN40-162|de|VarivRohrDN40-162|fr|VarivPipeDN40-162|it|VarivPipeDN40-162"}, \
	{69,"|en|DRD65mm PN25"}, \
	{70,"|en|SanTankSpud Tub2''|de|SanTankSpud Tub2''|fr|SanTankSpud Tub2''|it|SanTankSpud Tub2''"}, \
	{71,"|en|DIN11851DN50PN25"}, \
	{72,"|en|DIN11851DN65PN25"}, \
	{73,"|en|DIN11851DN80PN25"}

/*
**********************************************************************
** ProcessRemoteseal1DiaphragmMaterial internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ProcessRemoteseal1DiaphragmMaterial {0,"|en|Not used|de|Nicht benutzt|fr|Non utililis|it|Non usato"},  \
	{1,"|en|Unknown|de|Unbekannt|fr|Non dfini|it|Sconosciuto"}, \
	{2,"|en|Special|de|Spezial|fr|Spcial|it|Speciale"}, \
	{3,"|en|316L|de|316L rostfrei|fr|316L|it|316L St. St."}, \
	{4,"|en|Alloy C 276|de|Alloy C 276|fr|Alloy C 276|it|Alloy C 276"}, \
	{5,"|en|Monel|de|Monel|fr|Monel|it|Monel"}, \
	{6,"|en|Tantalum|de|Tantal|fr|Tantale|it|Tantalio"}, \
	{7,"|en|316L Gold-Rhodium|de|316L Gold-Rhodium|fr|316L Gold-Rhodium|it|316L Gold-Rhodium"}, \
	{8,"|en|316L PTFE-Foil|de|316L PTFE-Foile|fr|316L PTFE-Foil|it|316L Riv. PTFE"}

/*
**********************************************************************
** ProcessRemoteseal2DiaphragmMaterial internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ProcessRemoteseal2DiaphragmMaterial {0,"|en|Not used|de|Nicht benutzt|fr|Non utililis|it|Non usato"},  \
	{1,"|en|Unknown|de|Unbekannt|fr|Non dfini|it|Sconosciuto"}, \
	{2,"|en|Special|de|Spezial|fr|Spcial|it|Speciale"}, \
	{3,"|en|316L|de|316L rostfrei|fr|316L|it|316L St. St."}, \
	{4,"|en|Alloy C 276|de|Alloy C 276|fr|Alloy C 276|it|Alloy C 276"}, \
	{5,"|en|Monel|de|Monel|fr|Monel|it|Monel"}, \
	{6,"|en|Tantalum|de|Tantal|fr|Tantale|it|Tantalio"}, \
	{7,"|en|316L Gold-Rhodium|de|316L Gold-Rhodium|fr|316L Gold-Rhodium|it|316L Gold-Rhodium"}, \
	{8,"|en|316L PTFE-Foil|de|316L PTFE-Foile|fr|316L PTFE-Foil|it|316L Riv. PTFE"}

/*
**********************************************************************
** ProcessRemoteSealFillFluid internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ProcessRemoteSealFillFluid {0,"|en|Not used|de|Nicht benutzt|fr|Non utililis|it|Non usato"},  \
	{1,"|en|Unknown|de|Unbekannt|fr|Non dfini|it|Sconosciuto"}, \
	{2,"|en|Special|de|Spezial|fr|Spcial|it|Speciale"}, \
	{3,"|en|Silicon oil|de|Silikonl|fr|Huile silicone|it|Olio Siliconico"}, \
	{4,"|en|Mineral oil|de|Minerall|fr|Huile minrale|it|Olio vegetale"}, \
	{5,"|en|Inert oil|de|Inertes l|fr|Huile inerte|it|Olio inerte"}, \
	{6,"|en|High temp. Oil|de|Hochtemperaturl|fr|Huile haute temp.|it|OLIO ALTA TEMP."}, \
	{7,"|en|Vegetable oil|de|Pflanzenl|fr|Huile vgtale|it|Olio vegetale"}

/*
**********************************************************************
** SensorDiaphragmMaterial internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SensorDiaphragmMaterial {0,"|en|Unknown|de|Unbekannt|fr|Non dfini|it|Sconosciuto"},  \
	{1,"|en|316L SST AuRh|de|316LSST AuRh|fr|316L AuRh|it|316LSST AuRh"}, \
	{2,"|en|316L|de|316L rostfrei|fr|316L|it|316L St. St."}, \
	{3,"|en|AlloyC22/C276|de|AlloyC22/C276|fr|AlloyC22/C276|it|AlloyC22/C276"}, \
	{4,"|en|Monel|de|Monel|fr|Monel|it|Monel"}, \
	{5,"|en|Tantalum|de|Tantalum|fr|Tantalum|it|Tantalio"}, \
	{6,"|en|316SST PTFE"}, \
	{7,"|en|Special|de|Spezial|fr|Spcial|it|Speciale"}, \
	{8,"|en|Ceramic|de|Keramik|fr|Cramique|it|Ceramica"}

/*
**********************************************************************
** SensorFillFluid internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SensorFillFluid {0,"|en|Special|de|Spezial|fr|Spcial|it|Speciale"},  \
	{1,"|en|Without|de|Ohne|fr|Sans|it|Senza"}, \
	{2,"|en|Silicon oil|de|Silikonl|fr|Huile silicone|it|Olio Siliconico"}, \
	{3,"|en|Vegetable oil|de|Pflanzenl|fr|Huile vgtale|it|Olio vegetale"}, \
	{4,"|en|High temp. Oil|de|Hochtemperaturl|fr|Huile haute temp.|it|OLIO ALTA TEMP."}, \
	{5,"|en|Inert oil|de|Inertes l|fr|Huile inerte|it|Olio inerte"}, \
	{6,"|en|Mineral oil|de|Minerall|fr|Huile minrale|it|Olio vegetale"}, \
	{7,"|en|Unknown|de|Unbekannt|fr|Non dfini|it|Sconosciuto"}

/*
**********************************************************************
** ResetTransmitterObservation internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ResetTransmitterObservation {0,"|en|None|de|Keine|fr|Sans|it|Nessun"},  \
	{1,"|en|Max. Pressure|de|Maximaler Druck|fr|Pression Max.|it|Max. Pressione"}, \
	{2,"|en|Min. Pressure|de|Minimaler Druck|fr|Pression Min.|it|Min. Press."}, \
	{3,"|en|Pmax history|de|Pmax Anzahl|fr|Pmax historique|it|Storia Pmax"}, \
	{4,"|en|Pmin history|de|Pmin Anzahl|fr|Pmin historique|it|Storia Pmin"}, \
	{5,"|en|Max. Temp.|de|Maximale Temp.|fr|Temp. Max.|it|Max. Temp"}, \
	{6,"|en|Min. Temp.|de|Minimale Temp.|fr|Temp. Min.|it|Min. Temp."}, \
	{7,"|en|Tmax history|de|Tmax Anzahl|fr|Tmax historique|it|Storia Tmax"}, \
	{8,"|en|Tmin history|de|Tmin Anzahl|fr|Tmin historique|it|Storia Tmin"}, \
	{9,"|en|Reset All|de|Alle|fr|Remise  zro total|it|Reset totale"}

/*
**********************************************************************
** Tendency internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_Tendency {0,"|en|Constant|de|Konstant|fr|Constant|it|Costante"},  \
	{1,"|en|Decreasing|de|Fallend|fr|Dcroissant|it|Decresce"}, \
	{2,"|en|Increasing|de|Steigend|fr|Croissant|it|Aumenta"}

/*
**********************************************************************
** SensorMeasurementType internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_SensorMeasurementType {0,"|en|Unknown|de|Unbekannt|fr|Non dfini|it|Sconosciuto"},  \
	{1,"|en|Differential|de|Differentiell|fr|Diffrentiel|it|Differenziale"}, \
	{2,"|en|Gauge|de|Relativ|fr|Relative|it|Relativa"}, \
	{3,"|en|Absolut|de|Absolut|fr|Absolu|it|Assoluta"}, \
	{4,"|en|multi|de|multi|fr|multi|it|multi"}

/*
**********************************************************************
** DensityUnitEasy internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_DensityUnitEasy {0,"|en|g/cm"},  \
	{1,"|en|kg/m"}, \
	{2,"|en|kg/dm"}, \
	{3,"|en|US lb/in"}, \
	{4,"|en|US lb/ft"}

/*
**********************************************************************
** HeightUnitEasy internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_HeightUnitEasy {0,"|en|mm"},  \
	{1,"|en|cm"}, \
	{2,"|en|dm"}, \
	{3,"|en|m"}, \
	{4,"|en|ft"}, \
	{5,"|en|inch"}

/*
**********************************************************************
** LevelAdjustModeEasy internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_LevelAdjustModeEasy {0,"|en|Wet|de|Nass|fr|Mouill|it|Bagnata"},  \
	{1,"|en|Dry|de|Trocken|fr|Sec|it|Secco"}

/*
**********************************************************************
** OutUnitEasy internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_OutUnitEasy {0,"|en|cm"},  \
	{1,"|en|cm"}, \
	{2,"|en|dm"}, \
	{3,"|en|dm"}, \
	{4,"|en|ft"}, \
	{5,"|en|ft"}, \
	{6,"|en|ftE"}, \
	{7,"|en|g"}, \
	{8,"|en|hl"}, \
	{9,"|en|Igal"}, \
	{10,"|en|inch"}, \
	{11,"|en|kg"}, \
	{12,"|en|l"}, \
	{13,"|en|lb"}, \
	{14,"|en|ton"}, \
	{15,"|en|m"}, \
	{16,"|en|m"}, \
	{17,"|en|mE"}, \
	{18,"|en|mm"}, \
	{19,"|en|oz"}, \
	{20,"|en|%"}, \
	{21,"|en|t"}, \
	{22,"|en|gal"}, \
	{23,"|en|bbl"}

/*
**********************************************************************
** ConfigurationType internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_ConfigurationType \
  {0,"|en|Level Standard|de|Fllstand Standard|fr|Niveau Standard|it|Livello Standard"} \
	{1,"|en|Level Easy Pressure|de|Fllstd. Easy Druck|fr|Niv.simple pression|it|Livello Press. Easy"}, \
	{2,"|en|Level Easy Height|de|Fllstd. Easy Hhe|fr|Niv. simple hauteur|it|Livello Alto Easy"}

/*
**********************************************************************
** Pressure1InputInversion internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_Pressure1InputInversion {0,"|en|No|de|Nein|fr|Non|it|No"},  \
	{1,"|en|Yes|de|Ja|fr|Oui|it|Si"}

/*
**********************************************************************
** CurrentOutputCharacteristics internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_CurrentOutputCharacteristics {0,"|en|Linear|de|Linear|fr|Linaire|it|Lineare"},  \
	{1,"|en|Bi-linear|de|Bi-linear|fr|Bi-linaire|it|Bi-lineare"}, \
	{2,"|en|Linear inverse|de|Linear invers|fr|Linaire invers|it|Lineare Inversa"}, \
	{3,"|en|Bi-linear invers|de|Bi-linear invers|fr|Bi-linare invers|it|Bi-linear inversa"}

/*
**********************************************************************
** VirtualLevelUnitDensity internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_VirtualLevelUnitDensity {0,"|en|g/cm"},  \
	{1,"|en|kg/m"}, \
	{2,"|en|kg/dm"}, \
	{3,"|en|US lb/in"}, \
	{4,"|en|US lb/ft"}

/*
**********************************************************************
** VirtualVolumeUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_VirtualVolumeUnit {0,"|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"},  \
	{1,"|en|l"}, \
	{2,"|en|hl"}, \
	{3,"|en|cm"}, \
	{4,"|en|dm"}, \
	{5,"|en|m"}, \
	{6,"|en|mE"}, \
	{7,"|en|ft"}, \
	{8,"|en|ftE"}, \
	{9,"|en|gal"}, \
	{10,"|en|Igal"}, \
	{11,"|en|bbl"}

/*
**********************************************************************
** ENUM TEXT |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


/*
**********************************************************************
** MassFlowUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_MassFlowUnitLIST SELECT ( MassFlowUnit ) \
                                { \
                                  CASE 0 : "|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"; \
                                  CASE 1 : "|en|g/s"; \
                                  CASE 2 : "|en|kg/s"; \
                                  CASE 3 : "|en|kg/min"; \
                                  CASE 4 : "|en|kg/h"; \
                                  CASE 5 : "|en|t/s"; \
                                  CASE 6 : "|en|t/min"; \
                                  CASE 7 : "|en|t/h"; \
                                  CASE 8 : "|en|t/d"; \
                                  CASE 9 : "|en|oz/s"; \
                                  CASE 10 : "|en|oz/min"; \
                                  CASE 11 : "|en|lb/s"; \
                                  CASE 12 : "|en|lb/min"; \
                                  CASE 13 : "|en|lb/h"; \
                                  CASE 14 : "|en|ton/s"; \
                                  CASE 15 : "|en|ton/min"; \
                                  CASE 16 : "|en|ton/h"; \
                                  CASE 17 : "|en|ton/d"; \
                                }

/*
**********************************************************************
** VolumeFlowUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_VolumeFlowUnitLIST SELECT ( VolumeFlowUnit ) \
                                { \
                                  CASE 0 : "|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"; \
                                  CASE 1 : "|en|dm/s"; \
                                  CASE 2 : "|en|dm/min"; \
                                  CASE 3 : "|en|dm/h"; \
                                  CASE 4 : "|en|m/s"; \
                                  CASE 5 : "|en|m/min"; \
                                  CASE 6 : "|en|m/h"; \
                                  CASE 7 : "|en|m/day"; \
                                  CASE 8 : "|en|l/s"; \
                                  CASE 9 : "|en|l/min"; \
                                  CASE 10 : "|en|l/h"; \
                                  CASE 11 : "|en|hl/s"; \
                                  CASE 12 : "|en|hl/min"; \
                                  CASE 13 : "|en|hl/h"; \
                                  CASE 14 : "|en|hl/day"; \
                                  CASE 15 : "|en|ft/s"; \
                                  CASE 16 : "|en|ft/min"; \
                                  CASE 17 : "|en|ft/h"; \
                                  CASE 18 : "|en|ft/day"; \
                                  CASE 19 : "|en|ACFS"; \
                                  CASE 20 : "|en|ACFM"; \
                                  CASE 21 : "|en|ACFH"; \
                                  CASE 22 : "|en|ACFD"; \
                                  CASE 23 : "|en|ozf/s"; \
                                  CASE 24 : "|en|ozf/min"; \
                                  CASE 25 : "|en|USgal/s"; \
                                  CASE 26 : "|en|USgal/min"; \
                                  CASE 27 : "|en|USgal/h"; \
                                  CASE 28 : "|en|USgal/day"; \
                                  CASE 29 : "|en|ImpGl/s"; \
                                  CASE 30 : "|en|ImpGl/min"; \
                                  CASE 31 : "|en|ImpGl/h"; \
                                  CASE 32 : "|en|bbl/s"; \
                                  CASE 33 : "|en|bbl/min"; \
                                  CASE 34 : "|en|bbl/h"; \
                                  CASE 35 : "|en|bbl/d"; \
                                }

/*
**********************************************************************
** Totalizer1VolumeUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_Totalizer1VolumeUnitLIST SELECT ( Totalizer1VolumeUnit ) \
                                { \
                                  CASE 0 : "|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"; \
                                  CASE 1 : "|en|l"; \
                                  CASE 2 : "|en|hl"; \
                                  CASE 3 : "|en|cm"; \
                                  CASE 4 : "|en|dm"; \
                                  CASE 5 : "|en|m"; \
                                  CASE 6 : "|en|mE"; \
                                  CASE 7 : "|en|ft"; \
                                  CASE 8 : "|en|ftE"; \
                                  CASE 9 : "|en|gal"; \
                                  CASE 10 : "|en|Igal"; \
                                  CASE 11 : "|en|Mgal"; \
                                  CASE 12 : "|en|bbl"; \
                                }

/*
**********************************************************************
** Totalizer2VolumeUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_Totalizer2VolumeUnitLIST SELECT ( Totalizer2VolumeUnit ) \
                                { \
                                  CASE 0 : "|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"; \
                                  CASE 1 : "|en|l"; \
                                  CASE 2 : "|en|hl"; \
                                  CASE 3 : "|en|cm"; \
                                  CASE 4 : "|en|dm"; \
                                  CASE 5 : "|en|m"; \
                                  CASE 6 : "|en|mE"; \
                                  CASE 7 : "|en|ft"; \
                                  CASE 8 : "|en|ftE"; \
                                  CASE 9 : "|en|gal"; \
                                  CASE 10 : "|en|Igal"; \
                                  CASE 11 : "|en|Mgal"; \
                                  CASE 12 : "|en|bbl"; \
                                }

/*
**********************************************************************
** StandardFlowUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_StandardFlowUnitLIST SELECT ( StandardFlowUnit ) \
                                { \
                                  CASE 0 : "|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"; \
                                  CASE 1 : "|en|Sm/s"; \
                                  CASE 2 : "|en|Sm/min"; \
                                  CASE 3 : "|en|Sm/h"; \
                                  CASE 4 : "|en|Sm/d"; \
                                  CASE 5 : "|en|SCFS"; \
                                  CASE 6 : "|en|SCFM"; \
                                  CASE 7 : "|en|SCFH"; \
                                  CASE 8 : "|en|SCFD"; \
                                }

/*
**********************************************************************
** NormFlowUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_NormFlowUnitLIST SELECT ( NormFlowUnit ) \
                                { \
                                  CASE 0 : "|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"; \
                                  CASE 1 : "|en|Nm/s"; \
                                  CASE 2 : "|en|Nm/min"; \
                                  CASE 3 : "|en|Nm/h"; \
                                  CASE 4 : "|en|Nm/d"; \
                                }

/*
**********************************************************************
** Totalizer1MassUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_Totalizer1MassUnitLIST SELECT ( Totalizer1MassUnit ) \
                                { \
                                  CASE 0 : "|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"; \
                                  CASE 1 : "|en|g"; \
                                  CASE 2 : "|en|kg"; \
                                  CASE 3 : "|en|t"; \
                                  CASE 4 : "|en|oz"; \
                                  CASE 5 : "|en|lb"; \
                                  CASE 6 : "|en|ton"; \
                                }

/*
**********************************************************************
** Totalizer2MassUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_Totalizer2MassUnitLIST SELECT ( Totalizer2MassUnit ) \
                                { \
                                  CASE 0 : "|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"; \
                                  CASE 1 : "|en|g"; \
                                  CASE 2 : "|en|kg"; \
                                  CASE 3 : "|en|t"; \
                                  CASE 4 : "|en|oz"; \
                                  CASE 5 : "|en|lb"; \
                                  CASE 6 : "|en|ton"; \
                                }

/*
**********************************************************************
** Totalizer1StandardVolumeUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_Totalizer1StandardVolumeUnitLIST SELECT ( Totalizer1StandardVolumeUnit ) \
                                { \
                                  CASE 0 : "|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"; \
                                  CASE 1 : "|en|Sdm"; \
                                  CASE 2 : "|en|Sm"; \
                                  CASE 3 : "|en|SCI"; \
                                  CASE 4 : "|en|SCF"; \
                                }

/*
**********************************************************************
** Totalizer2StandardVolumeUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_Totalizer2StandardVolumeUnitLIST SELECT ( Totalizer2StandardVolumeUnit ) \
                                { \
                                  CASE 0 : "|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"; \
                                  CASE 1 : "|en|Sdm"; \
                                  CASE 2 : "|en|Sm"; \
                                  CASE 3 : "|en|SCI"; \
                                  CASE 4 : "|en|SCF"; \
                                }

/*
**********************************************************************
** Totalizer1NormVolumeUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_Totalizer1NormVolumeUnitLIST SELECT ( Totalizer1NormVolumeUnit ) \
                                { \
                                  CASE 0 : "|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"; \
                                  CASE 1 : "|en|Ndm"; \
                                  CASE 2 : "|en|Nm"; \
                                }

/*
**********************************************************************
** Totalizer2NormVolumeUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_Totalizer2NormVolumeUnitLIST SELECT ( Totalizer2NormVolumeUnit ) \
                                { \
                                  CASE 0 : "|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"; \
                                  CASE 1 : "|en|Ndm"; \
                                  CASE 2 : "|en|Nm"; \
                                }

/*
**********************************************************************
** VolumeUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_VolumeUnitLIST SELECT ( VolumeUnit ) \
                                { \
                                  CASE 0 : "|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"; \
                                  CASE 1 : "|en|l"; \
                                  CASE 2 : "|en|hl"; \
                                  CASE 3 : "|en|cm"; \
                                  CASE 4 : "|en|dm"; \
                                  CASE 5 : "|en|m"; \
                                  CASE 6 : "|en|mE"; \
                                  CASE 7 : "|en|ft"; \
                                  CASE 8 : "|en|ftE"; \
                                  CASE 9 : "|en|gal"; \
                                  CASE 10 : "|en|Igal"; \
                                  CASE 11 : "|en|bbl"; \
                                }

/*
**********************************************************************
** DensityUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_DensityUnitLIST SELECT ( DensityUnit ) \
                                { \
                                  CASE 0 : "|en|g/cm"; \
                                  CASE 1 : "|en|kg/m"; \
                                  CASE 2 : "|en|kg/dm"; \
                                  CASE 3 : "|en|US lb/in"; \
                                  CASE 4 : "|en|US lb/ft"; \
                                }

/*
**********************************************************************
** HeightUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_HeightUnitLIST SELECT ( HeightUnit ) \
                                { \
                                  CASE 0 : "|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"; \
                                  CASE 1 : "|en|mm"; \
                                  CASE 2 : "|en|cm"; \
                                  CASE 3 : "|en|dm"; \
                                  CASE 4 : "|en|m"; \
                                  CASE 5 : "|en|ft"; \
                                  CASE 6 : "|en|inch"; \
                                }

/*
**********************************************************************
** MassUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_MassUnitLIST SELECT ( MassUnit ) \
                                { \
                                  CASE 0 : "|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"; \
                                  CASE 1 : "|en|g"; \
                                  CASE 2 : "|en|kg"; \
                                  CASE 3 : "|en|t"; \
                                  CASE 4 : "|en|oz"; \
                                  CASE 5 : "|en|lb"; \
                                  CASE 6 : "|en|ton"; \
                                }

/*
**********************************************************************
** Pressure1Unit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_Pressure1UnitLIST SELECT ( Pressure1Unit ) \
                                { \
                                  CASE 0 : "|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"; \
                                  CASE 1 : "|en|mbar"; \
                                  CASE 2 : "|en|bar"; \
                                  CASE 3 : "|en|mmH2O"; \
                                  CASE 4 : "|en|mH2O"; \
                                  CASE 5 : "|en|ftH2O"; \
                                  CASE 6 : "|en|inH2O"; \
                                  CASE 7 : "|en|Pa"; \
                                  CASE 8 : "|en|hPa"; \
                                  CASE 9 : "|en|kPa"; \
                                  CASE 10 : "|en|MPa"; \
                                  CASE 11 : "|en|psi"; \
                                  CASE 12 : "|en|mmHg"; \
                                  CASE 13 : "|en|inHg"; \
                                  CASE 14 : "|en|Torr"; \
                                  CASE 15 : "|en|g/cm"; \
                                  CASE 16 : "|en|kg/cm"; \
                                  CASE 17 : "|en|lb/ft"; \
                                  CASE 18 : "|en|atm"; \
                                  CASE 19 : "|en|gf/cm"; \
                                  CASE 20 : "|en|kgf/cm"; \
                                }

/*
**********************************************************************
** TemperatureUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_TemperatureUnitLIST SELECT ( TemperatureUnit ) \
                                { \
                                  CASE 0 : "|en|C"; \
                                  CASE 1 : "|en|F"; \
                                  CASE 2 : "|en|K"; \
                                  CASE 3 : "|en|R"; \
                                }

/*
**********************************************************************
** CurrentUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_CurrentUnitLIST SELECT ( CurrentUnit ) \
                                { \
                                  CASE 0 : "|en|mA"; \
                                } 

/*
**********************************************************************
** PercentUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_PercentUnitLIST SELECT ( PercentUnit ) \
                                { \
                                  CASE 0 : "|en|%"; \
                                } 

/*
**********************************************************************
** SecondUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_SecondUnitLIST SELECT ( SecondUnit ) \
                                { \
                                  CASE 0 : "|en|s"; \
                                } 

/*
**********************************************************************
** DensityUnitEasy internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_DensityUnitEasyLIST SELECT ( DensityUnitEasy ) \
                                { \
                                  CASE 0 : "|en|g/cm"; \
                                  CASE 1 : "|en|kg/m"; \
                                  CASE 2 : "|en|kg/dm"; \
                                  CASE 3 : "|en|US lb/in"; \
                                  CASE 4 : "|en|US lb/ft"; \
                                }

/*
**********************************************************************
** HeightUnitEasy internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_HeightUnitEasyLIST SELECT ( HeightUnitEasy ) \
                                { \
                                  CASE 0 : "|en|mm"; \
                                  CASE 1 : "|en|cm"; \
                                  CASE 2 : "|en|dm"; \
                                  CASE 3 : "|en|m"; \
                                  CASE 4 : "|en|ft"; \
                                  CASE 5 : "|en|inch"; \
                                }

/*
**********************************************************************
** OutUnitEasy internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_OutUnitEasyLIST SELECT ( OutUnitEasy ) \
                                { \
                                  CASE 0 : "|en|cm"; \
                                  CASE 1 : "|en|cm"; \
                                  CASE 2 : "|en|dm"; \
                                  CASE 3 : "|en|dm"; \
                                  CASE 4 : "|en|ft"; \
                                  CASE 5 : "|en|ft"; \
                                  CASE 6 : "|en|ftE"; \
                                  CASE 7 : "|en|g"; \
                                  CASE 8 : "|en|hl"; \
                                  CASE 9 : "|en|Igal"; \
                                  CASE 10 : "|en|inch"; \
                                  CASE 11 : "|en|kg"; \
                                  CASE 12 : "|en|l"; \
                                  CASE 13 : "|en|lb"; \
                                  CASE 14 : "|en|ton"; \
                                  CASE 15 : "|en|m"; \
                                  CASE 16 : "|en|m"; \
                                  CASE 17 : "|en|mE"; \
                                  CASE 18 : "|en|mm"; \
                                  CASE 19 : "|en|oz"; \
                                  CASE 20 : "|en|%"; \
                                  CASE 21 : "|en|t"; \
                                  CASE 22 : "|en|gal"; \
                                  CASE 23 : "|en|bbl"; \
                                }

/*
**********************************************************************
** VirtualLevelUnitDensity internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_VirtualLevelUnitDensityLIST SELECT ( VirtualLevelUnitDensity ) \
                                { \
                                  CASE 0 : "|en|g/cm"; \
                                  CASE 1 : "|en|kg/m"; \
                                  CASE 2 : "|en|kg/dm"; \
                                  CASE 3 : "|en|US lb/in"; \
                                  CASE 4 : "|en|US lb/ft"; \
                                }

/*
**********************************************************************
** VirtualVolumeUnit internal Code |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


#define ENUM_VirtualVolumeUnitLIST SELECT ( VirtualVolumeUnit ) \
                                { \
                                  CASE 0 : "|en|User unit|de|Benutzereinheit|fr|Unit utilisateur|it|Limiti Utente"; \
                                  CASE 1 : "|en|l"; \
                                  CASE 2 : "|en|hl"; \
                                  CASE 3 : "|en|cm"; \
                                  CASE 4 : "|en|dm"; \
                                  CASE 5 : "|en|m"; \
                                  CASE 6 : "|en|mE"; \
                                  CASE 7 : "|en|ft"; \
                                  CASE 8 : "|en|ftE"; \
                                  CASE 9 : "|en|gal"; \
                                  CASE 10 : "|en|Igal"; \
                                  CASE 11 : "|en|bbl"; \
                                }

/*
**********************************************************************
** MENU TEXT |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define  varOperatingModeTEXT                 "|en|MEASURING MODE|de|BETRIEBSART|fr|TYPE DE MESURE|it|MODO MISURA"; 
#define  varQuickSetupTEXT                    "|en|QUICK SETUP|de|QUICK SETUP|fr|QUICK SETUP|it|QUICK SETUP"; 
#define  varOperatingMenuTEXT                 "|en|OPERATING MENU|de|BEDIENMEN|fr|MENU DEVELOPPE|it|MENU OPERATIVO"; 
#define  varSettingsTEXT                      "|en|SETTINGS|de|ABGLEICH|fr|CONFIGURATION|it|IMPOSTAZIONI"; 
#define  pardPositionAdjustmentTEXT           "|en|POSITION ADJUST.|de|LAGEABGLEICH|fr|CORRECT. POSITION|it|AGGIUSTAM.POSIZIONE"; 
#define  pardBasicSetupTEXT                   "|en|BASIC SETUP|de|GRUNDABGLEICH|fr|CONFIG. DE BASE|it|TARATURA DI BASE"; 
#define  pardExtendedSetupTEXT                "|en|EXTENDED SETUP|de|ERWEIT. ABGLEICH|fr|CONFIGUR.ETENDUE|it|IMPOSTAZIONI ESTESE"; 
#define  pardLinearisationTEXT                "|en|LINEARIZATION|de|LINEARISIERUNG|fr|LINEARISATION|it|LINEARIZZAZIONE"; 
#define  pardTotalizerSetupTEXT               "|en|TOTALISER SETUP|de|SUMMENZ. ABGLEICH|fr|TOTALISATEUR|it|TOTALIZZATORE"; 
#define  varSilModeTEXT                       "|en|SAFETY CONFIRM.|de|SICH.BESTTIGUNG|fr|CONFIRM.SURETE|it|CONFERMA SICUR."; 
#define  varDisplayTEXT                       "|en|DISPLAY|de|ANZEIGE|fr|AFFICHAGE|it|DISPLAY"; 
#define  varOutputTEXT                        "|en|OUTPUT|de|AUSGANG|fr|SORTIE|it|USCITA"; 
#define  varTransmitterInfoTEXT               "|en|TRANSMITTER INFO|de|TRANSMITTERINFO|fr|INFO TRANSMETTEUR|it|INFO TRASMETT."; 
#define  pardHartDataTEXT                     "|en|HART DATA|de|HART PARAMETER|fr|PARAMETRES HART|it|DATI HART"; 
#define  pardTransmitterDataTEXT              "|en|TRANSMITTER DATA|de|TRANSMITTERDATEN|fr|DONNES TRANSMET.|it|DATI TRASMETTITORE"; 
#define  pardProcessConnectionTEXT            "|en|PROCESS CONNECTION|de|PROZESSANSCHLUSS|fr|RACCORDEM.PROCESS|it|CONNESS. PROCESSO"; 
#define  pardSensorDataTEXT                   "|en|SENSOR DATA|de|SENSORDATEN|fr|DONNEES CELLULE|it|DATI SENSORE"; 
#define  varProcessInfoTEXT                   "|en|PROCESS INFO|de|PROZESSINFO|fr|INFO PROCESS|it|INFO PROCESSO"; 
#define  pardProcessValuesTEXT                "|en|PROCESS VALUES|de|PROZESSWERTE|fr|VALEURS PROCESS|it|VAL. PROCESSO"; 
#define  pardPeakHoldTEXT                     "|en|PEAK HOLD INDIC.|de|SCHLEPPZEIGER|fr|INDICATEUR DE SUIVI|it|INDICATORE PICCO"; 
#define  varOperationTEXT                     "|en|OPERATION|de|BETRIEB|fr|SERVICE|it|OPERAZIONE"; 
#define  varDiagnosticsTEXT                   "|en|DIAGNOSTICS|de|DIAGNOSE|fr|DIAGNOSTIQUE|it|DIAGNOSTICA"; 
#define  pardSimulationTEXT                   "|en|SIMULATION|de|SIMULATION|fr|SIMULATION|it|SIMULAZIONE"; 
#define  pardMessagesTEXT                     "|en|MESSAGES|de|MELDUNGEN|fr|ALARMES|it|MESSAGGI"; 
#define  pardUserLimitsTEXT                   "|en|USER LIMITS|de|BENUTZER GRENZEN|fr|LIMITES UTILISAT.|it|LIMITI UTENTE"; 
#define  varServiceTEXT                       "|en|SERVICE|de|SERVICE|fr|SERVICE|it|SERVICE"; 
#define  pardSystem1TEXT                      "|en|SYSTEM 1|de|SYSTEM 1|fr|SYSTEM 1|it|SYSTEM 1"; 
#define  pardSystem2TEXT                      "|en|SYSTEM 2|de|SYSTEM 2|fr|SYSTEM 2|it|SYSTEM 2"; 
#define  pardSensorTrimTEXT                   "|en|SENSOR TRIM|de|SENSOR TRIMM|fr|ETALONNAGE CELLULE|it|REGOL. SENSORE"; 

/*
**********************************************************************
** DIALOG TEXT |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define  devdReturnToGroupSelectionTEXT  "|en|RETURN TO OPERATING MENU "\
	       "|de|Rcksprung zum Bedienmen "\
	       "|fr|RETOUR AU MENU CONFIGURATION "\
	       "|it|TORNA A MENU OPERATIVO "\
	       "|es|VOLVER A SELECCIN DE "\
	       "|nl|TERUG NAAR GROEP SELECTIE "

#define  devdDipValueTEXT  "|en|Dip value "\
	       "|de|Dip Wert "\
	       "|fr|Valeur commutat. "\
	       "|it|Valore Dip "\
	       "|es|Valor commutador "\
	       "|nl|dip waarde "

#define  devdTableNumberTEXT  "|en|Tab.No. "\
	       "|de|Tab.Nr. "\
	       "|fr|Tableau point n "\
	       "|it|Tab.no "\
	       "|es|Nmero tabla "\
	       "|nl|tab nummer. "

#define  devdInputLevelManualTEXT  "|en|Level "\
	       "|de|Fllst. "\
	       "|fr|Niveau "\
	       "|it|Livello "\
	       "|es|Nivel "\
	       "|nl|Niveau "

#define  devdInputLevelHalfAutomaticTEXT  "|en|Level "\
	       "|de|Fllst. "\
	       "|fr|Niveau "\
	       "|it|Livello "\
	       "|es|Nivel "\
	       "|nl|Niveau "

#define  devdInputVolumeTEXT  "|en|Volume "\
	       "|de|Volumen "\
	       "|fr|Volume "\
	       "|it|Volume "\
	       "|es|Volume "\
	       "|nl|Volume "

#define  devdHardwareLockTEXT  "|en|HARDWARE LOCKED "\
	       "|de|HARDWAREVERRIEG. "\
	       "|fr|Hardware verrouill "\
	       "|it|Blocco Hardware "\
	       "|es|Hardware bloqueado "\
	       "|nl|Hardware beveiliging "

#define  devdUploadActiveTEXT  "|en|Upload active "\
	       "|de|Upload aktiv "\
	       "|fr|Upload actif "\
	       "|it|Upload attivo "\
	       "|es|Carga activa "\
	       "|nl|Bezig met uploaden "

#define  devdGroupSelectionTEXT  "|en|GROUP SELECTION "\
	       "|de|GRUPPENAUSWAHL "\
	       "|fr|SELECTION GROUPE "\
	       "|it|SELEZIONE GRUPPO "\
	       "|es|SELECCIN GRUPO "\
	       "|nl|GROEPSKEUZE "

#define  devdNo_ErrorTEXT  "|en|NO ERROR "\
	       "|de|Keine Alarme "\
	       "|fr|AUCUN DFAUT "\
	       "|it|NO ERRORE "\
	       "|es|SIN ERROR "\
	       "|nl|GEEN FOUT "

#define  devdNextPointTEXT  "|en|NEXT POINT "\
	       "|de|NCHSTER PUNKT "\
	       "|fr|Point suivant "\
	       "|it|Punto successivo "\
	       "|es|Punto siguiente "\
	       "|nl|VOLGEND PUNT "

#define  devdDiperrorTEXT  "|en|ERROR "\
	       "|de|FEHLER "\
	       "|fr|Dfaut "\
	       "|it|Errore "\
	       "|es|Error "\
	       "|nl|FOUT "

#define  devdSelectionTEXT  "|en|SELECTION "\
	       "|de|AUSWAHL "\
	       "|fr|SLECTION "\
	       "|it|SELEZIONE "\
	       "|es|SELECCIN "\
	       "|nl|SELECTIE "

#define  devdEditRangeErrorTEXT  "|en|Edit Range Error "\
	       "|de|Parameter ausserhalb "\
	       "|fr|Paramtre en dehors de la gamme "\
	       "|it|ERRORE MODIF.RANGE "\
	       "|es|Error de edicion de rango "\
	       "|nl|Fout bij ingestelde waarde "

#define  devdMeasuredValueTEXT  "|en|MEASURED VALUE "\
	       "|de|MESSWERT "\
	       "|fr|VALEUR MESURE "\
	       "|it|Valore misurato "\
	       "|es|VALOR MEDIDO "\
	       "|nl|MEETWAARDE "

#define  devdOperatingMenueTEXT  "|en|OPERATING MENU "\
	       "|de|BEDIENMEN "\
	       "|fr|MENU DE CONFIG. "\
	       "|it|Men operativo "\
	       "|es|MEN DE CONF. "\
	       "|nl|INSTEL MENU "

#define  devdQuickSetupTEXT  "|en|QUICK SETUP "\
	       "|de|QUICK SETUP "\
	       "|fr|QUICK SETUP "\
	       "|it|QUICK SETUP "\
	       "|es|CONF. RPIDA "\
	       "|nl|QUICK SETUP "

#define  enum_noneEnumTEXT  "|en|n "\
	       "|de|n "\
	       "|fr|n "\
	       "|it|n "\
	       "|es|n "\
	       "|nl|n "

#define  devdPrimaryVariableTEXT  "|en|MEASURED VALUE % "\
	       "|de|MESSWERT % "\
	       "|fr|VAL. MESURE EN % "\
	       "|it|Valore misurato % "\
	       "|es|VALOR MEDIDO % "\
	       "|nl|MEETWAARDE % "

#define  devdSelectionConfirmedTEXT  "|en|Compensation accepted! "\
	       "|de|Abgleich wurde bernommen! "\
	       "|fr|Correction valide ! "\
	       "|it|Compensazione accettata! "\
	       "|es|Compensacin acceptada "\
	       "|nl|Compensatie geaccepteerd! "

#define  NotSupportedTEXT  "|en|Not Supported for Actual Op. Mode! "\
	       "|de|Wird in akt.Betr.Art nicht untersttzt! "\
	       "|fr|Non support dans le mode actuel de fct. "\
	       "|it|Non supportato nell'attuale modo operativo! "\
	       "|es|No soportado por el modo de operacin actual "\
	       "|nl|Niet beschikbaar in actuele mode. "

#define  devdWrongResetCodeTEXT  "|en|Wrong Reset Code ! "\
	       "|de|Reset Code ist ungltig ! "\
	       "|fr|Code Reset non accessible ! "\
	       "|it|Errato codice reset! "\
	       "|es|Cdigo de reset incorrecto "\
	       "|nl|Foute reset code! "

#define  devdCurrentOutputCharactTEXT  "|en|User range and current output mode not compatible. Check polarity ! "\
	       "|de|Messber.und Strom- Ausgangseinstellung nicht kompatibel. Vorzeichen beachten!"\
	       "|fr|Gamme de mesure et sortie courant non compatible. Penser aux signes! "\
	       "|it|IMP. CAMPO MISURA ED USCITA CORRENTE NON COMPATIBILI VERIF. POLARITA! "\
	       "|es|Rango de usuario y modo de corriente de salida no compatible Verifique polaridad "\
	       "|nl|Verschil in bereik en stroomuitgang. Check Check signs! "

#define  devdErrorTooSmallValueTEXT  "|en|Input Value too small for this configuration. "\
	       "|de|Eingabewert zu klein fr diese Konfiguration. "\
	       "|fr|Valeur en entre trop petite pour cette configuration "\
	       "|it|VAL. IMP. TROPPO GRANDE PER QUESTA CONFIGURAZIONE "\
	       "|es|Valor de entrada demasidado pequeo para esta conf. "\
	       "|nl|Waarde te klein voor deze meetcel "

#define  devdErrorTooLargeValueTEXT  "|en|Input Value too large for this configuration. "\
	       "|de|Eingabewert zu gro fr diese Konfiguration. "\
	       "|fr|Valeur en entre trop grande pour cette configuration. "\
	       "|it|VAL. IMP. TROPPO GRANDE PER QUESTA CONFIGURAZIONE "\
	       "|es|Valor de entrada demasiado largo para esta configuracin "\
	       "|nl|Waarde te groot voor deze meetcel "

#define  devdHwLockStateTEXT  "|en|HW Lock state is ON. Check Dip switch! "\
	       "|de|Hardwareverriegelung ist eingeschaltet. DIP Schalter prfen! "\
	       "|fr|Appareil verrouill. Vrifier la position du commutateur ! "\
	       "|it|Blocco HW attivata. Verificare switch! "\
	       "|es|Estado de bloque de HW conectado. Verifique interrupt. "\
	       "|nl|HW Lock staat aan. Check schakelaar. "

#define  emptyTextTEXT  "|en| "\
	       "|de| "\
	       "|fr| "\
	       "|it| "\
	       "|es| "\
	       "|nl| "

#define  InvalidInputTEXT  "|en|Invalid Input ! "\
	       "|de|Nicht erlaubte Eingabe! "\
	       "|fr|Entre non valide ! "\
	       "|it|Valore inserito non valido! "\
	       "|es|Entrada no vlida "\
	       "|nl|Foute invoer! "

#define  devdEndressHauserTEXT  "|en|Endress+Hauser "\
	       "|de|Endress+Hauser "\
	       "|fr|Endress+Hauser "\
	       "|it|Endress+Hauser "\
	       "|es|Endress+Hauser "\
	       "|nl|Endress+Hauser "

#define  devdReturnToHomePageTEXT  "|en|RETURN TO HOMEPAGE "\
	       "|de|Rcksprung zur Hauptmesswertanzeige "\
	       "|fr|RETOUR AU MENU PRINCIPAL "\
	       "|it|RITORNA ALLA HOMEPAGE "\
	       "|es|VOLVER A PGINA PRINCIPAL "\
	       "|nl|Terug naar het begin. "

#define  devdFlowSensorErrorTEXT  "|en|Flow only with Diff. Pressure Sensor. "\
	       "|de|Durchflu nur mit Differenz-Druck Sensor! "\
	       "|fr|Mesure de dbit avec transmetteur diff- uniquement. "\
	       "|it|Portata solo con sens.press.differen. "\
	       "|es|Caudal slo con sensor de presin diferencial "\
	       "|nl|Flow alleen met DP sensor. "

#define  devdResetDoneTEXT  "|en|RESET is completed. "\
	       "|de|RESET wurde durchgefhrt. "\
	       "|fr|RESET excut. "\
	       "|it|Il RESET  stato completato. "\
	       "|es|RESET realizado "\
	       "|nl|Reset uitgevoerd "

#define  devdTurndownTooHighTEXT  "|en|Turndown,Input value too low. "\
	       "|de|Turndown,Eingabewert zu klein. "\
	       "|fr|Turndown, valeur entre trop petite. "\
	       "|it|Turndown, valore inserito troppo bass "\
	       "|es|Rangeabilidad, valor de entrada demasiado bajo "\
	       "|nl|Turndown te groot "

#define  devdAcknowledgedAlarmsTEXT  "|en|All alarms acknowledged. "\
	       "|de|Alarme wurden quittiert. "\
	       "|fr|Alarmes acquittes "\
	       "|it|Tittu gli allarmi sono riconosciuti "\
	       "|es|Todas las alarmas reconocidas "\
	       "|nl|Alle alarmen bevestigd "

#define  devdMeasureTableTEXT  "|en|MEASURING TABLE "\
	       "|de|MESSTABELLE "\
	       "|fr|TABLE DE MESURE "\
	       "|it|Tabella di misura "\
	       "|es|TABLA DE MEDICIONES "\
	       "|nl|MEETTABEL "

#define  devdTabEditorTEXT  "|en|EDITOR TABLE "\
	       "|de|TABELLENEDITOR "\
	       "|fr|TABLE DDITION "\
	       "|it|Editor di tabella "\
	       "|es|EDITOR DE TABLA "\
	       "|nl|EDIT TABEL "

#define  devdLinTableNotMonotonTEXT  "|en|Linearisation table not valid "\
	       "|de|Linearisierungs - Tabelle ungltig "\
	       "|fr|Table de linari- sation non valide   "\
	       "|it|Tabella linearizz. non valida "\
	       "|es|Linealizaciones Tabla no valida   "\
	       "|nl|Linearisatie tabel niet goed "

#define  devdNamurBTEXT  "|en|B> "\
	       "|de|B> "\
	       "|fr|B> "\
	       "|it|B> "\
	       "|es|B> "\
	       "|nl|B> "

#define  devdNamurCTEXT  "|en|C> "\
	       "|de|C> "\
	       "|fr|C> "\
	       "|it|C> "\
	       "|es|C> "\
	       "|nl|C> "

#define  devSilConfigNotAllowedTEXT  "|en|Config.invalid for Safety Lock Reset 7864 needed ! "\
	       "|de|Konf.ungltig fr Sich.Verriegel. Reset 7864 notwendig !"\
	       "|fr|Config.invalide pour verrou de suret Reset 7864 ncessaire ! "\
	       "|it|Config. Blocco Sicur. non val. Serve reset 7864 ! "\
	       "|es|Conf. no cumple Bloquear Segur. Necesario reset 7864 "\
	       "|nl|Config. niet Bevestig. Slot RESET 7864 UITV ! "

#define  devdSilLockedTEXT  "|en|Safety Lock active! "\
	       "|de|Sicherheits- Verriegelung aktiv! "\
	       "|fr|Verrouillage de securit actif! "\
	       "|it|Safety Lock active! "\
	       "|es|Safety Lock active! "\
	       "|nl|Safety Lock active! "

#define  devdHistorom_x20sTEXT  "|en|*20s "\
	       "|de|*20s "\
	       "|fr|*20s "\
	       "|it|*20s "\
	       "|es|*20s "\
	       "|nl|*20s "

#define  devdDeviceLockedTEXT  "|en|Device lock active! "\
	       "|de|Gerte Verriegelung  aktiv! "\
	       "|fr|Device lock active! "\
	       "|it|Device lock active! "\
	       "|es|Device lock active! "\
	       "|nl|Device lock active! "

#define  devdSilUnlockedTEXT  "|en|Safety Lock deactivated! "\
	       "|de|Sicherheits- Verriegelung deaktiviert! "\
	       "|fr|Verrouillage de securit desactiv! "\
	       "|it|Safety Lock deactivated! "\
	       "|es|Safety Lock deactivated! "\
	       "|nl|Safety Lock deactivated! "

#define  devdSWLockedTEXT  "|en|Software Lock active! "\
	       "|de|Software- Verriegelung aktiv! "\
	       "|fr|Verrouillage de securit actif! "\
	       "|it|Software Lock active! "\
	       "|es|Software Lock active! "\
	       "|nl|Software Lock active! "

#define  devdMethodCompletedTEXT  "|en|Method completed successfully "\
	       "|de|Methode erfolgreich durchgefhrt "\
	       "|fr|Methode accomplie avec succs "\
	       "|it|Method completato con successo "\
	       "|es|Mtodo terminado con xito "\
	       "|nl|Method met succes voltooid "

#define  devdSytemInProcessTEXT  "|en|System is working, please wait "\
	       "|de|System arbeitet, bitte warten "\
	       "|fr|Travail en cours, attendez svp. "\
	       "|it|Il sistema sta funzionando, prego attende "\
	       "|es|El sistema est en funcionamiento, espere por favor "\
	       "|nl|Het systeem werkt, gelieve te wachten "

#define  devdMenuNotAvailableTEXT  "|en|Menu not available "\
	       "|de|Ausw. n. verfgb. "\
	       "|fr|Menu not available "\
	       "|it|Menu not available "\
	       "|es|Menu not available "\
	       "|nl|Menu not available "

#define  devdResetInProgressTEXT  "|en|Reset in progress ! \n- please wait "\
	       "|de|Reset wird durchgefhrt ! \n- Bitte warten - "\
	       "|fr|La remise  zro est active !\n - Attendez s'il vous plat - "\
	       "|it|Reset in progress ! \n- please wait "\
	       "|es|Reajuste en marcha\n - por favor espera - "\
	       "|nl|Het terugstellen in uitvoering vooruitgang !\n gelieve te wachten "
/*
**********************************************************************
** ALARM TEXT |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/


/* alarm_no_error */
#define  OK  "|en| NO ERROR "\
	       "|de| KEINE ALARME "\
	       "|fr| AUCUN DFAUT "\
	       "|it| NO ERRORE "\
	       "|es| SIN ERROR "\
	       "|nl| GEEN FOUTEN "

/* alarm_lar_memory */
#define  A101   "|en|B>Sensor electronic EEPROM error A101 "\
	       "|de|B>Checksummenfehler im Sensor - EEPROM A101 "\
	       "|fr|B>Erreur de l'lec- tronique cellule A101 "\
	       "|it|B>Elettronica sensore in errore A101 "\
	       "|es|B>Sensor electrnico error EEPROM A101 "\
	       "|nl|B>Sensor elektronica EEPROM FOUT A101 "

/* alarm_eeprom_peakhold */
#define  W102   "|en|C>Checksum error in EEPROM: peakhold segment W102 "\
	       "|de|C>Checksummenfehler im Schleppzeiger - EEPROM W102 "\
	       "|fr|C>Err. ''checksum'' dans l'EEPROM: indicat. Suivi W102 "\
	       "|it|C>Checksum error in EEPROM: peakhold segment W102 "\
	       "|es|C>Error de checksum en EEPROM: pico - segmento en hold W102 "\
	       "|nl|C>Checksum error in EEPROM: peakhold segment W102 "

/* alarm_downloading */
#define  W106   "|en|C>Downloading - please wait W106 "\
	       "|de|C>Download luft - bitte warten W106 "\
	       "|fr|C>Download en cours- attendre W106 "\
	       "|it|C>download in corso-attendere W106 "\
	       "|es|C>Descargando por favor, espere.. W106 "\
	       "|nl|C>download loopt even wachten aub W106 "

/* alarm_eeprom_config */
#define  A110   "|en|B>Checksum error in EEPROM:configuration segment A110 "\
	       "|de|B>Checksummenfehler im Konfigurations - EEPROM A110 "\
	       "|fr|B>Err. ''checksum'' de l'EEPROM :segment configuration A110 "\
	       "|it|B>Checksum error in EEPROM:configuration segment A110 "\
	       "|es|B>Error de checksum en EEPROM: segmento configuracin A110 "\
	       "|nl|B>Checksum error in EEPROM:configuratie segment A110 "

/* alarm_RomCheck_Error */
#define  A113   "|en|B>ROM failure in Transmitter electronic A113 "\
	       "|de|B>ROM Speicher ist defekt. A113 "\
	       "|fr|B>Erreur Mmoire ROM A113 "\
	       "|it|B>Guasto ROM in elettronica trasmettitore A113 "\
	       "|es|B>Fallo en la electrnica del transmisor ROM A113 "\
	       "|nl|B>ROM probleem in Transmitter elektronica A113 "

/* alarm_sensor_overpressure */
#define  E115   "|en|C>Sensor overpressure E115 "\
	       "|de|C>Sensor berdruck E115 "\
	       "|fr|C>Surpression sur la cellule E115 "\
	       "|it|C>Sovrappr. Sensore E115 "\
	       "|es|C>Sobre presin en el sensor E115 "\
	       "|nl|C>Sensor overdruk E115 "

/* alarm_download_error */
#define  W116   "|en|C>download error repeat download W116 "\
	       "|de|C>Download fehlerhaft W116 "\
	       "|fr|C>Erreur download Rpter download W116 "\
	       "|it|C>Errore download ripetere download W116 "\
	       "|es|C>error de descarga repita descarga W116 "\
	       "|nl|C>download-fout Herhaal downloaden W116 "

/* alarm_sensor_underpressure */
#define  E120   "|en|C>Sensor low pressure E120 "\
	       "|de|C>Sensor Unterdruck E120 "\
	       "|fr|C>Dpression sur la cellule E120 "\
	       "|it|C>Sensore in depress. E120 "\
	       "|es|C>Por debajo presin inferior del sensor E120 "\
	       "|nl|C>Sensor druk E120 "

/* alarm_eeprom_factory_error */
#define  A121   "|en|B>Checksum Error in factory segment of EEPROM A121 "\
	       "|de|B>Checksummenfehler im Fertigungs - EEPROM A121 "\
	       "|fr|B>Err. ''checksum'' dans l'EEPROM : segm. Fabricant A121 "\
	       "|it|B>Checksum Error nel factory segment della EEPROM A121 "\
	       "|es|B>Error de checksum Segmento de fbrica de la EEPROM A121 "\
	       "|nl|B>Checksum Error in fabrieksinstelling van EEPROM A121 "

/* alarm_sensor_connection_lost */
#define  A122   "|en|B>Sensor not connected! A122 "\
	       "|de|B>Sensor Verbindungsfehler, Daten gestrt A122 "\
	       "|fr|B>Pas de connection cellule ! A122 "\
	       "|it|B>Sensore non collegato! A122 "\
	       "|es|B>Sensor no conectado A122 "\
	       "|nl|B>Sensor niet aangesloten! A122 "

/* alarm_nvram_defect */
#define  A130   "|en|B>EEPROM is defect A130 "\
	       "|de|B>EEPROM ist defekt. A130 "\
	       "|fr|B>EEPROM dfectueuse A130 "\
	       "|it|B>EEPROM difettosa A130 "\
	       "|es|B>EEPROM defectuosa A130 "\
	       "|nl|B>EEPROM is defect A130 "

/* alarm_eeprom_minmax */
#define  A131   "|en|B>Checksum error in EEPROM: minMAX segment A131 "\
	       "|de|B>Checksummenfehler im Editiergrenzen - EEPROM A131 "\
	       "|fr|B>Err. ''checksum'' de l'EEPROM: segment minMAX A131 "\
	       "|it|B>Checksum error in EEPROM: minMAX segment A131 "\
	       "|es|B>Error de checksum EEPROM: segmento min Max A131 "\
	       "|nl|B>Checksum error in EEPROM: minMAX segment A131 "

/* alarm_eeprom_totalizer */
#define  A132   "|en|B>Checksum Error in Totalizer EEPROM A132 "\
	       "|de|B>Checksummenfehler im Summenzhler - EEPROM A132 "\
	       "|fr|B>Checksum Error dans le totalisateur EEPROM A132 "\
	       "|it|B>Checksum Error nel Totalizzatore EEPROM A132 "\
	       "|es|B >Error Checksum en el totalizador EEPROM A132 "\
	       "|nl|B>Checksum Error in Totaalteller EEPROM A132 "

/* alarm_eeprom_history */
#define  A133   "|en|B>Checksum Error in History EEPROM A133 "\
	       "|de|B>Checksummenfehler im History - EEPROM A133 "\
	       "|fr|B>Checksum Error dans l'histo. EEPROM A133 "\
	       "|it|B>Checksum Error in History EEPROM A133 "\
	       "|es|B>Error checksum en el historial de la EEPROM A133 "\
	       "|nl|B>Checksum Error in Historie EEPROM A133 "

/* alarm_eeprom_write_access_limit_exceeded */
#define  W134   "|en|C>EEPROM lifetime WARNING W134 "\
	       "|de|C>EEPROM Lebensdauer WARNUNG W134 "\
	       "|fr|C>EEPROM lifetime WARNING W134 "\
	       "|it|C>EEPROM lifetime WARNING W134 "\
	       "|es|C>EEPROM lifetime WARNING W134 "\
	       "|nl|C>EEPROM lifetime WARNING W134 "

/* alarm_eeprom_ff */
#define  A135   "|en|B>Checksum error in EEPROM : FF segment A135 "\
	       "|de|B>Checksummenfehler im FF segment EEPROM A135 "\
	       "|fr|B>Err. ''checksum'' de lEEPROM : segment FF A135 "\
	       "|it|B>Checksum error in EEPROM : FF segment A135 "\
	       "|es|B>Error de checksum en EEPROM: segmento FF A135 "\
	       "|nl|B>Checksum error in EEPROM : FF segment A135 "

/* alarm_lin_curve_not_monoton */
#define  W602   "|en|C>Linearizations curve not monoton W602 "\
	       "|de|C>Linearisierungs - Kurve nicht monoton   W602 "\
	       "|fr|C>Linarisation : courbe non monotone W602 "\
	       "|it|C>Linearizzazione con curva non monot. W602 "\
	       "|es|C>Linealizaciones curva no montona W602 "\
	       "|nl|C>Linearisatie curve niet gelijkmatig W602 "

/* alarm_linearisation_2_points */
#define  W604   "|en|C>Linearization : less than 2points or points too close W604 "\
	       "|de|C>Linearisierung : Zu wenig Punkte oder Punkte zu dicht W604 "\
	       "|fr|C>Linarisation : moins de 2 points ou pts trop proches W604 "\
	       "|it|C>Tabella linearizz. Almeno 2 punti o punti troppo vicino W604 "\
	       "|es|C>Linealizaciones: mn. en 2 puntos o pts dem. cercanos W604 "\
	       "|nl|C>Linearisatie: Min. 2 punten of te nabije punten W604 "

/* alarm_simulation_active */
#define  W613   "|en|I>Simulation is active! W613 "\
	       "|de|I>Simulation aktiv W613 "\
	       "|fr|I>Simulation en cours ! W613 "\
	       "|it|I>La simulazione  attiva! W613 "\
	       "|es|I>La simulacin est activada W613 "\
	       "|nl|I>Simulation is actief! W613 "

/* alarm_psp_current */
#define  E620   "|en|C>Current output out of range E620 "\
	       "|de|C>Stromausgang auerhalb Nennbereich E620 "\
	       "|fr|C>Sortie courant en dehors des valeurs nominales E620 "\
	       "|it|C>Uscita in corrente fuori range E620 "\
	       "|es|C>Corriente de salida fuera de rango E620 "\
	       "|nl|C>Stroomuitgang uit zijn bereik E620 "

/* alarm_last_configuration_lost */
#define  W700   "|en|C>Last Configuration not stored W700 "\
	       "|de|C>Letzte Konfiguration nicht angenommen W700 "\
	       "|fr|C>Dernire Configu- ration non valide W700 "\
	       "|it|C>Ultima configurzione non memorizzata W700 "\
	       "|es|C>ltima configuracin no almacenada W700 "\
	       "|nl|C>Laatste niet opgeslagen W700 "

/* alarm_out_of_sensor_range */
#define  W701   "|en|C>Measuring chain config. exceeds sensor range W701 "\
	       "|de|C>Abgleich auerhalb Sensor - nennbereich W701 "\
	       "|fr|C>Measuring chain config. exceeds sensor range W701 "\
	       "|it|C>Measuring chain config. exceeds sensor range W701 "\
	       "|es|C>Measuring chain config. exceeds sensor range W701 "\
	       "|nl|C>Measuring chain config. exceeds sensor range W701 "

/* alarm_dat_data_not_consistent */
#define  W702   "|en|C>HistoROM data not consistent W702 "\
	       "|de|C>HistoROM Daten fehlerhaft W702 "\
	       "|fr|C>Donnes non exploitables dans ''HistoROM'' W702 "\
	       "|it|C>DAT con dati non plausibili W702 "\
	       "|es|C>datos del HistROM sin consistencia W702 "\
	       "|nl|C>DAT data niet consistent W702 "

/* alarm_psp_cmd_interpreter */
#define  A703   "|en|B>Measurement error A703 "\
	       "|de|B>Messumformungs - Fehler A703 "\
	       "|fr|B>Erreur de mesure A703 "\
	       "|it|B>Measurement error A703 "\
	       "|es|B>Measurement error A703 "\
	       "|nl|B>Measurement error A703 "

/* alarm_psp_readback */
#define  A704   "|en|B>Measurement error A704 "\
	       "|de|B>Messumformungs - Fehler A704 "\
	       "|fr|B>Erreur de mesure A704 "\
	       "|it|B>Measurement error A704 "\
	       "|es|B>Measurement error A704 "\
	       "|nl|B>Measurement error A704 "

/* alarm_psp_pm_register */
#define  A705   "|en|B>Measurement error A705 "\
	       "|de|B>Messumformungs - Fehler A705 "\
	       "|fr|B>Erreur de mesure A705 "\
	       "|it|B>Measurement error A705 "\
	       "|es|B>Measurement error A705 "\
	       "|nl|B>Measurement error A705 "

/* alarm_config_dat_not_identical */
#define  W706   "|en|C>Configuration in HistoROM and device not identical W706 "\
	       "|de|C>Konfigurationen HistoROM und Gert sind ungleich. W706 "\
	       "|fr|C>Configuration dans HistoROM et Appareil non identiques W706 "\
	       "|it|C>Configuration in HistoROM and device not identical W706 "\
	       "|es|C>Configuration in HistoROM and device not identical W706 "\
	       "|nl|C>Configuration in HistoROM and device not identical W706 "

/* alarm_table_x_out_limits */
#define  A707   "|en|B>X-VAL of lin. table out of edit limits A707 "\
	       "|de|B>X-WERT der Lin.- tabelle auerhalb Editiergrenzen A707 "\
	       "|fr|B>Val. X du tab. de linarisation hors limites A707 "\
	       "|it|B>X-VAL della tabell di linearizz. fuori valori ammes. A707 "\
	       "|es|B>Valores X de la tabla de lineali. fuera de rango A707 "\
	       "|nl|B>X-VAL van lin. tabel buiten sensor bereik A707 "

/* alarm_minmax_press_out_limits */
#define  A708   "|en|B>HYDR. PRESS MIN. or MAX. out of edit limits A708 "\
	       "|de|B>HYDR.DRUCK MIN. oder MAX. auerhalb Editiergrenzen A708 "\
	       "|fr|B>Pression hydrost. en dehors des limites cellule A708 "\
	       "|it|B>Pressione idrost. fuori dai limiti del range del sens. A708 "\
	       "|es|B>Lmites presin hidrosttica fuera del rango sensor A708 "\
	       "|nl|B>Hydrostatische druk limiet buiten sensor bereik A708 "

/* alarm_level_adjust_out_limits */
#define  A709   "|en|B>EMPTY PRESSURE or FULL PRESSURE out of limits A709 "\
	       "|de|B>DRUCK LEER oder DRUCK VOLL auerhalb ihrer Grenzen A709 "\
	       "|fr|B>talonnage niveau en dehors des limites cellule A709 "\
	       "|it|B>Livello lineare impost. fuori dal campo sensore A709 "\
	       "|es|B>Ajuste del nivel lineal fuera del rango del sensor A709 "\
	       "|nl|B>Lineair niveau instelling buiten sensor bereik A709 "

/* alarm_span_less_minspan */
#define  W710   "|en|C>Set span too small Not allowed. W710 "\
	       "|de|C>Eingestellte Spanne kleiner als erlaubt W710 "\
	       "|fr|C>Etendue de mesure (span) trop faible. W710 "\
	       "|it|C>Imp. span troppo piccolo - non poss. W710 "\
	       "|es|C>Span demasiado pequeo. W710 "\
	       "|nl|C>Span is te klein Niet toegestaan. W710 "

/* alarm_measure_limits_out */
#define  A711   "|en|B>LRV or URV out of edit limits A711 "\
	       "|de|B>MESSANFG oder MESSENDE auerhalb Editiergrenzen A711 "\
	       "|fr|B>Gamme de mesure en dehors des limites cellule A711 "\
	       "|it|B>Campo di misura fuori dal range del sensore A711 "\
	       "|es|B>Presin Fuera del rango del sensor A711 "\
	       "|nl|B>Meetbereik buiten sensor bereik A711 "

/* alarm_flow_max_press_out_limits */
#define  A712   "|en|B>MAX PRESS. FLOW out of edit limits A712 "\
	       "|de|B>MAX. DRUCK FLUSS auerhalb Editiergrenzen A712 "\
	       "|fr|B>talonnage flux en dehors des limites cellule A712 "\
	       "|it|B>Portata Max - valori pressione fuo. range sens. A712 "\
	       "|es|B>Presin mx caudal fuera de los lmites Del sensor A712 "\
	       "|nl|B>FlowMax-druk buiten sensor bereik A712 "

/* alarm_100percent_out_limits */
#define  A713   "|en|B>100% POINT level out of edit limits A713 "\
	       "|de|B>100% PUNKT Fllstand auerhalb Editiergrenzen A713 "\
	       "|fr|B>100% POINT niveau en dehors des limites A713 "\
	       "|it|B>Punto 100% livello fuori dai limiti impostabili A713 "\
	       "|es|B>Valor 100% del nivel fuera de los lmites A713 "\
	       "|nl|B>100% PUNT niveau buiten instelbereik A713 "

/* alarm_pres_wrong_opmode */
#define  A714   "|en|B>Incorrect OP.MODE for SENSOR MEAS.TYPE A714 "\
	       "|de|B>BETRIEBSART passt nicht zum SENSORMESSTYP A714 "\
	       "|fr|B>Erreur de mode de fonctionnement pour la cellule A714 "\
	       "|it|B>Errore del modo operativo del sens. A714 "\
	       "|es|Erro en Mode de funcin errneo para el sensor A714 "\
	       "|nl|B>Error: fout in toepassing van sensor A714 "

/* alarm_sensor_overtemperature */
#define  E715   "|en|C>Sensor Over- temperature E715 "\
	       "|de|C>Sensor bertemperatur E715 "\
	       "|fr|C>Temprature trop leve au niveau de la cellule E715 "\
	       "|it|C>Sovratemp. Del sensore E715 "\
	       "|es|C>Sobretemperatura del sensor E715 "\
	       "|nl|C>Sensor oververhit E715 "

/* alarm_sensor_diaphragm_broken */
#define  E716   "|en|B>Sensor diaphragm broken E716 "\
	       "|de|B>Sensormembran gebrochen E716 "\
	       "|fr|B>Membrane cellule HS E716 "\
	       "|it|B>Membrana del sensore rotta E716 "\
	       "|es|B>Diafragma del sensor roto E716 "\
	       "|nl|B>Sensormembraan defect E716 "

/* alarm_electronic_overtemp */
#define  E717   "|en|C>Transmitter over temperature E717 "\
	       "|de|C>Elektronik bertemperatur E717 "\
	       "|fr|C>Temprature trop leve au niveau de l'lectronique E717 "\
	       "|it|C>Trasmettitore in sovratemperatura E717 "\
	       "|es|C>Sobretemperatura del transmisor E717 "\
	       "|nl|C>Transmitter te warm E717 "

/* alarm_electronic_undertemp */
#define  E718   "|en|C>Transmitter under temperature E718 "\
	       "|de|C>Elektronik Untertemperatur E718 "\
	       "|fr|C>Temprature trop basse au niveau de l'lectronique E718 "\
	       "|it|C>Trsmettitore sotto il limite di temp. E718 "\
	       "|es|C>Por debajo del lm. de temp. del transm. E718 "\
	       "|nl|C>Transmitter te koud E718 "

/* alarm_table_y_out_limits */
#define  A719   "|en|B>Y-VAL of lin. table out of edit limits A719 "\
	       "|de|B>Y-WERT der Lin.- tabelle auerhalb Editiergrenzen A719 "\
	       "|fr|B>Val. Y du tab. de linarisation hors limites A719 "\
	       "|it|B>Y-VAL della tabell di linearizz. fuori valori ammes. A719 "\
	       "|es|B>Valores Y de la tabla de lineal. fuera de rango A719 "\
	       "|nl|B>Y-waarde van lin. tabel buiten instelbereik A719 "

/* alarm_sensor_undertemperature */
#define  E720   "|en|C>Sensor under temperature E720 "\
	       "|de|C>Sensor Untertemperatur E720 "\
	       "|fr|C>Temprature trop basse au niveau de la cellule E720 "\
	       "|it|C>Sensore sotto il limite di temp. E720 "\
	       "|es|C>Por debajo del lim. temp. del sensor E720 "\
	       "|nl|C>Sensor te koud E720 "

/* alarm_offset_out_limits */
#define  A721   "|en|B>ZERO POSITION level out of edit limits A721 "\
	       "|de|B>NULLPUNKT Fllstand auerhalb Editiergrenzen A721 "\
	       "|fr|B>ZERO POSITION niveau en dehors des limites A721 "\
	       "|it|B>Livello posizione di zero fuori dai ammessi A721 "\
	       "|es|B>Posicin cero de nivel fuera los lmites sensor A721 "\
	       "|nl|B>ZERO POSITIE level out of instelbereik A721 "

/* alarm_lowhighlevel_out_limits */
#define  A722   "|en|B>EMPTY CALIB. or FULL CALIB. out of edit limits A722 "\
	       "|de|B>ABGLEICH LEER oder ABGL.VOLL auerhalb Editiergrenzen A722 "\
	       "|fr|B>Calibration basse en dehors des limites A722 "\
	       "|it|B>Calibr. di vuoto o di pieno fuori dai limiti ammessi A722 "\
	       "|es|B>Calib. Vacio o calib. Lleno fuera de rango A722 "\
	       "|nl|B>LEEG CALIB. level out of instelbereik A722 "

/* alarm_flow_max_out_limits */
#define  A723   "|en|B>MAX. FLOW out of edit limits A723 "\
	       "|de|B>MAX DURCHFLUSS auerhalb Editiergrenzen A723 "\
	       "|fr|B>Dbit maximum en dehors des limites A723 "\
	       "|it|B>MAX. Portata con impostazioni fuori dai limiti A723 "\
	       "|es|B>Caudal mximo fuera de los lmites A723 "\
	       "|nl|B>MAX. FLOW buiten bereik A723 "

/* alarm_mountoffset_out_limits */
#define  A724   "|en|B>CALIB. OFFSET out of edit limits A724 "\
	       "|de|B>LAGEOFFSET auerhalb seiner Editiergrenzen A724 "\
	       "|fr|B>OFFSET POSITION en dehors des limites A724 "\
	       "|it|B>CALIB. OFFSET con impostazioni fuori dai limiti A724 "\
	       "|es|B>Calib. Offset fuera de los lmites A724 "\
	       "|nl|B>CALIB. OFFSET buiten bereik A724 "

/* alarm_lar_cef_pll */
#define  A725   "|en|B>Sensor connection error cycle disturbed A725 "\
	       "|de|B>Sensor Verbindungsfehler, Takt gestrt A725 "\
	       "|fr|B>Erreur de connexion avec la cellule A725 "\
	       "|it|B>Errore di collegam. al sensore A725 "\
	       "|es|B>Error de conexin del sensor A725 "\
	       "|nl|B>Sensor aansluiting fout A725 "

/* alarm_lar_cef_temp */
#define  E726   "|en|C>Sensor temperature error - overrange E726 "\
	       "|de|C>Temperatur - messumformung bersteuert E726 "\
	       "|fr|C>Erreur de la sonde temprature E726 "\
	       "|it|C>Errore sensore di temperatura E726 "\
	       "|es|C>Error del sensor de temperatura E726 "\
	       "|nl|C>Sensor temperatuur fout E726 "

/* alarm_lar_cef_pres */
#define  E727   "|en|C>Sensor pressure error - overrange E727 "\
	       "|de|C>Druckmessumformung bersteuert E727 "\
	       "|fr|C>Err. de la cellule pression E727 "\
	       "|it|C>Errore sensore di pressione E727 "\
	       "|es|C>Error del sensor de presin E727 "\
	       "|nl|C>Sensor druk fout E727 "

/* alarm_databus */
#define  A728   "|en|B>RAM error A728 "\
	       "|de|B>RAM Fehler A728 "\
	       "|fr|B>Erreur de memoire RAM A728 "\
	       "|it|B>RAM error A728 "\
	       "|es|B>RAM error A728 "\
	       "|nl|B>RAM error A728 "

/* alarm_adressbus */
#define  A729   "|en|B>RAM error A729 "\
	       "|de|B>RAM Fehler A729 "\
	       "|fr|B>Erreur de memoire RAM A729 "\
	       "|it|B>RAM error A729 "\
	       "|es|B>RAM error A729 "\
	       "|nl|B>RAM error A729 "

/* alarm_under_pres_lim */
#define  E730   "|en|C>LRV user limits exceeded E730 "\
	       "|de|C>Pmin PROZESS unterschritten E730 "\
	       "|fr|C>Err : dpassement bas en pression des limites utilis. E730 "\
	       "|it|C>Errore: pressione inferiore al limite impostato E730 "\
	       "|es|C>Error: Violacin del valor inf del rango presin E730 "\
	       "|nl|C>Error: LRV druk bereik onderschreden E730 "

/* alarm_over_pres_lim */
#define  E731   "|en|C>URV user limits exceeded E731 "\
	       "|de|C>Pmax PROZESS berschritten E731 "\
	       "|fr|C>Err : dpassement haut en pression des limites utilis. E731 "\
	       "|it|C>Errore: pressione superiore  al limite impostato E731 "\
	       "|es|C>Error: Violacin del valor sup del rango presin E731 "\
	       "|nl|C>Error: URV druk bereik overschreden E731 "

/* alarm_under_temp_lim */
#define  E732   "|en|C>LRV-Temp. User limits exceeded E732 "\
	       "|de|C>Tmin PROZESS unterschritten E732 "\
	       "|fr|C>Err : dpassement bas en temprat.des limites utilis. E732 "\
	       "|it|C>Temperat. Infer. al limite impostato dall'utente E732 "\
	       "|es|C>Err: Violacin del valor inferior del rango de temp. E732 "\
	       "|nl|C>Error: LRV temp. bereik onderschreden E732 "

/* alarm_over_temp_lim */
#define  E733   "|en|C>URV-Temp. User limits exceeded E733 "\
	       "|de|C>Tmax PROZESS berschritten E733 "\
	       "|fr|C>Err : dpassement haut en temprat.des limites utilis. E733 "\
	       "|it|C>Temperat. super. al limite impostato dall'utente E733 "\
	       "|es|C>Error: Violacin sup del rango de temp. E733 "\
	       "|nl|C>Error: URV temp. bereik overschreden E733 "

/* alarm_pres_user_lim */
#define  W734   "|en|C>Pmin or Pmax ALARM WINDOW out of edit limits W734 "\
	       "|de|C>Pmin oder Pmax PROZESS auerhalb Editiergrenzen W734 "\
	       "|fr|C>Err. de configur. des lim.utilisateur de pression W734 "\
	       "|it|C>Impost. Valore di pressione fuori dai limiti del sens. W734 "\
	       "|es|C>Err.:Valor presin fuera de los lmites del sensor W734 "\
	       "|nl|C>Error: wrong druk overschreden W734 "

/* alarm_temp_user_lim */
#define  W735   "|en|C>Tmin or Tmax ALARM WINDOW out of edit limits W735 "\
	       "|de|C>Tmin oder Tmax PROZESS auerhalb Editiergrenzen W735 "\
	       "|fr|C>Err. de configur. en temprature des limites utilis. W735 "\
	       "|it|C>Impost. Valore di temperatura fuori dai limiti sens. W735 "\
	       "|es|C>Error: Valor de temperatur fuera de los lmites sens W735 "\
	       "|nl|C>Error: wrong temperatuur overschreden W735 "

/* alarm_deviceram */
#define  A736   "|en|B>RAM error A736 "\
	       "|de|B>RAM Fehler A736 "\
	       "|fr|B>Erreur de memoire RAM A736 "\
	       "|it|B>RAM error A736 "\
	       "|es|B>RAM error A736 "\
	       "|nl|B>RAM error A736 "

/* alarm_psp_specialreg */
#define  A737   "|en|B>Measurement error A737 "\
	       "|de|B>Messumformungs - Fehler A737 "\
	       "|fr|B>Erreur de mesure A737 "\
	       "|it|B>Measurement error A737 "\
	       "|es|B>Measurement error A737 "\
	       "|nl|B>Measurement error A737 "

/* alarm_psp_program_binding */
#define  A738   "|en|B>Measurement error A738 "\
	       "|de|B>Messumformungs - Fehler A738 "\
	       "|fr|B>Erreur de mesure A738 "\
	       "|it|B>Measurement error A738 "\
	       "|es|B>Measurement error A738 "\
	       "|nl|B>Measurement error A738 "

/* alarm_psp_simulator */
#define  A739   "|en|B>Measurement error A739 "\
	       "|de|B>Messumformungs - Fehler A739 "\
	       "|fr|B>Erreur de mesure A739 "\
	       "|it|B>Measurement error A739 "\
	       "|es|B>Measurement error A739 "\
	       "|nl|B>Measurement error A739 "

/* alarm_psp_overflow */
#define  E740   "|en|C>Calculation Overflow, bad configuration E740 "\
	       "|de|C>Berechnungs- berlauf, Fehl- konfiguration E740 "\
	       "|fr|C>Erreur de calcul ou de configuration E740 "\
	       "|it|C>Calculation Overflow, bad E740 "\
	       "|es|C>Calculation Overflow, bad configuration E740 "\
	       "|nl|C>Calculation Overflow, bad configuration E740 "

/* alarm_tankheight_out_limits */
#define  A741   "|en|B>TANK HEIGHT out of edit limits A741 "\
	       "|de|B>TANKHHE auerhalb Editiergrenzen A741 "\
	       "|fr|B>HAUTEUR CUVE en dehors des limites A741 "\
	       "|it|B>TANK HEIGHT out of edit limits A741 "\
	       "|es|B>TANK HEIGHT out of edit limits A741 "\
	       "|nl|B>TANK HEIGHT out of edit limits A741 "

/* alarm_psp_upload */
#define  A742   "|en|B>Sensor connection error (upload) A742 "\
	       "|de|B>Initialisierungs - Fehler des Sensors A742 "\
	       "|fr|B>Erreur lors de l' initialisation de la cellule(upload) A742 "\
	       "|it|B>Connessione al sens. in errore (upload) A742 "\
	       "|es|B>Conexin del sensor errnea (carga) A742 "\
	       "|nl|B>Sensor verbindings fout (upload) A742 "

/* alarm_psp_init */
#define  A743   "|en|B>Electronic PCB error during initialisation A743 "\
	       "|de|B>Fehler bei der Initialisierung A743 "\
	       "|fr|B>Erreur dans l' lectronique lors de initialisation A743 "\
	       "|it|B>Elettronica in errore durante inizializzaz. A743 "\
	       "|es|B>Error en la electr. durante inicaliz. A743 "\
	       "|nl|B> PCB elektronica fout A743 "

/* alarm_psp_access */
#define  A744   "|en|B>Main electronic PCB error A744 "\
	       "|de|B>Hauptelektronik defekt A744 "\
	       "|fr|B>Erreur dans l'lectronique principale A744 "\
	       "|it|B>Errore della scheda elettronica princip. A744 "\
	       "|es|B>Error en la electr. del transmisor A744 "\
	       "|nl|B> Elektronica fout A744 "

/* alarm_psp_label */
#define  W745   "|en|C>Sensor data unknown W745 "\
	       "|de|C>Sensorinformation unbekannt W745 "\
	       "|fr|C>Infos. de la cellule inconnues W745 "\
	       "|it|C>Dati del sensore sconosciuti W745 "\
	       "|es|C>Error en la electr. del sensor (etiqueta) W745 "\
	       "|nl|C>Sensor data fout (label) W745 "

/* alarm_psp_busy */
#define  W746   "|en|C>Sensor connection error - initialising W746 "\
	       "|de|C>Neuinitialisierung des Sensors W746 "\
	       "|fr|C>Erreur de connection cellule W746 "\
	       "|it|C>Errore di conness. al sensore - inizializzaz. W746 "\
	       "|es|C>Error de conexin del sensor (ocupado) W746 "\
	       "|nl|C>Sensor upload fout (busy) W746 "

/* alarm_psp_illegal */
#define  A747   "|en|B>Sensor-Software not compatible to electronics A747 "\
	       "|de|B>Sensor-Software und Elektronik nicht kompatibel A747 "\
	       "|fr|B>Software cellule non compatible avec l'lectronique A747 "\
	       "|it|B>Sensore e software non compatibile con elettronica A747 "\
	       "|es|B>Software del sensor no compatible con electrnica A747 "\
	       "|nl|B>Sensor software fout (sensoft) A747 "

/* alarm_psp_memory */
#define  A748   "|en|B>Memory failure in signal processor A748 "\
	       "|de|B>Speicherfehler im Signalprozessor A748 "\
	       "|fr|B>Erreur dans l'lectronique A748 "\
	       "|it|B>Guasto memoria nel processore del segnale A748 "\
	       "|es|B>Fallo de memoria en el procesado d seal A748 "\
	       "|nl|B>Geheugen probl. In signaal processor A748 "

/* alarm_eeprom_config_not_allowed */
#define  A750   "|en|B>Configuration not allowed A750 "\
	       "|de|B>Konfiguration nicht erlaubt A750 "\
	       "|fr|B>Configuration non autorise A750 "\
	       "|it|B>Configuration non autorizzata A750 "\
	       "|es|Config. no autoriz. no autorizada A750 "\
	       "|nl|B>Configuration niet toegelaten A750 "

/* alarm_dat_not_connected */
#define  W801   "|en|DAT not connected W801 "\
	       "|de|Kein DAT angeschlossen W801 "\
	       "|fr|DAT non connect W801 "\
	       "|it|DAT non collegati W801 "\
	       "|es|DAT no conectado W801 "\
	       "|nl|DAT not connected W801 "
/*
**********************************************************************
** ActualHighestAlarm / LastAlarmInfo TEXT |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/
/*
#define ENUM_AlarmInfo  {0,"|en| NO ERROR |de| KEINE ALARME |fr| AUCUN DFAUT |it| NO ERRORE "}, \
                        {101,"|en|B>Sensor electronic EEPROM error A101 |de|B>Checksummenfehler im Sensor - EEPROM A101 |fr|B>Erreur de l'lec- tronique cellule A101 |it|B>Elettronica sensore in errore A101 "}, \
                        {102,"|en|C>Checksum error in EEPROM: peakhold segment W102 |de|C>Checksummenfehler im Schleppzeiger - EEPROM W102 |fr|C>Err. ''checksum'' dans l'EEPROM: indicat. Suivi W102 |it|C>Checksum error in EEPROM: peakhold segment W102 "}, \
                        {106,"|en|C>Downloading - please wait W106 |de|C>Download luft - bitte warten W106 |fr|C>Download en cours- attendre W106 |it|C>download in corso-attendere W106 "}, \
                        {110,"|en|B>Checksum error in EEPROM:configuration segment A110 |de|B>Checksummenfehler im Konfigurations - EEPROM A110 |fr|B>Err. ''checksum'' de l'EEPROM :segment configuration A110 |it|B>Checksum error in EEPROM:configuration segment A110 "}, \
                        {113,"|en|B>ROM failure in Transmitter electronic A113 |de|B>ROM Speicher ist defekt. A113 |fr|B>Erreur Mmoire ROM A113 |it|B>Guasto ROM in elettronica trasmettitore A113 "}, \
                        {115,"|en|C>Sensor overpressure E115 |de|C>Sensor berdruck E115 |fr|C>Surpression sur la cellule E115 |it|C>Sovrappr. Sensore E115 "}, \
                        {116,"|en|C>download error repeat download W116 |de|C>Download fehlerhaft W116 |fr|C>Erreur download Rpter download W116 |it|C>Errore download ripetere download W116 "}, \
                        {120,"|en|C>Sensor low pressure E120 |de|C>Sensor Unterdruck E120 |fr|C>Dpression sur la cellule E120 |it|C>Sensore in depress. E120 "}, \
                        {121,"|en|B>Checksum Error in factory segment of EEPROM A121 |de|B>Checksummenfehler im Fertigungs - EEPROM A121 |fr|B>Err. ''checksum'' dans l'EEPROM : segm. Fabricant A121 |it|B>Checksum Error nel factory segment della EEPROM A121 "}, \
                        {122,"|en|B>Sensor not connected! A122 |de|B>Sensor Verbindungsfehler, Daten gestrt A122 |fr|B>Pas de connection cellule ! A122 |it|B>Sensore non collegato! A122 "}, \
                        {130,"|en|B>EEPROM is defect A130 |de|B>EEPROM ist defekt. A130 |fr|B>EEPROM dfectueuse A130 |it|B>EEPROM difettosa A130 "}, \
                        {131,"|en|B>Checksum error in EEPROM: minMAX segment A131 |de|B>Checksummenfehler im Editiergrenzen - EEPROM A131 |fr|B>Err. ''checksum'' de l'EEPROM: segment minMAX A131 |it|B>Checksum error in EEPROM: minMAX segment A131 "}, \
                        {132,"|en|B>Checksum Error in Totalizer EEPROM A132 |de|B>Checksummenfehler im Summenzhler - EEPROM A132 |fr|B>Checksum Error dans le totalisateur EEPROM A132 |it|B>Checksum Error nel Totalizzatore EEPROM A132 "}, \
                        {133,"|en|B>Checksum Error in History EEPROM A133 |de|B>Checksummenfehler im History - EEPROM A133 |fr|B>Checksum Error dans l'histo. EEPROM A133 |it|B>Checksum Error in History EEPROM A133 "}, \
                        {134,"|en|C>EEPROM lifetime WARNING W134 |de|C>EEPROM Lebensdauer WARNUNG W134 |fr|C>EEPROM lifetime WARNING W134 |it|C>EEPROM lifetime WARNING W134 "}, \
                        {135,"|en|B>Checksum error in EEPROM : FF segment A135 |de|B>Checksummenfehler im FF segment EEPROM A135 |fr|B>Err. ''checksum'' de lEEPROM : segment FF A135 |it|B>Checksum error in EEPROM : FF segment A135 "}, \
                        {602,"|en|C>Linearizations curve not monoton W602 |de|C>Linearisierungs - Kurve nicht monoton   W602 |fr|C>Linarisation : courbe non monotone W602 |it|C>Linearizzazione con curva non monot. W602 "}, \
                        {604,"|en|C>Linearization : less than 2points or points too close W604 |de|C>Linearisierung : Zu wenig Punkte oder Punkte zu dicht W604 |fr|C>Linarisation : moins de 2 points ou pts trop proches W604 |it|C>Tabella linearizz. Almeno 2 punti o punti troppo vicino W604 "}, \
                        {613,"|en|I>Simulation is active! W613 |de|I>Simulation aktiv W613 |fr|I>Simulation en cours ! W613 |it|I>La simulazione  attiva! W613 "}, \
                        {620,"|en|C>Current output out of range E620 |de|C>Stromausgang auerhalb Nennbereich E620 |fr|C>Sortie courant en dehors des valeurs nominales E620 |it|C>Uscita in corrente fuori range E620 "}, \
                        {700,"|en|C>Last Configuration not stored W700 |de|C>Letzte Konfiguration nicht angenommen W700 |fr|C>Dernire Configu- ration non valide W700 |it|C>Ultima configurzione non memorizzata W700 "}, \
                        {701,"|en|C>Measuring chain config. exceeds sensor range W701 |de|C>Abgleich auerhalb Sensor - nennbereich W701 |fr|C>Measuring chain config. exceeds sensor range W701 |it|C>Measuring chain config. exceeds sensor range W701 "}, \
                        {702,"|en|C>HistoROM data not consistent W702 |de|C>HistoROM Daten fehlerhaft W702 |fr|C>Donnes non exploitables dans ''HistoROM'' W702 |it|C>DAT con dati non plausibili W702 "}, \
                        {703,"|en|B>Measurement error A703 |de|B>Messumformungs - Fehler A703 |fr|B>Erreur de mesure A703 |it|B>Measurement error A703 "}, \
                        {704,"|en|B>Measurement error A704 |de|B>Messumformungs - Fehler A704 |fr|B>Erreur de mesure A704 |it|B>Measurement error A704 "}, \
                        {705,"|en|B>Measurement error A705 |de|B>Messumformungs - Fehler A705 |fr|B>Erreur de mesure A705 |it|B>Measurement error A705 "}, \
                        {706,"|en|C>Configuration in HistoROM and device not identical W706 |de|C>Konfigurationen HistoROM und Gert sind ungleich. W706 |fr|C>Configuration dans HistoROM et Appareil non identiques W706 |it|C>Configuration in HistoROM and device not identical W706 "}, \
                        {707,"|en|B>X-VAL of lin. table out of edit limits A707 |de|B>X-WERT der Lin.- tabelle auerhalb Editiergrenzen A707 |fr|B>Val. X du tab. de linarisation hors limites A707 |it|B>X-VAL della tabell di linearizz. fuori valori ammes. A707 "}, \
                        {708,"|en|B>HYDR. PRESS MIN. or MAX. out of edit limits A708 |de|B>HYDR.DRUCK MIN. oder MAX. auerhalb Editiergrenzen A708 |fr|B>Pression hydrost. en dehors des limites cellule A708 |it|B>Pressione idrost. fuori dai limiti del range del sens. A708 "}, \
                        {709,"|en|B>EMPTY PRESSURE or FULL PRESSURE out of limits A709 |de|B>DRUCK LEER oder DRUCK VOLL auerhalb ihrer Grenzen A709 |fr|B>talonnage niveau en dehors des limites cellule A709 |it|B>Livello lineare impost. fuori dal campo sensore A709 "}, \
                        {710,"|en|C>Set span too small Not allowed. W710 |de|C>Eingestellte Spanne kleiner als erlaubt W710 |fr|C>Etendue de mesure (span) trop faible. W710 |it|C>Imp. span troppo piccolo - non poss. W710 "}, \
                        {711,"|en|B>LRV or URV out of edit limits A711 |de|B>MESSANFG oder MESSENDE auerhalb Editiergrenzen A711 |fr|B>Gamme de mesure en dehors des limites cellule A711 |it|B>Campo di misura fuori dal range del sensore A711 "}, \
                        {712,"|en|B>MAX PRESS. FLOW out of edit limits A712 |de|B>MAX. DRUCK FLUSS auerhalb Editiergrenzen A712 |fr|B>talonnage flux en dehors des limites cellule A712 |it|B>Portata Max - valori pressione fuo. range sens. A712 "}, \
                        {713,"|en|B>100% POINT level out of edit limits A713 |de|B>100% PUNKT Fllstand auerhalb Editiergrenzen A713 |fr|B>100% POINT niveau en dehors des limites A713 |it|B>Punto 100% livello fuori dai limiti impostabili A713 "}, \
                        {714,"|en|B>Incorrect OP.MODE for SENSOR MEAS.TYPE A714 |de|B>BETRIEBSART passt nicht zum SENSORMESSTYP A714 |fr|B>Erreur de mode de fonctionnement pour la cellule A714 |it|B>Errore del modo operativo del sens. A714 "}, \
                        {715,"|en|C>Sensor Over- temperature E715 |de|C>Sensor bertemperatur E715 |fr|C>Temprature trop leve au niveau de la cellule E715 |it|C>Sovratemp. Del sensore E715 "}, \
                        {716,"|en|B>Sensor diaphragm broken E716 |de|B>Sensormembran gebrochen E716 |fr|B>Membrane cellule HS E716 |it|B>Membrana del sensore rotta E716 "}, \
                        {717,"|en|C>Transmitter over temperature E717 |de|C>Elektronik bertemperatur E717 |fr|C>Temprature trop leve au niveau de l'lectronique E717 |it|C>Trasmettitore in sovratemperatura E717 "}, \
                        {718,"|en|C>Transmitter under temperature E718 |de|C>Elektronik Untertemperatur E718 |fr|C>Temprature trop basse au niveau de l'lectronique E718 |it|C>Trsmettitore sotto il limite di temp. E718 "}, \
                        {719,"|en|B>Y-VAL of lin. table out of edit limits A719 |de|B>Y-WERT der Lin.- tabelle auerhalb Editiergrenzen A719 |fr|B>Val. Y du tab. de linarisation hors limites A719 |it|B>Y-VAL della tabell di linearizz. fuori valori ammes. A719 "}, \
                        {720,"|en|C>Sensor under temperature E720 |de|C>Sensor Untertemperatur E720 |fr|C>Temprature trop basse au niveau de la cellule E720 |it|C>Sensore sotto il limite di temp. E720 "}, \
                        {721,"|en|B>ZERO POSITION level out of edit limits A721 |de|B>NULLPUNKT Fllstand auerhalb Editiergrenzen A721 |fr|B>ZERO POSITION niveau en dehors des limites A721 |it|B>Livello posizione di zero fuori dai ammessi A721 "}, \
                        {722,"|en|B>EMPTY CALIB. or FULL CALIB. out of edit limits A722 |de|B>ABGLEICH LEER oder ABGL.VOLL auerhalb Editiergrenzen A722 |fr|B>Calibration basse en dehors des limites A722 |it|B>Calibr. di vuoto o di pieno fuori dai limiti ammessi A722 "}, \
                        {723,"|en|B>MAX. FLOW out of edit limits A723 |de|B>MAX DURCHFLUSS auerhalb Editiergrenzen A723 |fr|B>Dbit maximum en dehors des limites A723 |it|B>MAX. Portata con impostazioni fuori dai limiti A723 "}, \
                        {724,"|en|B>CALIB. OFFSET out of edit limits A724 |de|B>LAGEOFFSET auerhalb seiner Editiergrenzen A724 |fr|B>OFFSET POSITION en dehors des limites A724 |it|B>CALIB. OFFSET con impostazioni fuori dai limiti A724 "}, \
                        {725,"|en|B>Sensor connection error cycle disturbed A725 |de|B>Sensor Verbindungsfehler, Takt gestrt A725 |fr|B>Erreur de connexion avec la cellule A725 |it|B>Errore di collegam. al sensore A725 "}, \
                        {726,"|en|C>Sensor temperature error - overrange E726 |de|C>Temperatur - messumformung bersteuert E726 |fr|C>Erreur de la sonde temprature E726 |it|C>Errore sensore di temperatura E726 "}, \
                        {727,"|en|C>Sensor pressure error - overrange E727 |de|C>Druckmessumformung bersteuert E727 |fr|C>Err. de la cellule pression E727 |it|C>Errore sensore di pressione E727 "}, \
                        {728,"|en|B>RAM error A728 |de|B>RAM Fehler A728 |fr|B>Erreur de memoire RAM A728 |it|B>RAM error A728 "}, \
                        {729,"|en|B>RAM error A729 |de|B>RAM Fehler A729 |fr|B>Erreur de memoire RAM A729 |it|B>RAM error A729 "}, \
                        {730,"|en|C>LRV user limits exceeded E730 |de|C>Pmin PROZESS unterschritten E730 |fr|C>Err : dpassement bas en pression des limites utilis. E730 |it|C>Errore: pressione inferiore al limite impostato E730 "}, \
                        {731,"|en|C>URV user limits exceeded E731 |de|C>Pmax PROZESS berschritten E731 |fr|C>Err : dpassement haut en pression des limites utilis. E731 |it|C>Errore: pressione superiore  al limite impostato E731 "}, \
                        {732,"|en|C>LRV-Temp. User limits exceeded E732 |de|C>Tmin PROZESS unterschritten E732 |fr|C>Err : dpassement bas en temprat.des limites utilis. E732 |it|C>Temperat. Infer. al limite impostato dall'utente E732 "}, \
                        {733,"|en|C>URV-Temp. User limits exceeded E733 |de|C>Tmax PROZESS berschritten E733 |fr|C>Err : dpassement haut en temprat.des limites utilis. E733 |it|C>Temperat. super. al limite impostato dall'utente E733 "}, \
                        {734,"|en|C>Pmin or Pmax ALARM WINDOW out of edit limits W734 |de|C>Pmin oder Pmax PROZESS auerhalb Editiergrenzen W734 |fr|C>Err. de configur. des lim.utilisateur de pression W734 |it|C>Impost. Valore di pressione fuori dai limiti del sens. W734 "}, \
                        {735,"|en|C>Tmin or Tmax ALARM WINDOW out of edit limits W735 |de|C>Tmin oder Tmax PROZESS auerhalb Editiergrenzen W735 |fr|C>Err. de configur. en temprature des limites utilis. W735 |it|C>Impost. Valore di temperatura fuori dai limiti sens. W735 "}, \
                        {736,"|en|B>RAM error A736 |de|B>RAM Fehler A736 |fr|B>Erreur de memoire RAM A736 |it|B>RAM error A736 "}, \
                        {737,"|en|B>Measurement error A737 |de|B>Messumformungs - Fehler A737 |fr|B>Erreur de mesure A737 |it|B>Measurement error A737 "}, \
                        {738,"|en|B>Measurement error A738 |de|B>Messumformungs - Fehler A738 |fr|B>Erreur de mesure A738 |it|B>Measurement error A738 "}, \
                        {739,"|en|B>Measurement error A739 |de|B>Messumformungs - Fehler A739 |fr|B>Erreur de mesure A739 |it|B>Measurement error A739 "}, \
                        {740,"|en|C>Calculation Overflow, bad configuration E740 |de|C>Berechnungs- berlauf, Fehl- konfiguration E740 |fr|C>Erreur de calcul ou de configuration E740 |it|C>Calculation Overflow, bad E740 "}, \
                        {741,"|en|B>TANK HEIGHT out of edit limits A741 |de|B>TANKHHE auerhalb Editiergrenzen A741 |fr|B>HAUTEUR CUVE en dehors des limites A741 |it|B>TANK HEIGHT out of edit limits A741 "}, \
                        {742,"|en|B>Sensor connection error (upload) A742 |de|B>Initialisierungs - Fehler des Sensors A742 |fr|B>Erreur lors de l' initialisation de la cellule(upload) A742 |it|B>Connessione al sens. in errore (upload) A742 "}, \
                        {743,"|en|B>Electronic PCB error during initialisation A743 |de|B>Fehler bei der Initialisierung A743 |fr|B>Erreur dans l' lectronique lors de initialisation A743 |it|B>Elettronica in errore durante inizializzaz. A743 "}, \
                        {744,"|en|B>Main electronic PCB error A744 |de|B>Hauptelektronik defekt A744 |fr|B>Erreur dans l'lectronique principale A744 |it|B>Errore della scheda elettronica princip. A744 "}, \
                        {745,"|en|C>Sensor data unknown W745 |de|C>Sensorinformation unbekannt W745 |fr|C>Infos. de la cellule inconnues W745 |it|C>Dati del sensore sconosciuti W745 "}, \
                        {746,"|en|C>Sensor connection error - initialising W746 |de|C>Neuinitialisierung des Sensors W746 |fr|C>Erreur de connection cellule W746 |it|C>Errore di conness. al sensore - inizializzaz. W746 "}, \
                        {747,"|en|B>Sensor-Software not compatible to electronics A747 |de|B>Sensor-Software und Elektronik nicht kompatibel A747 |fr|B>Software cellule non compatible avec l'lectronique A747 |it|B>Sensore e software non compatibile con elettronica A747 "}, \
                        {748,"|en|B>Memory failure in signal processor A748 |de|B>Speicherfehler im Signalprozessor A748 |fr|B>Erreur dans l'lectronique A748 |it|B>Guasto memoria nel processore del segnale A748 "}, \
                        {750,"|en|B>Configuration not allowed A750 |de|B>Konfiguration nicht erlaubt A750 |fr|B>Configuration non autorise A750 |it|B>Configuration non autorizzata A750 "}, \
                        {801,"|en|DAT not connected W801 |de|Kein DAT angeschlossen W801 |fr|DAT non connect W801 |it|DAT non collegati W801 "}, \
*/
/*
**********************************************************************
** HISTOROM EVENTS TEXT |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_HistoromEventIDs  {1029,"|en|RESET PERFORMED |de|RESET DURCHGEFHRT |fr|RESET EFFECTUE : |it|ESEGUITO RESET "}, \
                        {1030,"|en|ALARM SET |de|ALARM KOMMEND |fr|DISPARITION DFAUT |it|APPARIZIONE ALLARME "}, \
                        {1031,"|en|ALARM CLEARED |de|ALARM GEHEND |fr|APPARITION DFAUT |it|SPARIZIONE ALLARME "}, \
                        {1032,"|en|PEAKHOLD RESET |de|SCHLEPPZEIGER ZURCKGESETZT |fr|EFFACEMENT ENREGISTREUR |it|CONT.PICCHI RESET "}, \
                        {1033,"|en|OVERPRESSURE COUNTER |de|BERDRUCK ZHLER |fr|COMPTEUR DE SURPRESSION CELLULE |it|CONTATORE SOVRAPRESSIONI "}, \
                        {1034,"|en|UNDERPRESSURE COUNTER |de|UNTERDRUCK ZHLER |fr|COMPTEUR DE DEPRESSION CELLULE |it|CONTATORE DEPRESSIONI "}, \
                        {1035,"|en|OVERTEMPERATURE COUNTER |de|BERTEMPERATUR ZHLER |fr|COMPTEUR DE DEPASSEMENT T HAUTE CELLULE |it|CONTATORE SOVRATEMPERATURE "}, \
                        {1036,"|en|UNDERTEMPERATURE COUNTER |de|UNTERTEMPERATUR ZHLER |fr|COMPTEUR DE DEPASSEMENT T BASSE CELLULE |it|CONTATORE SOTTOTEMPERATURE "}, \
                        {1037,"|en|Pmax WINDOW EXCEEDED |de|Pmax PROZESS BERSCHRITTEN |fr|DEPASSEMENT LIMITE UTILISATEUR PRESSION HAUTE |it|Pmax WINDOW SUPERATA "}, \
                        {1038,"|en|Pmin WINDOW EXCEEDED |de|Pmin PROZESS UNTERSCHRITTEN |fr|DEPASSEMENT LIMITE UTILISATEUR PRESSION BASSE |it|Pmin WINDOW SUPERATA "}, \
                        {1039,"|en|Tmax WINDOW EXCEEDED |de|Tmax PROZESS BERSCHRITTEN |fr|DEPASSEMENT LIMITE UTILISATEUR TEMPERATURE HAUTE |it|Tmax WINDOW SUPERATA "}, \
                        {1040,"|en|Tmin WINDOW EXCEEDED |de|Tmin PROZESS UNTERSCHRITTEN |fr|DEPASSEMENT LIMITE UTILISATEUR TEMPERATURE BASSE |it|Tmin WINDOW SUPERATA "}, \
                        {1041,"|en|CONFIGURATION CHANGED |de|KONFIGURATIONS - NDERUNG |fr|MODIFICATION DE LA CONFIGURATION |it|CONFIGURAZIONE MODIFICATA "}, \
                        {1042,"|en|DOWNLOAD COMPLETED |de|DOWNLOAD BEENDET |fr|DOWNLOAD EFFECTU |it|DOWNLOWAD TERMINATO "}, \
                        {1043,"|en|DOWNLOAD HistoROM COMPLETED |de|DOWNLOAD HistoROM BEENDET |fr|DOWNLOAD HistoROM EFFECTUE |it|DOWNLOAD HistoROM TERMINATO "}, \
                        {1044,"|en|UPLOAD HistoROM COMPLETED |de|UPLOAD HistoROM BEENDET |fr|SAUVEGARDE CONFIGURATION DANS L'HistoROM |it|UPLOAD HistoROM TERMINATO "}, \
                        {1045,"|en|ELECTRONICS CHANGED |de|ELEKTRONIKTAUSCH |fr|NOUVELLE ELECTRONIQUE DETECTE |it|ELETTRONICA SOST. "}, \
                        {1046,"|en|SENSOR CHANGED |de|SENSORTAUSCH |fr|NOUVELLE CELLULE DETECTE |it|SOSTITUITO SENSORE "}, \
                        {1047,"|en|HARDWARE WRITE LOCK CHANGED |de|SCHREIBSCHUTZ SCHALTER |fr|INTERRUPTEUR VERROUILLAGE APPAREIL MODIFI |it|BLOCCO SCRITTURA HARDWARE MODIFICATO "}, \
                        {1048,"|en|DAMPING SWITCH CHANGED |de|DMPFUNGS SCHALTER |fr|INTERRUPTEUR TEMPS D'INTEGRATION MODIFI |it|DAMPING SWITCH MODIFICATO "}, \
                        {1049,"|en|DEVICE POWER UP |de|GERT EINGESCHALTET |fr|MISE SOUS TENSION APPAREIL |it|ACCENSIONE STRUMENTO "}
/*
**********************************************************************
** HISTOROM RESETS TEXT |en| |de| |fr| |it| |es| |nl|
**********************************************************************
*/

#define ENUM_HistoromResetIDs  {1000,"|en|HISTOROM RESET |de|HISTOROMRESET |fr|RESET HISTOROM |it|RESET HISTOROM "}, \
                        {1001,"|en|DISPLAY RESET |de|ANZEIGERESET |fr|RESET AFFICHAGE |it|RESET DISPLAY "}, \
                        {1002,"|en|TRANSMITTER REBOOT |de|POWER UP RESET |fr|RESET DEMARRAGE |it|RIAVVIO STRUMENTO "}, \
                        {1003,"|en|SENSOR CALIBRATION RESET |de|SENSORKALIBRATION RESET |fr|RESET CALIBRATION CELLULE |it|RESET CALIBRAZIONE SENSORE "}, \
                        {1004,"|en|USER RESET |de|ANWENDER RESET |fr|RESET UTILSATEUR |it|RESET UTENTE "}, \
                        {1005,"|en|TOTAL RESET |de|TOTAL RESET |fr|RESET TOTAL |it|RESET TOTALE "}, \
                        {1006,"|en|SERVICE RESET |de|SERVICE RESET |fr|RESET SERVICE |it|RESET DI SERVICE "}, \
                        {1007,"|en|LEVEL DEFAULT RESET |de|FLLSTAND DEFAULT RESET |fr|RESET MESURE DE NIVEAU PAR DEFAUT |it|RESET DI DEFAULT LIVELLO "}, \
                        {1008,"|en|PRODUCTION RESET |de|FERTIGUNGSRESET |fr|RESET USINE |it|RESET DI PRODUZIONE "}, \
                        {1009,"|en|TOTALIZER RESET |de|SUMMENZHLERRESET |fr|RESET TOTALISATEUR |it|RESET TOTALIZZATORE "}, \

#define MODE_USER_UNIT                    0

/*
**********************************************************************
** DisplayContrast
**********************************************************************
*/

#define MIN_CONTRAST                      4
#define MAX_CONTRAST                      13

/*
**********************************************************************
** SilPasswordStart
**********************************************************************
*/

#define  SIL_PASSWORD                     7452

/*
**********************************************************************
** AccessClass 
**********************************************************************
*/


/*
**********************************************************************
** Text for method_SilMode
**********************************************************************
*/

#define SilLockStatus_TEXT                "|en|SAFETY LOCKSTATE\r\n>%{0}"\
                                          "|de|SICH.VERR.STATUS\r\n>%{0}"\
                                          "|fr|ETAT VER.SURETE\r\n>%{0}"\
                                          "|it|STATO BLOCCO SEC\r\n>%{0}"

#define SilLock_TEXT                      "|en|SAFETY LOCK|de|SICH.VERRIEGEL.|fr|VERROU SURETE|it|BLOCCO SICUR."

#define enum_lockingTEXT                  "|en|Lock|de|Verriegeln|fr|Verrouiller|it|Bloccato|es|Bloquear|nl|Blokkeren"

#define enum_unlockingTEXT                "|en|Unlock|de|Entriegelt|fr|Deverrouill|it|Sbloccato|es|Desbloqueado|nl|Vrij"

#define SilDigitsTestString_TEXT          "|en|DIGITS SET\r\n>%{0}"\
                                          "|de|ZEICHENFOLGE\r\n>%{0}"\
                                          "|fr|SERIE NUMERIQUE\r\n>%{0}"\
                                          "|it|IMP. DIGITS\r\n>%{0}"

#define SilCurrentOutputResumed_TEXT      "|en|OUTPUT CURRENT\r\n>%{1}"\
                                          "|de|AUSGANGSSTROM\r\n>%{1}"\
                                          "|fr|SORTIE COURANT\r\n>%{1}"\
                                          "|it|VALORE CORRENTE\r\n>%{1}"

#define AcknowledgeAlarmMode_TEXT         "|en|ACK. ALARM MODE\r\n>%{2}"\
                                          "|de|MODUS ALARMQUIT.\r\n>%{2}"\
                                          "|fr|ACQUI.MODE ALARM\r\n>%{2}"\
                                          "|it|MODO RIC. ALLARM\r\n>%{2}"

#define Pressure1InstallOffset_TEXT       "|en|CALIB. OFFSET\r\n>%{3}  %{4}"\
                                          "|de|LAGEOFFSET\r\n>%{3}  %{4}"\
                                          "|fr|OFFSET POSITION\r\n>%{3}  %{4}"\
                                          "|it|CALIB. OFFSET\r\n>%{3}  %{4}"

#define OperatingMode_TEXT                "|en|MEASURING MODE\r\n>%{5}"\
                                          "|de|BETRIEBSART\r\n>%{5}"\
                                          "|fr|TYPE DE MESURE\r\n>%{5}"\
                                          "|it|MODO OPERATIVO\r\n>%{5}"

#define PressureLowerRangeValue_TEXT      "|en|SET LRV\r\n>%{0}  %{2}"\
                                          "|de|MESSANFG SETZEN\r\n>%{0}  %{2}"\
                                          "|fr|ENTRER DBUT CH\r\n>%{0}  %{2}"\
                                          "|it|IMPOST. INIZ. M.\r\n>%{0}  %{2}"

#define PressureUpperRangeValue_TEXT      "|en|SET URV\r\n>%{1}  %{2}"\
                                          "|de|MESSENDE SETZEN\r\n>%{1}  %{2}"\
                                          "|fr|AJUSTEM. FIN CH\r\n>%{1}  %{2}"\
                                          "|it|IMPOST. FINE M.\r\n>%{1}  %{2}"      

#define FlowLowerRangeValue_TEXT          "|en|SET LRV\r\n>%[.4f]{0}  %{2}"\
                                          "|de|MESSANFG SETZEN\r\n>%[.4f]{0}  %{2}"\
                                          "|fr|ENTRER DBUT CH\r\n>%[.4f]{0}  %{2}"\
                                          "|it|IMPOST. INIZ. M.\r\n>%[.4f]{0}  %{2}"

#define FlowUpperRangeValue_TEXT          "|en|SET URV\r\n>%[.4f]{1}  %{2}"\
                                          "|de|MESSENDE SETZEN\r\n>%[.4f]{1}  %{2}"\
                                          "|fr|AJUSTEM. FIN CH\r\n>%[.4f]{1}  %{2}"\
                                          "|it|IMPOST. FINE M.\r\n>%[.4f]{1}  %{2}"

#define FlowMax_TEXT                      "|en|MAX. FLOW\r\n>%{3}  %{2}"\
                                          "|de|MAX DURCHFLUSS\r\n>%{3}  %{2}"\
                                          "|fr|DBIT MAX\r\n>%{3}  %{2}"\
                                          "|it|MAX. PORTATA\r\n>%{3}  %{2}"

#define FlowMaxPressure_TEXT              "|en|MAX PRESS. FLOW\r\n>%[.4f]{4} %{8}"\
                                          "|de|MAX.DRUCK FLUSS\r\n>%[.4f]{4} %{8}"\
                                          "|fr|PRESS.MAX DBIT\r\n>%[.4f]{4} %{8}"\
                                          "|it|MAX PRESS PORT.\r\n>%[.4f]{4} %{8}"

#define CreepFlowSuppressionEnable_TEXT   "|en|LOW FLOW CUT-OFF\r\n>%{5}"\
                                          "|de|SCHLEICHM. MODUS\r\n>%{5}"\
                                          "|fr|SUPP.DBIT FUITE\r\n>%{5}"\
                                          "|it|ATTIVA CUT-OFF\r\n>%{5}"

#define CreepFlowSuppressionOffThreshold_TEXT           "|en|SCHLEICHM.SETZEN\r\n>%[.2f]{6} %"\
                                                        "|de|LOW FLOW CUT-OFF\r\n>%[.2f]{6} %"\
                                                        "|fr|VAL.DBIT FUITE\r\n>%[.2f]{6} %"\
                                                        "|it|VALORE CUT-OFF\r\n>%[.2f]{6} %"

#define FlowMode_TEXT                     "|en|LINEAR/SQROOT\r\n>%{7}"\
                                          "|de|LINEAR/RADIZ.\r\n>%{7}"\
                                          "|fr|LINEAIRE/RACINE\r\n>%{7}"\
                                          "|it|LINEARE/RADICE\r\n>%{7}"

#define Pressure1Damping_TEXT             "|en|DAMPING VALUE\r\n>%[.1f]{6} s"\
                                          "|de|WERT DMPFUNG\r\n>%[.1f]{6} s"\
                                          "|fr|TEMPS INTEGRAT.\r\n>%[.1f]{6} s"\
                                          "|it|VALORE DAMPING\r\n>%[.1f]{6} s"

#define SilConfirm_TEXT                   "|en|Invalid;Valid"\
                                          "|de|Ungltig;Gltig"\
                                          "|fr|Invalide;Valide"\
                                          "|it|Invalid;Valid"
                                          
#define LowLevelPressureEasy_TEXT         "|en|EMPTY PRESSURE\r\n>%[.4f]{0} %{7}"\
                                          "|de|DRUCK LEER\r\n>%[.4f]{0} %{7}"\
                                          "|fr|PRESS. CUVE VIDE\r\n>%[.4f]{0} %{7}"\
                                          "|it|MIN.VAL.PRESS.\r\n>%[.4f]{0} %{7}"
                                          
#define LowLevelEasy_TEXT                 "|en|EMPTY CALIB.\r\n>%[.4f]{1} %{6}"\
                                          "|de|ABGLEICH LEER\r\n>%[.4f]{1} %{6}"\
                                          "|fr|TALONNAGE VIDE\r\n>%[.4f]{1} %{6}"\
                                          "|it|CALIB.DI VUOTO\r\n>%[.4f]{1} %{6}"
                                          
#define HighLevelPressureEasy_TEXT        "|en|FULL PRESSURE\r\n>%[.4f]{2} %{7}"\
                                          "|de|DRUCK VOLL\r\n>%[.4f]{2} %{7}"\
                                          "|fr|PRESS.CUVE PLEIN\r\n>%[.4f]{2} %{7}"\
                                          "|it|MASSIMA PRESS.\r\n>%[.4f]{2} %{7}"
                                          
#define HighLevelEasy_TEXT                "|en|ABGLEICH VOLL\r\n>%[.4f]{3} %{6}"\
                                          "|de|FULL CALIB.\r\n>%[.4f]{3} %{6}"\
                                          "|fr|TALONNAGE PLEIN\r\n>%[.4f]{3} %{6}"\
                                          "|it|CALIB.DI PIENO\r\n>%[.4f]{3} %{6}"
                                          
#define MinOutCurrentEasy_TEXT            "|en|SET LRV\r\n>%[.4f]{4} %{6}"\
                                          "|de|MESSANFG SETZEN\r\n>%[.4f]{4} %{6}"\
                                          "|fr|ENTRER DBUT CH\r\n>%[.4f]{4} %{6}"\
                                          "|it|IMPOST. INIZ. M.\r\n>%[.4f]{4} %{6}"
                                          
#define MaxOutCurrentEasy_TEXT            "|en|SET URV\r\n>%[.4f]{5} %{6}"\
                                          "|de|MESSENDE SETZEN\r\n>%[.4f]{5} %{6}"\
                                          "|fr|AJUSTEM. FIN CH\r\n>%[.4f]{5} %{6}"\
                                          "|it|IMPOST. FINE M.\r\n>%[.4f]{5} %{6}" 

#define SilPasswordEnd_TEXT               "|en|CONF. PASSWORD|de|BEST. PASSWORT|fr|CONF. CODE ACCES|it|CONF. PASSWORD"
#define SilPasswordStart_TEXT             "|en|SAFETY PASSWORD|de|SICHERH.PASSWORT|fr|CODE ACC. SURETE|it|ACCESSO SICUR."

#define devdDeviceLocked                  "|en|Device lock active!" \
                                          "|de|Gerte Verriegelung aktiv!" \
                                          "|fr|Device lock active" \
                                          "|it|Device lock active!" \
                                          "|es|Device lock active!" \
                                          "|nl|Device lock active!"

#define devdSilLocked                     "|en|Safety Lock active!"\
                                          "|de|Sicherheits-Verriegelung aktiv!"\
                                          "|fr|Verrouillage de securit actif!"\
                                          "|it|Safety Lock active!"\
                                          "|es|Safety Lock active!"\
                                          "|nl|Safety Lock active!"

#define devdSilUnlocked                   "|en|Safety Lock deactivated!"\
                                          "|de|Sicherheits-Verriegelung deaktiviert!"\
                                          "|fr|Verrouillage de securit desactiv!"\
                                          "|it|Safety Lock deactivated!"\
                                          "|es|Safety Lock deactivated!"\
                                          "|nl|Safety Lock deactivated!"

#define devdSWLocked                      "|en|Software Lock active!"\
                                          "|de|Software-Verriegelung aktiv!"\
                                          "|fr|Verrouillage de securit actif!"\
                                          "|it|Software Lock active!"\
                                          "|es|Software Lock active!"\
                                          "|nl|Software Lock active!"
                                          
#define devdHwLockState                   "|en|HW Lock state is ON. Check Dip switch!"\
                                          "|de|Hardwareverriegelung ist eingeschaltet. DIP Schalter prfen!"\
                                          "|fr|Appareil verrouill. Vrifier la position du commutateur !"\
                                          "|it|Blocco HW attivata. Verificare switch!"

#define devSilConfigNotAllowed            "|en|Config.invalid for Safety Lock Reset 7864 needed !"\
                                          "|de|Konf.ungltig fr Sich.Verriegel. Reset 7864 notwendig !"\
                                          "|fr|Config.invalide pour verrou de suret Reset 7864 ncessaire !"\
                                          "|it|Config. Blocco Sicur. non val. Serve reset 7864 !"

#define devSilConfigNotAllowed1           "|en|Config.invalid for Safety Lock."\
                                          "|de|Konf.ungltig fr Sich.Verriegel."\
                                          "|fr|Config.invalide pour verrou de suret"\
                                          "|it|Config. Blocco Sicur. non val."

#define devdMethodCompleted               "|en|method completed successfully"\
                                          "|de|methode erfolgreich durchgefhrt"\
                                          "|fr|methode accomplie avec succs"\
                                          "|it|method completato con successo"\
                                          "|es|mtodo terminado con xito"\
                                          "|nl|method met succes voltooid"

#define devdCodeIsNotCorrectForUnlock     "|en|The code is not correct.\nEnter the code to unlock the parameters.\n"\
                                          "|de|Der Code ist nicht korrekt.\nGeben Sie den Code ein, um die Parameter zu entriegeln."\
                                          "|fr|Le code est incorrect.\ncrivez le code pour ouvrir les paramtres.\n"\
                                          "|it|Il codice non  corretto.\nImposti il codice per sbloccare i parametri.\n"\
                                          "|es|El cdigo no es correcto.\nIntroduzca el cdigo para abrir los parmetros.\n"\
                                          "|nl|De code is niet correct.\nGa de code in om de parameters te openen"

#define devdCodeIsNotCorrectForLock       "|en|The code is not correct.\nEnter the code to lock the parameters.\n"\
                                          "|de|Der Code ist nicht korrekt.\nGeben Sie den Code ein, um die Parameter zu verriegeln."\
                                          "|fr|Le code est incorrect.\ncrivez le code pour ouvrir les paramtres.\n"\
                                          "|it|Il codice non  corretto.\nImposti il codice per sbloccare i parametri.\n"\
                                          "|es|El cdigo no es correcto.\nIntroduzca el cdigo para abrir los parmetros.\n"\
                                          "|nl|De code is niet correct.\nGa de code in om de parameters te openen"

#define devdSytemInProcess                "|en|System is working, please wait" \
                                          "|de|System arbeitet, bitte warten" \
                                          "|fr|Travail en cours, attendez svp." \
                                          "|it|Il sistema sta funzionando, prego attende" \
                                          "|es|El sistema est en funcionamiento, espere por favor" \
                                          "|nl|Het systeem werkt, gelieve te wachten"

#define devdNotSupported                  "|en|Not Supported for Actual Op. Mode!!" \
                                          "|de|Wird in akt.Betr.Art nicht untersttzt!" \
                                          "|fr|Non support dans le mode actuel de fct." \
                                          "|it|Non supportato nell'attuale modo operativo!" \
                                          "|es|No soportado por el modo de operacin actual" \
                                          "|nl|Niet beschikbaar in actuele mode."

#define devdNotAllParametersConfirmed     "|en|Not all parameters were confirmed\nPlease you repeat the procedure" \
                                          "|de|Nicht alle Parameter sind besttigt worden\nBitte wiederholen Sie den Vorgang" \
                                          "|fr|Ce ne sont pas tous les paramtres qui ont t confirms\nVous veuillez rpter le procd" \
                                          "|it|Non tutti i parametri sono stati confermati\nRipetete prego la procedura" \
                                          "|es|No todos los parmetros fueron confirmados\nUsted repite por favor el procedimiento" \
                                          "|nl|Niet werden alle parameters bevestigd\nGelieve te herhalen u de procedure"

#define devdWrongResetCode                "|en|Wrong Reset Code !" \
                                          "|de|Reset Code ist ungltig !" \
                                          "|fr|Code Reset non accessible !" \
                                          "|it|Errato codice reset!" \
                                          "|es|Cdigo de reset incorrecto" \
                                          "|nl|Foute reset code!"

#define SYSTEM_IN_PROCESS                 DELAY(1,"|en|System is working, please wait\n***");\
                                          DELAY(1,"|en|System is working, please wait\n*******");\
                                          DELAY(1,"|en|System is working, please wait\n**********");\
                                          DELAY(1,"|en|System is working, please wait\n*************");\
                                          DELAY(1,"|en|System is working, please wait\n****************");\
                                          DELAY(1,"|en|System is working, please wait\n*******************");\
                                          DELAY(1,"|en|System is working, please wait\n**********************");\
                                          DELAY(1,"|en|System is working, please wait\n*************************");\
                                          DELAY(1,"|en|System is working, please wait\n****************************");\
                                          DELAY(1,"|en|System is working, please wait\n*******************************");

/*
**********************************************************************
** Text for method_AcceptPressureLowerRangeValue
**********************************************************************
*/

#define AcceptPressureUpperRangeValue_TEXT              "|en|GET URV\r\n>%{0} %{1}"\
                                                        "|de|MESSENDE NEHMEN\r\n>%{0} %{1}"\
                                                        "|fr|VALIDER FIN CH.\r\n>%{0} %{1}"\
                                                        "|it|IMPOST. FINE MIS\r\n>%{0} %{1}"

/*
**********************************************************************
** Text for method_AcceptPressureUpperRangeValue
**********************************************************************
*/

#define AcceptPressureLowerRangeValue_TEXT              "|en|GET LRV\r\n>%{0} %{1}"\
                                                        "|de|MESSANFG NEHMEN\r\n>%{0} %{1}"\
                                                        "|fr|VALIDE.DBUT CH\r\n>%{0} %{1}"\
                                                        "|it|CONFERM.INIZ.MIS\r\n>%{0} %{1}"

/*
**********************************************************************
** Text for method_Pressure1AcceptZeroInstallOffset
**********************************************************************
*/

#define Pressure1AcceptZeroInstallOffset_TEXT          "|en|POS.ZERO ADJUST\r\n>%{0} %{1}"\
                                                       "|de|LAGEKORREKTUR\r\n>%{0} %{1}"\
                                                       "|fr|CORRECT.POSITION\r\n>%{0} %{1}"\
                                                       "|it|IMP.ZERO POSIZ.\r\n>%{0} %{1}"

/*
**********************************************************************
** Text for 
**********************************************************************
*/

#define SelectAbortConfirmReadValue_TEXT                "|en|Read new value;Abort;Confirm"\
                                                        "|de|Wert neu einlesen;Abbrechen;Uebernehmen"\
                                                        "|fr|Read new value;Interrompre;Confirmer"\
                                                        "|it|Read new value;Interrompi;Confirma"

/*
**********************************************************************
** Text for write_OperatingMode
**********************************************************************
*/

#define ACKNOWLEDGE_MESSAGE                            "|en|NOTICE - Sending Parameter to device to update dependencies."\
                                                       "|de|HINWEIS - Parameter wird zum Geraet gesendet um Abhaengigkeiten zu lsen."\
                                                       "|fr|NOTE - Envoi du paramtre vers l'appareil pour actualiser les dpendanes."\
                                                       "|it|NOTICE - Sending Parameter to device to update dependencies."

/*
**********************************************************************
** Text for
**********************************************************************
*/

#define Menu_TEXT                                      "|en|Menu not available|de|Ausw. n. verfgb.|fr|Menu not available|it|Menu not available";

/*
**********************************************************************
** Text for Reset in progress
**********************************************************************
*/

#define ResetInProgess_TEXT                             "|en|Reset in progress !\r\n\r\n - please wait -"\
                                                        "|de|Reset wird durchgefhrt !\r\n\r\n - Bitte warten -"\
                                                        "|fr|La remise  zro est active !\r\n\r\n - Attendez s'il vous plat -"\
                                                        "|it|Reset in progress !\r\n\r\n - please wait -"\
                                                        "|es|Reajuste en marcha !\r\n\r\n - por favor espera -"\
                                                        "|nl|Het terugstellen in uitvoering vooruitgang !\r\n\r\n - gelieve te wachten -"

#define OK_ResetInputValue_TEXT                         "|en|Reset O.K."\
                                                        "|de|Reset O.K."\
                                                        "|fr|Reset O.K."\
                                                        "|it|Reset O.K."

#define ResetInputValue_TEXT                            "|en|ENTER RESET CODE|de|RCKSETZEN|fr|CODE RESET|it|CODICE RESET"

#define ResetInfoForFieldcommunicator_TEXT              "|en|NOTICE - After Reset you have to reconnect the device to the HART - otherwise there might be inconsistence."\
		                                                  "|de|HINWEIS - Nach dem Reset eine neue Verbindung zum Gert herstellen um Inkonsitenzen zu vermeiden."

/* ToDo                                                                                           inconsistency
"|en|NOTICE - After Reset you have to reconnect the device to the HART - otherwise there might be inconsistence."\
"|de|HINWEIS - Nach dem Reset eine neue Verbindung zum Gert herstellen um Inkonsitenzen zu vermeiden."\
"|fr|- Aprs la remise vous doivent rebrancher le dispositif au HART - autrement il pourrait y avoir d'inconsistence."\
"|it|- Dopo che la risistemazione voi debba ricollegare il dispositivo al CERVO MASCHIO - al contrario ci potrebbe essere inconsistence."\
     - Dopo che la risistemazione voi debba ricollegare il dispositivo al CERVO MASCHIO - altrimenti ci potrebbe essere inconsistence. 
"|es|- Despus de que el reajuste usted tenga que volver a conectar el dispositivo al HART - de otra manera pudo haber inconsistence."
     - Despus de que el reajuste t tenga que volver a conectar el dispositivo al HART - si no pudo haber inconsistence. 
*/

/*
**********************************************************************
** Text for method_DatHandling
**********************************************************************
*/

#define  DatHandling_TEXT                              "|en|HistoROM CONTROL|de|HistoROM FUNKT.|fr|GESTION HistoROM|it|CONTROL.HistoROM"

#define  enum_UpDownload_TEXT                          "|en|Abort;HistoROM->Device;Device->HistoROM"\
                                                       "|de|Abbrechen;HistoROM->Gert;Gert->HistoROM"\
                                                       "|fr|Interrompre;HistoROM->App.;App.->HistoROM"\
                                                       "|it|Interrompi;HistoROM->STRUM.;STRUM.->HistoROM"

/*
**********************************************************************
** Text for method_LinearizationTablePostEdit
**********************************************************************
*/

#define LinearizationTablePostEdit_TEXT               "|en|TABLE EDITOR|de|TABELLENEDITOR|fr|DITEUR TABLE|it|EDITOR DI TABELL"

#define enum_ConfirmLinTable_TEXT                     "|en|Next Point;Last Input Point;Accept input table;Abort;Insert Point;Delete Point"\
                                                      "|de|Nchster Punkt;Vorheriger Punkt;Tabelle bernehmen;Abbrechen;Punkt einfgen;Punkt lschen"\
                                                      "|fr|Point suivant;Dernire entre;Valider entre;Interrompre;Insrer Point;Supprimer Point"\
                                                      "|it|Linea successiva;Ultimo val.imputato;Accetta tabell.dati;Interrompi;Insert Point;Delete Point"                                                      

/*
**********************************************************************
** Text for Sensor Trim
**********************************************************************
*/

#define prompt_Pressure1LowerCalWritten         "|en|LOW SENSOR TRIM\r\nPRESSURE >%{0} %{1}"\
                                                "|de|LOW SENSOR TRIM\r\nDRUCK GEMESSEN >%{0} %{1}"\
                                                "|fr|TALONN.CELL.0%\r\nPRESSION MESURE >%{0} %{1}"\
                                                "|it|AGGIU. 0% CELLA\r\nPRESSIONE\r\n >%{0} %{1}"
 
#define prompt_Pressure1UpperCalWritten         "|en|HIGH SENSOR TRIM\r\nPRESSURE >%{0} %{1}"\
                                                "|de|HIGH SENSOR TRIM\r\nDRUCK GEMESSEN >%{0} %{1}"\
                                                "|fr|TALON.CELL.100%\r\nPRESSION MESURE >%{0} %{1}"\
                                                "|it|AGGIU.100% CELLA\r\nPRESSIONE >%{0} %{1}"

/*
**********************************************************************
** Text for Device Variablen
**********************************************************************
*/

#define PrimaryVariableCodeTEXT                  "|en|PRIMARY VALUE IS|de|1.PROZESSW. IST|fr|PRIMARY VALUE IS|it|PRIMARY VALUE IS"; 
#define SecondaryVariableCodeTEXT                "|en|SECONDARY VAL.IS|de|2.PROZESSW. IST|fr|SECONDARY VAL.IS|it|SECONDARY VAL.IS"; 
#define TertiaryVariableCodeTEXT                 "|en|THIRD VALUE IS|de|3.PROZESSW. IST|fr|THIRD VALUE IS|it|THIRD VALUE IS"; 
#define QuaternaryVariableCodeTEXT               "|en|4TH VALUE IS|de|4.PROZESSW. IST|fr|4TH VALUE IS|it|4TH VALUE IS"; 

/*
**********************************************************************
** Enum Text for Device Variablen
**********************************************************************
*/

#define ENUM_PrimaryVariableCode {0,"|en|PRESSURE|de|DRUCK GEMESSEN|fr|PRESSION MESURE|it|PRESSIONE"},  \
	{1,"|en|CORRECTED PRESS.|de|DRUCK N. LAGEKOR|fr|PRESS.APRS CORR|it|PRESS.CORRETTA"}, \
	{2,"|en|SENSOR PRESSURE|de|SENSOR DRUCK|fr|PRESSION CELLULE|it|PRESS. AL SENS."}, \
	{3,"|en|SENSOR TEMP.|de|TEMP. SENSOR|fr|TEMP. CELLULE|it|SENS. DI TEMP."}, \
	{4,"|en|PCB TEMPERATURE|de|TEMP ELEKTRONIK|fr|TEMP.LECTRONIQ.|it|TEMP. ELETTRON."}, \
	{5,"|en|SUPPRESSED FLOW|de|DURCHFLUSS|fr|DBIT|it|PORTATA"}, \
	{6,"|en|TOTALIZER 1|de|SUMMENZHLER 1|fr|TOTALISEUR 1|it|TOTALIZZATORE 1"}, \
	{7,"|en|TOTALIZER 2|de|SUMMENZHLER 2|fr|TOTALISEUR 2|it|TOTALIZZATORE 2"}, \
	{8,"|en|LEVEL BEFORE LIN|de|FLLSTAND V.LIN.|fr|NIVEAU ACTUEL|it|MISURA LIVELLO"}, \
	{9,"|en|TANK CONTENT|de|TANKINHALT|fr|VOLUME CUVE|it|CONTENUTO SERB."}

/*
**********************************************************************
** Enum Text for Device Variablen
**********************************************************************
*/

#define ENUM_QuaternaryVariableCode {0,"|en|PRESSURE|de|DRUCK GEMESSEN|fr|PRESSION MESURE|it|PRESSIONE"},  \
	{1,"|en|CORRECTED PRESS.|de|DRUCK N. LAGEKOR|fr|PRESS.APRS CORR|it|PRESS.CORRETTA"}, \
	{2,"|en|SENSOR PRESSURE|de|SENSOR DRUCK|fr|PRESSION CELLULE|it|PRESS. AL SENS."}, \
	{3,"|en|SENSOR TEMP.|de|TEMP. SENSOR|fr|TEMP. CELLULE|it|SENS. DI TEMP."}, \
	{4,"|en|PCB TEMPERATURE|de|TEMP ELEKTRONIK|fr|TEMP.LECTRONIQ.|it|TEMP. ELETTRON."} \
	IF(OperatingMode == eOM_FLOW) \
	{ \
	 {5,"|en|SUPPRESSED FLOW|de|DURCHFLUSS|fr|DBIT|it|PORTATA"} \
	 {6,"|en|TOTALIZER 1|de|SUMMENZHLER 1|fr|TOTALISEUR 1|it|TOTALIZZATORE 1"}, \
	 {7,"|en|TOTALIZER 2|de|SUMMENZHLER 2|fr|TOTALISEUR 2|it|TOTALIZZATORE 2"} \
	} \
	IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR || \
	   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED ||\
	   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EASYPRESSURELEVEL ||\
	   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EASYHEIGHTLEVEL) \
	{ \
	  {8,"|en|LEVEL BEFORE LIN|de|FLLSTAND V.LIN.|fr|NIVEAU ACTUEL|it|MISURA LIVELLO"} \
	} \
	IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED || \
	   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED) \
	{ \
	  {9,"|en|TANK CONTENT|de|TANKINHALT|fr|VOLUME CUVE|it|CONTENUTO SERB."} \
	}

/*
**********************************************************************
** Enum Text for Device Variablen
**********************************************************************
*/
	
#define ENUM_SecondaryVariableCode {0,"|en|PRESSURE|de|DRUCK GEMESSEN|fr|PRESSION MESURE|it|PRESSIONE"},  \
	{1,"|en|CORRECTED PRESS.|de|DRUCK N. LAGEKOR|fr|PRESS.APRS CORR|it|PRESS.CORRETTA"}, \
	{2,"|en|SENSOR PRESSURE|de|SENSOR DRUCK|fr|PRESSION CELLULE|it|PRESS. AL SENS."}, \
	{3,"|en|SENSOR TEMP.|de|TEMP. SENSOR|fr|TEMP. CELLULE|it|SENS. DI TEMP."}, \
	{4,"|en|PCB TEMPERATURE|de|TEMP ELEKTRONIK|fr|TEMP.LECTRONIQ.|it|TEMP. ELETTRON."} \
	IF(OperatingMode == eOM_FLOW) \
	{ \
	 {5,"|en|SUPPRESSED FLOW|de|DURCHFLUSS|fr|DBIT|it|PORTATA"} \
	 {6,"|en|TOTALIZER 1|de|SUMMENZHLER 1|fr|TOTALISEUR 1|it|TOTALIZZATORE 1"}, \
	 {7,"|en|TOTALIZER 2|de|SUMMENZHLER 2|fr|TOTALISEUR 2|it|TOTALIZZATORE 2"} \
	} \
	IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR || \
	   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED ||\
	   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EASYPRESSURELEVEL ||\
	   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EASYHEIGHTLEVEL) \
	{ \
	  {8,"|en|LEVEL BEFORE LIN|de|FLLSTAND V.LIN.|fr|NIVEAU ACTUEL|it|MISURA LIVELLO"} \
	} \
	IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED || \
	   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED) \
	{ \
	  {9,"|en|TANK CONTENT|de|TANKINHALT|fr|VOLUME CUVE|it|CONTENUTO SERB."} \
	}


/*
**********************************************************************
** Enum Text for Device Variablen
**********************************************************************
*/

#define ENUM_TertiaryVariableCode {0,"|en|PRESSURE|de|DRUCK GEMESSEN|fr|PRESSION MESURE|it|PRESSIONE"},  \
	{1,"|en|CORRECTED PRESS.|de|DRUCK N. LAGEKOR|fr|PRESS.APRS CORR|it|PRESS.CORRETTA"}, \
	{2,"|en|SENSOR PRESSURE|de|SENSOR DRUCK|fr|PRESSION CELLULE|it|PRESS. AL SENS."}, \
	{3,"|en|SENSOR TEMP.|de|TEMP. SENSOR|fr|TEMP. CELLULE|it|SENS. DI TEMP."}, \
	{4,"|en|PCB TEMPERATURE|de|TEMP ELEKTRONIK|fr|TEMP.LECTRONIQ.|it|TEMP. ELETTRON."} \
	IF(OperatingMode == eOM_FLOW) \
	{ \
	 {5,"|en|SUPPRESSED FLOW|de|DURCHFLUSS|fr|DBIT|it|PORTATA"} \
	 {6,"|en|TOTALIZER 1|de|SUMMENZHLER 1|fr|TOTALISEUR 1|it|TOTALIZZATORE 1"}, \
	 {7,"|en|TOTALIZER 2|de|SUMMENZHLER 2|fr|TOTALISEUR 2|it|TOTALIZZATORE 2"} \
	} \
	IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEAR || \
	   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED ||\
	   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EASYPRESSURELEVEL ||\
	   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EASYHEIGHTLEVEL) \
	{ \
	  {8,"|en|LEVEL BEFORE LIN|de|FLLSTAND V.LIN.|fr|NIVEAU ACTUEL|it|MISURA LIVELLO"} \
	} \
	IF(OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_LINEARIZED || \
	   OperatingMode == eOM_LEVEL && ConfigurationType == eCT_EXPERTLEVEL && LevelType == eLT_TYPE_COMBINED) \
	{ \
	  {9,"|en|TANK CONTENT|de|TANKINHALT|fr|VOLUME CUVE|it|CONTENUTO SERB."} \
	}

/*
**********************************************************************
** 
**********************************************************************
*/

#define FLT_MIN								1.17549435E-38
#define FLT_MAX								999999999.0     /* max. Value in Local Display */


/*
**********************************************************************
** END OF FILE
**********************************************************************
*/
